<?php
/**
 * Image Gallery - Category view template
 * 
 * Image Gallery
 * 
 * @copyright 2016 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package gallery
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die();
?>
<?php 
    global $HTMLHeader;
    
    $this->CSS('gallery.css');
    

    $field_cid = $this->getFieldCategoryID();
    $field_id = $this->getFieldID();
    $current_category_id = $category[$field_cid];
?>
<div class="app-page-category app-<?= $this->app_name; ?>" id="app-<?= $this->app_name; ?>-category-<?= $category[$this->field_category_id]; ?>" >   
    <?= $category['macro_processed_text_outside_article_top'] ?>    
    <!-- ########################################################################### -->
    <!-- ####################### main info of this category  ####################### -->
    <!-- ########################################################################### -->
    <article class="main category">
	<?php if ($category_meta_options['display_pagetitle']): ?>
            <h1 class="category title"><?= ___h($category['title']); ?></h1>
        <?php endif; ?>
        <?php if ($category['macro_processed_text_before_article']): ?>        
        <!-- Macro - Pre -->            
            <div class="meta before-article">        
            <?= $category['macro_processed_text_before_article'] ?>            
            </div>
        <!-- End Macro - Pre -->        
        <?php endif ?>
        <div class="text">
            <?= $category['summary'].$category['description'] ?>
        </div>
        <?php if ($category['macro_processed_text_after_article']): ?>
        <!-- Macro - Post -->                
            <div class="meta after-article">
                <?= $category['macro_processed_text_after_article'] ?>
            </div>
        <?php endif ?>
        <!-- End Macro - Post -->                
    </article>
    <!-- ########################################################################### -->
    <!-- ######################## end info of this category  ####################### -->
    <!-- ########################################################################### -->

    <?php if ($child_categories): ?>
    <!-- ########################################################################### -->
    <!-- ################## child categories / subfolder ########################### -->
    <!-- ########################################################################### -->
        <div class="category child categories">
            <div class="row">
            <?php foreach ($child_categories as $child_category): ?>
                <?php if ($child_category['status'] > 0): ?>
                <div class="col-md-4">
                    <section class="child-category">
                        <?= $child_category['macro_processed_text_outside_article_top'] ?>
                        <?php 
                            $child_category_id = $child_category[$field_cid];
                            $this->processDataOutputWithMacro($child_category, 'viewChildCategory', array('parent_category_meta_options' => $category_meta_options));
                            $link = $this->createFriendlyURL("action=viewcategory&cid={$child_category_id}");
                            $child_category_title = ___h($child_category['title']);
                            $child_category_title_text = ($child_category!= null) && ($category_meta_options['display_child_category_read_more_link']==false || $category_meta_options['display_link_title']==true) ? 
                                \__Html::A($child_category_title,$link) : $child_category_title;
                        ?>
                        <!-- Macro - Pre -->
                        <?php if ($child_category['macro_processed_text_before_article']): ?>        
                            <div class="meta before-article">        
                                <?= $child_category['macro_processed_text_before_article'] ?>            
                            </div>
                        <?php endif ?>
                        <!-- End Macro - Pre -->

                        <!-- text -->
                                <?php $this->viewIndividualCategoryByID($child_category[$this->field_category_id]); ?>
                        <!-- end text -->

                        <!-- Macro - Post -->   
                        <?php if ($child_category['macro_processed_text_after_article']): ?>                
                            <div class="meta after-article">
                                <?= $child_category['macro_processed_text_after_article'] ?>
                            </div>
                        <?php endif ?>
                        <!-- End Macro - Post -->                
                        <?= $child_category['macro_processed_text_outside_article_bottom'] ?>
                    </section>
                </div>
                <?php endif ?>
            </div>
            <?php endforeach ?>       
        </div>
    <!-- ########################################################################### -->
    <!-- ################## end child categories / subfolder ####################### -->
    <!-- ########################################################################### -->
    <?php endif; ?>

    <?php if ($items):  ?>
    <!-- ########################################################################### -->
    <!-- ########################## child items #################################### -->
    <!-- ########################################################################### -->
           <div  class="gallery-masonry">
            <?php foreach ($items as $child_item): ?>
                <?php if ($child_item['status'] > 0): ?>            
                    <?php 
                        $child_item_id = $child_item[$field_id];
                        $this->processDataOutputWithMacro($child_item, 'viewChildItem', array('parent_category_meta_options' => $category_meta_options));
                        $link = $this->createFriendlyURL("action=viewitem&id={$child_item_id}");
                        $child_item_title = ___h($child_item['title']);
                        $child_item_title_text = ($child_item != null) && ($category_meta_options['display_child_item_read_more_link']==false || $category_meta_options['display_link_title']==true) ? 
                            \__Html::A($child_item_title,$link) : $child_item_title;
                        
                    ?>
                        <div class="gallery-item">
                            <a href="<?= $link ?>"><img class="gallery-image" src="<?= $this->getGalleryImage('image_small', $child_item['url_media_file'], $child_item['category_id']) ?>" /></a>
                            <?php if ($child_item_title_text): ?>
                                <h2 class="title"> <?= $child_item_title_text; ?></h2>
                            <?php endif ?>
                                <!-- text -->
                                <?php if ($category_meta_options['display_item_summary']): ?>
                                    <div class="imagegallery-thumbnails-summary"><?= $child_item['summary'] ?></div>
                                <?php endif; ?>
                                <!-- end text -->
                            
                        </div>
                <?php endif ?>           
            <?php endforeach ?>       
            </div>
    <!-- ########################################################################### -->
    <!-- ####################### end child items ################################### -->
    <!-- ########################################################################### -->
    <?php endif; ?>
    <!-- pagination -->
    <?php $pagination_str = $this->displayItemPagination($pg,$pagination['total'],"action=viewcategory&cid={$category['cid']}"); ?>
    <?php if ($pagination_str && ($category_meta_options['display_child_categories'] || $category_meta_options['display_items'])): ?>
        <div class="pagination"><?= $pagination_str; ?></div>
    <?php endif?>
    <!-- end pagination -->
    <?= $category['macro_processed_text_outside_article_bottom'] ?>
</div>