<?php
/**
 * Gallery Slideshow - Main page view template. Lists both categories and items with parent_id = 0 and category_id = 0 
 * 
 * Gallery Slideshow
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package galleryslideshow
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $HTMLHeader;

$this->CSS('galleryslideshow.css'); 

$slideshow_count = ___c($items);
$slideshow_css_id = ___h($this->block_name);
$slideshow_height = $height;
?> 
<?php if ($items): ?>
<x-ui:generic-slideshow id="<?= $slideshow_css_id ?>">
    <?php for ($i = 0; $i < $slideshow_count; $i++): ?>
        <?php $slide = $items[$i]; ?>
        <x-ui:slide-content id="test<?= $i ?>">
            <img class="slide_image" src="<?= $this->app->getGalleryImage('image_large', $slide['url_media_file'], $slide['category_id']); ?>" alt="<?= ___h($slide['title']); ?>" />
            <?php if (!empty($slide['title'])): ?>
                <x-ui:slide-header><?= ___h($slide['title']) ?></x-ui:slide-header>
            <?php endif ?>
            <?php if (!empty($slide['summary'])): ?>
                <x-ui:slide-text><?= $slide['summary']; ?></x-ui:slide-text>
            <?php endif ?>
        </x-ui:slide-content>
    <?php endfor ?>
</x-ui:generic-slideshow>
<?php endif; ?>