<?php
/**
 * Gallery Slideshow - Main page view template. Lists both categories and items with parent_id = 0 and category_id = 0 
 * 
 * Gallery Slideshow
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package galleryslideshow
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php
global $HTMLHeader;


$slideshow_count = ___c($items);
$slideshow_css_id = ___h($this->block_name);
$slideshow_height = $height;
?> 
<?php if ($items): ?>
    <section class="site-section testimonial-wrap">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-md-8 text-center">
            <h2 class="text-black h1 site-section-heading text-center"><?= ___('Testimonials') ?></h2>
          </div>
        </div>
      </div>
      <div class="slide-one-item home-slider owl-carousel" data-glide-el="track" id="testimonial-slider"> 
    <?php for ($i = 0; $i < $slideshow_count; $i++): ?>
        <?php $slide = $items[$i];  ?>
          
            <div class="testimonial" >

              <blockquote class="mb-5">
                <?= $slide['summary']; ?>
              </blockquote>
              <figure class="mb-4 d-flex align-items-center justify-content-center">
                <div><img src="<?= $this->app->getGalleryImage('image_small', $slide['url_media_file'], $slide['category_id']); ?>" alt="<?= ___h($slide['title']); ?>" class="w-50 img-fluid mb-3"></div>
                <p><?= ___h($slide['title']) ?></p>
              </figure>

            </div>
    <?php endfor ?>

        </div>
    </section>
<?php endif; ?>