<?php
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
if (!defined('SCHLIX_VERSION')) die('No Access');
?>
<?php $ga_tracking_method = (int) $ga_tracking_method; ?>
<?php if (!empty($tracking_id)): ?>
    <?php if ($ga_tracking_method === 1): ?>
    <script>
        (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
        })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

        ga('create', '<?= ___h($tracking_id) ?>', 'auto');
        ga('send', 'pageview');
    </script>
    <?php elseif ($ga_tracking_method === 2): ?>
    <script async src="https://www.googletagmanager.com/gtag/js?id=<?= ___h($tracking_id) ?>"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', '<?= ___h($tracking_id) ?>');
    </script>
    <?php else: ?>
    <script>
        var _gaq = _gaq || [];
        _gaq.push(['_setAccount', '<?= ___h($tracking_id) ?>']);
        _gaq.push(['_trackPageview']);
        <?php if ($domain_name && ($track_sub_domains || $track_multiple_top_level_domains)): ?>
        _gaq.push(['_setDomainName', '<?= ___h($domain_name) ?>']);
        <?php endif; ?>
        <?php if ($track_multiple_top_level_domains): ?>
        _gaq.push(['_setAllowLinker', true]); 
        <?php endif; ?>
        <?php if ($ga_support_ip_anonymization): ?>
        _gaq.push(['_gat._anonymizeIp']);
        <?php endif ?>
        <?php if ($ga_support_force_ssl): ?>
        _gaq.push(['_gat._forceSSL']);
        <?php endif ?>

        (function() {
          var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
              <?php if ($display_advertiser_support): ?>
          ga.src = ('https:' == document.location.protocol ? 'https://' : 'http://') + 'stats.g.doubleclick.net/dc.js';
              <?php else: ?>	
          ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
              <?php endif; ?>	
          var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
        })();
    </script>
    <?php endif ?>

    <?php else: ?>
    <!-- NOTE - Google Analytics was not set up correctly - please add a tracking ID -->
<script>
    console.error('Google Analytics in SCHLIX block was set up incorrectly. Please enter the tracking ID in the block configuration');
</script>
    
<?php endif ?>