<?php
if (!defined('SCHLIX_VERSION'))
    die('No Access');
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
// SCHLIX WEB CONTENT MANAGEMENT SYSTEM - Copyright (C) SCHLIX WEB INC.
// This is a SHARED SOURCE
// You may use this software commercially, but you are not allowed to create a fork or create a derivative of this software
// Please read the license for details
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++//
?>
<?php $menu_categories = (new \App\Core_Menu())->getAllCategories(); ?>

<label><?=  ___('Submenu icon') ?><br />
    <schlix-config:fonticon config-key="str_submenu_icon" config-default-value="fa fa-angle-right" class='btn btn-default' />
</label>
<schlix-config:radiogroup config-key="int_menu_id" label="<?= ('Menu Category') ?>">
    <?php foreach ($menu_categories as $choice): ?>
        <schlix-config:option value="<?= ___h($choice['cid']) ?>"><?= ___h($choice['title']) ?></schlix-config:option>
    <?php endforeach ?>
</schlix-config:radiogroup>  
<fieldset><legend><?= ___('Custom CSS class') ?></legend></fieldset>
<schlix-config:textbox config-key="str_dropdown_toggle_class" placeholder="<?= ___('Dropdown Toggle Class class') ?>" label="<?= ___('Dropdown Toggle Class class') ?>" config-default-value="dropdown" />
<x-ui:row>
    <x-ui:column md="9">
        <!-- ~~~~~~~~~~~~~~~~ begin ~~~~~~~~~~~~~~~ -->        
        <x-ui:form-group>
            <x-ui:input-group>
                <x-ui:input-group-addon>&lt;ul class=&quot;</x-ui:input-group-addon>
                <schlix-config:textbox config-key="str_custom_css_class" placeholder="<?= ___('UL class') ?>" disable-form-group="1" />
                <x-ui:input-group-addon>&quot;&gt;</x-ui:input-group-addon>
            </x-ui:input-group>
        </x-ui:form-group>

        <blockquote>
            <x-ui:row>
                <!-- li regular -->
                <x-ui:form-group>
                    <x-ui:input-group>
                        <x-ui:input-group-addon>&lt;li class=&quot;</x-ui:input-group-addon>
                        <schlix-config:textbox config-key="str_li_1_regular_class" placeholder="<?= ___('LI class') ?>" disable-form-group="1" />
                        <x-ui:input-group-addon>&quot;&gt;</x-ui:input-group-addon>
                        <x-ui:input-group-addon>&lt;a href=&quot;/link&quot; class=&quot;</x-ui:input-group-addon>
                        <schlix-config:textbox config-key="str_a_1_regular_class" placeholder="<?= ___('A class') ?>" disable-form-group="1" />
                        <x-ui:input-group-addon>&quot;&gt; <?= ___('First level regular') ?> &lt;/a&gt;</x-ui:input-group-addon>
                        <?php /* <x-ui:input-group-addon>&lt;/li&gt;</x-ui:input-group-addon> */ ?>
                    </x-ui:input-group>
                </x-ui:form-group>
                
                <!-- li dropdown -->
                <x-ui:form-group>
                    <x-ui:input-group>
                        <x-ui:input-group-addon>&lt;li class=&quot;</x-ui:input-group-addon>
                        <schlix-config:textbox config-key="str_li_1_dropdown_class" placeholder="<?= ___('LI class') ?>" disable-form-group="1" />
                        <x-ui:input-group-addon>&quot;&gt;</x-ui:input-group-addon>
                        <x-ui:input-group-addon>&lt;a href=&quot;/link&quot; class=&quot;</x-ui:input-group-addon>
                        <schlix-config:textbox config-key="str_a_1_dropdown_class" placeholder="<?= ___('A class') ?>" disable-form-group="1" />
                        <x-ui:input-group-addon>&quot;&gt; <?= ___('First level dropdown') ?> &lt;/a&gt;</x-ui:input-group-addon>
                        <?php /* <x-ui:input-group-addon>&lt;/li&gt;</x-ui:input-group-addon> */ ?>
                    </x-ui:input-group>
                </x-ui:form-group>
                <blockquote>
                    <!-- li submenu -->
                    <x-ui:form-group>
                        <x-ui:input-group>
                            <x-ui:input-group-addon><?= ___('Sub menu') ?> &lt;ul class=&quot;</x-ui:input-group-addon>
                            <schlix-config:textbox config-key="str_ul_2_class" placeholder="<?= ___('UL class') ?>" disable-form-group="1" />
                            <x-ui:input-group-addon>&quot;&gt;</x-ui:input-group-addon>
                        </x-ui:input-group>
                    </x-ui:form-group>
                    <blockquote>
                <!-- li regular -->
                <x-ui:form-group>
                    <x-ui:input-group>
                        <x-ui:input-group-addon>&lt;li class=&quot;</x-ui:input-group-addon>
                        <schlix-config:textbox config-key="str_li_2_regular_class" placeholder="<?= ___('LI class') ?>" disable-form-group="1" />
                        <x-ui:input-group-addon>&quot;&gt;</x-ui:input-group-addon>
                        <x-ui:input-group-addon>&lt;a href=&quot;/link&quot; class=&quot;</x-ui:input-group-addon>
                        <schlix-config:textbox config-key="str_a_2_regular_class" placeholder="<?= ___('A class') ?>" disable-form-group="1" />
                        <x-ui:input-group-addon>&quot;&gt; <?= ___('Sub menu item') ?>&lt;/a&gt;</x-ui:input-group-addon>
                        <?php /* <x-ui:input-group-addon>&lt;/li&gt;</x-ui:input-group-addon> */ ?>
                    </x-ui:input-group>
                </x-ui:form-group>                        
                        <x-ui:form-group>
                            <x-ui:input-group>
                                <x-ui:input-group-addon>&lt;li class=&quot;</x-ui:input-group-addon>
                                <schlix-config:textbox config-key="str_li_2_dropdown_class" placeholder="<?= ___('LI class') ?>" disable-form-group="1" />
                                <x-ui:input-group-addon>&quot;&gt;</x-ui:input-group-addon>
                                <x-ui:input-group-addon>&lt;a href=&quot;/link&quot; class=&quot;</x-ui:input-group-addon>
                                <schlix-config:textbox config-key="str_a_2_dropdown_class" placeholder="<?= ___('A class') ?>" disable-form-group="1" />
                                <x-ui:input-group-addon>&quot;&gt; <?= ___('Sub menu dropdown item') ?> &lt;/a&gt;</x-ui:input-group-addon>
                                <?php /* <x-ui:input-group-addon>&lt;/li&gt;</x-ui:input-group-addon> */ ?>
                            </x-ui:input-group>
                        </x-ui:form-group>
                    </blockquote>                    
                </blockquote>
            </x-ui:row>


        </blockquote>
        <!-- ~~~~~~~~~~~~~~~~ end ~~~~~~~~~~~~~~~ -->

    </x-ui:column>
</x-ui:row>