// Created by Josh Hunt
// joshhunt180@gmail.com
// v2.1.0
//tinymce.PluginManager.requireLangPack('fontawesome');
tinymce.PluginManager.add('fontawesome', function(editor, url) {

    var translate = tinymce.util.I18n.translate;
    var iconList =  [
    {
        "name": "500px",
        "id": "fab_500px",
        "unicode": "f26e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-500px"
    },
    {
        "name": "Accessible Icon",
        "id": "fab_accessible-icon",
        "unicode": "f368",
        "created": 1,
        "filter": [
            "accessibility",
            "handicap",
            "person",
            "wheelchair",
            "wheelchair-alt"
        ],
        "categories": [
            "Accessibility",
            "Health",
            "Users & People",
            "Vehicles",
            "Brand"
        ],
        "icon": "fab fa-accessible-icon"
    },
    {
        "name": "Accusoft",
        "id": "fab_accusoft",
        "unicode": "f369",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-accusoft"
    },
    {
        "name": "Acquisitions Incorporated",
        "id": "fab_acquisitions-incorporated",
        "unicode": "f6af",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "d&d",
            "dnd",
            "fantasy",
            "game",
            "gaming",
            "tabletop"
        ],
        "categories": [
            "Tabletop Gaming",
            "Brand"
        ],
        "icon": "fab fa-acquisitions-incorporated"
    },
    {
        "name": "Ad",
        "id": "fas_ad",
        "unicode": "f641",
        "created": 1,
        "filter": [
            "advertisement",
            "media",
            "newspaper",
            "promotion",
            "publicity"
        ],
        "categories": [
            "Marketing"
        ],
        "icon": "fas fa-ad"
    },
    {
        "name": "Address Book (solid)",
        "id": "fas_address-book",
        "unicode": "f2b9",
        "created": 1,
        "filter": [
            "contact",
            "directory",
            "index",
            "little black book",
            "rolodex"
        ],
        "categories": [
            "Business",
            "Communication",
            "Users & People"
        ],
        "icon": "fas fa-address-book"
    },
    {
        "name": "Address Book (regular)",
        "id": "far_address-book",
        "unicode": "f2b9",
        "created": 1,
        "filter": [
            "contact",
            "directory",
            "index",
            "little black book",
            "rolodex"
        ],
        "categories": [
            "Business",
            "Communication",
            "Users & People"
        ],
        "icon": "far fa-address-book"
    },
    {
        "name": "Address Card (solid)",
        "id": "fas_address-card",
        "unicode": "f2bb",
        "created": 1,
        "filter": [
            "about",
            "contact",
            "id",
            "identification",
            "postcard",
            "profile"
        ],
        "categories": [
            "Business",
            "Communication",
            "Users & People"
        ],
        "icon": "fas fa-address-card"
    },
    {
        "name": "Address Card (regular)",
        "id": "far_address-card",
        "unicode": "f2bb",
        "created": 1,
        "filter": [
            "about",
            "contact",
            "id",
            "identification",
            "postcard",
            "profile"
        ],
        "categories": [
            "Business",
            "Communication",
            "Users & People"
        ],
        "icon": "far fa-address-card"
    },
    {
        "name": "adjust",
        "id": "fas_adjust",
        "unicode": "f042",
        "created": 1,
        "filter": [
            "contrast",
            "dark",
            "light",
            "saturation"
        ],
        "categories": [
            "Design",
            "Images"
        ],
        "icon": "fas fa-adjust"
    },
    {
        "name": "App.net",
        "id": "fab_adn",
        "unicode": "f170",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-adn"
    },
    {
        "name": "Adversal",
        "id": "fab_adversal",
        "unicode": "f36a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-adversal"
    },
    {
        "name": "affiliatetheme",
        "id": "fab_affiliatetheme",
        "unicode": "f36b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-affiliatetheme"
    },
    {
        "name": "Air Freshener",
        "id": "fas_air-freshener",
        "unicode": "f5d0",
        "created": 1,
        "filter": [
            "car",
            "deodorize",
            "fresh",
            "pine",
            "scent"
        ],
        "categories": [
            "Automotive"
        ],
        "icon": "fas fa-air-freshener"
    },
    {
        "name": "Airbnb",
        "id": "fab_airbnb",
        "unicode": "f834",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-airbnb"
    },
    {
        "name": "Algolia",
        "id": "fab_algolia",
        "unicode": "f36c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-algolia"
    },
    {
        "name": "align-center",
        "id": "fas_align-center",
        "unicode": "f037",
        "created": 1,
        "filter": [
            "format",
            "middle",
            "paragraph",
            "text"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-align-center"
    },
    {
        "name": "align-justify",
        "id": "fas_align-justify",
        "unicode": "f039",
        "created": 1,
        "filter": [
            "format",
            "paragraph",
            "text"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-align-justify"
    },
    {
        "name": "align-left",
        "id": "fas_align-left",
        "unicode": "f036",
        "created": 1,
        "filter": [
            "format",
            "paragraph",
            "text"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-align-left"
    },
    {
        "name": "align-right",
        "id": "fas_align-right",
        "unicode": "f038",
        "created": 1,
        "filter": [
            "format",
            "paragraph",
            "text"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-align-right"
    },
    {
        "name": "Alipay",
        "id": "fab_alipay",
        "unicode": "f642",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-alipay"
    },
    {
        "name": "Allergies",
        "id": "fas_allergies",
        "unicode": "f461",
        "created": 1,
        "filter": [
            "allergy",
            "freckles",
            "hand",
            "hives",
            "pox",
            "skin",
            "spots"
        ],
        "categories": [
            "Hands",
            "Medical",
            "Spring"
        ],
        "icon": "fas fa-allergies"
    },
    {
        "name": "Amazon",
        "id": "fab_amazon",
        "unicode": "f270",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-amazon"
    },
    {
        "name": "Amazon Pay",
        "id": "fab_amazon-pay",
        "unicode": "f42c",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-amazon-pay"
    },
    {
        "name": "ambulance",
        "id": "fas_ambulance",
        "unicode": "f0f9",
        "created": 1,
        "filter": [
            "covid-19",
            "emergency",
            "emt",
            "er",
            "help",
            "hospital",
            "support",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Health",
            "Maps",
            "Medical",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-ambulance"
    },
    {
        "name": "American Sign Language Interpreting",
        "id": "fas_american-sign-language-interpreting",
        "unicode": "f2a3",
        "created": 1,
        "filter": [
            "asl",
            "deaf",
            "finger",
            "hand",
            "interpret",
            "speak"
        ],
        "categories": [
            "Accessibility",
            "Communication"
        ],
        "icon": "fas fa-american-sign-language-interpreting"
    },
    {
        "name": "Amilia",
        "id": "fab_amilia",
        "unicode": "f36d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-amilia"
    },
    {
        "name": "Anchor",
        "id": "fas_anchor",
        "unicode": "f13d",
        "created": 1,
        "filter": [
            "berth",
            "boat",
            "dock",
            "embed",
            "link",
            "maritime",
            "moor",
            "secure"
        ],
        "categories": [
            "Maps",
            "Maritime",
            "Objects",
            "Summer"
        ],
        "icon": "fas fa-anchor"
    },
    {
        "name": "Android",
        "id": "fab_android",
        "unicode": "f17b",
        "created": 1,
        "filter": [
            "robot"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-android"
    },
    {
        "name": "AngelList",
        "id": "fab_angellist",
        "unicode": "f209",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-angellist"
    },
    {
        "name": "Angle Double Down",
        "id": "fas_angle-double-down",
        "unicode": "f103",
        "created": 1,
        "filter": [
            "arrows",
            "caret",
            "download",
            "expand"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-angle-double-down"
    },
    {
        "name": "Angle Double Left",
        "id": "fas_angle-double-left",
        "unicode": "f100",
        "created": 1,
        "filter": [
            "arrows",
            "back",
            "caret",
            "laquo",
            "previous",
            "quote"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-angle-double-left"
    },
    {
        "name": "Angle Double Right",
        "id": "fas_angle-double-right",
        "unicode": "f101",
        "created": 1,
        "filter": [
            "arrows",
            "caret",
            "forward",
            "more",
            "next",
            "quote",
            "raquo"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-angle-double-right"
    },
    {
        "name": "Angle Double Up",
        "id": "fas_angle-double-up",
        "unicode": "f102",
        "created": 1,
        "filter": [
            "arrows",
            "caret",
            "collapse",
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-angle-double-up"
    },
    {
        "name": "angle-down",
        "id": "fas_angle-down",
        "unicode": "f107",
        "created": 1,
        "filter": [
            "arrow",
            "caret",
            "download",
            "expand"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-angle-down"
    },
    {
        "name": "angle-left",
        "id": "fas_angle-left",
        "unicode": "f104",
        "created": 1,
        "filter": [
            "arrow",
            "back",
            "caret",
            "less",
            "previous"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-angle-left"
    },
    {
        "name": "angle-right",
        "id": "fas_angle-right",
        "unicode": "f105",
        "created": 1,
        "filter": [
            "arrow",
            "care",
            "forward",
            "more",
            "next"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-angle-right"
    },
    {
        "name": "angle-up",
        "id": "fas_angle-up",
        "unicode": "f106",
        "created": 1,
        "filter": [
            "arrow",
            "caret",
            "collapse",
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-angle-up"
    },
    {
        "name": "Angry Face (solid)",
        "id": "fas_angry",
        "unicode": "f556",
        "created": 1,
        "filter": [
            "disapprove",
            "emoticon",
            "face",
            "mad",
            "upset"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-angry"
    },
    {
        "name": "Angry Face (regular)",
        "id": "far_angry",
        "unicode": "f556",
        "created": 1,
        "filter": [
            "disapprove",
            "emoticon",
            "face",
            "mad",
            "upset"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-angry"
    },
    {
        "name": "Angry Creative",
        "id": "fab_angrycreative",
        "unicode": "f36e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-angrycreative"
    },
    {
        "name": "Angular",
        "id": "fab_angular",
        "unicode": "f420",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-angular"
    },
    {
        "name": "Ankh",
        "id": "fas_ankh",
        "unicode": "f644",
        "created": 1,
        "filter": [
            "amulet",
            "copper",
            "coptic christianity",
            "copts",
            "crux ansata",
            "egypt",
            "venus"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-ankh"
    },
    {
        "name": "App Store",
        "id": "fab_app-store",
        "unicode": "f36f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-app-store"
    },
    {
        "name": "iOS App Store",
        "id": "fab_app-store-ios",
        "unicode": "f370",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-app-store-ios"
    },
    {
        "name": "Apper Systems AB",
        "id": "fab_apper",
        "unicode": "f371",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-apper"
    },
    {
        "name": "Apple",
        "id": "fab_apple",
        "unicode": "f179",
        "created": 1,
        "filter": [
            "fruit",
            "ios",
            "mac",
            "operating system",
            "os",
            "osx"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-apple"
    },
    {
        "name": "Fruit Apple",
        "id": "fas_apple-alt",
        "unicode": "f5d1",
        "created": 1,
        "filter": [
            "fall",
            "fruit",
            "fuji",
            "macintosh",
            "orchard",
            "seasonal",
            "vegan"
        ],
        "categories": [
            "Autumn",
            "Childhood",
            "Education",
            "Food",
            "Fruits & Vegetables"
        ],
        "icon": "fas fa-apple-alt"
    },
    {
        "name": "Apple Pay",
        "id": "fab_apple-pay",
        "unicode": "f415",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-apple-pay"
    },
    {
        "name": "Archive",
        "id": "fas_archive",
        "unicode": "f187",
        "created": 1,
        "filter": [
            "box",
            "package",
            "save",
            "storage"
        ],
        "categories": [
            "Business",
            "Code",
            "Files",
            "Moving",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-archive"
    },
    {
        "name": "Archway",
        "id": "fas_archway",
        "unicode": "f557",
        "created": 1,
        "filter": [
            "arc",
            "monument",
            "road",
            "street",
            "tunnel"
        ],
        "categories": [
            "Buildings",
            "Travel"
        ],
        "icon": "fas fa-archway"
    },
    {
        "name": "Alternate Arrow Circle Down (solid)",
        "id": "fas_arrow-alt-circle-down",
        "unicode": "f358",
        "created": 1,
        "filter": [
            "arrow-circle-o-down",
            "download"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-alt-circle-down"
    },
    {
        "name": "Alternate Arrow Circle Down (regular)",
        "id": "far_arrow-alt-circle-down",
        "unicode": "f358",
        "created": 1,
        "filter": [
            "arrow-circle-o-down",
            "download"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "far fa-arrow-alt-circle-down"
    },
    {
        "name": "Alternate Arrow Circle Left (solid)",
        "id": "fas_arrow-alt-circle-left",
        "unicode": "f359",
        "created": 1,
        "filter": [
            "arrow-circle-o-left",
            "back",
            "previous"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-alt-circle-left"
    },
    {
        "name": "Alternate Arrow Circle Left (regular)",
        "id": "far_arrow-alt-circle-left",
        "unicode": "f359",
        "created": 1,
        "filter": [
            "arrow-circle-o-left",
            "back",
            "previous"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "far fa-arrow-alt-circle-left"
    },
    {
        "name": "Alternate Arrow Circle Right (solid)",
        "id": "fas_arrow-alt-circle-right",
        "unicode": "f35a",
        "created": 1,
        "filter": [
            "arrow-circle-o-right",
            "forward",
            "next"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-alt-circle-right"
    },
    {
        "name": "Alternate Arrow Circle Right (regular)",
        "id": "far_arrow-alt-circle-right",
        "unicode": "f35a",
        "created": 1,
        "filter": [
            "arrow-circle-o-right",
            "forward",
            "next"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "far fa-arrow-alt-circle-right"
    },
    {
        "name": "Alternate Arrow Circle Up (solid)",
        "id": "fas_arrow-alt-circle-up",
        "unicode": "f35b",
        "created": 1,
        "filter": [
            "arrow-circle-o-up"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-alt-circle-up"
    },
    {
        "name": "Alternate Arrow Circle Up (regular)",
        "id": "far_arrow-alt-circle-up",
        "unicode": "f35b",
        "created": 1,
        "filter": [
            "arrow-circle-o-up"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "far fa-arrow-alt-circle-up"
    },
    {
        "name": "Arrow Circle Down",
        "id": "fas_arrow-circle-down",
        "unicode": "f0ab",
        "created": 1,
        "filter": [
            "download"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-circle-down"
    },
    {
        "name": "Arrow Circle Left",
        "id": "fas_arrow-circle-left",
        "unicode": "f0a8",
        "created": 1,
        "filter": [
            "back",
            "previous"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-circle-left"
    },
    {
        "name": "Arrow Circle Right",
        "id": "fas_arrow-circle-right",
        "unicode": "f0a9",
        "created": 1,
        "filter": [
            "forward",
            "next"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-circle-right"
    },
    {
        "name": "Arrow Circle Up",
        "id": "fas_arrow-circle-up",
        "unicode": "f0aa",
        "created": 1,
        "filter": [
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-circle-up"
    },
    {
        "name": "arrow-down",
        "id": "fas_arrow-down",
        "unicode": "f063",
        "created": 1,
        "filter": [
            "download"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-down"
    },
    {
        "name": "arrow-left",
        "id": "fas_arrow-left",
        "unicode": "f060",
        "created": 1,
        "filter": [
            "back",
            "previous"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-left"
    },
    {
        "name": "arrow-right",
        "id": "fas_arrow-right",
        "unicode": "f061",
        "created": 1,
        "filter": [
            "forward",
            "next"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-right"
    },
    {
        "name": "arrow-up",
        "id": "fas_arrow-up",
        "unicode": "f062",
        "created": 1,
        "filter": [
            "forward",
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrow-up"
    },
    {
        "name": "Alternate Arrows",
        "id": "fas_arrows-alt",
        "unicode": "f0b2",
        "created": 1,
        "filter": [
            "arrow",
            "arrows",
            "bigger",
            "enlarge",
            "expand",
            "fullscreen",
            "move",
            "position",
            "reorder",
            "resize"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrows-alt"
    },
    {
        "name": "Alternate Arrows Horizontal",
        "id": "fas_arrows-alt-h",
        "unicode": "f337",
        "created": 1,
        "filter": [
            "arrows-h",
            "expand",
            "horizontal",
            "landscape",
            "resize",
            "wide"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrows-alt-h"
    },
    {
        "name": "Alternate Arrows Vertical",
        "id": "fas_arrows-alt-v",
        "unicode": "f338",
        "created": 1,
        "filter": [
            "arrows-v",
            "expand",
            "portrait",
            "resize",
            "tall",
            "vertical"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-arrows-alt-v"
    },
    {
        "name": "Artstation",
        "id": "fab_artstation",
        "unicode": "f77a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-artstation"
    },
    {
        "name": "Assistive Listening Systems",
        "id": "fas_assistive-listening-systems",
        "unicode": "f2a2",
        "created": 1,
        "filter": [
            "amplify",
            "audio",
            "deaf",
            "ear",
            "headset",
            "hearing",
            "sound"
        ],
        "categories": [
            "Accessibility",
            "Communication"
        ],
        "icon": "fas fa-assistive-listening-systems"
    },
    {
        "name": "asterisk",
        "id": "fas_asterisk",
        "unicode": "f069",
        "created": 1,
        "filter": [
            "annotation",
            "details",
            "reference",
            "star"
        ],
        "categories": [
            "Spinners"
        ],
        "icon": "fas fa-asterisk"
    },
    {
        "name": "Asymmetrik, Ltd.",
        "id": "fab_asymmetrik",
        "unicode": "f372",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-asymmetrik"
    },
    {
        "name": "At",
        "id": "fas_at",
        "unicode": "f1fa",
        "created": 1,
        "filter": [
            "address",
            "author",
            "e-mail",
            "email",
            "handle"
        ],
        "categories": [
            "Communication"
        ],
        "icon": "fas fa-at"
    },
    {
        "name": "Atlas",
        "id": "fas_atlas",
        "unicode": "f558",
        "created": 1,
        "filter": [
            "book",
            "directions",
            "geography",
            "globe",
            "map",
            "travel",
            "wayfinding"
        ],
        "categories": [
            "Travel"
        ],
        "icon": "fas fa-atlas"
    },
    {
        "name": "Atlassian",
        "id": "fab_atlassian",
        "unicode": "f77b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-atlassian"
    },
    {
        "name": "Atom",
        "id": "fas_atom",
        "unicode": "f5d2",
        "created": 1,
        "filter": [
            "atheism",
            "chemistry",
            "electron",
            "ion",
            "isotope",
            "neutron",
            "nuclear",
            "proton",
            "science"
        ],
        "categories": [
            "Education",
            "Energy",
            "Religion",
            "Science",
            "Science Fiction",
            "Spinners"
        ],
        "icon": "fas fa-atom"
    },
    {
        "name": "Audible",
        "id": "fab_audible",
        "unicode": "f373",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-audible"
    },
    {
        "name": "Audio Description",
        "id": "fas_audio-description",
        "unicode": "f29e",
        "created": 1,
        "filter": [
            "blind",
            "narration",
            "video",
            "visual"
        ],
        "categories": [
            "Accessibility",
            "Audio & Video"
        ],
        "icon": "fas fa-audio-description"
    },
    {
        "name": "Autoprefixer",
        "id": "fab_autoprefixer",
        "unicode": "f41c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-autoprefixer"
    },
    {
        "name": "avianex",
        "id": "fab_avianex",
        "unicode": "f374",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-avianex"
    },
    {
        "name": "Aviato",
        "id": "fab_aviato",
        "unicode": "f421",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-aviato"
    },
    {
        "name": "Award",
        "id": "fas_award",
        "unicode": "f559",
        "created": 1,
        "filter": [
            "honor",
            "praise",
            "prize",
            "recognition",
            "ribbon",
            "trophy"
        ],
        "categories": [
            "Education",
            "Interfaces",
            "Objects",
            "Political"
        ],
        "icon": "fas fa-award"
    },
    {
        "name": "Amazon Web Services (AWS)",
        "id": "fab_aws",
        "unicode": "f375",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-aws"
    },
    {
        "name": "Baby",
        "id": "fas_baby",
        "unicode": "f77c",
        "created": 1,
        "filter": [
            "child",
            "diaper",
            "doll",
            "human",
            "infant",
            "kid",
            "offspring",
            "person",
            "sprout"
        ],
        "categories": [
            "Childhood",
            "Users & People"
        ],
        "icon": "fas fa-baby"
    },
    {
        "name": "Baby Carriage",
        "id": "fas_baby-carriage",
        "unicode": "f77d",
        "created": 1,
        "filter": [
            "buggy",
            "carrier",
            "infant",
            "push",
            "stroller",
            "transportation",
            "walk",
            "wheels"
        ],
        "categories": [
            "Childhood",
            "Hotel",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-baby-carriage"
    },
    {
        "name": "Backspace",
        "id": "fas_backspace",
        "unicode": "f55a",
        "created": 1,
        "filter": [
            "command",
            "delete",
            "erase",
            "keyboard",
            "undo"
        ],
        "icon": "fas fa-backspace",
        "categories": [
            "Childhood",
            "Hotel",
            "Objects",
            "Vehicles"
        ]
    },
    {
        "name": "backward",
        "id": "fas_backward",
        "unicode": "f04a",
        "created": 1,
        "filter": [
            "previous",
            "rewind"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-backward"
    },
    {
        "name": "Bacon",
        "id": "fas_bacon",
        "unicode": "f7e5",
        "created": 1,
        "filter": [
            "blt",
            "breakfast",
            "ham",
            "lard",
            "meat",
            "pancetta",
            "pork",
            "rasher"
        ],
        "categories": [
            "Food"
        ],
        "icon": "fas fa-bacon"
    },
    {
        "name": "Bacteria",
        "id": "fas_bacteria",
        "unicode": "e059",
        "created": 1,
        "filter": [
            "antibiotic",
            "antibody",
            "covid-19",
            "health",
            "organism",
            "sick"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-bacteria"
    },
    {
        "name": "Bacterium",
        "id": "fas_bacterium",
        "unicode": "e05a",
        "created": 1,
        "filter": [
            "antibiotic",
            "antibody",
            "covid-19",
            "health",
            "organism",
            "sick"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-bacterium"
    },
    {
        "name": "Bah\u00e1'\u00ed",
        "id": "fas_bahai",
        "unicode": "f666",
        "created": 1,
        "filter": [
            "bahai",
            "bah\u00e1'\u00ed",
            "star"
        ],
        "categories": [
            "Religion",
            "Spinners"
        ],
        "icon": "fas fa-bahai"
    },
    {
        "name": "Balance Scale",
        "id": "fas_balance-scale",
        "unicode": "f24e",
        "created": 1,
        "filter": [
            "balanced",
            "justice",
            "legal",
            "measure",
            "weight"
        ],
        "categories": [
            "Business",
            "Finance",
            "Maps",
            "Objects",
            "Political"
        ],
        "icon": "fas fa-balance-scale"
    },
    {
        "name": "Balance Scale (Left-Weighted)",
        "id": "fas_balance-scale-left",
        "unicode": "f515",
        "created": 1,
        "filter": [
            "justice",
            "legal",
            "measure",
            "unbalanced",
            "weight"
        ],
        "categories": [
            "Business",
            "Finance",
            "Maps",
            "Objects",
            "Political"
        ],
        "icon": "fas fa-balance-scale-left"
    },
    {
        "name": "Balance Scale (Right-Weighted)",
        "id": "fas_balance-scale-right",
        "unicode": "f516",
        "created": 1,
        "filter": [
            "justice",
            "legal",
            "measure",
            "unbalanced",
            "weight"
        ],
        "categories": [
            "Business",
            "Finance",
            "Maps",
            "Objects",
            "Political"
        ],
        "icon": "fas fa-balance-scale-right"
    },
    {
        "name": "ban",
        "id": "fas_ban",
        "unicode": "f05e",
        "created": 1,
        "filter": [
            "abort",
            "ban",
            "block",
            "cancel",
            "delete",
            "hide",
            "prohibit",
            "remove",
            "stop",
            "trash"
        ],
        "categories": [
            "Interfaces",
            "Security",
            "Status"
        ],
        "icon": "fas fa-ban"
    },
    {
        "name": "Band-Aid",
        "id": "fas_band-aid",
        "unicode": "f462",
        "created": 1,
        "filter": [
            "bandage",
            "boo boo",
            "first aid",
            "ouch"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-band-aid"
    },
    {
        "name": "Bandcamp",
        "id": "fab_bandcamp",
        "unicode": "f2d5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-bandcamp"
    },
    {
        "name": "barcode",
        "id": "fas_barcode",
        "unicode": "f02a",
        "created": 1,
        "filter": [
            "info",
            "laser",
            "price",
            "scan",
            "upc"
        ],
        "categories": [
            "Code",
            "Interfaces",
            "Shopping"
        ],
        "icon": "fas fa-barcode"
    },
    {
        "name": "Bars",
        "id": "fas_bars",
        "unicode": "f0c9",
        "created": 1,
        "filter": [
            "checklist",
            "drag",
            "hamburger",
            "list",
            "menu",
            "nav",
            "navigation",
            "ol",
            "reorder",
            "settings",
            "todo",
            "ul"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-bars"
    },
    {
        "name": "Baseball Ball",
        "id": "fas_baseball-ball",
        "unicode": "f433",
        "created": 1,
        "filter": [
            "foul",
            "hardball",
            "league",
            "leather",
            "mlb",
            "softball",
            "sport"
        ],
        "categories": [
            "Sports"
        ],
        "icon": "fas fa-baseball-ball"
    },
    {
        "name": "Basketball Ball",
        "id": "fas_basketball-ball",
        "unicode": "f434",
        "created": 1,
        "filter": [
            "dribble",
            "dunk",
            "hoop",
            "nba"
        ],
        "categories": [
            "Sports"
        ],
        "icon": "fas fa-basketball-ball"
    },
    {
        "name": "Bath",
        "id": "fas_bath",
        "unicode": "f2cd",
        "created": 1,
        "filter": [
            "clean",
            "shower",
            "tub",
            "wash"
        ],
        "categories": [
            "Childhood",
            "Code",
            "Hotel",
            "Household",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-bath"
    },
    {
        "name": "Battery Empty",
        "id": "fas_battery-empty",
        "unicode": "f244",
        "created": 1,
        "filter": [
            "charge",
            "dead",
            "power",
            "status"
        ],
        "categories": [
            "Energy",
            "Status"
        ],
        "icon": "fas fa-battery-empty"
    },
    {
        "name": "Battery Full",
        "id": "fas_battery-full",
        "unicode": "f240",
        "created": 1,
        "filter": [
            "charge",
            "power",
            "status"
        ],
        "categories": [
            "Energy",
            "Status"
        ],
        "icon": "fas fa-battery-full"
    },
    {
        "name": "Battery 1\/2 Full",
        "id": "fas_battery-half",
        "unicode": "f242",
        "created": 1,
        "filter": [
            "charge",
            "power",
            "status"
        ],
        "categories": [
            "Energy",
            "Status"
        ],
        "icon": "fas fa-battery-half"
    },
    {
        "name": "Battery 1\/4 Full",
        "id": "fas_battery-quarter",
        "unicode": "f243",
        "created": 1,
        "filter": [
            "charge",
            "low",
            "power",
            "status"
        ],
        "categories": [
            "Energy",
            "Status"
        ],
        "icon": "fas fa-battery-quarter"
    },
    {
        "name": "Battery 3\/4 Full",
        "id": "fas_battery-three-quarters",
        "unicode": "f241",
        "created": 1,
        "filter": [
            "charge",
            "power",
            "status"
        ],
        "categories": [
            "Energy",
            "Status"
        ],
        "icon": "fas fa-battery-three-quarters"
    },
    {
        "name": "Battle.net",
        "id": "fab_battle-net",
        "unicode": "f835",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-battle-net"
    },
    {
        "name": "Bed",
        "id": "fas_bed",
        "unicode": "f236",
        "created": 1,
        "filter": [
            "lodging",
            "mattress",
            "rest",
            "sleep",
            "travel"
        ],
        "categories": [
            "Hotel",
            "Household",
            "Maps",
            "Objects",
            "Travel",
            "Users & People"
        ],
        "icon": "fas fa-bed"
    },
    {
        "name": "beer",
        "id": "fas_beer",
        "unicode": "f0fc",
        "created": 1,
        "filter": [
            "alcohol",
            "ale",
            "bar",
            "beverage",
            "brewery",
            "drink",
            "lager",
            "liquor",
            "mug",
            "stein"
        ],
        "categories": [
            "Beverage",
            "Interfaces",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-beer"
    },
    {
        "name": "Behance",
        "id": "fab_behance",
        "unicode": "f1b4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-behance"
    },
    {
        "name": "Behance Square",
        "id": "fab_behance-square",
        "unicode": "f1b5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-behance-square"
    },
    {
        "name": "bell (solid)",
        "id": "fas_bell",
        "unicode": "f0f3",
        "created": 1,
        "filter": [
            "alarm",
            "alert",
            "chime",
            "notification",
            "reminder"
        ],
        "categories": [
            "Alert",
            "Communication",
            "Date & Time",
            "Education",
            "Household",
            "Interfaces",
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Social",
            "Status"
        ],
        "icon": "fas fa-bell"
    },
    {
        "name": "bell (regular)",
        "id": "far_bell",
        "unicode": "f0f3",
        "created": 1,
        "filter": [
            "alarm",
            "alert",
            "chime",
            "notification",
            "reminder"
        ],
        "categories": [
            "Alert",
            "Communication",
            "Date & Time",
            "Education",
            "Household",
            "Interfaces",
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Social",
            "Status"
        ],
        "icon": "far fa-bell"
    },
    {
        "name": "Bell Slash (solid)",
        "id": "fas_bell-slash",
        "unicode": "f1f6",
        "created": 1,
        "filter": [
            "alert",
            "cancel",
            "disabled",
            "notification",
            "off",
            "reminder"
        ],
        "categories": [
            "Alert",
            "Communication",
            "Date & Time",
            "Education",
            "Interfaces",
            "Maps",
            "Status"
        ],
        "icon": "fas fa-bell-slash"
    },
    {
        "name": "Bell Slash (regular)",
        "id": "far_bell-slash",
        "unicode": "f1f6",
        "created": 1,
        "filter": [
            "alert",
            "cancel",
            "disabled",
            "notification",
            "off",
            "reminder"
        ],
        "categories": [
            "Alert",
            "Communication",
            "Date & Time",
            "Education",
            "Interfaces",
            "Maps",
            "Status"
        ],
        "icon": "far fa-bell-slash"
    },
    {
        "name": "Bezier Curve",
        "id": "fas_bezier-curve",
        "unicode": "f55b",
        "created": 1,
        "filter": [
            "curves",
            "illustrator",
            "lines",
            "path",
            "vector"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-bezier-curve"
    },
    {
        "name": "Bible",
        "id": "fas_bible",
        "unicode": "f647",
        "created": 1,
        "filter": [
            "book",
            "catholicism",
            "christianity",
            "god",
            "holy"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-bible"
    },
    {
        "name": "Bicycle",
        "id": "fas_bicycle",
        "unicode": "f206",
        "created": 1,
        "filter": [
            "bike",
            "gears",
            "pedal",
            "transportation",
            "vehicle"
        ],
        "categories": [
            "Fitness",
            "Maps",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-bicycle"
    },
    {
        "name": "Biking",
        "id": "fas_biking",
        "unicode": "f84a",
        "created": 1,
        "filter": [
            "bicycle",
            "bike",
            "cycle",
            "cycling",
            "ride",
            "wheel"
        ],
        "categories": [
            "Childhood",
            "Fitness",
            "Sports",
            "Summer",
            "Users & People"
        ],
        "icon": "fas fa-biking"
    },
    {
        "name": "BIMobject",
        "id": "fab_bimobject",
        "unicode": "f378",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-bimobject"
    },
    {
        "name": "Binoculars",
        "id": "fas_binoculars",
        "unicode": "f1e5",
        "created": 1,
        "filter": [
            "glasses",
            "magnify",
            "scenic",
            "spyglass",
            "view"
        ],
        "categories": [
            "Camping",
            "Maps",
            "Maritime",
            "Objects"
        ],
        "icon": "fas fa-binoculars"
    },
    {
        "name": "Biohazard",
        "id": "fas_biohazard",
        "unicode": "f780",
        "created": 1,
        "filter": [
            "covid-19",
            "danger",
            "dangerous",
            "hazmat",
            "medical",
            "radioactive",
            "toxic",
            "waste",
            "zombie"
        ],
        "categories": [
            "Medical",
            "Science"
        ],
        "icon": "fas fa-biohazard"
    },
    {
        "name": "Birthday Cake",
        "id": "fas_birthday-cake",
        "unicode": "f1fd",
        "created": 1,
        "filter": [
            "anniversary",
            "bakery",
            "candles",
            "celebration",
            "dessert",
            "frosting",
            "holiday",
            "party",
            "pastry"
        ],
        "categories": [
            "Business",
            "Childhood",
            "Maps",
            "Objects",
            "Social"
        ],
        "icon": "fas fa-birthday-cake"
    },
    {
        "name": "Bitbucket",
        "id": "fab_bitbucket",
        "unicode": "f171",
        "created": 1,
        "filter": [
            "atlassian",
            "bitbucket-square",
            "git"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-bitbucket"
    },
    {
        "name": "Bitcoin",
        "id": "fab_bitcoin",
        "unicode": "f379",
        "created": 1,
        "filter": [],
        "categories": [
            "Currency",
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-bitcoin"
    },
    {
        "name": "Bity",
        "id": "fab_bity",
        "unicode": "f37a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-bity"
    },
    {
        "name": "Font Awesome Black Tie",
        "id": "fab_black-tie",
        "unicode": "f27e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-black-tie"
    },
    {
        "name": "BlackBerry",
        "id": "fab_blackberry",
        "unicode": "f37b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-blackberry"
    },
    {
        "name": "Blender",
        "id": "fas_blender",
        "unicode": "f517",
        "created": 1,
        "filter": [
            "cocktail",
            "milkshake",
            "mixer",
            "puree",
            "smoothie"
        ],
        "categories": [
            "Beverage",
            "Household",
            "Objects"
        ],
        "icon": "fas fa-blender"
    },
    {
        "name": "Blender Phone",
        "id": "fas_blender-phone",
        "unicode": "f6b6",
        "created": 1,
        "filter": [
            "appliance",
            "cocktail",
            "communication",
            "fantasy",
            "milkshake",
            "mixer",
            "puree",
            "silly",
            "smoothie"
        ],
        "icon": "fas fa-blender-phone",
        "categories": [
            "Beverage",
            "Household",
            "Objects"
        ]
    },
    {
        "name": "Blind",
        "id": "fas_blind",
        "unicode": "f29d",
        "created": 1,
        "filter": [
            "cane",
            "disability",
            "person",
            "sight"
        ],
        "categories": [
            "Accessibility",
            "Maps",
            "Users & People"
        ],
        "icon": "fas fa-blind"
    },
    {
        "name": "Blog",
        "id": "fas_blog",
        "unicode": "f781",
        "created": 1,
        "filter": [
            "journal",
            "log",
            "online",
            "personal",
            "post",
            "web 2.0",
            "wordpress",
            "writing"
        ],
        "categories": [
            "Interfaces",
            "Writing"
        ],
        "icon": "fas fa-blog"
    },
    {
        "name": "Blogger",
        "id": "fab_blogger",
        "unicode": "f37c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-blogger"
    },
    {
        "name": "Blogger B",
        "id": "fab_blogger-b",
        "unicode": "f37d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-blogger-b"
    },
    {
        "name": "Bluetooth",
        "id": "fab_bluetooth",
        "unicode": "f293",
        "created": 1,
        "filter": [],
        "categories": [
            "Communication",
            "Brand"
        ],
        "icon": "fab fa-bluetooth"
    },
    {
        "name": "Bluetooth",
        "id": "fab_bluetooth-b",
        "unicode": "f294",
        "created": 1,
        "filter": [],
        "categories": [
            "Communication",
            "Brand"
        ],
        "icon": "fab fa-bluetooth-b"
    },
    {
        "name": "bold",
        "id": "fas_bold",
        "unicode": "f032",
        "created": 1,
        "filter": [
            "emphasis",
            "format",
            "text"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-bold"
    },
    {
        "name": "Lightning Bolt",
        "id": "fas_bolt",
        "unicode": "f0e7",
        "created": 1,
        "filter": [
            "electricity",
            "lightning",
            "weather",
            "zap"
        ],
        "categories": [
            "Images",
            "Weather"
        ],
        "icon": "fas fa-bolt"
    },
    {
        "name": "Bomb",
        "id": "fas_bomb",
        "unicode": "f1e2",
        "created": 1,
        "filter": [
            "error",
            "explode",
            "fuse",
            "grenade",
            "warning"
        ],
        "categories": [
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-bomb"
    },
    {
        "name": "Bone",
        "id": "fas_bone",
        "unicode": "f5d7",
        "created": 1,
        "filter": [
            "calcium",
            "dog",
            "skeletal",
            "skeleton",
            "tibia"
        ],
        "categories": [
            "Food",
            "Medical"
        ],
        "icon": "fas fa-bone"
    },
    {
        "name": "Bong",
        "id": "fas_bong",
        "unicode": "f55c",
        "created": 1,
        "filter": [
            "aparatus",
            "cannabis",
            "marijuana",
            "pipe",
            "smoke",
            "smoking"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-bong"
    },
    {
        "name": "book",
        "id": "fas_book",
        "unicode": "f02d",
        "created": 1,
        "filter": [
            "diary",
            "documentation",
            "journal",
            "library",
            "read"
        ],
        "categories": [
            "Business",
            "Finance",
            "Maps",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-book"
    },
    {
        "name": "Book of the Dead",
        "id": "fas_book-dead",
        "unicode": "f6b7",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "crossbones",
            "d&d",
            "dark arts",
            "death",
            "dnd",
            "documentation",
            "evil",
            "fantasy",
            "halloween",
            "holiday",
            "necronomicon",
            "read",
            "skull",
            "spell"
        ],
        "categories": [
            "Tabletop Gaming",
            "Halloween",
            "Objects"
        ],
        "icon": "fas fa-book-dead"
    },
    {
        "name": "Medical Book",
        "id": "fas_book-medical",
        "unicode": "f7e6",
        "created": 1,
        "filter": [
            "diary",
            "documentation",
            "health",
            "history",
            "journal",
            "library",
            "read",
            "record"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-book-medical"
    },
    {
        "name": "Book Open",
        "id": "fas_book-open",
        "unicode": "f518",
        "created": 1,
        "filter": [
            "flyer",
            "library",
            "notebook",
            "open book",
            "pamphlet",
            "reading"
        ],
        "categories": [
            "Education"
        ],
        "icon": "fas fa-book-open"
    },
    {
        "name": "Book Reader",
        "id": "fas_book-reader",
        "unicode": "f5da",
        "created": 1,
        "filter": [
            "flyer",
            "library",
            "notebook",
            "open book",
            "pamphlet",
            "reading"
        ],
        "categories": [
            "Education"
        ],
        "icon": "fas fa-book-reader"
    },
    {
        "name": "bookmark (solid)",
        "id": "fas_bookmark",
        "unicode": "f02e",
        "created": 1,
        "filter": [
            "favorite",
            "marker",
            "read",
            "remember",
            "save"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Shapes",
            "Writing"
        ],
        "icon": "fas fa-bookmark"
    },
    {
        "name": "bookmark (regular)",
        "id": "far_bookmark",
        "unicode": "f02e",
        "created": 1,
        "filter": [
            "favorite",
            "marker",
            "read",
            "remember",
            "save"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Shapes",
            "Writing"
        ],
        "icon": "far fa-bookmark"
    },
    {
        "name": "Bootstrap",
        "id": "fab_bootstrap",
        "unicode": "f836",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-bootstrap"
    },
    {
        "name": "Border All",
        "id": "fas_border-all",
        "unicode": "f84c",
        "created": 1,
        "filter": [
            "cell",
            "grid",
            "outline",
            "stroke",
            "table"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-border-all"
    },
    {
        "name": "Border None",
        "id": "fas_border-none",
        "unicode": "f850",
        "created": 1,
        "filter": [
            "cell",
            "grid",
            "outline",
            "stroke",
            "table"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-border-none"
    },
    {
        "name": "Border Style",
        "id": "fas_border-style",
        "unicode": "f853",
        "created": 1,
        "filter": [],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-border-style"
    },
    {
        "name": "Bowling Ball",
        "id": "fas_bowling-ball",
        "unicode": "f436",
        "created": 1,
        "filter": [
            "alley",
            "candlepin",
            "gutter",
            "lane",
            "strike",
            "tenpin"
        ],
        "categories": [
            "Sports"
        ],
        "icon": "fas fa-bowling-ball"
    },
    {
        "name": "Box",
        "id": "fas_box",
        "unicode": "f466",
        "created": 1,
        "filter": [
            "archive",
            "container",
            "package",
            "storage"
        ],
        "categories": [
            "Logistics"
        ],
        "icon": "fas fa-box"
    },
    {
        "name": "Box Open",
        "id": "fas_box-open",
        "unicode": "f49e",
        "created": 1,
        "filter": [
            "archive",
            "container",
            "package",
            "storage",
            "unpack"
        ],
        "categories": [
            "Moving"
        ],
        "icon": "fas fa-box-open"
    },
    {
        "name": "Tissue Box",
        "id": "fas_box-tissue",
        "unicode": "e05b",
        "created": 1,
        "filter": [
            "cough",
            "covid-19",
            "kleenex",
            "mucus",
            "nose",
            "sneeze",
            "snot"
        ],
        "categories": [
            "Household"
        ],
        "icon": "fas fa-box-tissue"
    },
    {
        "name": "Boxes",
        "id": "fas_boxes",
        "unicode": "f468",
        "created": 1,
        "filter": [
            "archives",
            "inventory",
            "storage",
            "warehouse"
        ],
        "categories": [
            "Logistics"
        ],
        "icon": "fas fa-boxes"
    },
    {
        "name": "Braille",
        "id": "fas_braille",
        "unicode": "f2a1",
        "created": 1,
        "filter": [
            "alphabet",
            "blind",
            "dots",
            "raised",
            "vision"
        ],
        "categories": [
            "Accessibility"
        ],
        "icon": "fas fa-braille"
    },
    {
        "name": "Brain",
        "id": "fas_brain",
        "unicode": "f5dc",
        "created": 1,
        "filter": [
            "cerebellum",
            "gray matter",
            "intellect",
            "medulla oblongata",
            "mind",
            "noodle",
            "wit"
        ],
        "categories": [
            "Medical",
            "Science"
        ],
        "icon": "fas fa-brain"
    },
    {
        "name": "Bread Slice",
        "id": "fas_bread-slice",
        "unicode": "f7ec",
        "created": 1,
        "filter": [
            "bake",
            "bakery",
            "baking",
            "dough",
            "flour",
            "gluten",
            "grain",
            "sandwich",
            "sourdough",
            "toast",
            "wheat",
            "yeast"
        ],
        "categories": [
            "Food"
        ],
        "icon": "fas fa-bread-slice"
    },
    {
        "name": "Briefcase",
        "id": "fas_briefcase",
        "unicode": "f0b1",
        "created": 1,
        "filter": [
            "bag",
            "business",
            "luggage",
            "office",
            "work"
        ],
        "categories": [
            "Business",
            "Hotel",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-briefcase"
    },
    {
        "name": "Medical Briefcase",
        "id": "fas_briefcase-medical",
        "unicode": "f469",
        "created": 1,
        "filter": [
            "doctor",
            "emt",
            "first aid",
            "health"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-briefcase-medical"
    },
    {
        "name": "Broadcast Tower",
        "id": "fas_broadcast-tower",
        "unicode": "f519",
        "created": 1,
        "filter": [
            "airwaves",
            "antenna",
            "radio",
            "reception",
            "waves"
        ],
        "categories": [
            "Audio & Video",
            "Communication",
            "Energy",
            "Objects"
        ],
        "icon": "fas fa-broadcast-tower"
    },
    {
        "name": "Broom",
        "id": "fas_broom",
        "unicode": "f51a",
        "created": 1,
        "filter": [
            "clean",
            "firebolt",
            "fly",
            "halloween",
            "nimbus 2000",
            "quidditch",
            "sweep",
            "witch"
        ],
        "categories": [
            "Halloween",
            "Spring"
        ],
        "icon": "fas fa-broom"
    },
    {
        "name": "Brush",
        "id": "fas_brush",
        "unicode": "f55d",
        "created": 1,
        "filter": [
            "art",
            "bristles",
            "color",
            "handle",
            "paint"
        ],
        "categories": [
            "Construction",
            "Design"
        ],
        "icon": "fas fa-brush"
    },
    {
        "name": "BTC",
        "id": "fab_btc",
        "unicode": "f15a",
        "created": 1,
        "filter": [],
        "categories": [
            "Currency",
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-btc"
    },
    {
        "name": "Buffer",
        "id": "fab_buffer",
        "unicode": "f837",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-buffer"
    },
    {
        "name": "Bug",
        "id": "fas_bug",
        "unicode": "f188",
        "created": 1,
        "filter": [
            "beetle",
            "error",
            "insect",
            "report"
        ],
        "categories": [
            "Code",
            "Interfaces",
            "Objects",
            "Security"
        ],
        "icon": "fas fa-bug"
    },
    {
        "name": "Building (solid)",
        "id": "fas_building",
        "unicode": "f1ad",
        "created": 1,
        "filter": [
            "apartment",
            "business",
            "city",
            "company",
            "office",
            "work"
        ],
        "categories": [
            "Buildings",
            "Business",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-building"
    },
    {
        "name": "Building (regular)",
        "id": "far_building",
        "unicode": "f1ad",
        "created": 1,
        "filter": [
            "apartment",
            "business",
            "city",
            "company",
            "office",
            "work"
        ],
        "categories": [
            "Buildings",
            "Business",
            "Maps",
            "Objects"
        ],
        "icon": "far fa-building"
    },
    {
        "name": "bullhorn",
        "id": "fas_bullhorn",
        "unicode": "f0a1",
        "created": 1,
        "filter": [
            "announcement",
            "broadcast",
            "louder",
            "megaphone",
            "share"
        ],
        "categories": [
            "Business",
            "Communication",
            "Interfaces",
            "Marketing",
            "Objects",
            "Payments & Shopping",
            "Political"
        ],
        "icon": "fas fa-bullhorn"
    },
    {
        "name": "Bullseye",
        "id": "fas_bullseye",
        "unicode": "f140",
        "created": 1,
        "filter": [
            "archery",
            "goal",
            "objective",
            "target"
        ],
        "categories": [
            "Business",
            "Interfaces",
            "Marketing",
            "Objects",
            "Toggle"
        ],
        "icon": "fas fa-bullseye"
    },
    {
        "name": "Burn",
        "id": "fas_burn",
        "unicode": "f46a",
        "created": 1,
        "filter": [
            "caliente",
            "energy",
            "fire",
            "flame",
            "gas",
            "heat",
            "hot"
        ],
        "categories": [
            "Energy",
            "Fitness",
            "Medical",
            "Science"
        ],
        "icon": "fas fa-burn"
    },
    {
        "name": "B\u00fcrom\u00f6bel-Experte GmbH & Co. KG.",
        "id": "fab_buromobelexperte",
        "unicode": "f37f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-buromobelexperte"
    },
    {
        "name": "Bus",
        "id": "fas_bus",
        "unicode": "f207",
        "created": 1,
        "filter": [
            "public transportation",
            "transportation",
            "travel",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Objects",
            "Travel",
            "Vehicles"
        ],
        "icon": "fas fa-bus"
    },
    {
        "name": "Bus Alt",
        "id": "fas_bus-alt",
        "unicode": "f55e",
        "created": 1,
        "filter": [
            "mta",
            "public transportation",
            "transportation",
            "travel",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Travel",
            "Vehicles"
        ],
        "icon": "fas fa-bus-alt"
    },
    {
        "name": "Business Time",
        "id": "fas_business-time",
        "unicode": "f64a",
        "created": 1,
        "filter": [
            "alarm",
            "briefcase",
            "business socks",
            "clock",
            "flight of the conchords",
            "reminder",
            "wednesday"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-business-time"
    },
    {
        "name": "Buy n Large",
        "id": "fab_buy-n-large",
        "unicode": "f8a6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-buy-n-large"
    },
    {
        "name": "BuySellAds",
        "id": "fab_buysellads",
        "unicode": "f20d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-buysellads"
    },
    {
        "name": "Calculator",
        "id": "fas_calculator",
        "unicode": "f1ec",
        "created": 1,
        "filter": [
            "abacus",
            "addition",
            "arithmetic",
            "counting",
            "math",
            "multiplication",
            "subtraction"
        ],
        "categories": [
            "Business",
            "Interfaces",
            "Mathematics",
            "Objects"
        ],
        "icon": "fas fa-calculator"
    },
    {
        "name": "Calendar (solid)",
        "id": "fas_calendar",
        "unicode": "f133",
        "created": 1,
        "filter": [
            "calendar-o",
            "date",
            "event",
            "schedule",
            "time",
            "when"
        ],
        "categories": [
            "Business",
            "Date & Time",
            "Interfaces",
            "Objects",
            "Shapes",
            "Status"
        ],
        "icon": "fas fa-calendar"
    },
    {
        "name": "Calendar (regular)",
        "id": "far_calendar",
        "unicode": "f133",
        "created": 1,
        "filter": [
            "calendar-o",
            "date",
            "event",
            "schedule",
            "time",
            "when"
        ],
        "categories": [
            "Business",
            "Date & Time",
            "Interfaces",
            "Objects",
            "Shapes",
            "Status"
        ],
        "icon": "far fa-calendar"
    },
    {
        "name": "Alternate Calendar (solid)",
        "id": "fas_calendar-alt",
        "unicode": "f073",
        "created": 1,
        "filter": [
            "calendar",
            "date",
            "event",
            "schedule",
            "time",
            "when"
        ],
        "categories": [
            "Business",
            "Date & Time",
            "Interfaces",
            "Objects",
            "Status"
        ],
        "icon": "fas fa-calendar-alt"
    },
    {
        "name": "Alternate Calendar (regular)",
        "id": "far_calendar-alt",
        "unicode": "f073",
        "created": 1,
        "filter": [
            "calendar",
            "date",
            "event",
            "schedule",
            "time",
            "when"
        ],
        "categories": [
            "Business",
            "Date & Time",
            "Interfaces",
            "Objects",
            "Status"
        ],
        "icon": "far fa-calendar-alt"
    },
    {
        "name": "Calendar Check (solid)",
        "id": "fas_calendar-check",
        "unicode": "f274",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "appointment",
            "confirm",
            "correct",
            "date",
            "done",
            "event",
            "ok",
            "schedule",
            "select",
            "success",
            "tick",
            "time",
            "todo",
            "when"
        ],
        "categories": [
            "Date & Time",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-calendar-check"
    },
    {
        "name": "Calendar Check (regular)",
        "id": "far_calendar-check",
        "unicode": "f274",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "appointment",
            "confirm",
            "correct",
            "date",
            "done",
            "event",
            "ok",
            "schedule",
            "select",
            "success",
            "tick",
            "time",
            "todo",
            "when"
        ],
        "categories": [
            "Date & Time",
            "Interfaces",
            "Status"
        ],
        "icon": "far fa-calendar-check"
    },
    {
        "name": "Calendar with Day Focus",
        "id": "fas_calendar-day",
        "unicode": "f783",
        "created": 1,
        "filter": [
            "date",
            "detail",
            "event",
            "focus",
            "schedule",
            "single day",
            "time",
            "today",
            "when"
        ],
        "categories": [
            "Status"
        ],
        "icon": "fas fa-calendar-day"
    },
    {
        "name": "Calendar Minus (solid)",
        "id": "fas_calendar-minus",
        "unicode": "f272",
        "created": 1,
        "filter": [
            "calendar",
            "date",
            "delete",
            "event",
            "negative",
            "remove",
            "schedule",
            "time",
            "when"
        ],
        "categories": [
            "Date & Time",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-calendar-minus"
    },
    {
        "name": "Calendar Minus (regular)",
        "id": "far_calendar-minus",
        "unicode": "f272",
        "created": 1,
        "filter": [
            "calendar",
            "date",
            "delete",
            "event",
            "negative",
            "remove",
            "schedule",
            "time",
            "when"
        ],
        "categories": [
            "Date & Time",
            "Interfaces",
            "Status"
        ],
        "icon": "far fa-calendar-minus"
    },
    {
        "name": "Calendar Plus (solid)",
        "id": "fas_calendar-plus",
        "unicode": "f271",
        "created": 1,
        "filter": [
            "add",
            "calendar",
            "create",
            "date",
            "event",
            "new",
            "positive",
            "schedule",
            "time",
            "when"
        ],
        "categories": [
            "Date & Time",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-calendar-plus"
    },
    {
        "name": "Calendar Plus (regular)",
        "id": "far_calendar-plus",
        "unicode": "f271",
        "created": 1,
        "filter": [
            "add",
            "calendar",
            "create",
            "date",
            "event",
            "new",
            "positive",
            "schedule",
            "time",
            "when"
        ],
        "categories": [
            "Date & Time",
            "Interfaces",
            "Status"
        ],
        "icon": "far fa-calendar-plus"
    },
    {
        "name": "Calendar Times (solid)",
        "id": "fas_calendar-times",
        "unicode": "f273",
        "created": 1,
        "filter": [
            "archive",
            "calendar",
            "date",
            "delete",
            "event",
            "remove",
            "schedule",
            "time",
            "when",
            "x"
        ],
        "categories": [
            "Date & Time",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-calendar-times"
    },
    {
        "name": "Calendar Times (regular)",
        "id": "far_calendar-times",
        "unicode": "f273",
        "created": 1,
        "filter": [
            "archive",
            "calendar",
            "date",
            "delete",
            "event",
            "remove",
            "schedule",
            "time",
            "when",
            "x"
        ],
        "categories": [
            "Date & Time",
            "Interfaces",
            "Status"
        ],
        "icon": "far fa-calendar-times"
    },
    {
        "name": "Calendar with Week Focus",
        "id": "fas_calendar-week",
        "unicode": "f784",
        "created": 1,
        "filter": [
            "date",
            "detail",
            "event",
            "focus",
            "schedule",
            "single week",
            "time",
            "today",
            "when"
        ],
        "categories": [
            "Status"
        ],
        "icon": "fas fa-calendar-week"
    },
    {
        "name": "camera",
        "id": "fas_camera",
        "unicode": "f030",
        "created": 1,
        "filter": [
            "image",
            "lens",
            "photo",
            "picture",
            "record",
            "shutter",
            "video"
        ],
        "categories": [
            "Images",
            "Objects",
            "Payments & Shopping",
            "Social"
        ],
        "icon": "fas fa-camera"
    },
    {
        "name": "Retro Camera",
        "id": "fas_camera-retro",
        "unicode": "f083",
        "created": 1,
        "filter": [
            "image",
            "lens",
            "photo",
            "picture",
            "record",
            "shutter",
            "video"
        ],
        "categories": [
            "Images",
            "Objects",
            "Payments & Shopping"
        ],
        "icon": "fas fa-camera-retro"
    },
    {
        "name": "Campground",
        "id": "fas_campground",
        "unicode": "f6bb",
        "created": 1,
        "filter": [
            "camping",
            "fall",
            "outdoors",
            "teepee",
            "tent",
            "tipi"
        ],
        "categories": [
            "Autumn",
            "Buildings",
            "Camping"
        ],
        "icon": "fas fa-campground"
    },
    {
        "name": "Canadian Maple Leaf",
        "id": "fab_canadian-maple-leaf",
        "unicode": "f785",
        "created": 1,
        "filter": [
            "canada",
            "flag",
            "flora",
            "nature",
            "plant"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-canadian-maple-leaf"
    },
    {
        "name": "Candy Cane",
        "id": "fas_candy-cane",
        "unicode": "f786",
        "created": 1,
        "filter": [
            "candy",
            "christmas",
            "holiday",
            "mint",
            "peppermint",
            "striped",
            "xmas"
        ],
        "categories": [
            "Food",
            "Holiday",
            "Objects"
        ],
        "icon": "fas fa-candy-cane"
    },
    {
        "name": "Cannabis",
        "id": "fas_cannabis",
        "unicode": "f55f",
        "created": 1,
        "filter": [
            "bud",
            "chronic",
            "drugs",
            "endica",
            "endo",
            "ganja",
            "marijuana",
            "mary jane",
            "pot",
            "reefer",
            "sativa",
            "spliff",
            "weed",
            "whacky-tabacky"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-cannabis"
    },
    {
        "name": "Capsules",
        "id": "fas_capsules",
        "unicode": "f46b",
        "created": 1,
        "filter": [
            "drugs",
            "medicine",
            "pills",
            "prescription"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-capsules"
    },
    {
        "name": "Car",
        "id": "fas_car",
        "unicode": "f1b9",
        "created": 1,
        "filter": [
            "auto",
            "automobile",
            "sedan",
            "transportation",
            "travel",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Hotel",
            "Maps",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-car"
    },
    {
        "name": "Alternate Car",
        "id": "fas_car-alt",
        "unicode": "f5de",
        "created": 1,
        "filter": [
            "auto",
            "automobile",
            "sedan",
            "transportation",
            "travel",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Vehicles"
        ],
        "icon": "fas fa-car-alt"
    },
    {
        "name": "Car Battery",
        "id": "fas_car-battery",
        "unicode": "f5df",
        "created": 1,
        "filter": [
            "auto",
            "electric",
            "mechanic",
            "power"
        ],
        "categories": [
            "Automotive"
        ],
        "icon": "fas fa-car-battery"
    },
    {
        "name": "Car Crash",
        "id": "fas_car-crash",
        "unicode": "f5e1",
        "created": 1,
        "filter": [
            "accident",
            "auto",
            "automobile",
            "insurance",
            "sedan",
            "transportation",
            "vehicle",
            "wreck"
        ],
        "categories": [
            "Automotive",
            "Vehicles"
        ],
        "icon": "fas fa-car-crash"
    },
    {
        "name": "Car Side",
        "id": "fas_car-side",
        "unicode": "f5e4",
        "created": 1,
        "filter": [
            "auto",
            "automobile",
            "sedan",
            "transportation",
            "travel",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Vehicles"
        ],
        "icon": "fas fa-car-side"
    },
    {
        "name": "Caravan",
        "id": "fas_caravan",
        "unicode": "f8ff",
        "created": 1,
        "filter": [
            "camper",
            "motor home",
            "rv",
            "trailer",
            "travel"
        ],
        "categories": [
            "Automotive",
            "Camping",
            "Moving",
            "Travel"
        ],
        "icon": "fas fa-caravan"
    },
    {
        "name": "Caret Down",
        "id": "fas_caret-down",
        "unicode": "f0d7",
        "created": 1,
        "filter": [
            "arrow",
            "dropdown",
            "expand",
            "menu",
            "more",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-caret-down"
    },
    {
        "name": "Caret Left",
        "id": "fas_caret-left",
        "unicode": "f0d9",
        "created": 1,
        "filter": [
            "arrow",
            "back",
            "previous",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-caret-left"
    },
    {
        "name": "Caret Right",
        "id": "fas_caret-right",
        "unicode": "f0da",
        "created": 1,
        "filter": [
            "arrow",
            "forward",
            "next",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-caret-right"
    },
    {
        "name": "Caret Square Down (solid)",
        "id": "fas_caret-square-down",
        "unicode": "f150",
        "created": 1,
        "filter": [
            "arrow",
            "caret-square-o-down",
            "dropdown",
            "expand",
            "menu",
            "more",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-caret-square-down"
    },
    {
        "name": "Caret Square Down (regular)",
        "id": "far_caret-square-down",
        "unicode": "f150",
        "created": 1,
        "filter": [
            "arrow",
            "caret-square-o-down",
            "dropdown",
            "expand",
            "menu",
            "more",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "far fa-caret-square-down"
    },
    {
        "name": "Caret Square Left (solid)",
        "id": "fas_caret-square-left",
        "unicode": "f191",
        "created": 1,
        "filter": [
            "arrow",
            "back",
            "caret-square-o-left",
            "previous",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-caret-square-left"
    },
    {
        "name": "Caret Square Left (regular)",
        "id": "far_caret-square-left",
        "unicode": "f191",
        "created": 1,
        "filter": [
            "arrow",
            "back",
            "caret-square-o-left",
            "previous",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "far fa-caret-square-left"
    },
    {
        "name": "Caret Square Right (solid)",
        "id": "fas_caret-square-right",
        "unicode": "f152",
        "created": 1,
        "filter": [
            "arrow",
            "caret-square-o-right",
            "forward",
            "next",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-caret-square-right"
    },
    {
        "name": "Caret Square Right (regular)",
        "id": "far_caret-square-right",
        "unicode": "f152",
        "created": 1,
        "filter": [
            "arrow",
            "caret-square-o-right",
            "forward",
            "next",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "far fa-caret-square-right"
    },
    {
        "name": "Caret Square Up (solid)",
        "id": "fas_caret-square-up",
        "unicode": "f151",
        "created": 1,
        "filter": [
            "arrow",
            "caret-square-o-up",
            "collapse",
            "triangle",
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-caret-square-up"
    },
    {
        "name": "Caret Square Up (regular)",
        "id": "far_caret-square-up",
        "unicode": "f151",
        "created": 1,
        "filter": [
            "arrow",
            "caret-square-o-up",
            "collapse",
            "triangle",
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "far fa-caret-square-up"
    },
    {
        "name": "Caret Up",
        "id": "fas_caret-up",
        "unicode": "f0d8",
        "created": 1,
        "filter": [
            "arrow",
            "collapse",
            "triangle"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-caret-up"
    },
    {
        "name": "Carrot",
        "id": "fas_carrot",
        "unicode": "f787",
        "created": 1,
        "filter": [
            "bugs bunny",
            "orange",
            "vegan",
            "vegetable"
        ],
        "categories": [
            "Food",
            "Fruits & Vegetables",
            "Holiday",
            "Objects"
        ],
        "icon": "fas fa-carrot"
    },
    {
        "name": "Shopping Cart Arrow Down",
        "id": "fas_cart-arrow-down",
        "unicode": "f218",
        "created": 1,
        "filter": [
            "download",
            "save",
            "shopping"
        ],
        "categories": [
            "Arrows",
            "Payments & Shopping",
            "Shopping",
            "Status"
        ],
        "icon": "fas fa-cart-arrow-down"
    },
    {
        "name": "Add to Shopping Cart",
        "id": "fas_cart-plus",
        "unicode": "f217",
        "created": 1,
        "filter": [
            "add",
            "create",
            "new",
            "positive",
            "shopping"
        ],
        "categories": [
            "Payments & Shopping",
            "Shopping",
            "Status"
        ],
        "icon": "fas fa-cart-plus"
    },
    {
        "name": "Cash Register",
        "id": "fas_cash-register",
        "unicode": "f788",
        "created": 1,
        "filter": [
            "buy",
            "cha-ching",
            "change",
            "checkout",
            "commerce",
            "leaerboard",
            "machine",
            "pay",
            "payment",
            "purchase",
            "store"
        ],
        "categories": [
            "Finance",
            "Shopping"
        ],
        "icon": "fas fa-cash-register"
    },
    {
        "name": "Cat",
        "id": "fas_cat",
        "unicode": "f6be",
        "created": 1,
        "filter": [
            "feline",
            "halloween",
            "holiday",
            "kitten",
            "kitty",
            "meow",
            "pet"
        ],
        "categories": [
            "Animals",
            "Halloween"
        ],
        "icon": "fas fa-cat"
    },
    {
        "name": "Amazon Pay Credit Card",
        "id": "fab_cc-amazon-pay",
        "unicode": "f42d",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-amazon-pay"
    },
    {
        "name": "American Express Credit Card",
        "id": "fab_cc-amex",
        "unicode": "f1f3",
        "created": 1,
        "filter": [
            "amex"
        ],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-amex"
    },
    {
        "name": "Apple Pay Credit Card",
        "id": "fab_cc-apple-pay",
        "unicode": "f416",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-apple-pay"
    },
    {
        "name": "Diner's Club Credit Card",
        "id": "fab_cc-diners-club",
        "unicode": "f24c",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-diners-club"
    },
    {
        "name": "Discover Credit Card",
        "id": "fab_cc-discover",
        "unicode": "f1f2",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-discover"
    },
    {
        "name": "JCB Credit Card",
        "id": "fab_cc-jcb",
        "unicode": "f24b",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-jcb"
    },
    {
        "name": "MasterCard Credit Card",
        "id": "fab_cc-mastercard",
        "unicode": "f1f1",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-mastercard"
    },
    {
        "name": "Paypal Credit Card",
        "id": "fab_cc-paypal",
        "unicode": "f1f4",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-paypal"
    },
    {
        "name": "Stripe Credit Card",
        "id": "fab_cc-stripe",
        "unicode": "f1f5",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-stripe"
    },
    {
        "name": "Visa Credit Card",
        "id": "fab_cc-visa",
        "unicode": "f1f0",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-cc-visa"
    },
    {
        "name": "Centercode",
        "id": "fab_centercode",
        "unicode": "f380",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-centercode"
    },
    {
        "name": "Centos",
        "id": "fab_centos",
        "unicode": "f789",
        "created": 1,
        "filter": [
            "linux",
            "operating system",
            "os"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-centos"
    },
    {
        "name": "certificate",
        "id": "fas_certificate",
        "unicode": "f0a3",
        "created": 1,
        "filter": [
            "badge",
            "star",
            "verified"
        ],
        "categories": [
            "Business",
            "Interfaces",
            "Payments & Shopping",
            "Shapes",
            "Spinners"
        ],
        "icon": "fas fa-certificate"
    },
    {
        "name": "Chair",
        "id": "fas_chair",
        "unicode": "f6c0",
        "created": 1,
        "filter": [
            "furniture",
            "seat",
            "sit"
        ],
        "categories": [
            "Household"
        ],
        "icon": "fas fa-chair"
    },
    {
        "name": "Chalkboard",
        "id": "fas_chalkboard",
        "unicode": "f51b",
        "created": 1,
        "filter": [
            "blackboard",
            "learning",
            "school",
            "teaching",
            "whiteboard",
            "writing"
        ],
        "categories": [
            "Communication",
            "Education",
            "Images"
        ],
        "icon": "fas fa-chalkboard"
    },
    {
        "name": "Chalkboard Teacher",
        "id": "fas_chalkboard-teacher",
        "unicode": "f51c",
        "created": 1,
        "filter": [
            "blackboard",
            "instructor",
            "learning",
            "professor",
            "school",
            "whiteboard",
            "writing"
        ],
        "categories": [
            "Education",
            "Users & People"
        ],
        "icon": "fas fa-chalkboard-teacher"
    },
    {
        "name": "Charging Station",
        "id": "fas_charging-station",
        "unicode": "f5e7",
        "created": 1,
        "filter": [
            "electric",
            "ev",
            "tesla",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Energy"
        ],
        "icon": "fas fa-charging-station"
    },
    {
        "name": "Area Chart",
        "id": "fas_chart-area",
        "unicode": "f1fe",
        "created": 1,
        "filter": [
            "analytics",
            "area",
            "chart",
            "graph"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-chart-area"
    },
    {
        "name": "Bar Chart (solid)",
        "id": "fas_chart-bar",
        "unicode": "f080",
        "created": 1,
        "filter": [
            "analytics",
            "bar",
            "chart",
            "graph"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-chart-bar"
    },
    {
        "name": "Bar Chart (regular)",
        "id": "far_chart-bar",
        "unicode": "f080",
        "created": 1,
        "filter": [
            "analytics",
            "bar",
            "chart",
            "graph"
        ],
        "categories": [
            "Business"
        ],
        "icon": "far fa-chart-bar"
    },
    {
        "name": "Line Chart",
        "id": "fas_chart-line",
        "unicode": "f201",
        "created": 1,
        "filter": [
            "activity",
            "analytics",
            "chart",
            "dashboard",
            "gain",
            "graph",
            "increase",
            "line"
        ],
        "categories": [
            "Arrows",
            "Business",
            "Finance"
        ],
        "icon": "fas fa-chart-line"
    },
    {
        "name": "Pie Chart",
        "id": "fas_chart-pie",
        "unicode": "f200",
        "created": 1,
        "filter": [
            "analytics",
            "chart",
            "diagram",
            "graph",
            "pie"
        ],
        "categories": [
            "Business",
            "Finance"
        ],
        "icon": "fas fa-chart-pie"
    },
    {
        "name": "Check",
        "id": "fas_check",
        "unicode": "f00c",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "checkmark",
            "confirm",
            "correct",
            "done",
            "notice",
            "notification",
            "notify",
            "ok",
            "select",
            "success",
            "tick",
            "todo",
            "yes"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-check"
    },
    {
        "name": "Check Circle (solid)",
        "id": "fas_check-circle",
        "unicode": "f058",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "confirm",
            "correct",
            "done",
            "ok",
            "select",
            "success",
            "tick",
            "todo",
            "yes"
        ],
        "categories": [
            "Interfaces",
            "Toggle"
        ],
        "icon": "fas fa-check-circle"
    },
    {
        "name": "Check Circle (regular)",
        "id": "far_check-circle",
        "unicode": "f058",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "confirm",
            "correct",
            "done",
            "ok",
            "select",
            "success",
            "tick",
            "todo",
            "yes"
        ],
        "categories": [
            "Interfaces",
            "Toggle"
        ],
        "icon": "far fa-check-circle"
    },
    {
        "name": "Double Check",
        "id": "fas_check-double",
        "unicode": "f560",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "checkmark",
            "confirm",
            "correct",
            "done",
            "notice",
            "notification",
            "notify",
            "ok",
            "select",
            "success",
            "tick",
            "todo"
        ],
        "categories": [
            "Interfaces",
            "Political"
        ],
        "icon": "fas fa-check-double"
    },
    {
        "name": "Check Square (solid)",
        "id": "fas_check-square",
        "unicode": "f14a",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "checkmark",
            "confirm",
            "correct",
            "done",
            "ok",
            "select",
            "success",
            "tick",
            "todo",
            "yes"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-check-square"
    },
    {
        "name": "Check Square (regular)",
        "id": "far_check-square",
        "unicode": "f14a",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "checkmark",
            "confirm",
            "correct",
            "done",
            "ok",
            "select",
            "success",
            "tick",
            "todo",
            "yes"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "far fa-check-square"
    },
    {
        "name": "Cheese",
        "id": "fas_cheese",
        "unicode": "f7ef",
        "created": 1,
        "filter": [
            "cheddar",
            "curd",
            "gouda",
            "melt",
            "parmesan",
            "sandwich",
            "swiss",
            "wedge"
        ],
        "categories": [
            "Food"
        ],
        "icon": "fas fa-cheese"
    },
    {
        "name": "Chess",
        "id": "fas_chess",
        "unicode": "f439",
        "created": 1,
        "filter": [
            "board",
            "castle",
            "checkmate",
            "game",
            "king",
            "rook",
            "strategy",
            "tournament"
        ],
        "categories": [
            "Chess",
            "Games"
        ],
        "icon": "fas fa-chess"
    },
    {
        "name": "Chess Bishop",
        "id": "fas_chess-bishop",
        "unicode": "f43a",
        "created": 1,
        "filter": [
            "board",
            "checkmate",
            "game",
            "strategy"
        ],
        "categories": [
            "Chess",
            "Games"
        ],
        "icon": "fas fa-chess-bishop"
    },
    {
        "name": "Chess Board",
        "id": "fas_chess-board",
        "unicode": "f43c",
        "created": 1,
        "filter": [
            "board",
            "checkmate",
            "game",
            "strategy"
        ],
        "categories": [
            "Chess",
            "Games"
        ],
        "icon": "fas fa-chess-board"
    },
    {
        "name": "Chess King",
        "id": "fas_chess-king",
        "unicode": "f43f",
        "created": 1,
        "filter": [
            "board",
            "checkmate",
            "game",
            "strategy"
        ],
        "categories": [
            "Chess",
            "Games"
        ],
        "icon": "fas fa-chess-king"
    },
    {
        "name": "Chess Knight",
        "id": "fas_chess-knight",
        "unicode": "f441",
        "created": 1,
        "filter": [
            "board",
            "checkmate",
            "game",
            "horse",
            "strategy"
        ],
        "categories": [
            "Chess",
            "Games"
        ],
        "icon": "fas fa-chess-knight"
    },
    {
        "name": "Chess Pawn",
        "id": "fas_chess-pawn",
        "unicode": "f443",
        "created": 1,
        "filter": [
            "board",
            "checkmate",
            "game",
            "strategy"
        ],
        "categories": [
            "Chess",
            "Games"
        ],
        "icon": "fas fa-chess-pawn"
    },
    {
        "name": "Chess Queen",
        "id": "fas_chess-queen",
        "unicode": "f445",
        "created": 1,
        "filter": [
            "board",
            "checkmate",
            "game",
            "strategy"
        ],
        "categories": [
            "Chess",
            "Games"
        ],
        "icon": "fas fa-chess-queen"
    },
    {
        "name": "Chess Rook",
        "id": "fas_chess-rook",
        "unicode": "f447",
        "created": 1,
        "filter": [
            "board",
            "castle",
            "checkmate",
            "game",
            "strategy"
        ],
        "categories": [
            "Chess",
            "Games"
        ],
        "icon": "fas fa-chess-rook"
    },
    {
        "name": "Chevron Circle Down",
        "id": "fas_chevron-circle-down",
        "unicode": "f13a",
        "created": 1,
        "filter": [
            "arrow",
            "download",
            "dropdown",
            "menu",
            "more"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-chevron-circle-down"
    },
    {
        "name": "Chevron Circle Left",
        "id": "fas_chevron-circle-left",
        "unicode": "f137",
        "created": 1,
        "filter": [
            "arrow",
            "back",
            "previous"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-chevron-circle-left"
    },
    {
        "name": "Chevron Circle Right",
        "id": "fas_chevron-circle-right",
        "unicode": "f138",
        "created": 1,
        "filter": [
            "arrow",
            "forward",
            "next"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-chevron-circle-right"
    },
    {
        "name": "Chevron Circle Up",
        "id": "fas_chevron-circle-up",
        "unicode": "f139",
        "created": 1,
        "filter": [
            "arrow",
            "collapse",
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-chevron-circle-up"
    },
    {
        "name": "chevron-down",
        "id": "fas_chevron-down",
        "unicode": "f078",
        "created": 1,
        "filter": [
            "arrow",
            "download",
            "expand"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-chevron-down"
    },
    {
        "name": "chevron-left",
        "id": "fas_chevron-left",
        "unicode": "f053",
        "created": 1,
        "filter": [
            "arrow",
            "back",
            "bracket",
            "previous"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-chevron-left"
    },
    {
        "name": "chevron-right",
        "id": "fas_chevron-right",
        "unicode": "f054",
        "created": 1,
        "filter": [
            "arrow",
            "bracket",
            "forward",
            "next"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-chevron-right"
    },
    {
        "name": "chevron-up",
        "id": "fas_chevron-up",
        "unicode": "f077",
        "created": 1,
        "filter": [
            "arrow",
            "collapse",
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-chevron-up"
    },
    {
        "name": "Child",
        "id": "fas_child",
        "unicode": "f1ae",
        "created": 1,
        "filter": [
            "boy",
            "girl",
            "kid",
            "toddler",
            "young"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-child"
    },
    {
        "name": "Chrome",
        "id": "fab_chrome",
        "unicode": "f268",
        "created": 1,
        "filter": [
            "browser"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-chrome"
    },
    {
        "name": "Chromecast",
        "id": "fab_chromecast",
        "unicode": "f838",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-chromecast"
    },
    {
        "name": "Church",
        "id": "fas_church",
        "unicode": "f51d",
        "created": 1,
        "filter": [
            "building",
            "cathedral",
            "chapel",
            "community",
            "religion"
        ],
        "categories": [
            "Buildings",
            "Objects",
            "Religion"
        ],
        "icon": "fas fa-church"
    },
    {
        "name": "Circle (solid)",
        "id": "fas_circle",
        "unicode": "f111",
        "created": 1,
        "filter": [
            "circle-thin",
            "diameter",
            "dot",
            "ellipse",
            "notification",
            "round"
        ],
        "categories": [
            "Audio & Video",
            "Interfaces",
            "Shapes",
            "Toggle"
        ],
        "icon": "fas fa-circle"
    },
    {
        "name": "Circle (regular)",
        "id": "far_circle",
        "unicode": "f111",
        "created": 1,
        "filter": [
            "circle-thin",
            "diameter",
            "dot",
            "ellipse",
            "notification",
            "round"
        ],
        "categories": [
            "Audio & Video",
            "Interfaces",
            "Shapes",
            "Toggle"
        ],
        "icon": "far fa-circle"
    },
    {
        "name": "Circle Notched",
        "id": "fas_circle-notch",
        "unicode": "f1ce",
        "created": 1,
        "filter": [
            "circle-o-notch",
            "diameter",
            "dot",
            "ellipse",
            "round",
            "spinner"
        ],
        "categories": [
            "Spinners"
        ],
        "icon": "fas fa-circle-notch"
    },
    {
        "name": "City",
        "id": "fas_city",
        "unicode": "f64f",
        "created": 1,
        "filter": [
            "buildings",
            "busy",
            "skyscrapers",
            "urban",
            "windows"
        ],
        "categories": [
            "Buildings",
            "Business"
        ],
        "icon": "fas fa-city"
    },
    {
        "name": "Medical Clinic",
        "id": "fas_clinic-medical",
        "unicode": "f7f2",
        "created": 1,
        "filter": [
            "covid-19",
            "doctor",
            "general practitioner",
            "hospital",
            "infirmary",
            "medicine",
            "office",
            "outpatient"
        ],
        "categories": [
            "Buildings",
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-clinic-medical"
    },
    {
        "name": "Clipboard (solid)",
        "id": "fas_clipboard",
        "unicode": "f328",
        "created": 1,
        "filter": [
            "copy",
            "notes",
            "paste",
            "record"
        ],
        "categories": [
            "Business",
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-clipboard"
    },
    {
        "name": "Clipboard (regular)",
        "id": "far_clipboard",
        "unicode": "f328",
        "created": 1,
        "filter": [
            "copy",
            "notes",
            "paste",
            "record"
        ],
        "categories": [
            "Business",
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "far fa-clipboard"
    },
    {
        "name": "Clipboard with Check",
        "id": "fas_clipboard-check",
        "unicode": "f46c",
        "created": 1,
        "filter": [
            "accept",
            "agree",
            "confirm",
            "done",
            "ok",
            "select",
            "success",
            "tick",
            "todo",
            "yes"
        ],
        "categories": [
            "Logistics",
            "Science"
        ],
        "icon": "fas fa-clipboard-check"
    },
    {
        "name": "Clipboard List",
        "id": "fas_clipboard-list",
        "unicode": "f46d",
        "created": 1,
        "filter": [
            "checklist",
            "completed",
            "done",
            "finished",
            "intinerary",
            "ol",
            "schedule",
            "tick",
            "todo",
            "ul"
        ],
        "categories": [
            "Logistics"
        ],
        "icon": "fas fa-clipboard-list"
    },
    {
        "name": "Clock (solid)",
        "id": "fas_clock",
        "unicode": "f017",
        "created": 1,
        "filter": [
            "date",
            "late",
            "schedule",
            "time",
            "timer",
            "timestamp",
            "watch"
        ],
        "categories": [
            "Date & Time"
        ],
        "icon": "fas fa-clock"
    },
    {
        "name": "Clock (regular)",
        "id": "far_clock",
        "unicode": "f017",
        "created": 1,
        "filter": [
            "date",
            "late",
            "schedule",
            "time",
            "timer",
            "timestamp",
            "watch"
        ],
        "categories": [
            "Date & Time"
        ],
        "icon": "far fa-clock"
    },
    {
        "name": "Clone (solid)",
        "id": "fas_clone",
        "unicode": "f24d",
        "created": 1,
        "filter": [
            "arrange",
            "copy",
            "duplicate",
            "paste"
        ],
        "categories": [
            "Design",
            "Editors",
            "Files",
            "Images",
            "Interfaces"
        ],
        "icon": "fas fa-clone"
    },
    {
        "name": "Clone (regular)",
        "id": "far_clone",
        "unicode": "f24d",
        "created": 1,
        "filter": [
            "arrange",
            "copy",
            "duplicate",
            "paste"
        ],
        "categories": [
            "Design",
            "Editors",
            "Files",
            "Images",
            "Interfaces"
        ],
        "icon": "far fa-clone"
    },
    {
        "name": "Closed Captioning (solid)",
        "id": "fas_closed-captioning",
        "unicode": "f20a",
        "created": 1,
        "filter": [
            "cc",
            "deaf",
            "hearing",
            "subtitle",
            "subtitling",
            "text",
            "video"
        ],
        "categories": [
            "Accessibility",
            "Audio & Video"
        ],
        "icon": "fas fa-closed-captioning"
    },
    {
        "name": "Closed Captioning (regular)",
        "id": "far_closed-captioning",
        "unicode": "f20a",
        "created": 1,
        "filter": [
            "cc",
            "deaf",
            "hearing",
            "subtitle",
            "subtitling",
            "text",
            "video"
        ],
        "categories": [
            "Accessibility",
            "Audio & Video"
        ],
        "icon": "far fa-closed-captioning"
    },
    {
        "name": "Cloud",
        "id": "fas_cloud",
        "unicode": "f0c2",
        "created": 1,
        "filter": [
            "atmosphere",
            "fog",
            "overcast",
            "save",
            "upload",
            "weather"
        ],
        "categories": [
            "Interfaces",
            "Objects",
            "Shapes",
            "Weather"
        ],
        "icon": "fas fa-cloud"
    },
    {
        "name": "Alternate Cloud Download",
        "id": "fas_cloud-download-alt",
        "unicode": "f381",
        "created": 1,
        "filter": [
            "download",
            "export",
            "save"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-cloud-download-alt"
    },
    {
        "name": "Cloud with (a chance of) Meatball",
        "id": "fas_cloud-meatball",
        "unicode": "f73b",
        "created": 1,
        "filter": [
            "FLDSMDFR",
            "food",
            "spaghetti",
            "storm"
        ],
        "categories": [
            "Food",
            "Weather"
        ],
        "icon": "fas fa-cloud-meatball"
    },
    {
        "name": "Cloud with Moon",
        "id": "fas_cloud-moon",
        "unicode": "f6c3",
        "created": 1,
        "filter": [
            "crescent",
            "evening",
            "lunar",
            "night",
            "partly cloudy",
            "sky"
        ],
        "categories": [
            "Halloween",
            "Weather"
        ],
        "icon": "fas fa-cloud-moon"
    },
    {
        "name": "Cloud with Moon and Rain",
        "id": "fas_cloud-moon-rain",
        "unicode": "f73c",
        "created": 1,
        "filter": [
            "crescent",
            "evening",
            "lunar",
            "night",
            "partly cloudy",
            "precipitation",
            "rain",
            "sky",
            "storm"
        ],
        "categories": [
            "Weather"
        ],
        "icon": "fas fa-cloud-moon-rain"
    },
    {
        "name": "Cloud with Rain",
        "id": "fas_cloud-rain",
        "unicode": "f73d",
        "created": 1,
        "filter": [
            "precipitation",
            "rain",
            "sky",
            "storm"
        ],
        "categories": [
            "Weather"
        ],
        "icon": "fas fa-cloud-rain"
    },
    {
        "name": "Cloud with Heavy Showers",
        "id": "fas_cloud-showers-heavy",
        "unicode": "f740",
        "created": 1,
        "filter": [
            "precipitation",
            "rain",
            "sky",
            "storm"
        ],
        "categories": [
            "Weather"
        ],
        "icon": "fas fa-cloud-showers-heavy"
    },
    {
        "name": "Cloud with Sun",
        "id": "fas_cloud-sun",
        "unicode": "f6c4",
        "created": 1,
        "filter": [
            "clear",
            "day",
            "daytime",
            "fall",
            "outdoors",
            "overcast",
            "partly cloudy"
        ],
        "categories": [
            "Autumn",
            "Spring",
            "Weather"
        ],
        "icon": "fas fa-cloud-sun"
    },
    {
        "name": "Cloud with Sun and Rain",
        "id": "fas_cloud-sun-rain",
        "unicode": "f743",
        "created": 1,
        "filter": [
            "day",
            "overcast",
            "precipitation",
            "storm",
            "summer",
            "sunshower"
        ],
        "categories": [
            "Spring",
            "Weather"
        ],
        "icon": "fas fa-cloud-sun-rain"
    },
    {
        "name": "Alternate Cloud Upload",
        "id": "fas_cloud-upload-alt",
        "unicode": "f382",
        "created": 1,
        "filter": [
            "cloud-upload",
            "import",
            "save",
            "upload"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-cloud-upload-alt"
    },
    {
        "name": "Cloudflare",
        "id": "fab_cloudflare",
        "unicode": "e07d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-cloudflare"
    },
    {
        "name": "cloudscale.ch",
        "id": "fab_cloudscale",
        "unicode": "f383",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-cloudscale"
    },
    {
        "name": "Cloudsmith",
        "id": "fab_cloudsmith",
        "unicode": "f384",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-cloudsmith"
    },
    {
        "name": "cloudversify",
        "id": "fab_cloudversify",
        "unicode": "f385",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-cloudversify"
    },
    {
        "name": "Cocktail",
        "id": "fas_cocktail",
        "unicode": "f561",
        "created": 1,
        "filter": [
            "alcohol",
            "beverage",
            "drink",
            "gin",
            "glass",
            "margarita",
            "martini",
            "vodka"
        ],
        "categories": [
            "Beverage",
            "Hotel",
            "Travel"
        ],
        "icon": "fas fa-cocktail"
    },
    {
        "name": "Code",
        "id": "fas_code",
        "unicode": "f121",
        "created": 1,
        "filter": [
            "brackets",
            "code",
            "development",
            "html"
        ],
        "categories": [
            "Code"
        ],
        "icon": "fas fa-code"
    },
    {
        "name": "Code Branch",
        "id": "fas_code-branch",
        "unicode": "f126",
        "created": 1,
        "filter": [
            "branch",
            "code-fork",
            "fork",
            "git",
            "github",
            "rebase",
            "svn",
            "vcs",
            "version"
        ],
        "categories": [
            "Code"
        ],
        "icon": "fas fa-code-branch"
    },
    {
        "name": "Codepen",
        "id": "fab_codepen",
        "unicode": "f1cb",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-codepen"
    },
    {
        "name": "Codie Pie",
        "id": "fab_codiepie",
        "unicode": "f284",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-codiepie"
    },
    {
        "name": "Coffee",
        "id": "fas_coffee",
        "unicode": "f0f4",
        "created": 1,
        "filter": [
            "beverage",
            "breakfast",
            "cafe",
            "drink",
            "fall",
            "morning",
            "mug",
            "seasonal",
            "tea"
        ],
        "categories": [
            "Beverage",
            "Business",
            "Code",
            "Hotel",
            "Household",
            "Interfaces",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-coffee"
    },
    {
        "name": "cog",
        "id": "fas_cog",
        "unicode": "f013",
        "created": 1,
        "filter": [
            "gear",
            "mechanical",
            "settings",
            "sprocket",
            "wheel"
        ],
        "categories": [
            "Interfaces",
            "Objects",
            "Spinners"
        ],
        "icon": "fas fa-cog"
    },
    {
        "name": "cogs",
        "id": "fas_cogs",
        "unicode": "f085",
        "created": 1,
        "filter": [
            "gears",
            "mechanical",
            "settings",
            "sprocket",
            "wheel"
        ],
        "categories": [
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-cogs"
    },
    {
        "name": "Coins",
        "id": "fas_coins",
        "unicode": "f51e",
        "created": 1,
        "filter": [
            "currency",
            "dime",
            "financial",
            "gold",
            "money",
            "penny"
        ],
        "categories": [
            "Finance"
        ],
        "icon": "fas fa-coins"
    },
    {
        "name": "Columns",
        "id": "fas_columns",
        "unicode": "f0db",
        "created": 1,
        "filter": [
            "browser",
            "dashboard",
            "organize",
            "panes",
            "split"
        ],
        "categories": [
            "Business",
            "Editors"
        ],
        "icon": "fas fa-columns"
    },
    {
        "name": "comment (solid)",
        "id": "fas_comment",
        "unicode": "f075",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "note",
            "notification",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat",
            "Communication",
            "Shapes",
            "Social",
            "Status"
        ],
        "icon": "fas fa-comment"
    },
    {
        "name": "comment (regular)",
        "id": "far_comment",
        "unicode": "f075",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "note",
            "notification",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat",
            "Communication",
            "Shapes",
            "Social",
            "Status"
        ],
        "icon": "far fa-comment"
    },
    {
        "name": "Alternate Comment (solid)",
        "id": "fas_comment-alt",
        "unicode": "f27a",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "note",
            "notification",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat",
            "Communication",
            "Social",
            "Status"
        ],
        "icon": "fas fa-comment-alt"
    },
    {
        "name": "Alternate Comment (regular)",
        "id": "far_comment-alt",
        "unicode": "f27a",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "note",
            "notification",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat",
            "Communication",
            "Social",
            "Status"
        ],
        "icon": "far fa-comment-alt"
    },
    {
        "name": "Comment Dollar",
        "id": "fas_comment-dollar",
        "unicode": "f651",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "money",
            "note",
            "notification",
            "pay",
            "sms",
            "speech",
            "spend",
            "texting",
            "transfer"
        ],
        "categories": [
            "Finance",
            "Marketing"
        ],
        "icon": "fas fa-comment-dollar"
    },
    {
        "name": "Comment Dots (solid)",
        "id": "fas_comment-dots",
        "unicode": "f4ad",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "more",
            "note",
            "notification",
            "reply",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat"
        ],
        "icon": "fas fa-comment-dots"
    },
    {
        "name": "Comment Dots (regular)",
        "id": "far_comment-dots",
        "unicode": "f4ad",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "more",
            "note",
            "notification",
            "reply",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat"
        ],
        "icon": "far fa-comment-dots"
    },
    {
        "name": "Alternate Medical Chat",
        "id": "fas_comment-medical",
        "unicode": "f7f5",
        "created": 1,
        "filter": [
            "advice",
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "diagnose",
            "feedback",
            "message",
            "note",
            "notification",
            "prescription",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat",
            "Medical"
        ],
        "icon": "fas fa-comment-medical"
    },
    {
        "name": "Comment Slash",
        "id": "fas_comment-slash",
        "unicode": "f4b3",
        "created": 1,
        "filter": [
            "bubble",
            "cancel",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "mute",
            "note",
            "notification",
            "quiet",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat",
            "Status"
        ],
        "icon": "fas fa-comment-slash"
    },
    {
        "name": "comments (solid)",
        "id": "fas_comments",
        "unicode": "f086",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "note",
            "notification",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat",
            "Communication"
        ],
        "icon": "fas fa-comments"
    },
    {
        "name": "comments (regular)",
        "id": "far_comments",
        "unicode": "f086",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "note",
            "notification",
            "sms",
            "speech",
            "texting"
        ],
        "categories": [
            "Chat",
            "Communication"
        ],
        "icon": "far fa-comments"
    },
    {
        "name": "Comments Dollar",
        "id": "fas_comments-dollar",
        "unicode": "f653",
        "created": 1,
        "filter": [
            "bubble",
            "chat",
            "commenting",
            "conversation",
            "feedback",
            "message",
            "money",
            "note",
            "notification",
            "pay",
            "sms",
            "speech",
            "spend",
            "texting",
            "transfer"
        ],
        "categories": [
            "Finance",
            "Marketing"
        ],
        "icon": "fas fa-comments-dollar"
    },
    {
        "name": "Compact Disc",
        "id": "fas_compact-disc",
        "unicode": "f51f",
        "created": 1,
        "filter": [
            "album",
            "bluray",
            "cd",
            "disc",
            "dvd",
            "media",
            "movie",
            "music",
            "record",
            "video",
            "vinyl"
        ],
        "categories": [
            "Computers",
            "Music",
            "Spinners"
        ],
        "icon": "fas fa-compact-disc"
    },
    {
        "name": "Compass (solid)",
        "id": "fas_compass",
        "unicode": "f14e",
        "created": 1,
        "filter": [
            "directions",
            "directory",
            "location",
            "menu",
            "navigation",
            "safari",
            "travel"
        ],
        "categories": [
            "Business",
            "Camping",
            "Maritime",
            "Objects",
            "Spinners",
            "Status"
        ],
        "icon": "fas fa-compass"
    },
    {
        "name": "Compass (regular)",
        "id": "far_compass",
        "unicode": "f14e",
        "created": 1,
        "filter": [
            "directions",
            "directory",
            "location",
            "menu",
            "navigation",
            "safari",
            "travel"
        ],
        "categories": [
            "Business",
            "Camping",
            "Maritime",
            "Objects",
            "Spinners",
            "Status"
        ],
        "icon": "far fa-compass"
    },
    {
        "name": "Compress",
        "id": "fas_compress",
        "unicode": "f066",
        "created": 1,
        "filter": [
            "collapse",
            "fullscreen",
            "minimize",
            "move",
            "resize",
            "shrink",
            "smaller"
        ],
        "categories": [
            "Audio & Video",
            "Images"
        ],
        "icon": "fas fa-compress"
    },
    {
        "name": "Alternate Compress",
        "id": "fas_compress-alt",
        "unicode": "f422",
        "created": 1,
        "filter": [
            "collapse",
            "fullscreen",
            "minimize",
            "move",
            "resize",
            "shrink",
            "smaller"
        ],
        "categories": [
            "Arrows",
            "Audio & Video"
        ],
        "icon": "fas fa-compress-alt"
    },
    {
        "name": "Alternate Compress Arrows",
        "id": "fas_compress-arrows-alt",
        "unicode": "f78c",
        "created": 1,
        "filter": [
            "collapse",
            "fullscreen",
            "minimize",
            "move",
            "resize",
            "shrink",
            "smaller"
        ],
        "categories": [
            "Arrows",
            "Audio & Video",
            "Images"
        ],
        "icon": "fas fa-compress-arrows-alt"
    },
    {
        "name": "Concierge Bell",
        "id": "fas_concierge-bell",
        "unicode": "f562",
        "created": 1,
        "filter": [
            "attention",
            "hotel",
            "receptionist",
            "service",
            "support"
        ],
        "categories": [
            "Hotel",
            "Travel"
        ],
        "icon": "fas fa-concierge-bell"
    },
    {
        "name": "Confluence",
        "id": "fab_confluence",
        "unicode": "f78d",
        "created": 1,
        "filter": [
            "atlassian"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-confluence"
    },
    {
        "name": "Connect Develop",
        "id": "fab_connectdevelop",
        "unicode": "f20e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-connectdevelop"
    },
    {
        "name": "Contao",
        "id": "fab_contao",
        "unicode": "f26d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-contao"
    },
    {
        "name": "Cookie",
        "id": "fas_cookie",
        "unicode": "f563",
        "created": 1,
        "filter": [
            "baked good",
            "chips",
            "chocolate",
            "eat",
            "snack",
            "sweet",
            "treat"
        ],
        "categories": [
            "Childhood",
            "Food",
            "Objects"
        ],
        "icon": "fas fa-cookie"
    },
    {
        "name": "Cookie Bite",
        "id": "fas_cookie-bite",
        "unicode": "f564",
        "created": 1,
        "filter": [
            "baked good",
            "bitten",
            "chips",
            "chocolate",
            "eat",
            "snack",
            "sweet",
            "treat"
        ],
        "categories": [
            "Childhood",
            "Holiday",
            "Objects"
        ],
        "icon": "fas fa-cookie-bite"
    },
    {
        "name": "Copy (solid)",
        "id": "fas_copy",
        "unicode": "f0c5",
        "created": 1,
        "filter": [
            "clone",
            "duplicate",
            "file",
            "files-o",
            "paper",
            "paste"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Files",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-copy"
    },
    {
        "name": "Copy (regular)",
        "id": "far_copy",
        "unicode": "f0c5",
        "created": 1,
        "filter": [
            "clone",
            "duplicate",
            "file",
            "files-o",
            "paper",
            "paste"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Files",
            "Interfaces",
            "Objects"
        ],
        "icon": "far fa-copy"
    },
    {
        "name": "Copyright (solid)",
        "id": "fas_copyright",
        "unicode": "f1f9",
        "created": 1,
        "filter": [
            "brand",
            "mark",
            "register",
            "trademark"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-copyright"
    },
    {
        "name": "Copyright (regular)",
        "id": "far_copyright",
        "unicode": "f1f9",
        "created": 1,
        "filter": [
            "brand",
            "mark",
            "register",
            "trademark"
        ],
        "categories": [
            "Business"
        ],
        "icon": "far fa-copyright"
    },
    {
        "name": "Cotton Bureau",
        "id": "fab_cotton-bureau",
        "unicode": "f89e",
        "created": 1,
        "filter": [
            "clothing",
            "t-shirts",
            "tshirts"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-cotton-bureau"
    },
    {
        "name": "Couch",
        "id": "fas_couch",
        "unicode": "f4b8",
        "created": 1,
        "filter": [
            "chair",
            "cushion",
            "furniture",
            "relax",
            "sofa"
        ],
        "categories": [
            "Household",
            "Moving"
        ],
        "icon": "fas fa-couch"
    },
    {
        "name": "cPanel",
        "id": "fab_cpanel",
        "unicode": "f388",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-cpanel"
    },
    {
        "name": "Creative Commons",
        "id": "fab_creative-commons",
        "unicode": "f25e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons"
    },
    {
        "name": "Creative Commons Attribution",
        "id": "fab_creative-commons-by",
        "unicode": "f4e7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-by"
    },
    {
        "name": "Creative Commons Noncommercial",
        "id": "fab_creative-commons-nc",
        "unicode": "f4e8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-nc"
    },
    {
        "name": "Creative Commons Noncommercial (Euro Sign)",
        "id": "fab_creative-commons-nc-eu",
        "unicode": "f4e9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-nc-eu"
    },
    {
        "name": "Creative Commons Noncommercial (Yen Sign)",
        "id": "fab_creative-commons-nc-jp",
        "unicode": "f4ea",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-nc-jp"
    },
    {
        "name": "Creative Commons No Derivative Works",
        "id": "fab_creative-commons-nd",
        "unicode": "f4eb",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-nd"
    },
    {
        "name": "Creative Commons Public Domain",
        "id": "fab_creative-commons-pd",
        "unicode": "f4ec",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-pd"
    },
    {
        "name": "Alternate Creative Commons Public Domain",
        "id": "fab_creative-commons-pd-alt",
        "unicode": "f4ed",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-pd-alt"
    },
    {
        "name": "Creative Commons Remix",
        "id": "fab_creative-commons-remix",
        "unicode": "f4ee",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-remix"
    },
    {
        "name": "Creative Commons Share Alike",
        "id": "fab_creative-commons-sa",
        "unicode": "f4ef",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-sa"
    },
    {
        "name": "Creative Commons Sampling",
        "id": "fab_creative-commons-sampling",
        "unicode": "f4f0",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-sampling"
    },
    {
        "name": "Creative Commons Sampling +",
        "id": "fab_creative-commons-sampling-plus",
        "unicode": "f4f1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-sampling-plus"
    },
    {
        "name": "Creative Commons Share",
        "id": "fab_creative-commons-share",
        "unicode": "f4f2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-share"
    },
    {
        "name": "Creative Commons CC0",
        "id": "fab_creative-commons-zero",
        "unicode": "f4f3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-creative-commons-zero"
    },
    {
        "name": "Credit Card (solid)",
        "id": "fas_credit-card",
        "unicode": "f09d",
        "created": 1,
        "filter": [
            "buy",
            "checkout",
            "credit-card-alt",
            "debit",
            "money",
            "payment",
            "purchase"
        ],
        "categories": [
            "Finance",
            "Payments & Shopping"
        ],
        "icon": "fas fa-credit-card"
    },
    {
        "name": "Credit Card (regular)",
        "id": "far_credit-card",
        "unicode": "f09d",
        "created": 1,
        "filter": [
            "buy",
            "checkout",
            "credit-card-alt",
            "debit",
            "money",
            "payment",
            "purchase"
        ],
        "categories": [
            "Finance",
            "Payments & Shopping"
        ],
        "icon": "far fa-credit-card"
    },
    {
        "name": "Critical Role",
        "id": "fab_critical-role",
        "unicode": "f6c9",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "d&d",
            "dnd",
            "fantasy",
            "game",
            "gaming",
            "tabletop"
        ],
        "categories": [
            "Tabletop Gaming",
            "Brand"
        ],
        "icon": "fab fa-critical-role"
    },
    {
        "name": "crop",
        "id": "fas_crop",
        "unicode": "f125",
        "created": 1,
        "filter": [
            "design",
            "frame",
            "mask",
            "resize",
            "shrink"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-crop"
    },
    {
        "name": "Alternate Crop",
        "id": "fas_crop-alt",
        "unicode": "f565",
        "created": 1,
        "filter": [
            "design",
            "frame",
            "mask",
            "resize",
            "shrink"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-crop-alt"
    },
    {
        "name": "Cross",
        "id": "fas_cross",
        "unicode": "f654",
        "created": 1,
        "filter": [
            "catholicism",
            "christianity",
            "church",
            "jesus"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-cross"
    },
    {
        "name": "Crosshairs",
        "id": "fas_crosshairs",
        "unicode": "f05b",
        "created": 1,
        "filter": [
            "aim",
            "bullseye",
            "gpd",
            "picker",
            "position"
        ],
        "categories": [
            "Design",
            "Maps",
            "Spinners"
        ],
        "icon": "fas fa-crosshairs"
    },
    {
        "name": "Crow",
        "id": "fas_crow",
        "unicode": "f520",
        "created": 1,
        "filter": [
            "bird",
            "bullfrog",
            "fauna",
            "halloween",
            "holiday",
            "toad"
        ],
        "categories": [
            "Animals",
            "Halloween"
        ],
        "icon": "fas fa-crow"
    },
    {
        "name": "Crown",
        "id": "fas_crown",
        "unicode": "f521",
        "created": 1,
        "filter": [
            "award",
            "favorite",
            "king",
            "queen",
            "royal",
            "tiara"
        ],
        "icon": "fas fa-crown",
        "categories": [
            "Animals",
            "Halloween"
        ]
    },
    {
        "name": "Crutch",
        "id": "fas_crutch",
        "unicode": "f7f7",
        "created": 1,
        "filter": [
            "cane",
            "injury",
            "mobility",
            "wheelchair"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-crutch"
    },
    {
        "name": "CSS 3 Logo",
        "id": "fab_css3",
        "unicode": "f13c",
        "created": 1,
        "filter": [
            "code"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-css3"
    },
    {
        "name": "Alternate CSS3 Logo",
        "id": "fab_css3-alt",
        "unicode": "f38b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-css3-alt"
    },
    {
        "name": "Cube",
        "id": "fas_cube",
        "unicode": "f1b2",
        "created": 1,
        "filter": [
            "3d",
            "block",
            "dice",
            "package",
            "square",
            "tesseract"
        ],
        "categories": [
            "Objects"
        ],
        "icon": "fas fa-cube"
    },
    {
        "name": "Cubes",
        "id": "fas_cubes",
        "unicode": "f1b3",
        "created": 1,
        "filter": [
            "3d",
            "block",
            "dice",
            "package",
            "pyramid",
            "square",
            "stack",
            "tesseract"
        ],
        "categories": [
            "Objects"
        ],
        "icon": "fas fa-cubes"
    },
    {
        "name": "Cut",
        "id": "fas_cut",
        "unicode": "f0c4",
        "created": 1,
        "filter": [
            "clip",
            "scissors",
            "snip"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Files",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-cut"
    },
    {
        "name": "Cuttlefish",
        "id": "fab_cuttlefish",
        "unicode": "f38c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-cuttlefish"
    },
    {
        "name": "Dungeons & Dragons",
        "id": "fab_d-and-d",
        "unicode": "f38d",
        "created": 1,
        "filter": [],
        "categories": [
            "Tabletop Gaming",
            "Brand"
        ],
        "icon": "fab fa-d-and-d"
    },
    {
        "name": "D&D Beyond",
        "id": "fab_d-and-d-beyond",
        "unicode": "f6ca",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "d&d",
            "dnd",
            "fantasy",
            "gaming",
            "tabletop"
        ],
        "categories": [
            "Tabletop Gaming",
            "Brand"
        ],
        "icon": "fab fa-d-and-d-beyond"
    },
    {
        "name": "dailymotion",
        "id": "fab_dailymotion",
        "unicode": "e052",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dailymotion"
    },
    {
        "name": "DashCube",
        "id": "fab_dashcube",
        "unicode": "f210",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dashcube"
    },
    {
        "name": "Database",
        "id": "fas_database",
        "unicode": "f1c0",
        "created": 1,
        "filter": [
            "computer",
            "development",
            "directory",
            "memory",
            "storage"
        ],
        "categories": [
            "Computers",
            "Interfaces"
        ],
        "icon": "fas fa-database"
    },
    {
        "name": "Deaf",
        "id": "fas_deaf",
        "unicode": "f2a4",
        "created": 1,
        "filter": [
            "ear",
            "hearing",
            "sign language"
        ],
        "categories": [
            "Accessibility"
        ],
        "icon": "fas fa-deaf"
    },
    {
        "name": "Deezer",
        "id": "fab_deezer",
        "unicode": "e077",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-deezer"
    },
    {
        "name": "Delicious",
        "id": "fab_delicious",
        "unicode": "f1a5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-delicious"
    },
    {
        "name": "Democrat",
        "id": "fas_democrat",
        "unicode": "f747",
        "created": 1,
        "filter": [
            "american",
            "democratic party",
            "donkey",
            "election",
            "left",
            "left-wing",
            "liberal",
            "politics",
            "usa"
        ],
        "categories": [
            "Political"
        ],
        "icon": "fas fa-democrat"
    },
    {
        "name": "deploy.dog",
        "id": "fab_deploydog",
        "unicode": "f38e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-deploydog"
    },
    {
        "name": "Deskpro",
        "id": "fab_deskpro",
        "unicode": "f38f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-deskpro"
    },
    {
        "name": "Desktop",
        "id": "fas_desktop",
        "unicode": "f108",
        "created": 1,
        "filter": [
            "computer",
            "cpu",
            "demo",
            "desktop",
            "device",
            "imac",
            "machine",
            "monitor",
            "pc",
            "screen"
        ],
        "categories": [
            "Computers"
        ],
        "icon": "fas fa-desktop"
    },
    {
        "name": "DEV",
        "id": "fab_dev",
        "unicode": "f6cc",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dev"
    },
    {
        "name": "deviantART",
        "id": "fab_deviantart",
        "unicode": "f1bd",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-deviantart"
    },
    {
        "name": "Dharmachakra",
        "id": "fas_dharmachakra",
        "unicode": "f655",
        "created": 1,
        "filter": [
            "buddhism",
            "buddhist",
            "wheel of dharma"
        ],
        "categories": [
            "Maritime",
            "Religion",
            "Spinners"
        ],
        "icon": "fas fa-dharmachakra"
    },
    {
        "name": "DHL",
        "id": "fab_dhl",
        "unicode": "f790",
        "created": 1,
        "filter": [
            "Dalsey",
            "Hillblom and Lynn",
            "german",
            "package",
            "shipping"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dhl"
    },
    {
        "name": "Diagnoses",
        "id": "fas_diagnoses",
        "unicode": "f470",
        "created": 1,
        "filter": [
            "analyze",
            "detect",
            "diagnosis",
            "examine",
            "medicine"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-diagnoses"
    },
    {
        "name": "Diaspora",
        "id": "fab_diaspora",
        "unicode": "f791",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-diaspora"
    },
    {
        "name": "Dice",
        "id": "fas_dice",
        "unicode": "f522",
        "created": 1,
        "filter": [
            "chance",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Hotel",
            "Objects"
        ],
        "icon": "fas fa-dice"
    },
    {
        "name": "Dice D20",
        "id": "fas_dice-d20",
        "unicode": "f6cf",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "chance",
            "d&d",
            "dnd",
            "fantasy",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Tabletop Gaming",
            "Objects"
        ],
        "icon": "fas fa-dice-d20"
    },
    {
        "name": "Dice D6",
        "id": "fas_dice-d6",
        "unicode": "f6d1",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "chance",
            "d&d",
            "dnd",
            "fantasy",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Tabletop Gaming",
            "Objects"
        ],
        "icon": "fas fa-dice-d6"
    },
    {
        "name": "Dice Five",
        "id": "fas_dice-five",
        "unicode": "f523",
        "created": 1,
        "filter": [
            "chance",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Hotel",
            "Objects"
        ],
        "icon": "fas fa-dice-five"
    },
    {
        "name": "Dice Four",
        "id": "fas_dice-four",
        "unicode": "f524",
        "created": 1,
        "filter": [
            "chance",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Objects"
        ],
        "icon": "fas fa-dice-four"
    },
    {
        "name": "Dice One",
        "id": "fas_dice-one",
        "unicode": "f525",
        "created": 1,
        "filter": [
            "chance",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Objects"
        ],
        "icon": "fas fa-dice-one"
    },
    {
        "name": "Dice Six",
        "id": "fas_dice-six",
        "unicode": "f526",
        "created": 1,
        "filter": [
            "chance",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Objects"
        ],
        "icon": "fas fa-dice-six"
    },
    {
        "name": "Dice Three",
        "id": "fas_dice-three",
        "unicode": "f527",
        "created": 1,
        "filter": [
            "chance",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Objects"
        ],
        "icon": "fas fa-dice-three"
    },
    {
        "name": "Dice Two",
        "id": "fas_dice-two",
        "unicode": "f528",
        "created": 1,
        "filter": [
            "chance",
            "gambling",
            "game",
            "roll"
        ],
        "categories": [
            "Games",
            "Objects"
        ],
        "icon": "fas fa-dice-two"
    },
    {
        "name": "Digg Logo",
        "id": "fab_digg",
        "unicode": "f1a6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-digg"
    },
    {
        "name": "Digital Ocean",
        "id": "fab_digital-ocean",
        "unicode": "f391",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-digital-ocean"
    },
    {
        "name": "Digital Tachograph",
        "id": "fas_digital-tachograph",
        "unicode": "f566",
        "created": 1,
        "filter": [
            "data",
            "distance",
            "speed",
            "tachometer"
        ],
        "categories": [
            "Objects"
        ],
        "icon": "fas fa-digital-tachograph"
    },
    {
        "name": "Directions",
        "id": "fas_directions",
        "unicode": "f5eb",
        "created": 1,
        "filter": [
            "map",
            "navigation",
            "sign",
            "turn"
        ],
        "categories": [
            "Maps"
        ],
        "icon": "fas fa-directions"
    },
    {
        "name": "Discord",
        "id": "fab_discord",
        "unicode": "f392",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-discord"
    },
    {
        "name": "Discourse",
        "id": "fab_discourse",
        "unicode": "f393",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-discourse"
    },
    {
        "name": "Disease",
        "id": "fas_disease",
        "unicode": "f7fa",
        "created": 1,
        "filter": [
            "bacteria",
            "cancer",
            "covid-19",
            "illness",
            "infection",
            "sickness",
            "virus"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-disease"
    },
    {
        "name": "Divide",
        "id": "fas_divide",
        "unicode": "f529",
        "created": 1,
        "filter": [
            "arithmetic",
            "calculus",
            "division",
            "math"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-divide"
    },
    {
        "name": "Dizzy Face (solid)",
        "id": "fas_dizzy",
        "unicode": "f567",
        "created": 1,
        "filter": [
            "dazed",
            "dead",
            "disapprove",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-dizzy"
    },
    {
        "name": "Dizzy Face (regular)",
        "id": "far_dizzy",
        "unicode": "f567",
        "created": 1,
        "filter": [
            "dazed",
            "dead",
            "disapprove",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-dizzy"
    },
    {
        "name": "DNA",
        "id": "fas_dna",
        "unicode": "f471",
        "created": 1,
        "filter": [
            "double helix",
            "genetic",
            "helix",
            "molecule",
            "protein"
        ],
        "categories": [
            "Medical",
            "Science"
        ],
        "icon": "fas fa-dna"
    },
    {
        "name": "DocHub",
        "id": "fab_dochub",
        "unicode": "f394",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dochub"
    },
    {
        "name": "Docker",
        "id": "fab_docker",
        "unicode": "f395",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-docker"
    },
    {
        "name": "Dog",
        "id": "fas_dog",
        "unicode": "f6d3",
        "created": 1,
        "filter": [
            "animal",
            "canine",
            "fauna",
            "mammal",
            "pet",
            "pooch",
            "puppy",
            "woof"
        ],
        "categories": [
            "Animals"
        ],
        "icon": "fas fa-dog"
    },
    {
        "name": "Dollar Sign",
        "id": "fas_dollar-sign",
        "unicode": "f155",
        "created": 1,
        "filter": [
            "$",
            "cost",
            "dollar-sign",
            "money",
            "price",
            "usd"
        ],
        "categories": [
            "Charity",
            "Currency",
            "Maps"
        ],
        "icon": "fas fa-dollar-sign"
    },
    {
        "name": "Dolly",
        "id": "fas_dolly",
        "unicode": "f472",
        "created": 1,
        "filter": [
            "carry",
            "shipping",
            "transport"
        ],
        "categories": [
            "Logistics",
            "Moving"
        ],
        "icon": "fas fa-dolly"
    },
    {
        "name": "Dolly Flatbed",
        "id": "fas_dolly-flatbed",
        "unicode": "f474",
        "created": 1,
        "filter": [
            "carry",
            "inventory",
            "shipping",
            "transport"
        ],
        "categories": [
            "Logistics"
        ],
        "icon": "fas fa-dolly-flatbed"
    },
    {
        "name": "Donate",
        "id": "fas_donate",
        "unicode": "f4b9",
        "created": 1,
        "filter": [
            "contribute",
            "generosity",
            "gift",
            "give"
        ],
        "categories": [
            "Charity",
            "Finance",
            "Political"
        ],
        "icon": "fas fa-donate"
    },
    {
        "name": "Door Closed",
        "id": "fas_door-closed",
        "unicode": "f52a",
        "created": 1,
        "filter": [
            "enter",
            "exit",
            "locked"
        ],
        "categories": [
            "Hotel",
            "Household",
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "fas fa-door-closed"
    },
    {
        "name": "Door Open",
        "id": "fas_door-open",
        "unicode": "f52b",
        "created": 1,
        "filter": [
            "enter",
            "exit",
            "welcome"
        ],
        "categories": [
            "Hotel",
            "Household",
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "fas fa-door-open"
    },
    {
        "name": "Dot Circle (solid)",
        "id": "fas_dot-circle",
        "unicode": "f192",
        "created": 1,
        "filter": [
            "bullseye",
            "notification",
            "target"
        ],
        "categories": [
            "Interfaces",
            "Toggle"
        ],
        "icon": "fas fa-dot-circle"
    },
    {
        "name": "Dot Circle (regular)",
        "id": "far_dot-circle",
        "unicode": "f192",
        "created": 1,
        "filter": [
            "bullseye",
            "notification",
            "target"
        ],
        "categories": [
            "Interfaces",
            "Toggle"
        ],
        "icon": "far fa-dot-circle"
    },
    {
        "name": "Dove",
        "id": "fas_dove",
        "unicode": "f4ba",
        "created": 1,
        "filter": [
            "bird",
            "fauna",
            "flying",
            "peace",
            "war"
        ],
        "categories": [
            "Animals",
            "Charity",
            "Political",
            "Religion"
        ],
        "icon": "fas fa-dove"
    },
    {
        "name": "Download",
        "id": "fas_download",
        "unicode": "f019",
        "created": 1,
        "filter": [
            "export",
            "hard drive",
            "save",
            "transfer"
        ],
        "categories": [
            "Arrows",
            "Computers",
            "Interfaces"
        ],
        "icon": "fas fa-download"
    },
    {
        "name": "Draft2digital",
        "id": "fab_draft2digital",
        "unicode": "f396",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-draft2digital"
    },
    {
        "name": "Drafting Compass",
        "id": "fas_drafting-compass",
        "unicode": "f568",
        "created": 1,
        "filter": [
            "design",
            "map",
            "mechanical drawing",
            "plot",
            "plotting"
        ],
        "categories": [
            "Construction",
            "Design"
        ],
        "icon": "fas fa-drafting-compass"
    },
    {
        "name": "Dragon",
        "id": "fas_dragon",
        "unicode": "f6d5",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "d&d",
            "dnd",
            "fantasy",
            "fire",
            "lizard",
            "serpent"
        ],
        "categories": [
            "Animals",
            "Tabletop Gaming"
        ],
        "icon": "fas fa-dragon"
    },
    {
        "name": "Draw Polygon",
        "id": "fas_draw-polygon",
        "unicode": "f5ee",
        "created": 1,
        "filter": [
            "anchors",
            "lines",
            "object",
            "render",
            "shape"
        ],
        "categories": [
            "Design",
            "Maps"
        ],
        "icon": "fas fa-draw-polygon"
    },
    {
        "name": "Dribbble",
        "id": "fab_dribbble",
        "unicode": "f17d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dribbble"
    },
    {
        "name": "Dribbble Square",
        "id": "fab_dribbble-square",
        "unicode": "f397",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dribbble-square"
    },
    {
        "name": "Dropbox",
        "id": "fab_dropbox",
        "unicode": "f16b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dropbox"
    },
    {
        "name": "Drum",
        "id": "fas_drum",
        "unicode": "f569",
        "created": 1,
        "filter": [
            "instrument",
            "music",
            "percussion",
            "snare",
            "sound"
        ],
        "categories": [
            "Music",
            "Objects"
        ],
        "icon": "fas fa-drum"
    },
    {
        "name": "Drum Steelpan",
        "id": "fas_drum-steelpan",
        "unicode": "f56a",
        "created": 1,
        "filter": [
            "calypso",
            "instrument",
            "music",
            "percussion",
            "reggae",
            "snare",
            "sound",
            "steel",
            "tropical"
        ],
        "categories": [
            "Music",
            "Objects"
        ],
        "icon": "fas fa-drum-steelpan"
    },
    {
        "name": "Drumstick with Bite Taken Out",
        "id": "fas_drumstick-bite",
        "unicode": "f6d7",
        "created": 1,
        "filter": [
            "bone",
            "chicken",
            "leg",
            "meat",
            "poultry",
            "turkey"
        ],
        "categories": [
            "Autumn",
            "Food"
        ],
        "icon": "fas fa-drumstick-bite"
    },
    {
        "name": "Drupal Logo",
        "id": "fab_drupal",
        "unicode": "f1a9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-drupal"
    },
    {
        "name": "Dumbbell",
        "id": "fas_dumbbell",
        "unicode": "f44b",
        "created": 1,
        "filter": [
            "exercise",
            "gym",
            "strength",
            "weight",
            "weight-lifting"
        ],
        "categories": [
            "Hotel",
            "Sports",
            "Travel"
        ],
        "icon": "fas fa-dumbbell"
    },
    {
        "name": "Dumpster",
        "id": "fas_dumpster",
        "unicode": "f793",
        "created": 1,
        "filter": [
            "alley",
            "bin",
            "commercial",
            "trash",
            "waste"
        ],
        "categories": [
            "Construction"
        ],
        "icon": "fas fa-dumpster"
    },
    {
        "name": "Dumpster Fire",
        "id": "fas_dumpster-fire",
        "unicode": "f794",
        "created": 1,
        "filter": [
            "alley",
            "bin",
            "commercial",
            "danger",
            "dangerous",
            "euphemism",
            "flame",
            "heat",
            "hot",
            "trash",
            "waste"
        ],
        "icon": "fas fa-dumpster-fire",
        "categories": [
            "Construction"
        ]
    },
    {
        "name": "Dungeon",
        "id": "fas_dungeon",
        "unicode": "f6d9",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "building",
            "d&d",
            "dnd",
            "door",
            "entrance",
            "fantasy",
            "gate"
        ],
        "categories": [
            "Buildings",
            "Tabletop Gaming",
            "Household",
            "Security"
        ],
        "icon": "fas fa-dungeon"
    },
    {
        "name": "Dyalog",
        "id": "fab_dyalog",
        "unicode": "f399",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-dyalog"
    },
    {
        "name": "Earlybirds",
        "id": "fab_earlybirds",
        "unicode": "f39a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-earlybirds"
    },
    {
        "name": "eBay",
        "id": "fab_ebay",
        "unicode": "f4f4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ebay"
    },
    {
        "name": "Edge Browser",
        "id": "fab_edge",
        "unicode": "f282",
        "created": 1,
        "filter": [
            "browser",
            "ie"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-edge"
    },
    {
        "name": "Edge Legacy Browser",
        "id": "fab_edge-legacy",
        "unicode": "e078",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-edge-legacy"
    },
    {
        "name": "Edit (solid)",
        "id": "fas_edit",
        "unicode": "f044",
        "created": 1,
        "filter": [
            "edit",
            "pen",
            "pencil",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Interfaces",
            "Writing"
        ],
        "icon": "fas fa-edit"
    },
    {
        "name": "Edit (regular)",
        "id": "far_edit",
        "unicode": "f044",
        "created": 1,
        "filter": [
            "edit",
            "pen",
            "pencil",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Interfaces",
            "Writing"
        ],
        "icon": "far fa-edit"
    },
    {
        "name": "Egg",
        "id": "fas_egg",
        "unicode": "f7fb",
        "created": 1,
        "filter": [
            "breakfast",
            "chicken",
            "easter",
            "shell",
            "yolk"
        ],
        "categories": [
            "Food"
        ],
        "icon": "fas fa-egg"
    },
    {
        "name": "eject",
        "id": "fas_eject",
        "unicode": "f052",
        "created": 1,
        "filter": [
            "abort",
            "cancel",
            "cd",
            "discharge"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-eject"
    },
    {
        "name": "Elementor",
        "id": "fab_elementor",
        "unicode": "f430",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-elementor"
    },
    {
        "name": "Horizontal Ellipsis",
        "id": "fas_ellipsis-h",
        "unicode": "f141",
        "created": 1,
        "filter": [
            "dots",
            "drag",
            "kebab",
            "list",
            "menu",
            "nav",
            "navigation",
            "ol",
            "reorder",
            "settings",
            "ul"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-ellipsis-h"
    },
    {
        "name": "Vertical Ellipsis",
        "id": "fas_ellipsis-v",
        "unicode": "f142",
        "created": 1,
        "filter": [
            "dots",
            "drag",
            "kebab",
            "list",
            "menu",
            "nav",
            "navigation",
            "ol",
            "reorder",
            "settings",
            "ul"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-ellipsis-v"
    },
    {
        "name": "Ello",
        "id": "fab_ello",
        "unicode": "f5f1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ello"
    },
    {
        "name": "Ember",
        "id": "fab_ember",
        "unicode": "f423",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ember"
    },
    {
        "name": "Galactic Empire",
        "id": "fab_empire",
        "unicode": "f1d1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-empire"
    },
    {
        "name": "Envelope (solid)",
        "id": "fas_envelope",
        "unicode": "f0e0",
        "created": 1,
        "filter": [
            "e-mail",
            "email",
            "letter",
            "mail",
            "message",
            "notification",
            "support"
        ],
        "categories": [
            "Business",
            "Communication",
            "Interfaces",
            "Objects",
            "Social",
            "Writing"
        ],
        "icon": "fas fa-envelope"
    },
    {
        "name": "Envelope (regular)",
        "id": "far_envelope",
        "unicode": "f0e0",
        "created": 1,
        "filter": [
            "e-mail",
            "email",
            "letter",
            "mail",
            "message",
            "notification",
            "support"
        ],
        "categories": [
            "Business",
            "Communication",
            "Interfaces",
            "Objects",
            "Social",
            "Writing"
        ],
        "icon": "far fa-envelope"
    },
    {
        "name": "Envelope Open (solid)",
        "id": "fas_envelope-open",
        "unicode": "f2b6",
        "created": 1,
        "filter": [
            "e-mail",
            "email",
            "letter",
            "mail",
            "message",
            "notification",
            "support"
        ],
        "categories": [
            "Business",
            "Communication",
            "Interfaces",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-envelope-open"
    },
    {
        "name": "Envelope Open (regular)",
        "id": "far_envelope-open",
        "unicode": "f2b6",
        "created": 1,
        "filter": [
            "e-mail",
            "email",
            "letter",
            "mail",
            "message",
            "notification",
            "support"
        ],
        "categories": [
            "Business",
            "Communication",
            "Interfaces",
            "Objects",
            "Writing"
        ],
        "icon": "far fa-envelope-open"
    },
    {
        "name": "Envelope Open-text",
        "id": "fas_envelope-open-text",
        "unicode": "f658",
        "created": 1,
        "filter": [
            "e-mail",
            "email",
            "letter",
            "mail",
            "message",
            "notification",
            "support"
        ],
        "categories": [
            "Marketing"
        ],
        "icon": "fas fa-envelope-open-text"
    },
    {
        "name": "Envelope Square",
        "id": "fas_envelope-square",
        "unicode": "f199",
        "created": 1,
        "filter": [
            "e-mail",
            "email",
            "letter",
            "mail",
            "message",
            "notification",
            "support"
        ],
        "categories": [
            "Business",
            "Communication"
        ],
        "icon": "fas fa-envelope-square"
    },
    {
        "name": "Envira Gallery",
        "id": "fab_envira",
        "unicode": "f299",
        "created": 1,
        "filter": [
            "leaf"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-envira"
    },
    {
        "name": "Equals",
        "id": "fas_equals",
        "unicode": "f52c",
        "created": 1,
        "filter": [
            "arithmetic",
            "even",
            "match",
            "math"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-equals"
    },
    {
        "name": "eraser",
        "id": "fas_eraser",
        "unicode": "f12d",
        "created": 1,
        "filter": [
            "art",
            "delete",
            "remove",
            "rubber"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Interfaces",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-eraser"
    },
    {
        "name": "Erlang",
        "id": "fab_erlang",
        "unicode": "f39d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-erlang"
    },
    {
        "name": "Ethereum",
        "id": "fab_ethereum",
        "unicode": "f42e",
        "created": 1,
        "filter": [],
        "categories": [
            "Currency",
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-ethereum"
    },
    {
        "name": "Ethernet",
        "id": "fas_ethernet",
        "unicode": "f796",
        "created": 1,
        "filter": [
            "cable",
            "cat 5",
            "cat 6",
            "connection",
            "hardware",
            "internet",
            "network",
            "wired"
        ],
        "categories": [
            "Computers"
        ],
        "icon": "fas fa-ethernet"
    },
    {
        "name": "Etsy",
        "id": "fab_etsy",
        "unicode": "f2d7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-etsy"
    },
    {
        "name": "Euro Sign",
        "id": "fas_euro-sign",
        "unicode": "f153",
        "created": 1,
        "filter": [
            "currency",
            "dollar",
            "exchange",
            "money"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-euro-sign"
    },
    {
        "name": "Evernote",
        "id": "fab_evernote",
        "unicode": "f839",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-evernote"
    },
    {
        "name": "Alternate Exchange",
        "id": "fas_exchange-alt",
        "unicode": "f362",
        "created": 1,
        "filter": [
            "arrow",
            "arrows",
            "exchange",
            "reciprocate",
            "return",
            "swap",
            "transfer"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-exchange-alt"
    },
    {
        "name": "exclamation",
        "id": "fas_exclamation",
        "unicode": "f12a",
        "created": 1,
        "filter": [
            "alert",
            "danger",
            "error",
            "important",
            "notice",
            "notification",
            "notify",
            "problem",
            "warning"
        ],
        "categories": [
            "Alert",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-exclamation"
    },
    {
        "name": "Exclamation Circle",
        "id": "fas_exclamation-circle",
        "unicode": "f06a",
        "created": 1,
        "filter": [
            "alert",
            "danger",
            "error",
            "important",
            "notice",
            "notification",
            "notify",
            "problem",
            "warning"
        ],
        "categories": [
            "Alert",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-exclamation-circle"
    },
    {
        "name": "Exclamation Triangle",
        "id": "fas_exclamation-triangle",
        "unicode": "f071",
        "created": 1,
        "filter": [
            "alert",
            "danger",
            "error",
            "important",
            "notice",
            "notification",
            "notify",
            "problem",
            "warning"
        ],
        "categories": [
            "Alert",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-exclamation-triangle"
    },
    {
        "name": "Expand",
        "id": "fas_expand",
        "unicode": "f065",
        "created": 1,
        "filter": [
            "bigger",
            "enlarge",
            "fullscreen",
            "resize"
        ],
        "categories": [
            "Audio & Video",
            "Images"
        ],
        "icon": "fas fa-expand"
    },
    {
        "name": "Alternate Expand",
        "id": "fas_expand-alt",
        "unicode": "f424",
        "created": 1,
        "filter": [
            "arrows",
            "bigger",
            "enlarge",
            "fullscreen",
            "resize"
        ],
        "categories": [
            "Arrows",
            "Audio & Video"
        ],
        "icon": "fas fa-expand-alt"
    },
    {
        "name": "Alternate Expand Arrows",
        "id": "fas_expand-arrows-alt",
        "unicode": "f31e",
        "created": 1,
        "filter": [
            "bigger",
            "enlarge",
            "fullscreen",
            "move",
            "resize"
        ],
        "categories": [
            "Arrows",
            "Audio & Video"
        ],
        "icon": "fas fa-expand-arrows-alt"
    },
    {
        "name": "ExpeditedSSL",
        "id": "fab_expeditedssl",
        "unicode": "f23e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-expeditedssl"
    },
    {
        "name": "Alternate External Link",
        "id": "fas_external-link-alt",
        "unicode": "f35d",
        "created": 1,
        "filter": [
            "external-link",
            "new",
            "open",
            "share"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-external-link-alt"
    },
    {
        "name": "Alternate External Link Square",
        "id": "fas_external-link-square-alt",
        "unicode": "f360",
        "created": 1,
        "filter": [
            "external-link-square",
            "new",
            "open",
            "share"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-external-link-square-alt"
    },
    {
        "name": "Eye (solid)",
        "id": "fas_eye",
        "unicode": "f06e",
        "created": 1,
        "filter": [
            "look",
            "optic",
            "see",
            "seen",
            "show",
            "sight",
            "views",
            "visible"
        ],
        "categories": [
            "Design",
            "Images",
            "Interfaces",
            "Maps",
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "fas fa-eye"
    },
    {
        "name": "Eye (regular)",
        "id": "far_eye",
        "unicode": "f06e",
        "created": 1,
        "filter": [
            "look",
            "optic",
            "see",
            "seen",
            "show",
            "sight",
            "views",
            "visible"
        ],
        "categories": [
            "Design",
            "Images",
            "Interfaces",
            "Maps",
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "far fa-eye"
    },
    {
        "name": "Eye Dropper",
        "id": "fas_eye-dropper",
        "unicode": "f1fb",
        "created": 1,
        "filter": [
            "beaker",
            "clone",
            "color",
            "copy",
            "eyedropper",
            "pipette"
        ],
        "categories": [
            "Design",
            "Images",
            "Objects",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-eye-dropper"
    },
    {
        "name": "Eye Slash (solid)",
        "id": "fas_eye-slash",
        "unicode": "f070",
        "created": 1,
        "filter": [
            "blind",
            "hide",
            "show",
            "toggle",
            "unseen",
            "views",
            "visible",
            "visiblity"
        ],
        "categories": [
            "Design",
            "Images",
            "Interfaces",
            "Maps",
            "Security",
            "Status"
        ],
        "icon": "fas fa-eye-slash"
    },
    {
        "name": "Eye Slash (regular)",
        "id": "far_eye-slash",
        "unicode": "f070",
        "created": 1,
        "filter": [
            "blind",
            "hide",
            "show",
            "toggle",
            "unseen",
            "views",
            "visible",
            "visiblity"
        ],
        "categories": [
            "Design",
            "Images",
            "Interfaces",
            "Maps",
            "Security",
            "Status"
        ],
        "icon": "far fa-eye-slash"
    },
    {
        "name": "Facebook",
        "id": "fab_facebook",
        "unicode": "f09a",
        "created": 1,
        "filter": [
            "facebook-official",
            "social network"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-facebook"
    },
    {
        "name": "Facebook F",
        "id": "fab_facebook-f",
        "unicode": "f39e",
        "created": 1,
        "filter": [
            "facebook"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-facebook-f"
    },
    {
        "name": "Facebook Messenger",
        "id": "fab_facebook-messenger",
        "unicode": "f39f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-facebook-messenger"
    },
    {
        "name": "Facebook Square",
        "id": "fab_facebook-square",
        "unicode": "f082",
        "created": 1,
        "filter": [
            "social network"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-facebook-square"
    },
    {
        "name": "Fan",
        "id": "fas_fan",
        "unicode": "f863",
        "created": 1,
        "filter": [
            "ac",
            "air conditioning",
            "blade",
            "blower",
            "cool",
            "hot"
        ],
        "categories": [
            "Energy",
            "Household",
            "Spinners"
        ],
        "icon": "fas fa-fan"
    },
    {
        "name": "Fantasy Flight-games",
        "id": "fab_fantasy-flight-games",
        "unicode": "f6dc",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "d&d",
            "dnd",
            "fantasy",
            "game",
            "gaming",
            "tabletop"
        ],
        "categories": [
            "Tabletop Gaming",
            "Brand"
        ],
        "icon": "fab fa-fantasy-flight-games"
    },
    {
        "name": "fast-backward",
        "id": "fas_fast-backward",
        "unicode": "f049",
        "created": 1,
        "filter": [
            "beginning",
            "first",
            "previous",
            "rewind",
            "start"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-fast-backward"
    },
    {
        "name": "fast-forward",
        "id": "fas_fast-forward",
        "unicode": "f050",
        "created": 1,
        "filter": [
            "end",
            "last",
            "next"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-fast-forward"
    },
    {
        "name": "Faucet",
        "id": "fas_faucet",
        "unicode": "e005",
        "created": 1,
        "filter": [
            "covid-19",
            "drip",
            "house",
            "hygiene",
            "kitchen",
            "sink",
            "water"
        ],
        "categories": [
            "Camping",
            "Household"
        ],
        "icon": "fas fa-faucet"
    },
    {
        "name": "Fax",
        "id": "fas_fax",
        "unicode": "f1ac",
        "created": 1,
        "filter": [
            "business",
            "communicate",
            "copy",
            "facsimile",
            "send"
        ],
        "categories": [
            "Business",
            "Communication",
            "Objects"
        ],
        "icon": "fas fa-fax"
    },
    {
        "name": "Feather",
        "id": "fas_feather",
        "unicode": "f52d",
        "created": 1,
        "filter": [
            "bird",
            "light",
            "plucked",
            "quill",
            "write"
        ],
        "categories": [
            "Animals",
            "Objects"
        ],
        "icon": "fas fa-feather"
    },
    {
        "name": "Alternate Feather",
        "id": "fas_feather-alt",
        "unicode": "f56b",
        "created": 1,
        "filter": [
            "bird",
            "light",
            "plucked",
            "quill",
            "write"
        ],
        "categories": [
            "Animals",
            "Objects"
        ],
        "icon": "fas fa-feather-alt"
    },
    {
        "name": "FedEx",
        "id": "fab_fedex",
        "unicode": "f797",
        "created": 1,
        "filter": [
            "Federal Express",
            "package",
            "shipping"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-fedex"
    },
    {
        "name": "Fedora",
        "id": "fab_fedora",
        "unicode": "f798",
        "created": 1,
        "filter": [
            "linux",
            "operating system",
            "os"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-fedora"
    },
    {
        "name": "Female",
        "id": "fas_female",
        "unicode": "f182",
        "created": 1,
        "filter": [
            "human",
            "person",
            "profile",
            "user",
            "woman"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-female"
    },
    {
        "name": "fighter-jet",
        "id": "fas_fighter-jet",
        "unicode": "f0fb",
        "created": 1,
        "filter": [
            "airplane",
            "fast",
            "fly",
            "goose",
            "maverick",
            "plane",
            "quick",
            "top gun",
            "transportation",
            "travel"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-fighter-jet"
    },
    {
        "name": "Figma",
        "id": "fab_figma",
        "unicode": "f799",
        "created": 1,
        "filter": [
            "app",
            "design",
            "interface"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-figma"
    },
    {
        "name": "File (solid)",
        "id": "fas_file",
        "unicode": "f15b",
        "created": 1,
        "filter": [
            "document",
            "new",
            "page",
            "pdf",
            "resume"
        ],
        "categories": [
            "Business",
            "Code",
            "Editors",
            "Files",
            "Interfaces",
            "Objects",
            "Shapes",
            "Status",
            "Writing"
        ],
        "icon": "fas fa-file"
    },
    {
        "name": "File (regular)",
        "id": "far_file",
        "unicode": "f15b",
        "created": 1,
        "filter": [
            "document",
            "new",
            "page",
            "pdf",
            "resume"
        ],
        "categories": [
            "Business",
            "Code",
            "Editors",
            "Files",
            "Interfaces",
            "Objects",
            "Shapes",
            "Status",
            "Writing"
        ],
        "icon": "far fa-file"
    },
    {
        "name": "Alternate File (solid)",
        "id": "fas_file-alt",
        "unicode": "f15c",
        "created": 1,
        "filter": [
            "document",
            "file-text",
            "invoice",
            "new",
            "page",
            "pdf"
        ],
        "categories": [
            "Business",
            "Code",
            "Editors",
            "Files",
            "Interfaces",
            "Objects",
            "Status",
            "Writing"
        ],
        "icon": "fas fa-file-alt"
    },
    {
        "name": "Alternate File (regular)",
        "id": "far_file-alt",
        "unicode": "f15c",
        "created": 1,
        "filter": [
            "document",
            "file-text",
            "invoice",
            "new",
            "page",
            "pdf"
        ],
        "categories": [
            "Business",
            "Code",
            "Editors",
            "Files",
            "Interfaces",
            "Objects",
            "Status",
            "Writing"
        ],
        "icon": "far fa-file-alt"
    },
    {
        "name": "Archive File (solid)",
        "id": "fas_file-archive",
        "unicode": "f1c6",
        "created": 1,
        "filter": [
            ".zip",
            "bundle",
            "compress",
            "compression",
            "download",
            "zip"
        ],
        "categories": [
            "Files"
        ],
        "icon": "fas fa-file-archive"
    },
    {
        "name": "Archive File (regular)",
        "id": "far_file-archive",
        "unicode": "f1c6",
        "created": 1,
        "filter": [
            ".zip",
            "bundle",
            "compress",
            "compression",
            "download",
            "zip"
        ],
        "categories": [
            "Files"
        ],
        "icon": "far fa-file-archive"
    },
    {
        "name": "Audio File (solid)",
        "id": "fas_file-audio",
        "unicode": "f1c7",
        "created": 1,
        "filter": [
            "document",
            "mp3",
            "music",
            "page",
            "play",
            "sound"
        ],
        "categories": [
            "Audio & Video",
            "Files",
            "Music"
        ],
        "icon": "fas fa-file-audio"
    },
    {
        "name": "Audio File (regular)",
        "id": "far_file-audio",
        "unicode": "f1c7",
        "created": 1,
        "filter": [
            "document",
            "mp3",
            "music",
            "page",
            "play",
            "sound"
        ],
        "categories": [
            "Audio & Video",
            "Files",
            "Music"
        ],
        "icon": "far fa-file-audio"
    },
    {
        "name": "Code File (solid)",
        "id": "fas_file-code",
        "unicode": "f1c9",
        "created": 1,
        "filter": [
            "css",
            "development",
            "document",
            "html"
        ],
        "categories": [
            "Code",
            "Files"
        ],
        "icon": "fas fa-file-code"
    },
    {
        "name": "Code File (regular)",
        "id": "far_file-code",
        "unicode": "f1c9",
        "created": 1,
        "filter": [
            "css",
            "development",
            "document",
            "html"
        ],
        "categories": [
            "Code",
            "Files"
        ],
        "icon": "far fa-file-code"
    },
    {
        "name": "File Contract",
        "id": "fas_file-contract",
        "unicode": "f56c",
        "created": 1,
        "filter": [
            "agreement",
            "binding",
            "document",
            "legal",
            "signature"
        ],
        "categories": [
            "Security"
        ],
        "icon": "fas fa-file-contract"
    },
    {
        "name": "File CSV",
        "id": "fas_file-csv",
        "unicode": "f6dd",
        "created": 1,
        "filter": [
            "document",
            "excel",
            "numbers",
            "spreadsheets",
            "table"
        ],
        "icon": "fas fa-file-csv",
        "categories": [
            "Security"
        ]
    },
    {
        "name": "File Download",
        "id": "fas_file-download",
        "unicode": "f56d",
        "created": 1,
        "filter": [
            "document",
            "export",
            "save"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-file-download"
    },
    {
        "name": "Excel File (solid)",
        "id": "fas_file-excel",
        "unicode": "f1c3",
        "created": 1,
        "filter": [
            "csv",
            "document",
            "numbers",
            "spreadsheets",
            "table"
        ],
        "categories": [
            "Files"
        ],
        "icon": "fas fa-file-excel"
    },
    {
        "name": "Excel File (regular)",
        "id": "far_file-excel",
        "unicode": "f1c3",
        "created": 1,
        "filter": [
            "csv",
            "document",
            "numbers",
            "spreadsheets",
            "table"
        ],
        "categories": [
            "Files"
        ],
        "icon": "far fa-file-excel"
    },
    {
        "name": "File Export",
        "id": "fas_file-export",
        "unicode": "f56e",
        "created": 1,
        "filter": [
            "download",
            "save"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-file-export"
    },
    {
        "name": "Image File (solid)",
        "id": "fas_file-image",
        "unicode": "f1c5",
        "created": 1,
        "filter": [
            "document",
            "image",
            "jpg",
            "photo",
            "png"
        ],
        "categories": [
            "Files",
            "Images"
        ],
        "icon": "fas fa-file-image"
    },
    {
        "name": "Image File (regular)",
        "id": "far_file-image",
        "unicode": "f1c5",
        "created": 1,
        "filter": [
            "document",
            "image",
            "jpg",
            "photo",
            "png"
        ],
        "categories": [
            "Files",
            "Images"
        ],
        "icon": "far fa-file-image"
    },
    {
        "name": "File Import",
        "id": "fas_file-import",
        "unicode": "f56f",
        "created": 1,
        "filter": [
            "copy",
            "document",
            "send",
            "upload"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-file-import"
    },
    {
        "name": "File Invoice",
        "id": "fas_file-invoice",
        "unicode": "f570",
        "created": 1,
        "filter": [
            "account",
            "bill",
            "charge",
            "document",
            "payment",
            "receipt"
        ],
        "categories": [
            "Finance"
        ],
        "icon": "fas fa-file-invoice"
    },
    {
        "name": "File Invoice with US Dollar",
        "id": "fas_file-invoice-dollar",
        "unicode": "f571",
        "created": 1,
        "filter": [
            "$",
            "account",
            "bill",
            "charge",
            "document",
            "dollar-sign",
            "money",
            "payment",
            "receipt",
            "usd"
        ],
        "categories": [
            "Finance"
        ],
        "icon": "fas fa-file-invoice-dollar"
    },
    {
        "name": "Medical File",
        "id": "fas_file-medical",
        "unicode": "f477",
        "created": 1,
        "filter": [
            "document",
            "health",
            "history",
            "prescription",
            "record"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-file-medical"
    },
    {
        "name": "Alternate Medical File",
        "id": "fas_file-medical-alt",
        "unicode": "f478",
        "created": 1,
        "filter": [
            "document",
            "health",
            "history",
            "prescription",
            "record"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-file-medical-alt"
    },
    {
        "name": "PDF File (solid)",
        "id": "fas_file-pdf",
        "unicode": "f1c1",
        "created": 1,
        "filter": [
            "acrobat",
            "document",
            "preview",
            "save"
        ],
        "categories": [
            "Files"
        ],
        "icon": "fas fa-file-pdf"
    },
    {
        "name": "PDF File (regular)",
        "id": "far_file-pdf",
        "unicode": "f1c1",
        "created": 1,
        "filter": [
            "acrobat",
            "document",
            "preview",
            "save"
        ],
        "categories": [
            "Files"
        ],
        "icon": "far fa-file-pdf"
    },
    {
        "name": "Powerpoint File (solid)",
        "id": "fas_file-powerpoint",
        "unicode": "f1c4",
        "created": 1,
        "filter": [
            "display",
            "document",
            "keynote",
            "presentation"
        ],
        "categories": [
            "Files"
        ],
        "icon": "fas fa-file-powerpoint"
    },
    {
        "name": "Powerpoint File (regular)",
        "id": "far_file-powerpoint",
        "unicode": "f1c4",
        "created": 1,
        "filter": [
            "display",
            "document",
            "keynote",
            "presentation"
        ],
        "categories": [
            "Files"
        ],
        "icon": "far fa-file-powerpoint"
    },
    {
        "name": "File Prescription",
        "id": "fas_file-prescription",
        "unicode": "f572",
        "created": 1,
        "filter": [
            "document",
            "drugs",
            "medical",
            "medicine",
            "rx"
        ],
        "categories": [
            "Medical",
            "Objects",
            "Pharmacy"
        ],
        "icon": "fas fa-file-prescription"
    },
    {
        "name": "File Signature",
        "id": "fas_file-signature",
        "unicode": "f573",
        "created": 1,
        "filter": [
            "John Hancock",
            "contract",
            "document",
            "name"
        ],
        "categories": [
            "Security"
        ],
        "icon": "fas fa-file-signature"
    },
    {
        "name": "File Upload",
        "id": "fas_file-upload",
        "unicode": "f574",
        "created": 1,
        "filter": [
            "document",
            "import",
            "page",
            "save"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-file-upload"
    },
    {
        "name": "Video File (solid)",
        "id": "fas_file-video",
        "unicode": "f1c8",
        "created": 1,
        "filter": [
            "document",
            "m4v",
            "movie",
            "mp4",
            "play"
        ],
        "categories": [
            "Audio & Video",
            "Files"
        ],
        "icon": "fas fa-file-video"
    },
    {
        "name": "Video File (regular)",
        "id": "far_file-video",
        "unicode": "f1c8",
        "created": 1,
        "filter": [
            "document",
            "m4v",
            "movie",
            "mp4",
            "play"
        ],
        "categories": [
            "Audio & Video",
            "Files"
        ],
        "icon": "far fa-file-video"
    },
    {
        "name": "Word File (solid)",
        "id": "fas_file-word",
        "unicode": "f1c2",
        "created": 1,
        "filter": [
            "document",
            "edit",
            "page",
            "text",
            "writing"
        ],
        "categories": [
            "Files"
        ],
        "icon": "fas fa-file-word"
    },
    {
        "name": "Word File (regular)",
        "id": "far_file-word",
        "unicode": "f1c2",
        "created": 1,
        "filter": [
            "document",
            "edit",
            "page",
            "text",
            "writing"
        ],
        "categories": [
            "Files"
        ],
        "icon": "far fa-file-word"
    },
    {
        "name": "Fill",
        "id": "fas_fill",
        "unicode": "f575",
        "created": 1,
        "filter": [
            "bucket",
            "color",
            "paint",
            "paint bucket"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-fill"
    },
    {
        "name": "Fill Drip",
        "id": "fas_fill-drip",
        "unicode": "f576",
        "created": 1,
        "filter": [
            "bucket",
            "color",
            "drop",
            "paint",
            "paint bucket",
            "spill"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-fill-drip"
    },
    {
        "name": "Film",
        "id": "fas_film",
        "unicode": "f008",
        "created": 1,
        "filter": [
            "cinema",
            "movie",
            "strip",
            "video"
        ],
        "categories": [
            "Audio & Video",
            "Images",
            "Objects"
        ],
        "icon": "fas fa-film"
    },
    {
        "name": "Filter",
        "id": "fas_filter",
        "unicode": "f0b0",
        "created": 1,
        "filter": [
            "funnel",
            "options",
            "separate",
            "sort"
        ],
        "categories": [
            "Code",
            "Interfaces",
            "Science"
        ],
        "icon": "fas fa-filter"
    },
    {
        "name": "Fingerprint",
        "id": "fas_fingerprint",
        "unicode": "f577",
        "created": 1,
        "filter": [
            "human",
            "id",
            "identification",
            "lock",
            "smudge",
            "touch",
            "unique",
            "unlock"
        ],
        "categories": [
            "Interfaces",
            "Security"
        ],
        "icon": "fas fa-fingerprint"
    },
    {
        "name": "fire",
        "id": "fas_fire",
        "unicode": "f06d",
        "created": 1,
        "filter": [
            "burn",
            "caliente",
            "flame",
            "heat",
            "hot",
            "popular"
        ],
        "categories": [
            "Camping",
            "Energy",
            "Maps",
            "Objects",
            "Science"
        ],
        "icon": "fas fa-fire"
    },
    {
        "name": "Alternate Fire",
        "id": "fas_fire-alt",
        "unicode": "f7e4",
        "created": 1,
        "filter": [
            "burn",
            "caliente",
            "flame",
            "heat",
            "hot",
            "popular"
        ],
        "categories": [
            "Camping",
            "Energy",
            "Fitness",
            "Maps",
            "Objects",
            "Science"
        ],
        "icon": "fas fa-fire-alt"
    },
    {
        "name": "fire-extinguisher",
        "id": "fas_fire-extinguisher",
        "unicode": "f134",
        "created": 1,
        "filter": [
            "burn",
            "caliente",
            "fire fighter",
            "flame",
            "heat",
            "hot",
            "rescue"
        ],
        "categories": [
            "Code",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-fire-extinguisher"
    },
    {
        "name": "Firefox",
        "id": "fab_firefox",
        "unicode": "f269",
        "created": 1,
        "filter": [
            "browser"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-firefox"
    },
    {
        "name": "Firefox Browser",
        "id": "fab_firefox-browser",
        "unicode": "e007",
        "created": 1,
        "filter": [
            "browser"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-firefox-browser"
    },
    {
        "name": "First Aid",
        "id": "fas_first-aid",
        "unicode": "f479",
        "created": 1,
        "filter": [
            "emergency",
            "emt",
            "health",
            "medical",
            "rescue"
        ],
        "categories": [
            "Camping",
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-first-aid"
    },
    {
        "name": "First Order",
        "id": "fab_first-order",
        "unicode": "f2b0",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-first-order"
    },
    {
        "name": "Alternate First Order",
        "id": "fab_first-order-alt",
        "unicode": "f50a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-first-order-alt"
    },
    {
        "name": "firstdraft",
        "id": "fab_firstdraft",
        "unicode": "f3a1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-firstdraft"
    },
    {
        "name": "Fish",
        "id": "fas_fish",
        "unicode": "f578",
        "created": 1,
        "filter": [
            "fauna",
            "gold",
            "seafood",
            "swimming"
        ],
        "categories": [
            "Animals",
            "Food",
            "Summer"
        ],
        "icon": "fas fa-fish"
    },
    {
        "name": "Raised Fist",
        "id": "fas_fist-raised",
        "unicode": "f6de",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "d&d",
            "dnd",
            "fantasy",
            "hand",
            "ki",
            "monk",
            "resist",
            "strength",
            "unarmed combat"
        ],
        "categories": [
            "Tabletop Gaming",
            "Hands",
            "Political"
        ],
        "icon": "fas fa-fist-raised"
    },
    {
        "name": "flag (solid)",
        "id": "fas_flag",
        "unicode": "f024",
        "created": 1,
        "filter": [
            "country",
            "notice",
            "notification",
            "notify",
            "pole",
            "report",
            "symbol"
        ],
        "categories": [
            "Interfaces",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-flag"
    },
    {
        "name": "flag (regular)",
        "id": "far_flag",
        "unicode": "f024",
        "created": 1,
        "filter": [
            "country",
            "notice",
            "notification",
            "notify",
            "pole",
            "report",
            "symbol"
        ],
        "categories": [
            "Interfaces",
            "Maps",
            "Objects"
        ],
        "icon": "far fa-flag"
    },
    {
        "name": "flag-checkered",
        "id": "fas_flag-checkered",
        "unicode": "f11e",
        "created": 1,
        "filter": [
            "notice",
            "notification",
            "notify",
            "pole",
            "racing",
            "report",
            "symbol"
        ],
        "categories": [
            "Interfaces",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-flag-checkered"
    },
    {
        "name": "United States of America Flag",
        "id": "fas_flag-usa",
        "unicode": "f74d",
        "created": 1,
        "filter": [
            "betsy ross",
            "country",
            "old glory",
            "stars",
            "stripes",
            "symbol"
        ],
        "categories": [
            "Political"
        ],
        "icon": "fas fa-flag-usa"
    },
    {
        "name": "Flask",
        "id": "fas_flask",
        "unicode": "f0c3",
        "created": 1,
        "filter": [
            "beaker",
            "experimental",
            "labs",
            "science"
        ],
        "categories": [
            "Beverage",
            "Maps",
            "Objects",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-flask"
    },
    {
        "name": "Flickr",
        "id": "fab_flickr",
        "unicode": "f16e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-flickr"
    },
    {
        "name": "Flipboard",
        "id": "fab_flipboard",
        "unicode": "f44d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-flipboard"
    },
    {
        "name": "Flushed Face (solid)",
        "id": "fas_flushed",
        "unicode": "f579",
        "created": 1,
        "filter": [
            "embarrassed",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-flushed"
    },
    {
        "name": "Flushed Face (regular)",
        "id": "far_flushed",
        "unicode": "f579",
        "created": 1,
        "filter": [
            "embarrassed",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-flushed"
    },
    {
        "name": "Fly",
        "id": "fab_fly",
        "unicode": "f417",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-fly"
    },
    {
        "name": "Folder (solid)",
        "id": "fas_folder",
        "unicode": "f07b",
        "created": 1,
        "filter": [
            "archive",
            "directory",
            "document",
            "file"
        ],
        "categories": [
            "Business",
            "Code",
            "Files",
            "Interfaces",
            "Shapes",
            "Status",
            "Writing"
        ],
        "icon": "fas fa-folder"
    },
    {
        "name": "Folder (regular)",
        "id": "far_folder",
        "unicode": "f07b",
        "created": 1,
        "filter": [
            "archive",
            "directory",
            "document",
            "file"
        ],
        "categories": [
            "Business",
            "Code",
            "Files",
            "Interfaces",
            "Shapes",
            "Status",
            "Writing"
        ],
        "icon": "far fa-folder"
    },
    {
        "name": "Folder Minus",
        "id": "fas_folder-minus",
        "unicode": "f65d",
        "created": 1,
        "filter": [
            "archive",
            "delete",
            "directory",
            "document",
            "file",
            "negative",
            "remove"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-folder-minus"
    },
    {
        "name": "Folder Open (solid)",
        "id": "fas_folder-open",
        "unicode": "f07c",
        "created": 1,
        "filter": [
            "archive",
            "directory",
            "document",
            "empty",
            "file",
            "new"
        ],
        "categories": [
            "Business",
            "Code",
            "Files",
            "Interfaces",
            "Status",
            "Writing"
        ],
        "icon": "fas fa-folder-open"
    },
    {
        "name": "Folder Open (regular)",
        "id": "far_folder-open",
        "unicode": "f07c",
        "created": 1,
        "filter": [
            "archive",
            "directory",
            "document",
            "empty",
            "file",
            "new"
        ],
        "categories": [
            "Business",
            "Code",
            "Files",
            "Interfaces",
            "Status",
            "Writing"
        ],
        "icon": "far fa-folder-open"
    },
    {
        "name": "Folder Plus",
        "id": "fas_folder-plus",
        "unicode": "f65e",
        "created": 1,
        "filter": [
            "add",
            "archive",
            "create",
            "directory",
            "document",
            "file",
            "new",
            "positive"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-folder-plus"
    },
    {
        "name": "font",
        "id": "fas_font",
        "unicode": "f031",
        "created": 1,
        "filter": [
            "alphabet",
            "glyph",
            "text",
            "type",
            "typeface"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-font"
    },
    {
        "name": "Font Awesome",
        "id": "fab_font-awesome",
        "unicode": "f2b4",
        "created": 1,
        "filter": [
            "meanpath"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-font-awesome"
    },
    {
        "name": "Alternate Font Awesome",
        "id": "fab_font-awesome-alt",
        "unicode": "f35c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-font-awesome-alt"
    },
    {
        "name": "Font Awesome Flag",
        "id": "fab_font-awesome-flag",
        "unicode": "f425",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-font-awesome-flag"
    },
    {
        "name": "Font Awesome Full Logo (regular)",
        "id": "far_font-awesome-logo-full",
        "unicode": "f4e6",
        "created": 1,
        "filter": [],
        "icon": "far fa-font-awesome-logo-full",
        "categories": [
            "Editors"
        ]
    },
    {
        "name": "Font Awesome Full Logo (solid)",
        "id": "fas_font-awesome-logo-full",
        "unicode": "f4e6",
        "created": 1,
        "filter": [],
        "icon": "fas fa-font-awesome-logo-full",
        "categories": [
            "Editors"
        ]
    },
    {
        "name": "Font Awesome Full Logo (brand)",
        "id": "fab_font-awesome-logo-full",
        "unicode": "f4e6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-font-awesome-logo-full"
    },
    {
        "name": "Fonticons",
        "id": "fab_fonticons",
        "unicode": "f280",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-fonticons"
    },
    {
        "name": "Fonticons Fi",
        "id": "fab_fonticons-fi",
        "unicode": "f3a2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-fonticons-fi"
    },
    {
        "name": "Football Ball",
        "id": "fas_football-ball",
        "unicode": "f44e",
        "created": 1,
        "filter": [
            "ball",
            "fall",
            "nfl",
            "pigskin",
            "seasonal"
        ],
        "categories": [
            "Autumn",
            "Sports"
        ],
        "icon": "fas fa-football-ball"
    },
    {
        "name": "Fort Awesome",
        "id": "fab_fort-awesome",
        "unicode": "f286",
        "created": 1,
        "filter": [
            "castle"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-fort-awesome"
    },
    {
        "name": "Alternate Fort Awesome",
        "id": "fab_fort-awesome-alt",
        "unicode": "f3a3",
        "created": 1,
        "filter": [
            "castle"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-fort-awesome-alt"
    },
    {
        "name": "Forumbee",
        "id": "fab_forumbee",
        "unicode": "f211",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-forumbee"
    },
    {
        "name": "forward",
        "id": "fas_forward",
        "unicode": "f04e",
        "created": 1,
        "filter": [
            "forward",
            "next",
            "skip"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-forward"
    },
    {
        "name": "Foursquare",
        "id": "fab_foursquare",
        "unicode": "f180",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-foursquare"
    },
    {
        "name": "freeCodeCamp",
        "id": "fab_free-code-camp",
        "unicode": "f2c5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-free-code-camp"
    },
    {
        "name": "FreeBSD",
        "id": "fab_freebsd",
        "unicode": "f3a4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-freebsd"
    },
    {
        "name": "Frog",
        "id": "fas_frog",
        "unicode": "f52e",
        "created": 1,
        "filter": [
            "amphibian",
            "bullfrog",
            "fauna",
            "hop",
            "kermit",
            "kiss",
            "prince",
            "ribbit",
            "toad",
            "wart"
        ],
        "categories": [
            "Animals",
            "Camping",
            "Maritime",
            "Science",
            "Spring"
        ],
        "icon": "fas fa-frog"
    },
    {
        "name": "Frowning Face (solid)",
        "id": "fas_frown",
        "unicode": "f119",
        "created": 1,
        "filter": [
            "disapprove",
            "emoticon",
            "face",
            "rating",
            "sad"
        ],
        "categories": [
            "Chat",
            "Emoji",
            "Interfaces",
            "Users & People"
        ],
        "icon": "fas fa-frown"
    },
    {
        "name": "Frowning Face (regular)",
        "id": "far_frown",
        "unicode": "f119",
        "created": 1,
        "filter": [
            "disapprove",
            "emoticon",
            "face",
            "rating",
            "sad"
        ],
        "categories": [
            "Chat",
            "Emoji",
            "Interfaces",
            "Users & People"
        ],
        "icon": "far fa-frown"
    },
    {
        "name": "Frowning Face With Open Mouth (solid)",
        "id": "fas_frown-open",
        "unicode": "f57a",
        "created": 1,
        "filter": [
            "disapprove",
            "emoticon",
            "face",
            "rating",
            "sad"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-frown-open"
    },
    {
        "name": "Frowning Face With Open Mouth (regular)",
        "id": "far_frown-open",
        "unicode": "f57a",
        "created": 1,
        "filter": [
            "disapprove",
            "emoticon",
            "face",
            "rating",
            "sad"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-frown-open"
    },
    {
        "name": "Fulcrum",
        "id": "fab_fulcrum",
        "unicode": "f50b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-fulcrum"
    },
    {
        "name": "Funnel Dollar",
        "id": "fas_funnel-dollar",
        "unicode": "f662",
        "created": 1,
        "filter": [
            "filter",
            "money",
            "options",
            "separate",
            "sort"
        ],
        "categories": [
            "Marketing"
        ],
        "icon": "fas fa-funnel-dollar"
    },
    {
        "name": "Futbol (solid)",
        "id": "fas_futbol",
        "unicode": "f1e3",
        "created": 1,
        "filter": [
            "ball",
            "football",
            "mls",
            "soccer"
        ],
        "categories": [
            "Objects",
            "Sports"
        ],
        "icon": "fas fa-futbol"
    },
    {
        "name": "Futbol (regular)",
        "id": "far_futbol",
        "unicode": "f1e3",
        "created": 1,
        "filter": [
            "ball",
            "football",
            "mls",
            "soccer"
        ],
        "categories": [
            "Objects",
            "Sports"
        ],
        "icon": "far fa-futbol"
    },
    {
        "name": "Galactic Republic",
        "id": "fab_galactic-republic",
        "unicode": "f50c",
        "created": 1,
        "filter": [
            "politics",
            "star wars"
        ],
        "categories": [
            "Science Fiction",
            "Brand"
        ],
        "icon": "fab fa-galactic-republic"
    },
    {
        "name": "Galactic Senate",
        "id": "fab_galactic-senate",
        "unicode": "f50d",
        "created": 1,
        "filter": [
            "star wars"
        ],
        "categories": [
            "Science Fiction",
            "Brand"
        ],
        "icon": "fab fa-galactic-senate"
    },
    {
        "name": "Gamepad",
        "id": "fas_gamepad",
        "unicode": "f11b",
        "created": 1,
        "filter": [
            "arcade",
            "controller",
            "d-pad",
            "joystick",
            "video",
            "video game"
        ],
        "categories": [
            "Childhood",
            "Games",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-gamepad"
    },
    {
        "name": "Gas Pump",
        "id": "fas_gas-pump",
        "unicode": "f52f",
        "created": 1,
        "filter": [
            "car",
            "fuel",
            "gasoline",
            "petrol"
        ],
        "categories": [
            "Automotive",
            "Energy",
            "Status"
        ],
        "icon": "fas fa-gas-pump"
    },
    {
        "name": "Gavel",
        "id": "fas_gavel",
        "unicode": "f0e3",
        "created": 1,
        "filter": [
            "hammer",
            "judge",
            "law",
            "lawyer",
            "opinion"
        ],
        "categories": [
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-gavel"
    },
    {
        "name": "Gem (solid)",
        "id": "fas_gem",
        "unicode": "f3a5",
        "created": 1,
        "filter": [
            "diamond",
            "jewelry",
            "sapphire",
            "stone",
            "treasure"
        ],
        "categories": [
            "Objects",
            "Payments & Shopping"
        ],
        "icon": "fas fa-gem"
    },
    {
        "name": "Gem (regular)",
        "id": "far_gem",
        "unicode": "f3a5",
        "created": 1,
        "filter": [
            "diamond",
            "jewelry",
            "sapphire",
            "stone",
            "treasure"
        ],
        "categories": [
            "Objects",
            "Payments & Shopping"
        ],
        "icon": "far fa-gem"
    },
    {
        "name": "Genderless",
        "id": "fas_genderless",
        "unicode": "f22d",
        "created": 1,
        "filter": [
            "androgynous",
            "asexual",
            "sexless"
        ],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-genderless"
    },
    {
        "name": "Get Pocket",
        "id": "fab_get-pocket",
        "unicode": "f265",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-get-pocket"
    },
    {
        "name": "GG Currency",
        "id": "fab_gg",
        "unicode": "f260",
        "created": 1,
        "filter": [],
        "categories": [
            "Currency",
            "Brand"
        ],
        "icon": "fab fa-gg"
    },
    {
        "name": "GG Currency Circle",
        "id": "fab_gg-circle",
        "unicode": "f261",
        "created": 1,
        "filter": [],
        "categories": [
            "Currency",
            "Brand"
        ],
        "icon": "fab fa-gg-circle"
    },
    {
        "name": "Ghost",
        "id": "fas_ghost",
        "unicode": "f6e2",
        "created": 1,
        "filter": [
            "apparition",
            "blinky",
            "clyde",
            "floating",
            "halloween",
            "holiday",
            "inky",
            "pinky",
            "spirit"
        ],
        "categories": [
            "Games",
            "Halloween"
        ],
        "icon": "fas fa-ghost"
    },
    {
        "name": "gift",
        "id": "fas_gift",
        "unicode": "f06b",
        "created": 1,
        "filter": [
            "christmas",
            "generosity",
            "giving",
            "holiday",
            "party",
            "present",
            "wrapped",
            "xmas"
        ],
        "categories": [
            "Charity",
            "Holiday",
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Shopping"
        ],
        "icon": "fas fa-gift"
    },
    {
        "name": "Gifts",
        "id": "fas_gifts",
        "unicode": "f79c",
        "created": 1,
        "filter": [
            "christmas",
            "generosity",
            "giving",
            "holiday",
            "party",
            "present",
            "wrapped",
            "xmas"
        ],
        "categories": [
            "Holiday",
            "Objects",
            "Shopping"
        ],
        "icon": "fas fa-gifts"
    },
    {
        "name": "Git",
        "id": "fab_git",
        "unicode": "f1d3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-git"
    },
    {
        "name": "Git Alt",
        "id": "fab_git-alt",
        "unicode": "f841",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-git-alt"
    },
    {
        "name": "Git Square",
        "id": "fab_git-square",
        "unicode": "f1d2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-git-square"
    },
    {
        "name": "GitHub",
        "id": "fab_github",
        "unicode": "f09b",
        "created": 1,
        "filter": [
            "octocat"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-github"
    },
    {
        "name": "Alternate GitHub",
        "id": "fab_github-alt",
        "unicode": "f113",
        "created": 1,
        "filter": [
            "octocat"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-github-alt"
    },
    {
        "name": "GitHub Square",
        "id": "fab_github-square",
        "unicode": "f092",
        "created": 1,
        "filter": [
            "octocat"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-github-square"
    },
    {
        "name": "GitKraken",
        "id": "fab_gitkraken",
        "unicode": "f3a6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-gitkraken"
    },
    {
        "name": "GitLab",
        "id": "fab_gitlab",
        "unicode": "f296",
        "created": 1,
        "filter": [
            "Axosoft"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-gitlab"
    },
    {
        "name": "Gitter",
        "id": "fab_gitter",
        "unicode": "f426",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-gitter"
    },
    {
        "name": "Glass Cheers",
        "id": "fas_glass-cheers",
        "unicode": "f79f",
        "created": 1,
        "filter": [
            "alcohol",
            "bar",
            "beverage",
            "celebration",
            "champagne",
            "clink",
            "drink",
            "holiday",
            "new year's eve",
            "party",
            "toast"
        ],
        "categories": [
            "Beverage",
            "Holiday",
            "Objects"
        ],
        "icon": "fas fa-glass-cheers"
    },
    {
        "name": "Martini Glass",
        "id": "fas_glass-martini",
        "unicode": "f000",
        "created": 1,
        "filter": [
            "alcohol",
            "bar",
            "beverage",
            "drink",
            "liquor"
        ],
        "categories": [
            "Beverage",
            "Hotel",
            "Maps",
            "Objects",
            "Travel"
        ],
        "icon": "fas fa-glass-martini"
    },
    {
        "name": "Alternate Glass Martini",
        "id": "fas_glass-martini-alt",
        "unicode": "f57b",
        "created": 1,
        "filter": [
            "alcohol",
            "bar",
            "beverage",
            "drink",
            "liquor"
        ],
        "categories": [
            "Beverage",
            "Hotel",
            "Travel"
        ],
        "icon": "fas fa-glass-martini-alt"
    },
    {
        "name": "Glass Whiskey",
        "id": "fas_glass-whiskey",
        "unicode": "f7a0",
        "created": 1,
        "filter": [
            "alcohol",
            "bar",
            "beverage",
            "bourbon",
            "drink",
            "liquor",
            "neat",
            "rye",
            "scotch",
            "whisky"
        ],
        "categories": [
            "Beverage",
            "Objects",
            "Winter"
        ],
        "icon": "fas fa-glass-whiskey"
    },
    {
        "name": "Glasses",
        "id": "fas_glasses",
        "unicode": "f530",
        "created": 1,
        "filter": [
            "hipster",
            "nerd",
            "reading",
            "sight",
            "spectacles",
            "vision"
        ],
        "categories": [
            "Business",
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-glasses"
    },
    {
        "name": "Glide",
        "id": "fab_glide",
        "unicode": "f2a5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-glide"
    },
    {
        "name": "Glide G",
        "id": "fab_glide-g",
        "unicode": "f2a6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-glide-g"
    },
    {
        "name": "Globe",
        "id": "fas_globe",
        "unicode": "f0ac",
        "created": 1,
        "filter": [
            "all",
            "coordinates",
            "country",
            "earth",
            "global",
            "gps",
            "language",
            "localize",
            "location",
            "map",
            "online",
            "place",
            "planet",
            "translate",
            "travel",
            "world"
        ],
        "categories": [
            "Business",
            "Charity",
            "Maps",
            "Objects",
            "Science Fiction"
        ],
        "icon": "fas fa-globe"
    },
    {
        "name": "Globe with Africa shown",
        "id": "fas_globe-africa",
        "unicode": "f57c",
        "created": 1,
        "filter": [
            "all",
            "country",
            "earth",
            "global",
            "gps",
            "language",
            "localize",
            "location",
            "map",
            "online",
            "place",
            "planet",
            "translate",
            "travel",
            "world"
        ],
        "categories": [
            "Travel"
        ],
        "icon": "fas fa-globe-africa"
    },
    {
        "name": "Globe with Americas shown",
        "id": "fas_globe-americas",
        "unicode": "f57d",
        "created": 1,
        "filter": [
            "all",
            "country",
            "earth",
            "global",
            "gps",
            "language",
            "localize",
            "location",
            "map",
            "online",
            "place",
            "planet",
            "translate",
            "travel",
            "world"
        ],
        "categories": [
            "Travel"
        ],
        "icon": "fas fa-globe-americas"
    },
    {
        "name": "Globe with Asia shown",
        "id": "fas_globe-asia",
        "unicode": "f57e",
        "created": 1,
        "filter": [
            "all",
            "country",
            "earth",
            "global",
            "gps",
            "language",
            "localize",
            "location",
            "map",
            "online",
            "place",
            "planet",
            "translate",
            "travel",
            "world"
        ],
        "categories": [
            "Travel"
        ],
        "icon": "fas fa-globe-asia"
    },
    {
        "name": "Globe with Europe shown",
        "id": "fas_globe-europe",
        "unicode": "f7a2",
        "created": 1,
        "filter": [
            "all",
            "country",
            "earth",
            "global",
            "gps",
            "language",
            "localize",
            "location",
            "map",
            "online",
            "place",
            "planet",
            "translate",
            "travel",
            "world"
        ],
        "categories": [
            "Travel"
        ],
        "icon": "fas fa-globe-europe"
    },
    {
        "name": "Gofore",
        "id": "fab_gofore",
        "unicode": "f3a7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-gofore"
    },
    {
        "name": "Golf Ball",
        "id": "fas_golf-ball",
        "unicode": "f450",
        "created": 1,
        "filter": [
            "caddy",
            "eagle",
            "putt",
            "tee"
        ],
        "categories": [
            "Sports"
        ],
        "icon": "fas fa-golf-ball"
    },
    {
        "name": "Goodreads",
        "id": "fab_goodreads",
        "unicode": "f3a8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-goodreads"
    },
    {
        "name": "Goodreads G",
        "id": "fab_goodreads-g",
        "unicode": "f3a9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-goodreads-g"
    },
    {
        "name": "Google Logo",
        "id": "fab_google",
        "unicode": "f1a0",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-google"
    },
    {
        "name": "Google Drive",
        "id": "fab_google-drive",
        "unicode": "f3aa",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-google-drive"
    },
    {
        "name": "Google Pay",
        "id": "fab_google-pay",
        "unicode": "e079",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-google-pay"
    },
    {
        "name": "Google Play",
        "id": "fab_google-play",
        "unicode": "f3ab",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-google-play"
    },
    {
        "name": "Google Plus",
        "id": "fab_google-plus",
        "unicode": "f2b3",
        "created": 1,
        "filter": [
            "google-plus-circle",
            "google-plus-official"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-google-plus"
    },
    {
        "name": "Google Plus G",
        "id": "fab_google-plus-g",
        "unicode": "f0d5",
        "created": 1,
        "filter": [
            "google-plus",
            "social network"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-google-plus-g"
    },
    {
        "name": "Google Plus Square",
        "id": "fab_google-plus-square",
        "unicode": "f0d4",
        "created": 1,
        "filter": [
            "social network"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-google-plus-square"
    },
    {
        "name": "Google Wallet",
        "id": "fab_google-wallet",
        "unicode": "f1ee",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-google-wallet"
    },
    {
        "name": "Gopuram",
        "id": "fas_gopuram",
        "unicode": "f664",
        "created": 1,
        "filter": [
            "building",
            "entrance",
            "hinduism",
            "temple",
            "tower"
        ],
        "categories": [
            "Buildings",
            "Religion"
        ],
        "icon": "fas fa-gopuram"
    },
    {
        "name": "Graduation Cap",
        "id": "fas_graduation-cap",
        "unicode": "f19d",
        "created": 1,
        "filter": [
            "ceremony",
            "college",
            "graduate",
            "learning",
            "school",
            "student"
        ],
        "categories": [
            "Clothing",
            "Education",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-graduation-cap"
    },
    {
        "name": "Gratipay (Gittip)",
        "id": "fab_gratipay",
        "unicode": "f184",
        "created": 1,
        "filter": [
            "favorite",
            "heart",
            "like",
            "love"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-gratipay"
    },
    {
        "name": "Grav",
        "id": "fab_grav",
        "unicode": "f2d6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-grav"
    },
    {
        "name": "Greater Than",
        "id": "fas_greater-than",
        "unicode": "f531",
        "created": 1,
        "filter": [
            "arithmetic",
            "compare",
            "math"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-greater-than"
    },
    {
        "name": "Greater Than Equal To",
        "id": "fas_greater-than-equal",
        "unicode": "f532",
        "created": 1,
        "filter": [
            "arithmetic",
            "compare",
            "math"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-greater-than-equal"
    },
    {
        "name": "Grimacing Face (solid)",
        "id": "fas_grimace",
        "unicode": "f57f",
        "created": 1,
        "filter": [
            "cringe",
            "emoticon",
            "face",
            "teeth"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grimace"
    },
    {
        "name": "Grimacing Face (regular)",
        "id": "far_grimace",
        "unicode": "f57f",
        "created": 1,
        "filter": [
            "cringe",
            "emoticon",
            "face",
            "teeth"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grimace"
    },
    {
        "name": "Grinning Face (solid)",
        "id": "fas_grin",
        "unicode": "f580",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin"
    },
    {
        "name": "Grinning Face (regular)",
        "id": "far_grin",
        "unicode": "f580",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin"
    },
    {
        "name": "Alternate Grinning Face (solid)",
        "id": "fas_grin-alt",
        "unicode": "f581",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-alt"
    },
    {
        "name": "Alternate Grinning Face (regular)",
        "id": "far_grin-alt",
        "unicode": "f581",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-alt"
    },
    {
        "name": "Grinning Face With Smiling Eyes (solid)",
        "id": "fas_grin-beam",
        "unicode": "f582",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-beam"
    },
    {
        "name": "Grinning Face With Smiling Eyes (regular)",
        "id": "far_grin-beam",
        "unicode": "f582",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-beam"
    },
    {
        "name": "Grinning Face With Sweat (solid)",
        "id": "fas_grin-beam-sweat",
        "unicode": "f583",
        "created": 1,
        "filter": [
            "embarass",
            "emoticon",
            "face",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-beam-sweat"
    },
    {
        "name": "Grinning Face With Sweat (regular)",
        "id": "far_grin-beam-sweat",
        "unicode": "f583",
        "created": 1,
        "filter": [
            "embarass",
            "emoticon",
            "face",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-beam-sweat"
    },
    {
        "name": "Smiling Face With Heart-Eyes (solid)",
        "id": "fas_grin-hearts",
        "unicode": "f584",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "love",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-hearts"
    },
    {
        "name": "Smiling Face With Heart-Eyes (regular)",
        "id": "far_grin-hearts",
        "unicode": "f584",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "love",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-hearts"
    },
    {
        "name": "Grinning Squinting Face (solid)",
        "id": "fas_grin-squint",
        "unicode": "f585",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-squint"
    },
    {
        "name": "Grinning Squinting Face (regular)",
        "id": "far_grin-squint",
        "unicode": "f585",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-squint"
    },
    {
        "name": "Rolling on the Floor Laughing (solid)",
        "id": "fas_grin-squint-tears",
        "unicode": "f586",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "happy",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-squint-tears"
    },
    {
        "name": "Rolling on the Floor Laughing (regular)",
        "id": "far_grin-squint-tears",
        "unicode": "f586",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "happy",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-squint-tears"
    },
    {
        "name": "Star-Struck (solid)",
        "id": "fas_grin-stars",
        "unicode": "f587",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "star-struck"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-stars"
    },
    {
        "name": "Star-Struck (regular)",
        "id": "far_grin-stars",
        "unicode": "f587",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "star-struck"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-stars"
    },
    {
        "name": "Face With Tears of Joy (solid)",
        "id": "fas_grin-tears",
        "unicode": "f588",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-tears"
    },
    {
        "name": "Face With Tears of Joy (regular)",
        "id": "far_grin-tears",
        "unicode": "f588",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-tears"
    },
    {
        "name": "Face With Tongue (solid)",
        "id": "fas_grin-tongue",
        "unicode": "f589",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-tongue"
    },
    {
        "name": "Face With Tongue (regular)",
        "id": "far_grin-tongue",
        "unicode": "f589",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-tongue"
    },
    {
        "name": "Squinting Face With Tongue (solid)",
        "id": "fas_grin-tongue-squint",
        "unicode": "f58a",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-tongue-squint"
    },
    {
        "name": "Squinting Face With Tongue (regular)",
        "id": "far_grin-tongue-squint",
        "unicode": "f58a",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-tongue-squint"
    },
    {
        "name": "Winking Face With Tongue (solid)",
        "id": "fas_grin-tongue-wink",
        "unicode": "f58b",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-tongue-wink"
    },
    {
        "name": "Winking Face With Tongue (regular)",
        "id": "far_grin-tongue-wink",
        "unicode": "f58b",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-tongue-wink"
    },
    {
        "name": "Grinning Winking Face (solid)",
        "id": "fas_grin-wink",
        "unicode": "f58c",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "flirt",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-grin-wink"
    },
    {
        "name": "Grinning Winking Face (regular)",
        "id": "far_grin-wink",
        "unicode": "f58c",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "flirt",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-grin-wink"
    },
    {
        "name": "Grip Horizontal",
        "id": "fas_grip-horizontal",
        "unicode": "f58d",
        "created": 1,
        "filter": [
            "affordance",
            "drag",
            "drop",
            "grab",
            "handle"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-grip-horizontal"
    },
    {
        "name": "Grip Lines",
        "id": "fas_grip-lines",
        "unicode": "f7a4",
        "created": 1,
        "filter": [
            "affordance",
            "drag",
            "drop",
            "grab",
            "handle"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-grip-lines"
    },
    {
        "name": "Grip Lines Vertical",
        "id": "fas_grip-lines-vertical",
        "unicode": "f7a5",
        "created": 1,
        "filter": [
            "affordance",
            "drag",
            "drop",
            "grab",
            "handle"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-grip-lines-vertical"
    },
    {
        "name": "Grip Vertical",
        "id": "fas_grip-vertical",
        "unicode": "f58e",
        "created": 1,
        "filter": [
            "affordance",
            "drag",
            "drop",
            "grab",
            "handle"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-grip-vertical"
    },
    {
        "name": "Gripfire, Inc.",
        "id": "fab_gripfire",
        "unicode": "f3ac",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-gripfire"
    },
    {
        "name": "Grunt",
        "id": "fab_grunt",
        "unicode": "f3ad",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-grunt"
    },
    {
        "name": "Guilded",
        "id": "fab_guilded",
        "unicode": "e07e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-guilded"
    },
    {
        "name": "Guitar",
        "id": "fas_guitar",
        "unicode": "f7a6",
        "created": 1,
        "filter": [
            "acoustic",
            "instrument",
            "music",
            "rock",
            "rock and roll",
            "song",
            "strings"
        ],
        "categories": [
            "Music",
            "Objects"
        ],
        "icon": "fas fa-guitar"
    },
    {
        "name": "Gulp",
        "id": "fab_gulp",
        "unicode": "f3ae",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-gulp"
    },
    {
        "name": "H Square",
        "id": "fas_h-square",
        "unicode": "f0fd",
        "created": 1,
        "filter": [
            "directions",
            "emergency",
            "hospital",
            "hotel",
            "map"
        ],
        "categories": [
            "Health",
            "Maps"
        ],
        "icon": "fas fa-h-square"
    },
    {
        "name": "Hacker News",
        "id": "fab_hacker-news",
        "unicode": "f1d4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hacker-news"
    },
    {
        "name": "Hacker News Square",
        "id": "fab_hacker-news-square",
        "unicode": "f3af",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hacker-news-square"
    },
    {
        "name": "Hackerrank",
        "id": "fab_hackerrank",
        "unicode": "f5f7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hackerrank"
    },
    {
        "name": "Hamburger",
        "id": "fas_hamburger",
        "unicode": "f805",
        "created": 1,
        "filter": [
            "bacon",
            "beef",
            "burger",
            "burger king",
            "cheeseburger",
            "fast food",
            "grill",
            "ground beef",
            "mcdonalds",
            "sandwich"
        ],
        "categories": [
            "Food"
        ],
        "icon": "fas fa-hamburger"
    },
    {
        "name": "Hammer",
        "id": "fas_hammer",
        "unicode": "f6e3",
        "created": 1,
        "filter": [
            "admin",
            "fix",
            "repair",
            "settings",
            "tool"
        ],
        "categories": [
            "Construction"
        ],
        "icon": "fas fa-hammer"
    },
    {
        "name": "Hamsa",
        "id": "fas_hamsa",
        "unicode": "f665",
        "created": 1,
        "filter": [
            "amulet",
            "christianity",
            "islam",
            "jewish",
            "judaism",
            "muslim",
            "protection"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-hamsa"
    },
    {
        "name": "Hand Holding",
        "id": "fas_hand-holding",
        "unicode": "f4bd",
        "created": 1,
        "filter": [
            "carry",
            "lift"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hand-holding"
    },
    {
        "name": "Hand Holding Heart",
        "id": "fas_hand-holding-heart",
        "unicode": "f4be",
        "created": 1,
        "filter": [
            "carry",
            "charity",
            "gift",
            "lift",
            "package"
        ],
        "categories": [
            "Charity",
            "Hands"
        ],
        "icon": "fas fa-hand-holding-heart"
    },
    {
        "name": "Hand Holding Medical Cross",
        "id": "fas_hand-holding-medical",
        "unicode": "e05c",
        "created": 1,
        "filter": [
            "care",
            "covid-19",
            "donate",
            "help"
        ],
        "categories": [
            "Hands",
            "Medical"
        ],
        "icon": "fas fa-hand-holding-medical"
    },
    {
        "name": "Hand Holding US Dollar",
        "id": "fas_hand-holding-usd",
        "unicode": "f4c0",
        "created": 1,
        "filter": [
            "$",
            "carry",
            "dollar sign",
            "donation",
            "giving",
            "lift",
            "money",
            "price"
        ],
        "categories": [
            "Charity",
            "Finance",
            "Hands"
        ],
        "icon": "fas fa-hand-holding-usd"
    },
    {
        "name": "Hand Holding Water",
        "id": "fas_hand-holding-water",
        "unicode": "f4c1",
        "created": 1,
        "filter": [
            "carry",
            "covid-19",
            "drought",
            "grow",
            "lift"
        ],
        "categories": [
            "Charity",
            "Hands"
        ],
        "icon": "fas fa-hand-holding-water"
    },
    {
        "name": "Lizard (Hand) (solid)",
        "id": "fas_hand-lizard",
        "unicode": "f258",
        "created": 1,
        "filter": [
            "game",
            "roshambo"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hand-lizard"
    },
    {
        "name": "Lizard (Hand) (regular)",
        "id": "far_hand-lizard",
        "unicode": "f258",
        "created": 1,
        "filter": [
            "game",
            "roshambo"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "far fa-hand-lizard"
    },
    {
        "name": "Hand with Middle Finger Raised",
        "id": "fas_hand-middle-finger",
        "unicode": "f806",
        "created": 1,
        "filter": [
            "flip the bird",
            "gesture",
            "hate",
            "rude"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hand-middle-finger"
    },
    {
        "name": "Paper (Hand) (solid)",
        "id": "fas_hand-paper",
        "unicode": "f256",
        "created": 1,
        "filter": [
            "game",
            "halt",
            "roshambo",
            "stop"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hand-paper"
    },
    {
        "name": "Paper (Hand) (regular)",
        "id": "far_hand-paper",
        "unicode": "f256",
        "created": 1,
        "filter": [
            "game",
            "halt",
            "roshambo",
            "stop"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "far fa-hand-paper"
    },
    {
        "name": "Peace (Hand) (solid)",
        "id": "fas_hand-peace",
        "unicode": "f25b",
        "created": 1,
        "filter": [
            "rest",
            "truce"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hand-peace"
    },
    {
        "name": "Peace (Hand) (regular)",
        "id": "far_hand-peace",
        "unicode": "f25b",
        "created": 1,
        "filter": [
            "rest",
            "truce"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "far fa-hand-peace"
    },
    {
        "name": "Hand Pointing Down (solid)",
        "id": "fas_hand-point-down",
        "unicode": "f0a7",
        "created": 1,
        "filter": [
            "finger",
            "hand-o-down",
            "point"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "fas fa-hand-point-down"
    },
    {
        "name": "Hand Pointing Down (regular)",
        "id": "far_hand-point-down",
        "unicode": "f0a7",
        "created": 1,
        "filter": [
            "finger",
            "hand-o-down",
            "point"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "far fa-hand-point-down"
    },
    {
        "name": "Hand Pointing Left (solid)",
        "id": "fas_hand-point-left",
        "unicode": "f0a5",
        "created": 1,
        "filter": [
            "back",
            "finger",
            "hand-o-left",
            "left",
            "point",
            "previous"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "fas fa-hand-point-left"
    },
    {
        "name": "Hand Pointing Left (regular)",
        "id": "far_hand-point-left",
        "unicode": "f0a5",
        "created": 1,
        "filter": [
            "back",
            "finger",
            "hand-o-left",
            "left",
            "point",
            "previous"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "far fa-hand-point-left"
    },
    {
        "name": "Hand Pointing Right (solid)",
        "id": "fas_hand-point-right",
        "unicode": "f0a4",
        "created": 1,
        "filter": [
            "finger",
            "forward",
            "hand-o-right",
            "next",
            "point",
            "right"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "fas fa-hand-point-right"
    },
    {
        "name": "Hand Pointing Right (regular)",
        "id": "far_hand-point-right",
        "unicode": "f0a4",
        "created": 1,
        "filter": [
            "finger",
            "forward",
            "hand-o-right",
            "next",
            "point",
            "right"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "far fa-hand-point-right"
    },
    {
        "name": "Hand Pointing Up (solid)",
        "id": "fas_hand-point-up",
        "unicode": "f0a6",
        "created": 1,
        "filter": [
            "finger",
            "hand-o-up",
            "point"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "fas fa-hand-point-up"
    },
    {
        "name": "Hand Pointing Up (regular)",
        "id": "far_hand-point-up",
        "unicode": "f0a6",
        "created": 1,
        "filter": [
            "finger",
            "hand-o-up",
            "point"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "far fa-hand-point-up"
    },
    {
        "name": "Pointer (Hand) (solid)",
        "id": "fas_hand-pointer",
        "unicode": "f25a",
        "created": 1,
        "filter": [
            "arrow",
            "cursor",
            "select"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "fas fa-hand-pointer"
    },
    {
        "name": "Pointer (Hand) (regular)",
        "id": "far_hand-pointer",
        "unicode": "f25a",
        "created": 1,
        "filter": [
            "arrow",
            "cursor",
            "select"
        ],
        "categories": [
            "Arrows",
            "Hands"
        ],
        "icon": "far fa-hand-pointer"
    },
    {
        "name": "Rock (Hand) (solid)",
        "id": "fas_hand-rock",
        "unicode": "f255",
        "created": 1,
        "filter": [
            "fist",
            "game",
            "roshambo"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hand-rock"
    },
    {
        "name": "Rock (Hand) (regular)",
        "id": "far_hand-rock",
        "unicode": "f255",
        "created": 1,
        "filter": [
            "fist",
            "game",
            "roshambo"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "far fa-hand-rock"
    },
    {
        "name": "Scissors (Hand) (solid)",
        "id": "fas_hand-scissors",
        "unicode": "f257",
        "created": 1,
        "filter": [
            "cut",
            "game",
            "roshambo"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hand-scissors"
    },
    {
        "name": "Scissors (Hand) (regular)",
        "id": "far_hand-scissors",
        "unicode": "f257",
        "created": 1,
        "filter": [
            "cut",
            "game",
            "roshambo"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "far fa-hand-scissors"
    },
    {
        "name": "Hand Sparkles",
        "id": "fas_hand-sparkles",
        "unicode": "e05d",
        "created": 1,
        "filter": [
            "clean",
            "covid-19",
            "hygiene",
            "magic",
            "soap",
            "wash"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hand-sparkles"
    },
    {
        "name": "Spock (Hand) (solid)",
        "id": "fas_hand-spock",
        "unicode": "f259",
        "created": 1,
        "filter": [
            "live long",
            "prosper",
            "salute",
            "star trek",
            "vulcan"
        ],
        "categories": [
            "Hands",
            "Science Fiction"
        ],
        "icon": "fas fa-hand-spock"
    },
    {
        "name": "Spock (Hand) (regular)",
        "id": "far_hand-spock",
        "unicode": "f259",
        "created": 1,
        "filter": [
            "live long",
            "prosper",
            "salute",
            "star trek",
            "vulcan"
        ],
        "categories": [
            "Hands",
            "Science Fiction"
        ],
        "icon": "far fa-hand-spock"
    },
    {
        "name": "Hands",
        "id": "fas_hands",
        "unicode": "f4c2",
        "created": 1,
        "filter": [
            "carry",
            "hold",
            "lift"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hands"
    },
    {
        "name": "Helping Hands",
        "id": "fas_hands-helping",
        "unicode": "f4c4",
        "created": 1,
        "filter": [
            "aid",
            "assistance",
            "handshake",
            "partnership",
            "volunteering"
        ],
        "categories": [
            "Charity",
            "Hands"
        ],
        "icon": "fas fa-hands-helping"
    },
    {
        "name": "Hands Wash",
        "id": "fas_hands-wash",
        "unicode": "e05e",
        "created": 1,
        "filter": [
            "covid-19",
            "hygiene",
            "soap",
            "wash"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-hands-wash"
    },
    {
        "name": "Handshake (solid)",
        "id": "fas_handshake",
        "unicode": "f2b5",
        "created": 1,
        "filter": [
            "agreement",
            "greeting",
            "meeting",
            "partnership"
        ],
        "categories": [
            "Charity",
            "Hands",
            "Payments & Shopping",
            "Political"
        ],
        "icon": "fas fa-handshake"
    },
    {
        "name": "Handshake (regular)",
        "id": "far_handshake",
        "unicode": "f2b5",
        "created": 1,
        "filter": [
            "agreement",
            "greeting",
            "meeting",
            "partnership"
        ],
        "categories": [
            "Charity",
            "Hands",
            "Payments & Shopping",
            "Political"
        ],
        "icon": "far fa-handshake"
    },
    {
        "name": "Handshake Alternate Slash",
        "id": "fas_handshake-alt-slash",
        "unicode": "e05f",
        "created": 1,
        "filter": [
            "broken",
            "covid-19",
            "social distance"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-handshake-alt-slash"
    },
    {
        "name": "Handshake Slash",
        "id": "fas_handshake-slash",
        "unicode": "e060",
        "created": 1,
        "filter": [
            "broken",
            "covid-19",
            "social distance"
        ],
        "categories": [
            "Hands"
        ],
        "icon": "fas fa-handshake-slash"
    },
    {
        "name": "Hanukiah",
        "id": "fas_hanukiah",
        "unicode": "f6e6",
        "created": 1,
        "filter": [
            "candle",
            "hanukkah",
            "jewish",
            "judaism",
            "light"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-hanukiah"
    },
    {
        "name": "Hard Hat",
        "id": "fas_hard-hat",
        "unicode": "f807",
        "created": 1,
        "filter": [
            "construction",
            "hardhat",
            "helmet",
            "safety"
        ],
        "categories": [
            "Construction",
            "Logistics"
        ],
        "icon": "fas fa-hard-hat"
    },
    {
        "name": "Hashtag",
        "id": "fas_hashtag",
        "unicode": "f292",
        "created": 1,
        "filter": [
            "Twitter",
            "instagram",
            "pound",
            "social media",
            "tag"
        ],
        "categories": [
            "Interfaces",
            "Social"
        ],
        "icon": "fas fa-hashtag"
    },
    {
        "name": "Cowboy Hat",
        "id": "fas_hat-cowboy",
        "unicode": "f8c0",
        "created": 1,
        "filter": [
            "buckaroo",
            "horse",
            "jackeroo",
            "john b.",
            "old west",
            "pardner",
            "ranch",
            "rancher",
            "rodeo",
            "western",
            "wrangler"
        ],
        "categories": [
            "Clothing"
        ],
        "icon": "fas fa-hat-cowboy"
    },
    {
        "name": "Cowboy Hat Side",
        "id": "fas_hat-cowboy-side",
        "unicode": "f8c1",
        "created": 1,
        "filter": [
            "buckaroo",
            "horse",
            "jackeroo",
            "john b.",
            "old west",
            "pardner",
            "ranch",
            "rancher",
            "rodeo",
            "western",
            "wrangler"
        ],
        "categories": [
            "Clothing"
        ],
        "icon": "fas fa-hat-cowboy-side"
    },
    {
        "name": "Wizard's Hat",
        "id": "fas_hat-wizard",
        "unicode": "f6e8",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "accessory",
            "buckle",
            "clothing",
            "d&d",
            "dnd",
            "fantasy",
            "halloween",
            "head",
            "holiday",
            "mage",
            "magic",
            "pointy",
            "witch"
        ],
        "categories": [
            "Clothing",
            "Tabletop Gaming",
            "Halloween",
            "Objects"
        ],
        "icon": "fas fa-hat-wizard"
    },
    {
        "name": "HDD (solid)",
        "id": "fas_hdd",
        "unicode": "f0a0",
        "created": 1,
        "filter": [
            "cpu",
            "hard drive",
            "harddrive",
            "machine",
            "save",
            "storage"
        ],
        "categories": [
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-hdd"
    },
    {
        "name": "HDD (regular)",
        "id": "far_hdd",
        "unicode": "f0a0",
        "created": 1,
        "filter": [
            "cpu",
            "hard drive",
            "harddrive",
            "machine",
            "save",
            "storage"
        ],
        "categories": [
            "Computers",
            "Objects"
        ],
        "icon": "far fa-hdd"
    },
    {
        "name": "Head Side Cough",
        "id": "fas_head-side-cough",
        "unicode": "e061",
        "created": 1,
        "filter": [
            "cough",
            "covid-19",
            "germs",
            "lungs",
            "respiratory",
            "sick"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-head-side-cough"
    },
    {
        "name": "Head Side-cough-slash",
        "id": "fas_head-side-cough-slash",
        "unicode": "e062",
        "created": 1,
        "filter": [
            "cough",
            "covid-19",
            "germs",
            "lungs",
            "respiratory",
            "sick"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-head-side-cough-slash"
    },
    {
        "name": "Head Side Mask",
        "id": "fas_head-side-mask",
        "unicode": "e063",
        "created": 1,
        "filter": [
            "breath",
            "covid-19",
            "filter",
            "respirator",
            "virus"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-head-side-mask"
    },
    {
        "name": "Head Side Virus",
        "id": "fas_head-side-virus",
        "unicode": "e064",
        "created": 1,
        "filter": [
            "cold",
            "covid-19",
            "flu",
            "sick"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-head-side-virus"
    },
    {
        "name": "heading",
        "id": "fas_heading",
        "unicode": "f1dc",
        "created": 1,
        "filter": [
            "format",
            "header",
            "text",
            "title"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-heading"
    },
    {
        "name": "headphones",
        "id": "fas_headphones",
        "unicode": "f025",
        "created": 1,
        "filter": [
            "audio",
            "listen",
            "music",
            "sound",
            "speaker"
        ],
        "categories": [
            "Audio & Video",
            "Computers",
            "Music",
            "Objects"
        ],
        "icon": "fas fa-headphones"
    },
    {
        "name": "Alternate Headphones",
        "id": "fas_headphones-alt",
        "unicode": "f58f",
        "created": 1,
        "filter": [
            "audio",
            "listen",
            "music",
            "sound",
            "speaker"
        ],
        "categories": [
            "Music",
            "Objects"
        ],
        "icon": "fas fa-headphones-alt"
    },
    {
        "name": "Headset",
        "id": "fas_headset",
        "unicode": "f590",
        "created": 1,
        "filter": [
            "audio",
            "gamer",
            "gaming",
            "listen",
            "live chat",
            "microphone",
            "shot caller",
            "sound",
            "support",
            "telemarketer"
        ],
        "categories": [
            "Games",
            "Objects"
        ],
        "icon": "fas fa-headset"
    },
    {
        "name": "Heart (solid)",
        "id": "fas_heart",
        "unicode": "f004",
        "created": 1,
        "filter": [
            "favorite",
            "like",
            "love",
            "relationship",
            "valentine"
        ],
        "categories": [
            "Charity",
            "Fitness",
            "Games",
            "Health",
            "Interfaces",
            "Maps",
            "Medical",
            "Objects",
            "Payments & Shopping",
            "Shapes",
            "Social"
        ],
        "icon": "fas fa-heart"
    },
    {
        "name": "Heart (regular)",
        "id": "far_heart",
        "unicode": "f004",
        "created": 1,
        "filter": [
            "favorite",
            "like",
            "love",
            "relationship",
            "valentine"
        ],
        "categories": [
            "Charity",
            "Fitness",
            "Games",
            "Health",
            "Interfaces",
            "Maps",
            "Medical",
            "Objects",
            "Payments & Shopping",
            "Shapes",
            "Social"
        ],
        "icon": "far fa-heart"
    },
    {
        "name": "Heart Broken",
        "id": "fas_heart-broken",
        "unicode": "f7a9",
        "created": 1,
        "filter": [
            "breakup",
            "crushed",
            "dislike",
            "dumped",
            "grief",
            "love",
            "lovesick",
            "relationship",
            "sad"
        ],
        "categories": [
            "Objects",
            "Shapes"
        ],
        "icon": "fas fa-heart-broken"
    },
    {
        "name": "Heartbeat",
        "id": "fas_heartbeat",
        "unicode": "f21e",
        "created": 1,
        "filter": [
            "ekg",
            "electrocardiogram",
            "health",
            "lifeline",
            "vital signs"
        ],
        "categories": [
            "Fitness",
            "Health",
            "Maps",
            "Medical"
        ],
        "icon": "fas fa-heartbeat"
    },
    {
        "name": "Helicopter",
        "id": "fas_helicopter",
        "unicode": "f533",
        "created": 1,
        "filter": [
            "airwolf",
            "apache",
            "chopper",
            "flight",
            "fly",
            "travel"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-helicopter"
    },
    {
        "name": "Highlighter",
        "id": "fas_highlighter",
        "unicode": "f591",
        "created": 1,
        "filter": [
            "edit",
            "marker",
            "sharpie",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Objects"
        ],
        "icon": "fas fa-highlighter"
    },
    {
        "name": "Hiking",
        "id": "fas_hiking",
        "unicode": "f6ec",
        "created": 1,
        "filter": [
            "activity",
            "backpack",
            "fall",
            "fitness",
            "outdoors",
            "person",
            "seasonal",
            "walking"
        ],
        "categories": [
            "Autumn",
            "Camping",
            "Fitness",
            "Users & People"
        ],
        "icon": "fas fa-hiking"
    },
    {
        "name": "Hippo",
        "id": "fas_hippo",
        "unicode": "f6ed",
        "created": 1,
        "filter": [
            "animal",
            "fauna",
            "hippopotamus",
            "hungry",
            "mammal"
        ],
        "categories": [
            "Animals"
        ],
        "icon": "fas fa-hippo"
    },
    {
        "name": "Hips",
        "id": "fab_hips",
        "unicode": "f452",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hips"
    },
    {
        "name": "HireAHelper",
        "id": "fab_hire-a-helper",
        "unicode": "f3b0",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hire-a-helper"
    },
    {
        "name": "History",
        "id": "fas_history",
        "unicode": "f1da",
        "created": 1,
        "filter": [
            "Rewind",
            "clock",
            "reverse",
            "time",
            "time machine"
        ],
        "categories": [
            "Arrows",
            "Interfaces",
            "Pharmacy"
        ],
        "icon": "fas fa-history"
    },
    {
        "name": "Hive Blockchain Network",
        "id": "fab_hive",
        "unicode": "e07f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hive"
    },
    {
        "name": "Hockey Puck",
        "id": "fas_hockey-puck",
        "unicode": "f453",
        "created": 1,
        "filter": [
            "ice",
            "nhl",
            "sport"
        ],
        "categories": [
            "Sports"
        ],
        "icon": "fas fa-hockey-puck"
    },
    {
        "name": "Holly Berry",
        "id": "fas_holly-berry",
        "unicode": "f7aa",
        "created": 1,
        "filter": [
            "catwoman",
            "christmas",
            "decoration",
            "flora",
            "halle",
            "holiday",
            "ororo munroe",
            "plant",
            "storm",
            "xmas"
        ],
        "categories": [
            "Holiday",
            "Objects"
        ],
        "icon": "fas fa-holly-berry"
    },
    {
        "name": "home",
        "id": "fas_home",
        "unicode": "f015",
        "created": 1,
        "filter": [
            "abode",
            "building",
            "house",
            "main"
        ],
        "categories": [
            "Buildings",
            "Interfaces",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-home"
    },
    {
        "name": "Hooli",
        "id": "fab_hooli",
        "unicode": "f427",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hooli"
    },
    {
        "name": "Hornbill",
        "id": "fab_hornbill",
        "unicode": "f592",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hornbill"
    },
    {
        "name": "Horse",
        "id": "fas_horse",
        "unicode": "f6f0",
        "created": 1,
        "filter": [
            "equus",
            "fauna",
            "mammmal",
            "mare",
            "neigh",
            "pony"
        ],
        "categories": [
            "Animals",
            "Vehicles"
        ],
        "icon": "fas fa-horse"
    },
    {
        "name": "Horse Head",
        "id": "fas_horse-head",
        "unicode": "f7ab",
        "created": 1,
        "filter": [
            "equus",
            "fauna",
            "mammmal",
            "mare",
            "neigh",
            "pony"
        ],
        "categories": [
            "Animals"
        ],
        "icon": "fas fa-horse-head"
    },
    {
        "name": "hospital (solid)",
        "id": "fas_hospital",
        "unicode": "f0f8",
        "created": 1,
        "filter": [
            "building",
            "covid-19",
            "emergency room",
            "medical center"
        ],
        "categories": [
            "Buildings",
            "Health",
            "Maps",
            "Medical",
            "Objects"
        ],
        "icon": "fas fa-hospital"
    },
    {
        "name": "hospital (regular)",
        "id": "far_hospital",
        "unicode": "f0f8",
        "created": 1,
        "filter": [
            "building",
            "covid-19",
            "emergency room",
            "medical center"
        ],
        "categories": [
            "Buildings",
            "Health",
            "Maps",
            "Medical",
            "Objects"
        ],
        "icon": "far fa-hospital"
    },
    {
        "name": "Alternate Hospital",
        "id": "fas_hospital-alt",
        "unicode": "f47d",
        "created": 1,
        "filter": [
            "building",
            "covid-19",
            "emergency room",
            "medical center"
        ],
        "categories": [
            "Buildings",
            "Medical"
        ],
        "icon": "fas fa-hospital-alt"
    },
    {
        "name": "Hospital Symbol",
        "id": "fas_hospital-symbol",
        "unicode": "f47e",
        "created": 1,
        "filter": [
            "clinic",
            "covid-19",
            "emergency",
            "map"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-hospital-symbol"
    },
    {
        "name": "Hospital with User",
        "id": "fas_hospital-user",
        "unicode": "f80d",
        "created": 1,
        "filter": [
            "covid-19",
            "doctor",
            "network",
            "patient",
            "primary care"
        ],
        "categories": [
            "Buildings",
            "Medical"
        ],
        "icon": "fas fa-hospital-user"
    },
    {
        "name": "Hot Tub",
        "id": "fas_hot-tub",
        "unicode": "f593",
        "created": 1,
        "filter": [
            "bath",
            "jacuzzi",
            "massage",
            "sauna",
            "spa"
        ],
        "categories": [
            "Hotel",
            "Travel"
        ],
        "icon": "fas fa-hot-tub"
    },
    {
        "name": "Hot Dog",
        "id": "fas_hotdog",
        "unicode": "f80f",
        "created": 1,
        "filter": [
            "bun",
            "chili",
            "frankfurt",
            "frankfurter",
            "kosher",
            "polish",
            "sandwich",
            "sausage",
            "vienna",
            "weiner"
        ],
        "categories": [
            "Food",
            "Summer"
        ],
        "icon": "fas fa-hotdog"
    },
    {
        "name": "Hotel",
        "id": "fas_hotel",
        "unicode": "f594",
        "created": 1,
        "filter": [
            "building",
            "inn",
            "lodging",
            "motel",
            "resort",
            "travel"
        ],
        "categories": [
            "Buildings",
            "Hotel",
            "Travel"
        ],
        "icon": "fas fa-hotel"
    },
    {
        "name": "Hotjar",
        "id": "fab_hotjar",
        "unicode": "f3b1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hotjar"
    },
    {
        "name": "Hourglass (solid)",
        "id": "fas_hourglass",
        "unicode": "f254",
        "created": 1,
        "filter": [
            "hour",
            "minute",
            "sand",
            "stopwatch",
            "time"
        ],
        "categories": [
            "Date & Time",
            "Objects"
        ],
        "icon": "fas fa-hourglass"
    },
    {
        "name": "Hourglass (regular)",
        "id": "far_hourglass",
        "unicode": "f254",
        "created": 1,
        "filter": [
            "hour",
            "minute",
            "sand",
            "stopwatch",
            "time"
        ],
        "categories": [
            "Date & Time",
            "Objects"
        ],
        "icon": "far fa-hourglass"
    },
    {
        "name": "Hourglass End",
        "id": "fas_hourglass-end",
        "unicode": "f253",
        "created": 1,
        "filter": [
            "hour",
            "minute",
            "sand",
            "stopwatch",
            "time"
        ],
        "categories": [
            "Date & Time"
        ],
        "icon": "fas fa-hourglass-end"
    },
    {
        "name": "Hourglass Half",
        "id": "fas_hourglass-half",
        "unicode": "f252",
        "created": 1,
        "filter": [
            "hour",
            "minute",
            "sand",
            "stopwatch",
            "time"
        ],
        "categories": [
            "Date & Time"
        ],
        "icon": "fas fa-hourglass-half"
    },
    {
        "name": "Hourglass Start",
        "id": "fas_hourglass-start",
        "unicode": "f251",
        "created": 1,
        "filter": [
            "hour",
            "minute",
            "sand",
            "stopwatch",
            "time"
        ],
        "categories": [
            "Date & Time"
        ],
        "icon": "fas fa-hourglass-start"
    },
    {
        "name": "Damaged House",
        "id": "fas_house-damage",
        "unicode": "f6f1",
        "created": 1,
        "filter": [
            "building",
            "devastation",
            "disaster",
            "home",
            "insurance"
        ],
        "categories": [
            "Buildings"
        ],
        "icon": "fas fa-house-damage"
    },
    {
        "name": "House User",
        "id": "fas_house-user",
        "unicode": "e065",
        "created": 1,
        "filter": [
            "covid-19",
            "home",
            "isolation",
            "quarantine"
        ],
        "categories": [
            "Household"
        ],
        "icon": "fas fa-house-user"
    },
    {
        "name": "Houzz",
        "id": "fab_houzz",
        "unicode": "f27c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-houzz"
    },
    {
        "name": "Hryvnia",
        "id": "fas_hryvnia",
        "unicode": "f6f2",
        "created": 1,
        "filter": [
            "currency",
            "money",
            "ukraine",
            "ukrainian"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-hryvnia"
    },
    {
        "name": "HTML 5 Logo",
        "id": "fab_html5",
        "unicode": "f13b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-html5"
    },
    {
        "name": "HubSpot",
        "id": "fab_hubspot",
        "unicode": "f3b2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-hubspot"
    },
    {
        "name": "I Beam Cursor",
        "id": "fas_i-cursor",
        "unicode": "f246",
        "created": 1,
        "filter": [
            "editing",
            "i-beam",
            "type",
            "writing"
        ],
        "categories": [
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-i-cursor"
    },
    {
        "name": "Ice Cream",
        "id": "fas_ice-cream",
        "unicode": "f810",
        "created": 1,
        "filter": [
            "chocolate",
            "cone",
            "dessert",
            "frozen",
            "scoop",
            "sorbet",
            "vanilla",
            "yogurt"
        ],
        "categories": [
            "Childhood",
            "Food",
            "Summer"
        ],
        "icon": "fas fa-ice-cream"
    },
    {
        "name": "Icicles",
        "id": "fas_icicles",
        "unicode": "f7ad",
        "created": 1,
        "filter": [
            "cold",
            "frozen",
            "hanging",
            "ice",
            "seasonal",
            "sharp"
        ],
        "categories": [
            "Winter"
        ],
        "icon": "fas fa-icicles"
    },
    {
        "name": "Icons",
        "id": "fas_icons",
        "unicode": "f86d",
        "created": 1,
        "filter": [
            "bolt",
            "emoji",
            "heart",
            "image",
            "music",
            "photo",
            "symbols"
        ],
        "categories": [
            "Chat",
            "Design",
            "Editors",
            "Social"
        ],
        "icon": "fas fa-icons"
    },
    {
        "name": "Identification Badge (solid)",
        "id": "fas_id-badge",
        "unicode": "f2c1",
        "created": 1,
        "filter": [
            "address",
            "contact",
            "identification",
            "license",
            "profile"
        ],
        "categories": [
            "Images",
            "Security",
            "Users & People"
        ],
        "icon": "fas fa-id-badge"
    },
    {
        "name": "Identification Badge (regular)",
        "id": "far_id-badge",
        "unicode": "f2c1",
        "created": 1,
        "filter": [
            "address",
            "contact",
            "identification",
            "license",
            "profile"
        ],
        "categories": [
            "Images",
            "Security",
            "Users & People"
        ],
        "icon": "far fa-id-badge"
    },
    {
        "name": "Identification Card (solid)",
        "id": "fas_id-card",
        "unicode": "f2c2",
        "created": 1,
        "filter": [
            "contact",
            "demographics",
            "document",
            "identification",
            "issued",
            "profile"
        ],
        "categories": [
            "Images",
            "Security",
            "Users & People"
        ],
        "icon": "fas fa-id-card"
    },
    {
        "name": "Identification Card (regular)",
        "id": "far_id-card",
        "unicode": "f2c2",
        "created": 1,
        "filter": [
            "contact",
            "demographics",
            "document",
            "identification",
            "issued",
            "profile"
        ],
        "categories": [
            "Images",
            "Security",
            "Users & People"
        ],
        "icon": "far fa-id-card"
    },
    {
        "name": "Alternate Identification Card",
        "id": "fas_id-card-alt",
        "unicode": "f47f",
        "created": 1,
        "filter": [
            "contact",
            "demographics",
            "document",
            "identification",
            "issued",
            "profile"
        ],
        "categories": [
            "Medical",
            "Security",
            "Users & People"
        ],
        "icon": "fas fa-id-card-alt"
    },
    {
        "name": "iDeal",
        "id": "fab_ideal",
        "unicode": "e013",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ideal"
    },
    {
        "name": "Igloo",
        "id": "fas_igloo",
        "unicode": "f7ae",
        "created": 1,
        "filter": [
            "dome",
            "dwelling",
            "eskimo",
            "home",
            "house",
            "ice",
            "snow"
        ],
        "categories": [
            "Buildings",
            "Objects",
            "Winter"
        ],
        "icon": "fas fa-igloo"
    },
    {
        "name": "Image (solid)",
        "id": "fas_image",
        "unicode": "f03e",
        "created": 1,
        "filter": [
            "album",
            "landscape",
            "photo",
            "picture"
        ],
        "categories": [
            "Images",
            "Maps",
            "Objects",
            "Social"
        ],
        "icon": "fas fa-image"
    },
    {
        "name": "Image (regular)",
        "id": "far_image",
        "unicode": "f03e",
        "created": 1,
        "filter": [
            "album",
            "landscape",
            "photo",
            "picture"
        ],
        "categories": [
            "Images",
            "Maps",
            "Objects",
            "Social"
        ],
        "icon": "far fa-image"
    },
    {
        "name": "Images (solid)",
        "id": "fas_images",
        "unicode": "f302",
        "created": 1,
        "filter": [
            "album",
            "landscape",
            "photo",
            "picture"
        ],
        "categories": [
            "Images",
            "Maps",
            "Objects",
            "Social"
        ],
        "icon": "fas fa-images"
    },
    {
        "name": "Images (regular)",
        "id": "far_images",
        "unicode": "f302",
        "created": 1,
        "filter": [
            "album",
            "landscape",
            "photo",
            "picture"
        ],
        "categories": [
            "Images",
            "Maps",
            "Objects",
            "Social"
        ],
        "icon": "far fa-images"
    },
    {
        "name": "IMDB",
        "id": "fab_imdb",
        "unicode": "f2d8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-imdb"
    },
    {
        "name": "inbox",
        "id": "fas_inbox",
        "unicode": "f01c",
        "created": 1,
        "filter": [
            "archive",
            "desk",
            "email",
            "mail",
            "message"
        ],
        "categories": [
            "Communication"
        ],
        "icon": "fas fa-inbox"
    },
    {
        "name": "Indent",
        "id": "fas_indent",
        "unicode": "f03c",
        "created": 1,
        "filter": [
            "align",
            "justify",
            "paragraph",
            "tab"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-indent"
    },
    {
        "name": "Industry",
        "id": "fas_industry",
        "unicode": "f275",
        "created": 1,
        "filter": [
            "building",
            "factory",
            "industrial",
            "manufacturing",
            "mill",
            "warehouse"
        ],
        "categories": [
            "Buildings",
            "Business",
            "Energy",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-industry"
    },
    {
        "name": "Infinity",
        "id": "fas_infinity",
        "unicode": "f534",
        "created": 1,
        "filter": [
            "eternity",
            "forever",
            "math"
        ],
        "categories": [
            "Hotel",
            "Mathematics"
        ],
        "icon": "fas fa-infinity"
    },
    {
        "name": "Info",
        "id": "fas_info",
        "unicode": "f129",
        "created": 1,
        "filter": [
            "details",
            "help",
            "information",
            "more",
            "support"
        ],
        "categories": [
            "Interfaces",
            "Maps",
            "Status"
        ],
        "icon": "fas fa-info"
    },
    {
        "name": "Info Circle",
        "id": "fas_info-circle",
        "unicode": "f05a",
        "created": 1,
        "filter": [
            "details",
            "help",
            "information",
            "more",
            "support"
        ],
        "categories": [
            "Interfaces",
            "Maps",
            "Status"
        ],
        "icon": "fas fa-info-circle"
    },
    {
        "name": "Innosoft",
        "id": "fab_innosoft",
        "unicode": "e080",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-innosoft"
    },
    {
        "name": "Instagram",
        "id": "fab_instagram",
        "unicode": "f16d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-instagram"
    },
    {
        "name": "Instagram Square",
        "id": "fab_instagram-square",
        "unicode": "e055",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-instagram-square"
    },
    {
        "name": "InstaLOD",
        "id": "fab_instalod",
        "unicode": "e081",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-instalod"
    },
    {
        "name": "Intercom",
        "id": "fab_intercom",
        "unicode": "f7af",
        "created": 1,
        "filter": [
            "app",
            "customer",
            "messenger"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-intercom"
    },
    {
        "name": "Internet-explorer",
        "id": "fab_internet-explorer",
        "unicode": "f26b",
        "created": 1,
        "filter": [
            "browser",
            "ie"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-internet-explorer"
    },
    {
        "name": "InVision",
        "id": "fab_invision",
        "unicode": "f7b0",
        "created": 1,
        "filter": [
            "app",
            "design",
            "interface"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-invision"
    },
    {
        "name": "ioxhost",
        "id": "fab_ioxhost",
        "unicode": "f208",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ioxhost"
    },
    {
        "name": "italic",
        "id": "fas_italic",
        "unicode": "f033",
        "created": 1,
        "filter": [
            "edit",
            "emphasis",
            "font",
            "format",
            "text",
            "type"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-italic"
    },
    {
        "name": "itch.io",
        "id": "fab_itch-io",
        "unicode": "f83a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-itch-io"
    },
    {
        "name": "iTunes",
        "id": "fab_itunes",
        "unicode": "f3b4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-itunes"
    },
    {
        "name": "Itunes Note",
        "id": "fab_itunes-note",
        "unicode": "f3b5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-itunes-note"
    },
    {
        "name": "Java",
        "id": "fab_java",
        "unicode": "f4e4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-java"
    },
    {
        "name": "Jedi",
        "id": "fas_jedi",
        "unicode": "f669",
        "created": 1,
        "filter": [
            "crest",
            "force",
            "sith",
            "skywalker",
            "star wars",
            "yoda"
        ],
        "categories": [
            "Religion",
            "Science Fiction"
        ],
        "icon": "fas fa-jedi"
    },
    {
        "name": "Jedi Order",
        "id": "fab_jedi-order",
        "unicode": "f50e",
        "created": 1,
        "filter": [
            "star wars"
        ],
        "categories": [
            "Science Fiction",
            "Brand"
        ],
        "icon": "fab fa-jedi-order"
    },
    {
        "name": "Jenkis",
        "id": "fab_jenkins",
        "unicode": "f3b6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-jenkins"
    },
    {
        "name": "Jira",
        "id": "fab_jira",
        "unicode": "f7b1",
        "created": 1,
        "filter": [
            "atlassian"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-jira"
    },
    {
        "name": "Joget",
        "id": "fab_joget",
        "unicode": "f3b7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-joget"
    },
    {
        "name": "Joint",
        "id": "fas_joint",
        "unicode": "f595",
        "created": 1,
        "filter": [
            "blunt",
            "cannabis",
            "doobie",
            "drugs",
            "marijuana",
            "roach",
            "smoke",
            "smoking",
            "spliff"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-joint"
    },
    {
        "name": "Joomla Logo",
        "id": "fab_joomla",
        "unicode": "f1aa",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-joomla"
    },
    {
        "name": "Journal of the Whills",
        "id": "fas_journal-whills",
        "unicode": "f66a",
        "created": 1,
        "filter": [
            "book",
            "force",
            "jedi",
            "sith",
            "star wars",
            "yoda"
        ],
        "categories": [
            "Religion",
            "Science Fiction"
        ],
        "icon": "fas fa-journal-whills"
    },
    {
        "name": "JavaScript (JS)",
        "id": "fab_js",
        "unicode": "f3b8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-js"
    },
    {
        "name": "JavaScript (JS) Square",
        "id": "fab_js-square",
        "unicode": "f3b9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-js-square"
    },
    {
        "name": "jsFiddle",
        "id": "fab_jsfiddle",
        "unicode": "f1cc",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-jsfiddle"
    },
    {
        "name": "Kaaba",
        "id": "fas_kaaba",
        "unicode": "f66b",
        "created": 1,
        "filter": [
            "building",
            "cube",
            "islam",
            "muslim"
        ],
        "categories": [
            "Buildings",
            "Religion"
        ],
        "icon": "fas fa-kaaba"
    },
    {
        "name": "Kaggle",
        "id": "fab_kaggle",
        "unicode": "f5fa",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-kaggle"
    },
    {
        "name": "key",
        "id": "fas_key",
        "unicode": "f084",
        "created": 1,
        "filter": [
            "lock",
            "password",
            "private",
            "secret",
            "unlock"
        ],
        "categories": [
            "Hotel",
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Security"
        ],
        "icon": "fas fa-key"
    },
    {
        "name": "Keybase",
        "id": "fab_keybase",
        "unicode": "f4f5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-keybase"
    },
    {
        "name": "Keyboard (solid)",
        "id": "fas_keyboard",
        "unicode": "f11c",
        "created": 1,
        "filter": [
            "accessory",
            "edit",
            "input",
            "text",
            "type",
            "write"
        ],
        "categories": [
            "Code",
            "Computers",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-keyboard"
    },
    {
        "name": "Keyboard (regular)",
        "id": "far_keyboard",
        "unicode": "f11c",
        "created": 1,
        "filter": [
            "accessory",
            "edit",
            "input",
            "text",
            "type",
            "write"
        ],
        "categories": [
            "Code",
            "Computers",
            "Objects",
            "Writing"
        ],
        "icon": "far fa-keyboard"
    },
    {
        "name": "KeyCDN",
        "id": "fab_keycdn",
        "unicode": "f3ba",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-keycdn"
    },
    {
        "name": "Khanda",
        "id": "fas_khanda",
        "unicode": "f66d",
        "created": 1,
        "filter": [
            "chakkar",
            "sikh",
            "sikhism",
            "sword"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-khanda"
    },
    {
        "name": "Kickstarter",
        "id": "fab_kickstarter",
        "unicode": "f3bb",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-kickstarter"
    },
    {
        "name": "Kickstarter K",
        "id": "fab_kickstarter-k",
        "unicode": "f3bc",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-kickstarter-k"
    },
    {
        "name": "Kissing Face (solid)",
        "id": "fas_kiss",
        "unicode": "f596",
        "created": 1,
        "filter": [
            "beso",
            "emoticon",
            "face",
            "love",
            "smooch"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-kiss"
    },
    {
        "name": "Kissing Face (regular)",
        "id": "far_kiss",
        "unicode": "f596",
        "created": 1,
        "filter": [
            "beso",
            "emoticon",
            "face",
            "love",
            "smooch"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-kiss"
    },
    {
        "name": "Kissing Face With Smiling Eyes (solid)",
        "id": "fas_kiss-beam",
        "unicode": "f597",
        "created": 1,
        "filter": [
            "beso",
            "emoticon",
            "face",
            "love",
            "smooch"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-kiss-beam"
    },
    {
        "name": "Kissing Face With Smiling Eyes (regular)",
        "id": "far_kiss-beam",
        "unicode": "f597",
        "created": 1,
        "filter": [
            "beso",
            "emoticon",
            "face",
            "love",
            "smooch"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-kiss-beam"
    },
    {
        "name": "Face Blowing a Kiss (solid)",
        "id": "fas_kiss-wink-heart",
        "unicode": "f598",
        "created": 1,
        "filter": [
            "beso",
            "emoticon",
            "face",
            "love",
            "smooch"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-kiss-wink-heart"
    },
    {
        "name": "Face Blowing a Kiss (regular)",
        "id": "far_kiss-wink-heart",
        "unicode": "f598",
        "created": 1,
        "filter": [
            "beso",
            "emoticon",
            "face",
            "love",
            "smooch"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-kiss-wink-heart"
    },
    {
        "name": "Kiwi Bird",
        "id": "fas_kiwi-bird",
        "unicode": "f535",
        "created": 1,
        "filter": [
            "bird",
            "fauna",
            "new zealand"
        ],
        "categories": [
            "Animals"
        ],
        "icon": "fas fa-kiwi-bird"
    },
    {
        "name": "KORVUE",
        "id": "fab_korvue",
        "unicode": "f42f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-korvue"
    },
    {
        "name": "Landmark",
        "id": "fas_landmark",
        "unicode": "f66f",
        "created": 1,
        "filter": [
            "building",
            "historic",
            "memorable",
            "monument",
            "politics"
        ],
        "categories": [
            "Buildings",
            "Business",
            "Finance",
            "Maps"
        ],
        "icon": "fas fa-landmark"
    },
    {
        "name": "Language",
        "id": "fas_language",
        "unicode": "f1ab",
        "created": 1,
        "filter": [
            "dialect",
            "idiom",
            "localize",
            "speech",
            "translate",
            "vernacular"
        ],
        "categories": [
            "Communication",
            "Interfaces"
        ],
        "icon": "fas fa-language"
    },
    {
        "name": "Laptop",
        "id": "fas_laptop",
        "unicode": "f109",
        "created": 1,
        "filter": [
            "computer",
            "cpu",
            "dell",
            "demo",
            "device",
            "mac",
            "macbook",
            "machine",
            "pc"
        ],
        "categories": [
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-laptop"
    },
    {
        "name": "Laptop Code",
        "id": "fas_laptop-code",
        "unicode": "f5fc",
        "created": 1,
        "filter": [
            "computer",
            "cpu",
            "dell",
            "demo",
            "develop",
            "device",
            "mac",
            "macbook",
            "machine",
            "pc"
        ],
        "categories": [
            "Code",
            "Education"
        ],
        "icon": "fas fa-laptop-code"
    },
    {
        "name": "Laptop House",
        "id": "fas_laptop-house",
        "unicode": "e066",
        "created": 1,
        "filter": [
            "computer",
            "covid-19",
            "device",
            "office",
            "remote",
            "work from home"
        ],
        "categories": [
            "Business",
            "Computers",
            "Household"
        ],
        "icon": "fas fa-laptop-house"
    },
    {
        "name": "Laptop Medical",
        "id": "fas_laptop-medical",
        "unicode": "f812",
        "created": 1,
        "filter": [
            "computer",
            "device",
            "ehr",
            "electronic health records",
            "history"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-laptop-medical"
    },
    {
        "name": "Laravel",
        "id": "fab_laravel",
        "unicode": "f3bd",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-laravel"
    },
    {
        "name": "last.fm",
        "id": "fab_lastfm",
        "unicode": "f202",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-lastfm"
    },
    {
        "name": "last.fm Square",
        "id": "fab_lastfm-square",
        "unicode": "f203",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-lastfm-square"
    },
    {
        "name": "Grinning Face With Big Eyes (solid)",
        "id": "fas_laugh",
        "unicode": "f599",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-laugh"
    },
    {
        "name": "Grinning Face With Big Eyes (regular)",
        "id": "far_laugh",
        "unicode": "f599",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face",
            "laugh",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-laugh"
    },
    {
        "name": "Laugh Face with Beaming Eyes (solid)",
        "id": "fas_laugh-beam",
        "unicode": "f59a",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face",
            "happy",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-laugh-beam"
    },
    {
        "name": "Laugh Face with Beaming Eyes (regular)",
        "id": "far_laugh-beam",
        "unicode": "f59a",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face",
            "happy",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-laugh-beam"
    },
    {
        "name": "Laughing Squinting Face (solid)",
        "id": "fas_laugh-squint",
        "unicode": "f59b",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face",
            "happy",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-laugh-squint"
    },
    {
        "name": "Laughing Squinting Face (regular)",
        "id": "far_laugh-squint",
        "unicode": "f59b",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face",
            "happy",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-laugh-squint"
    },
    {
        "name": "Laughing Winking Face (solid)",
        "id": "fas_laugh-wink",
        "unicode": "f59c",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face",
            "happy",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-laugh-wink"
    },
    {
        "name": "Laughing Winking Face (regular)",
        "id": "far_laugh-wink",
        "unicode": "f59c",
        "created": 1,
        "filter": [
            "LOL",
            "emoticon",
            "face",
            "happy",
            "smile"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-laugh-wink"
    },
    {
        "name": "Layer Group",
        "id": "fas_layer-group",
        "unicode": "f5fd",
        "created": 1,
        "filter": [
            "arrange",
            "develop",
            "layers",
            "map",
            "stack"
        ],
        "categories": [
            "Design",
            "Maps"
        ],
        "icon": "fas fa-layer-group"
    },
    {
        "name": "leaf",
        "id": "fas_leaf",
        "unicode": "f06c",
        "created": 1,
        "filter": [
            "eco",
            "flora",
            "nature",
            "plant",
            "vegan"
        ],
        "categories": [
            "Charity",
            "Energy",
            "Fruits & Vegetables",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-leaf"
    },
    {
        "name": "Leanpub",
        "id": "fab_leanpub",
        "unicode": "f212",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-leanpub"
    },
    {
        "name": "Lemon (solid)",
        "id": "fas_lemon",
        "unicode": "f094",
        "created": 1,
        "filter": [
            "citrus",
            "lemonade",
            "lime",
            "tart"
        ],
        "categories": [
            "Food",
            "Fruits & Vegetables",
            "Maps",
            "Objects",
            "Summer"
        ],
        "icon": "fas fa-lemon"
    },
    {
        "name": "Lemon (regular)",
        "id": "far_lemon",
        "unicode": "f094",
        "created": 1,
        "filter": [
            "citrus",
            "lemonade",
            "lime",
            "tart"
        ],
        "categories": [
            "Food",
            "Fruits & Vegetables",
            "Maps",
            "Objects",
            "Summer"
        ],
        "icon": "far fa-lemon"
    },
    {
        "name": "Less",
        "id": "fab_less",
        "unicode": "f41d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-less"
    },
    {
        "name": "Less Than",
        "id": "fas_less-than",
        "unicode": "f536",
        "created": 1,
        "filter": [
            "arithmetic",
            "compare",
            "math"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-less-than"
    },
    {
        "name": "Less Than Equal To",
        "id": "fas_less-than-equal",
        "unicode": "f537",
        "created": 1,
        "filter": [
            "arithmetic",
            "compare",
            "math"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-less-than-equal"
    },
    {
        "name": "Alternate Level Down",
        "id": "fas_level-down-alt",
        "unicode": "f3be",
        "created": 1,
        "filter": [
            "arrow",
            "level-down"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-level-down-alt"
    },
    {
        "name": "Alternate Level Up",
        "id": "fas_level-up-alt",
        "unicode": "f3bf",
        "created": 1,
        "filter": [
            "arrow",
            "level-up"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-level-up-alt"
    },
    {
        "name": "Life Ring (solid)",
        "id": "fas_life-ring",
        "unicode": "f1cd",
        "created": 1,
        "filter": [
            "coast guard",
            "help",
            "overboard",
            "save",
            "support"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Spinners"
        ],
        "icon": "fas fa-life-ring"
    },
    {
        "name": "Life Ring (regular)",
        "id": "far_life-ring",
        "unicode": "f1cd",
        "created": 1,
        "filter": [
            "coast guard",
            "help",
            "overboard",
            "save",
            "support"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Spinners"
        ],
        "icon": "far fa-life-ring"
    },
    {
        "name": "Lightbulb (solid)",
        "id": "fas_lightbulb",
        "unicode": "f0eb",
        "created": 1,
        "filter": [
            "energy",
            "idea",
            "inspiration",
            "light"
        ],
        "categories": [
            "Energy",
            "Household",
            "Maps",
            "Marketing",
            "Objects",
            "Status"
        ],
        "icon": "fas fa-lightbulb"
    },
    {
        "name": "Lightbulb (regular)",
        "id": "far_lightbulb",
        "unicode": "f0eb",
        "created": 1,
        "filter": [
            "energy",
            "idea",
            "inspiration",
            "light"
        ],
        "categories": [
            "Energy",
            "Household",
            "Maps",
            "Marketing",
            "Objects",
            "Status"
        ],
        "icon": "far fa-lightbulb"
    },
    {
        "name": "Line",
        "id": "fab_line",
        "unicode": "f3c0",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-line"
    },
    {
        "name": "Link",
        "id": "fas_link",
        "unicode": "f0c1",
        "created": 1,
        "filter": [
            "attach",
            "attachment",
            "chain",
            "connect"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-link"
    },
    {
        "name": "LinkedIn",
        "id": "fab_linkedin",
        "unicode": "f08c",
        "created": 1,
        "filter": [
            "linkedin-square"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-linkedin"
    },
    {
        "name": "LinkedIn In",
        "id": "fab_linkedin-in",
        "unicode": "f0e1",
        "created": 1,
        "filter": [
            "linkedin"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-linkedin-in"
    },
    {
        "name": "Linode",
        "id": "fab_linode",
        "unicode": "f2b8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-linode"
    },
    {
        "name": "Linux",
        "id": "fab_linux",
        "unicode": "f17c",
        "created": 1,
        "filter": [
            "tux"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-linux"
    },
    {
        "name": "Turkish Lira Sign",
        "id": "fas_lira-sign",
        "unicode": "f195",
        "created": 1,
        "filter": [
            "currency",
            "money",
            "try",
            "turkish"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-lira-sign"
    },
    {
        "name": "List",
        "id": "fas_list",
        "unicode": "f03a",
        "created": 1,
        "filter": [
            "checklist",
            "completed",
            "done",
            "finished",
            "ol",
            "todo",
            "ul"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-list"
    },
    {
        "name": "Alternate List (solid)",
        "id": "fas_list-alt",
        "unicode": "f022",
        "created": 1,
        "filter": [
            "checklist",
            "completed",
            "done",
            "finished",
            "ol",
            "todo",
            "ul"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-list-alt"
    },
    {
        "name": "Alternate List (regular)",
        "id": "far_list-alt",
        "unicode": "f022",
        "created": 1,
        "filter": [
            "checklist",
            "completed",
            "done",
            "finished",
            "ol",
            "todo",
            "ul"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "far fa-list-alt"
    },
    {
        "name": "list-ol",
        "id": "fas_list-ol",
        "unicode": "f0cb",
        "created": 1,
        "filter": [
            "checklist",
            "completed",
            "done",
            "finished",
            "numbers",
            "ol",
            "todo",
            "ul"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-list-ol"
    },
    {
        "name": "list-ul",
        "id": "fas_list-ul",
        "unicode": "f0ca",
        "created": 1,
        "filter": [
            "checklist",
            "completed",
            "done",
            "finished",
            "ol",
            "todo",
            "ul"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-list-ul"
    },
    {
        "name": "location-arrow",
        "id": "fas_location-arrow",
        "unicode": "f124",
        "created": 1,
        "filter": [
            "address",
            "compass",
            "coordinate",
            "direction",
            "gps",
            "map",
            "navigation",
            "place"
        ],
        "categories": [
            "Arrows",
            "Maps"
        ],
        "icon": "fas fa-location-arrow"
    },
    {
        "name": "lock",
        "id": "fas_lock",
        "unicode": "f023",
        "created": 1,
        "filter": [
            "admin",
            "lock",
            "open",
            "password",
            "private",
            "protect",
            "security"
        ],
        "categories": [
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "fas fa-lock"
    },
    {
        "name": "Lock Open",
        "id": "fas_lock-open",
        "unicode": "f3c1",
        "created": 1,
        "filter": [
            "admin",
            "lock",
            "open",
            "password",
            "private",
            "protect",
            "security"
        ],
        "categories": [
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "fas fa-lock-open"
    },
    {
        "name": "Alternate Long Arrow Down",
        "id": "fas_long-arrow-alt-down",
        "unicode": "f309",
        "created": 1,
        "filter": [
            "download",
            "long-arrow-down"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-long-arrow-alt-down"
    },
    {
        "name": "Alternate Long Arrow Left",
        "id": "fas_long-arrow-alt-left",
        "unicode": "f30a",
        "created": 1,
        "filter": [
            "back",
            "long-arrow-left",
            "previous"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-long-arrow-alt-left"
    },
    {
        "name": "Alternate Long Arrow Right",
        "id": "fas_long-arrow-alt-right",
        "unicode": "f30b",
        "created": 1,
        "filter": [
            "forward",
            "long-arrow-right",
            "next"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-long-arrow-alt-right"
    },
    {
        "name": "Alternate Long Arrow Up",
        "id": "fas_long-arrow-alt-up",
        "unicode": "f30c",
        "created": 1,
        "filter": [
            "long-arrow-up",
            "upload"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-long-arrow-alt-up"
    },
    {
        "name": "Low Vision",
        "id": "fas_low-vision",
        "unicode": "f2a8",
        "created": 1,
        "filter": [
            "blind",
            "eye",
            "sight"
        ],
        "categories": [
            "Accessibility",
            "Maps"
        ],
        "icon": "fas fa-low-vision"
    },
    {
        "name": "Luggage Cart",
        "id": "fas_luggage-cart",
        "unicode": "f59d",
        "created": 1,
        "filter": [
            "bag",
            "baggage",
            "suitcase",
            "travel"
        ],
        "categories": [
            "Hotel",
            "Travel"
        ],
        "icon": "fas fa-luggage-cart"
    },
    {
        "name": "Lungs",
        "id": "fas_lungs",
        "unicode": "f604",
        "created": 1,
        "filter": [
            "air",
            "breath",
            "covid-19",
            "organ",
            "respiratory"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-lungs"
    },
    {
        "name": "Lungs Virus",
        "id": "fas_lungs-virus",
        "unicode": "e067",
        "created": 1,
        "filter": [
            "breath",
            "covid-19",
            "respiratory",
            "sick"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-lungs-virus"
    },
    {
        "name": "lyft",
        "id": "fab_lyft",
        "unicode": "f3c3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-lyft"
    },
    {
        "name": "Magento",
        "id": "fab_magento",
        "unicode": "f3c4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-magento"
    },
    {
        "name": "magic",
        "id": "fas_magic",
        "unicode": "f0d0",
        "created": 1,
        "filter": [
            "autocomplete",
            "automatic",
            "mage",
            "magic",
            "spell",
            "wand",
            "witch",
            "wizard"
        ],
        "categories": [
            "Design",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-magic"
    },
    {
        "name": "magnet",
        "id": "fas_magnet",
        "unicode": "f076",
        "created": 1,
        "filter": [
            "Attract",
            "lodestone",
            "tool"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Science"
        ],
        "icon": "fas fa-magnet"
    },
    {
        "name": "Mail Bulk",
        "id": "fas_mail-bulk",
        "unicode": "f674",
        "created": 1,
        "filter": [
            "archive",
            "envelope",
            "letter",
            "post office",
            "postal",
            "postcard",
            "send",
            "stamp",
            "usps"
        ],
        "categories": [
            "Marketing"
        ],
        "icon": "fas fa-mail-bulk"
    },
    {
        "name": "Mailchimp",
        "id": "fab_mailchimp",
        "unicode": "f59e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mailchimp"
    },
    {
        "name": "Male",
        "id": "fas_male",
        "unicode": "f183",
        "created": 1,
        "filter": [
            "human",
            "man",
            "person",
            "profile",
            "user"
        ],
        "categories": [
            "Maps",
            "Users & People"
        ],
        "icon": "fas fa-male"
    },
    {
        "name": "Mandalorian",
        "id": "fab_mandalorian",
        "unicode": "f50f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mandalorian"
    },
    {
        "name": "Map (solid)",
        "id": "fas_map",
        "unicode": "f279",
        "created": 1,
        "filter": [
            "address",
            "coordinates",
            "destination",
            "gps",
            "localize",
            "location",
            "map",
            "navigation",
            "paper",
            "pin",
            "place",
            "point of interest",
            "position",
            "route",
            "travel"
        ],
        "categories": [
            "Camping",
            "Maps",
            "Objects",
            "Travel"
        ],
        "icon": "fas fa-map"
    },
    {
        "name": "Map (regular)",
        "id": "far_map",
        "unicode": "f279",
        "created": 1,
        "filter": [
            "address",
            "coordinates",
            "destination",
            "gps",
            "localize",
            "location",
            "map",
            "navigation",
            "paper",
            "pin",
            "place",
            "point of interest",
            "position",
            "route",
            "travel"
        ],
        "categories": [
            "Camping",
            "Maps",
            "Objects",
            "Travel"
        ],
        "icon": "far fa-map"
    },
    {
        "name": "Map Marked",
        "id": "fas_map-marked",
        "unicode": "f59f",
        "created": 1,
        "filter": [
            "address",
            "coordinates",
            "destination",
            "gps",
            "localize",
            "location",
            "map",
            "navigation",
            "paper",
            "pin",
            "place",
            "point of interest",
            "position",
            "route",
            "travel"
        ],
        "categories": [
            "Camping",
            "Travel"
        ],
        "icon": "fas fa-map-marked"
    },
    {
        "name": "Alternate Map Marked",
        "id": "fas_map-marked-alt",
        "unicode": "f5a0",
        "created": 1,
        "filter": [
            "address",
            "coordinates",
            "destination",
            "gps",
            "localize",
            "location",
            "map",
            "navigation",
            "paper",
            "pin",
            "place",
            "point of interest",
            "position",
            "route",
            "travel"
        ],
        "categories": [
            "Camping",
            "Travel"
        ],
        "icon": "fas fa-map-marked-alt"
    },
    {
        "name": "map-marker",
        "id": "fas_map-marker",
        "unicode": "f041",
        "created": 1,
        "filter": [
            "address",
            "coordinates",
            "destination",
            "gps",
            "localize",
            "location",
            "map",
            "navigation",
            "paper",
            "pin",
            "place",
            "point of interest",
            "position",
            "route",
            "travel"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Shapes",
            "Social",
            "Status"
        ],
        "icon": "fas fa-map-marker"
    },
    {
        "name": "Alternate Map Marker",
        "id": "fas_map-marker-alt",
        "unicode": "f3c5",
        "created": 1,
        "filter": [
            "address",
            "coordinates",
            "destination",
            "gps",
            "localize",
            "location",
            "map",
            "navigation",
            "paper",
            "pin",
            "place",
            "point of interest",
            "position",
            "route",
            "travel"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Social",
            "Status"
        ],
        "icon": "fas fa-map-marker-alt"
    },
    {
        "name": "Map Pin",
        "id": "fas_map-pin",
        "unicode": "f276",
        "created": 1,
        "filter": [
            "address",
            "agree",
            "coordinates",
            "destination",
            "gps",
            "localize",
            "location",
            "map",
            "marker",
            "navigation",
            "pin",
            "place",
            "position",
            "travel"
        ],
        "categories": [
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-map-pin"
    },
    {
        "name": "Map Signs",
        "id": "fas_map-signs",
        "unicode": "f277",
        "created": 1,
        "filter": [
            "directions",
            "directory",
            "map",
            "signage",
            "wayfinding"
        ],
        "categories": [
            "Camping",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-map-signs"
    },
    {
        "name": "Markdown",
        "id": "fab_markdown",
        "unicode": "f60f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-markdown"
    },
    {
        "name": "Marker",
        "id": "fas_marker",
        "unicode": "f5a1",
        "created": 1,
        "filter": [
            "design",
            "edit",
            "sharpie",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-marker"
    },
    {
        "name": "Mars",
        "id": "fas_mars",
        "unicode": "f222",
        "created": 1,
        "filter": [
            "male"
        ],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-mars"
    },
    {
        "name": "Mars Double",
        "id": "fas_mars-double",
        "unicode": "f227",
        "created": 1,
        "filter": [],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-mars-double"
    },
    {
        "name": "Mars Stroke",
        "id": "fas_mars-stroke",
        "unicode": "f229",
        "created": 1,
        "filter": [],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-mars-stroke"
    },
    {
        "name": "Mars Stroke Horizontal",
        "id": "fas_mars-stroke-h",
        "unicode": "f22b",
        "created": 1,
        "filter": [],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-mars-stroke-h"
    },
    {
        "name": "Mars Stroke Vertical",
        "id": "fas_mars-stroke-v",
        "unicode": "f22a",
        "created": 1,
        "filter": [],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-mars-stroke-v"
    },
    {
        "name": "Mask",
        "id": "fas_mask",
        "unicode": "f6fa",
        "created": 1,
        "filter": [
            "carnivale",
            "costume",
            "disguise",
            "halloween",
            "secret",
            "super hero"
        ],
        "categories": [
            "Halloween",
            "Security"
        ],
        "icon": "fas fa-mask"
    },
    {
        "name": "Mastodon",
        "id": "fab_mastodon",
        "unicode": "f4f6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mastodon"
    },
    {
        "name": "MaxCDN",
        "id": "fab_maxcdn",
        "unicode": "f136",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-maxcdn"
    },
    {
        "name": "Material Design for Bootstrap",
        "id": "fab_mdb",
        "unicode": "f8ca",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mdb"
    },
    {
        "name": "Medal",
        "id": "fas_medal",
        "unicode": "f5a2",
        "created": 1,
        "filter": [
            "award",
            "ribbon",
            "star",
            "trophy"
        ],
        "categories": [
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-medal"
    },
    {
        "name": "MedApps",
        "id": "fab_medapps",
        "unicode": "f3c6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-medapps"
    },
    {
        "name": "Medium",
        "id": "fab_medium",
        "unicode": "f23a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-medium"
    },
    {
        "name": "Medium M",
        "id": "fab_medium-m",
        "unicode": "f3c7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-medium-m"
    },
    {
        "name": "medkit",
        "id": "fas_medkit",
        "unicode": "f0fa",
        "created": 1,
        "filter": [
            "first aid",
            "firstaid",
            "health",
            "help",
            "support"
        ],
        "categories": [
            "Health",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-medkit"
    },
    {
        "name": "MRT",
        "id": "fab_medrt",
        "unicode": "f3c8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-medrt"
    },
    {
        "name": "Meetup",
        "id": "fab_meetup",
        "unicode": "f2e0",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-meetup"
    },
    {
        "name": "Megaport",
        "id": "fab_megaport",
        "unicode": "f5a3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-megaport"
    },
    {
        "name": "Neutral Face (solid)",
        "id": "fas_meh",
        "unicode": "f11a",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "neutral",
            "rating"
        ],
        "categories": [
            "Chat",
            "Emoji",
            "Interfaces",
            "Users & People"
        ],
        "icon": "fas fa-meh"
    },
    {
        "name": "Neutral Face (regular)",
        "id": "far_meh",
        "unicode": "f11a",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "neutral",
            "rating"
        ],
        "categories": [
            "Chat",
            "Emoji",
            "Interfaces",
            "Users & People"
        ],
        "icon": "far fa-meh"
    },
    {
        "name": "Face Without Mouth (solid)",
        "id": "fas_meh-blank",
        "unicode": "f5a4",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "neutral",
            "rating"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-meh-blank"
    },
    {
        "name": "Face Without Mouth (regular)",
        "id": "far_meh-blank",
        "unicode": "f5a4",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "neutral",
            "rating"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-meh-blank"
    },
    {
        "name": "Face With Rolling Eyes (solid)",
        "id": "fas_meh-rolling-eyes",
        "unicode": "f5a5",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "neutral",
            "rating"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-meh-rolling-eyes"
    },
    {
        "name": "Face With Rolling Eyes (regular)",
        "id": "far_meh-rolling-eyes",
        "unicode": "f5a5",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "neutral",
            "rating"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-meh-rolling-eyes"
    },
    {
        "name": "Memory",
        "id": "fas_memory",
        "unicode": "f538",
        "created": 1,
        "filter": [
            "DIMM",
            "RAM",
            "hardware",
            "storage",
            "technology"
        ],
        "categories": [
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-memory"
    },
    {
        "name": "Mendeley",
        "id": "fab_mendeley",
        "unicode": "f7b3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mendeley"
    },
    {
        "name": "Menorah",
        "id": "fas_menorah",
        "unicode": "f676",
        "created": 1,
        "filter": [
            "candle",
            "hanukkah",
            "jewish",
            "judaism",
            "light"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-menorah"
    },
    {
        "name": "Mercury",
        "id": "fas_mercury",
        "unicode": "f223",
        "created": 1,
        "filter": [
            "transgender"
        ],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-mercury"
    },
    {
        "name": "Meteor",
        "id": "fas_meteor",
        "unicode": "f753",
        "created": 1,
        "filter": [
            "armageddon",
            "asteroid",
            "comet",
            "shooting star",
            "space"
        ],
        "categories": [
            "Science Fiction",
            "Weather"
        ],
        "icon": "fas fa-meteor"
    },
    {
        "name": "Micro.blog",
        "id": "fab_microblog",
        "unicode": "e01a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-microblog"
    },
    {
        "name": "Microchip",
        "id": "fas_microchip",
        "unicode": "f2db",
        "created": 1,
        "filter": [
            "cpu",
            "hardware",
            "processor",
            "technology"
        ],
        "categories": [
            "Code",
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-microchip"
    },
    {
        "name": "microphone",
        "id": "fas_microphone",
        "unicode": "f130",
        "created": 1,
        "filter": [
            "audio",
            "podcast",
            "record",
            "sing",
            "sound",
            "voice"
        ],
        "categories": [
            "Audio & Video",
            "Communication",
            "Interfaces",
            "Music",
            "Objects",
            "Status",
            "Toggle"
        ],
        "icon": "fas fa-microphone"
    },
    {
        "name": "Alternate Microphone",
        "id": "fas_microphone-alt",
        "unicode": "f3c9",
        "created": 1,
        "filter": [
            "audio",
            "podcast",
            "record",
            "sing",
            "sound",
            "voice"
        ],
        "categories": [
            "Audio & Video",
            "Communication",
            "Interfaces",
            "Music",
            "Objects",
            "Status"
        ],
        "icon": "fas fa-microphone-alt"
    },
    {
        "name": "Alternate Microphone Slash",
        "id": "fas_microphone-alt-slash",
        "unicode": "f539",
        "created": 1,
        "filter": [
            "audio",
            "disable",
            "mute",
            "podcast",
            "record",
            "sing",
            "sound",
            "voice"
        ],
        "categories": [
            "Audio & Video",
            "Communication",
            "Music",
            "Status"
        ],
        "icon": "fas fa-microphone-alt-slash"
    },
    {
        "name": "Microphone Slash",
        "id": "fas_microphone-slash",
        "unicode": "f131",
        "created": 1,
        "filter": [
            "audio",
            "disable",
            "mute",
            "podcast",
            "record",
            "sing",
            "sound",
            "voice"
        ],
        "categories": [
            "Audio & Video",
            "Communication",
            "Interfaces",
            "Music",
            "Status",
            "Toggle"
        ],
        "icon": "fas fa-microphone-slash"
    },
    {
        "name": "Microscope",
        "id": "fas_microscope",
        "unicode": "f610",
        "created": 1,
        "filter": [
            "covid-19",
            "electron",
            "lens",
            "optics",
            "science",
            "shrink"
        ],
        "categories": [
            "Education",
            "Medical",
            "Science"
        ],
        "icon": "fas fa-microscope"
    },
    {
        "name": "Microsoft",
        "id": "fab_microsoft",
        "unicode": "f3ca",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-microsoft"
    },
    {
        "name": "minus",
        "id": "fas_minus",
        "unicode": "f068",
        "created": 1,
        "filter": [
            "collapse",
            "delete",
            "hide",
            "minify",
            "negative",
            "remove",
            "trash"
        ],
        "categories": [
            "Interfaces",
            "Mathematics",
            "Status"
        ],
        "icon": "fas fa-minus"
    },
    {
        "name": "Minus Circle",
        "id": "fas_minus-circle",
        "unicode": "f056",
        "created": 1,
        "filter": [
            "delete",
            "hide",
            "negative",
            "remove",
            "shape",
            "trash"
        ],
        "categories": [
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-minus-circle"
    },
    {
        "name": "Minus Square (solid)",
        "id": "fas_minus-square",
        "unicode": "f146",
        "created": 1,
        "filter": [
            "collapse",
            "delete",
            "hide",
            "minify",
            "negative",
            "remove",
            "shape",
            "trash"
        ],
        "categories": [
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-minus-square"
    },
    {
        "name": "Minus Square (regular)",
        "id": "far_minus-square",
        "unicode": "f146",
        "created": 1,
        "filter": [
            "collapse",
            "delete",
            "hide",
            "minify",
            "negative",
            "remove",
            "shape",
            "trash"
        ],
        "categories": [
            "Interfaces",
            "Status"
        ],
        "icon": "far fa-minus-square"
    },
    {
        "name": "Mitten",
        "id": "fas_mitten",
        "unicode": "f7b5",
        "created": 1,
        "filter": [
            "clothing",
            "cold",
            "glove",
            "hands",
            "knitted",
            "seasonal",
            "warmth"
        ],
        "categories": [
            "Childhood",
            "Clothing",
            "Objects",
            "Winter"
        ],
        "icon": "fas fa-mitten"
    },
    {
        "name": "Mix",
        "id": "fab_mix",
        "unicode": "f3cb",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mix"
    },
    {
        "name": "Mixcloud",
        "id": "fab_mixcloud",
        "unicode": "f289",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mixcloud"
    },
    {
        "name": "Mixer",
        "id": "fab_mixer",
        "unicode": "e056",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mixer"
    },
    {
        "name": "Mizuni",
        "id": "fab_mizuni",
        "unicode": "f3cc",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-mizuni"
    },
    {
        "name": "Mobile Phone",
        "id": "fas_mobile",
        "unicode": "f10b",
        "created": 1,
        "filter": [
            "apple",
            "call",
            "cell phone",
            "cellphone",
            "device",
            "iphone",
            "number",
            "screen",
            "telephone"
        ],
        "categories": [
            "Communication",
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-mobile"
    },
    {
        "name": "Alternate Mobile",
        "id": "fas_mobile-alt",
        "unicode": "f3cd",
        "created": 1,
        "filter": [
            "apple",
            "call",
            "cell phone",
            "cellphone",
            "device",
            "iphone",
            "number",
            "screen",
            "telephone"
        ],
        "categories": [
            "Communication",
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-mobile-alt"
    },
    {
        "name": "MODX",
        "id": "fab_modx",
        "unicode": "f285",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-modx"
    },
    {
        "name": "Monero",
        "id": "fab_monero",
        "unicode": "f3d0",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-monero"
    },
    {
        "name": "Money Bill",
        "id": "fas_money-bill",
        "unicode": "f0d6",
        "created": 1,
        "filter": [
            "buy",
            "cash",
            "checkout",
            "money",
            "payment",
            "price",
            "purchase"
        ],
        "categories": [
            "Currency",
            "Finance",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-money-bill"
    },
    {
        "name": "Alternate Money Bill (solid)",
        "id": "fas_money-bill-alt",
        "unicode": "f3d1",
        "created": 1,
        "filter": [
            "buy",
            "cash",
            "checkout",
            "money",
            "payment",
            "price",
            "purchase"
        ],
        "categories": [
            "Currency",
            "Finance",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-money-bill-alt"
    },
    {
        "name": "Alternate Money Bill (regular)",
        "id": "far_money-bill-alt",
        "unicode": "f3d1",
        "created": 1,
        "filter": [
            "buy",
            "cash",
            "checkout",
            "money",
            "payment",
            "price",
            "purchase"
        ],
        "categories": [
            "Currency",
            "Finance",
            "Maps",
            "Objects"
        ],
        "icon": "far fa-money-bill-alt"
    },
    {
        "name": "Wavy Money Bill",
        "id": "fas_money-bill-wave",
        "unicode": "f53a",
        "created": 1,
        "filter": [
            "buy",
            "cash",
            "checkout",
            "money",
            "payment",
            "price",
            "purchase"
        ],
        "categories": [
            "Currency",
            "Finance"
        ],
        "icon": "fas fa-money-bill-wave"
    },
    {
        "name": "Alternate Wavy Money Bill",
        "id": "fas_money-bill-wave-alt",
        "unicode": "f53b",
        "created": 1,
        "filter": [
            "buy",
            "cash",
            "checkout",
            "money",
            "payment",
            "price",
            "purchase"
        ],
        "categories": [
            "Currency",
            "Finance"
        ],
        "icon": "fas fa-money-bill-wave-alt"
    },
    {
        "name": "Money Check",
        "id": "fas_money-check",
        "unicode": "f53c",
        "created": 1,
        "filter": [
            "bank check",
            "buy",
            "checkout",
            "cheque",
            "money",
            "payment",
            "price",
            "purchase"
        ],
        "categories": [
            "Currency",
            "Finance",
            "Objects",
            "Payments & Shopping"
        ],
        "icon": "fas fa-money-check"
    },
    {
        "name": "Alternate Money Check",
        "id": "fas_money-check-alt",
        "unicode": "f53d",
        "created": 1,
        "filter": [
            "bank check",
            "buy",
            "checkout",
            "cheque",
            "money",
            "payment",
            "price",
            "purchase"
        ],
        "categories": [
            "Currency",
            "Finance",
            "Objects",
            "Payments & Shopping"
        ],
        "icon": "fas fa-money-check-alt"
    },
    {
        "name": "Monument",
        "id": "fas_monument",
        "unicode": "f5a6",
        "created": 1,
        "filter": [
            "building",
            "historic",
            "landmark",
            "memorable"
        ],
        "categories": [
            "Buildings",
            "Travel"
        ],
        "icon": "fas fa-monument"
    },
    {
        "name": "Moon (solid)",
        "id": "fas_moon",
        "unicode": "f186",
        "created": 1,
        "filter": [
            "contrast",
            "crescent",
            "dark",
            "lunar",
            "night"
        ],
        "categories": [
            "Objects",
            "Science Fiction",
            "Weather"
        ],
        "icon": "fas fa-moon"
    },
    {
        "name": "Moon (regular)",
        "id": "far_moon",
        "unicode": "f186",
        "created": 1,
        "filter": [
            "contrast",
            "crescent",
            "dark",
            "lunar",
            "night"
        ],
        "categories": [
            "Objects",
            "Science Fiction",
            "Weather"
        ],
        "icon": "far fa-moon"
    },
    {
        "name": "Mortar Pestle",
        "id": "fas_mortar-pestle",
        "unicode": "f5a7",
        "created": 1,
        "filter": [
            "crush",
            "culinary",
            "grind",
            "medical",
            "mix",
            "pharmacy",
            "prescription",
            "spices"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-mortar-pestle"
    },
    {
        "name": "Mosque",
        "id": "fas_mosque",
        "unicode": "f678",
        "created": 1,
        "filter": [
            "building",
            "islam",
            "landmark",
            "muslim"
        ],
        "categories": [
            "Buildings",
            "Religion"
        ],
        "icon": "fas fa-mosque"
    },
    {
        "name": "Motorcycle",
        "id": "fas_motorcycle",
        "unicode": "f21c",
        "created": 1,
        "filter": [
            "bike",
            "machine",
            "transportation",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Maps",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-motorcycle"
    },
    {
        "name": "Mountain",
        "id": "fas_mountain",
        "unicode": "f6fc",
        "created": 1,
        "filter": [
            "glacier",
            "hiking",
            "hill",
            "landscape",
            "travel",
            "view"
        ],
        "categories": [
            "Autumn",
            "Camping"
        ],
        "icon": "fas fa-mountain"
    },
    {
        "name": "Mouse",
        "id": "fas_mouse",
        "unicode": "f8cc",
        "created": 1,
        "filter": [
            "click",
            "computer",
            "cursor",
            "input",
            "peripheral"
        ],
        "categories": [
            "Computers"
        ],
        "icon": "fas fa-mouse"
    },
    {
        "name": "Mouse Pointer",
        "id": "fas_mouse-pointer",
        "unicode": "f245",
        "created": 1,
        "filter": [
            "arrow",
            "cursor",
            "select"
        ],
        "categories": [
            "Arrows"
        ],
        "icon": "fas fa-mouse-pointer"
    },
    {
        "name": "Mug Hot",
        "id": "fas_mug-hot",
        "unicode": "f7b6",
        "created": 1,
        "filter": [
            "caliente",
            "cocoa",
            "coffee",
            "cup",
            "drink",
            "holiday",
            "hot chocolate",
            "steam",
            "tea",
            "warmth"
        ],
        "categories": [
            "Beverage",
            "Holiday",
            "Objects"
        ],
        "icon": "fas fa-mug-hot"
    },
    {
        "name": "Music",
        "id": "fas_music",
        "unicode": "f001",
        "created": 1,
        "filter": [
            "lyrics",
            "melody",
            "note",
            "sing",
            "sound"
        ],
        "categories": [
            "Audio & Video",
            "Education",
            "Maps",
            "Music"
        ],
        "icon": "fas fa-music"
    },
    {
        "name": "Napster",
        "id": "fab_napster",
        "unicode": "f3d2",
        "created": 1,
        "filter": [],
        "categories": [
            "Music",
            "Brand"
        ],
        "icon": "fab fa-napster"
    },
    {
        "name": "Neos",
        "id": "fab_neos",
        "unicode": "f612",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-neos"
    },
    {
        "name": "Wired Network",
        "id": "fas_network-wired",
        "unicode": "f6ff",
        "created": 1,
        "filter": [
            "computer",
            "connect",
            "ethernet",
            "internet",
            "intranet"
        ],
        "icon": "fas fa-network-wired",
        "categories": [
            "Music"
        ]
    },
    {
        "name": "Neuter",
        "id": "fas_neuter",
        "unicode": "f22c",
        "created": 1,
        "filter": [],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-neuter"
    },
    {
        "name": "Newspaper (solid)",
        "id": "fas_newspaper",
        "unicode": "f1ea",
        "created": 1,
        "filter": [
            "article",
            "editorial",
            "headline",
            "journal",
            "journalism",
            "news",
            "press"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-newspaper"
    },
    {
        "name": "Newspaper (regular)",
        "id": "far_newspaper",
        "unicode": "f1ea",
        "created": 1,
        "filter": [
            "article",
            "editorial",
            "headline",
            "journal",
            "journalism",
            "news",
            "press"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Writing"
        ],
        "icon": "far fa-newspaper"
    },
    {
        "name": "Nimblr",
        "id": "fab_nimblr",
        "unicode": "f5a8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-nimblr"
    },
    {
        "name": "Node.js",
        "id": "fab_node",
        "unicode": "f419",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-node"
    },
    {
        "name": "Node.js JS",
        "id": "fab_node-js",
        "unicode": "f3d3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-node-js"
    },
    {
        "name": "Not Equal",
        "id": "fas_not-equal",
        "unicode": "f53e",
        "created": 1,
        "filter": [
            "arithmetic",
            "compare",
            "math"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-not-equal"
    },
    {
        "name": "Medical Notes",
        "id": "fas_notes-medical",
        "unicode": "f481",
        "created": 1,
        "filter": [
            "clipboard",
            "doctor",
            "ehr",
            "health",
            "history",
            "records"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-notes-medical"
    },
    {
        "name": "npm",
        "id": "fab_npm",
        "unicode": "f3d4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-npm"
    },
    {
        "name": "NS8",
        "id": "fab_ns8",
        "unicode": "f3d5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ns8"
    },
    {
        "name": "Nutritionix",
        "id": "fab_nutritionix",
        "unicode": "f3d6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-nutritionix"
    },
    {
        "name": "Object Group (solid)",
        "id": "fas_object-group",
        "unicode": "f247",
        "created": 1,
        "filter": [
            "combine",
            "copy",
            "design",
            "merge",
            "select"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-object-group"
    },
    {
        "name": "Object Group (regular)",
        "id": "far_object-group",
        "unicode": "f247",
        "created": 1,
        "filter": [
            "combine",
            "copy",
            "design",
            "merge",
            "select"
        ],
        "categories": [
            "Design"
        ],
        "icon": "far fa-object-group"
    },
    {
        "name": "Object Ungroup (solid)",
        "id": "fas_object-ungroup",
        "unicode": "f248",
        "created": 1,
        "filter": [
            "copy",
            "design",
            "merge",
            "select",
            "separate"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-object-ungroup"
    },
    {
        "name": "Object Ungroup (regular)",
        "id": "far_object-ungroup",
        "unicode": "f248",
        "created": 1,
        "filter": [
            "copy",
            "design",
            "merge",
            "select",
            "separate"
        ],
        "categories": [
            "Design"
        ],
        "icon": "far fa-object-ungroup"
    },
    {
        "name": "Octopus Deploy",
        "id": "fab_octopus-deploy",
        "unicode": "e082",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-octopus-deploy"
    },
    {
        "name": "Odnoklassniki",
        "id": "fab_odnoklassniki",
        "unicode": "f263",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-odnoklassniki"
    },
    {
        "name": "Odnoklassniki Square",
        "id": "fab_odnoklassniki-square",
        "unicode": "f264",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-odnoklassniki-square"
    },
    {
        "name": "Oil Can",
        "id": "fas_oil-can",
        "unicode": "f613",
        "created": 1,
        "filter": [
            "auto",
            "crude",
            "gasoline",
            "grease",
            "lubricate",
            "petroleum"
        ],
        "categories": [
            "Automotive"
        ],
        "icon": "fas fa-oil-can"
    },
    {
        "name": "Old Republic",
        "id": "fab_old-republic",
        "unicode": "f510",
        "created": 1,
        "filter": [
            "politics",
            "star wars"
        ],
        "categories": [
            "Science Fiction",
            "Brand"
        ],
        "icon": "fab fa-old-republic"
    },
    {
        "name": "Om",
        "id": "fas_om",
        "unicode": "f679",
        "created": 1,
        "filter": [
            "buddhism",
            "hinduism",
            "jainism",
            "mantra"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-om"
    },
    {
        "name": "OpenCart",
        "id": "fab_opencart",
        "unicode": "f23d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-opencart"
    },
    {
        "name": "OpenID",
        "id": "fab_openid",
        "unicode": "f19b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-openid"
    },
    {
        "name": "Opera",
        "id": "fab_opera",
        "unicode": "f26a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-opera"
    },
    {
        "name": "Optin Monster",
        "id": "fab_optin-monster",
        "unicode": "f23c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-optin-monster"
    },
    {
        "name": "ORCID",
        "id": "fab_orcid",
        "unicode": "f8d2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-orcid"
    },
    {
        "name": "Open Source Initiative",
        "id": "fab_osi",
        "unicode": "f41a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-osi"
    },
    {
        "name": "Otter",
        "id": "fas_otter",
        "unicode": "f700",
        "created": 1,
        "filter": [
            "animal",
            "badger",
            "fauna",
            "fur",
            "mammal",
            "marten"
        ],
        "categories": [
            "Animals"
        ],
        "icon": "fas fa-otter"
    },
    {
        "name": "Outdent",
        "id": "fas_outdent",
        "unicode": "f03b",
        "created": 1,
        "filter": [
            "align",
            "justify",
            "paragraph",
            "tab"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-outdent"
    },
    {
        "name": "page4 Corporation",
        "id": "fab_page4",
        "unicode": "f3d7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-page4"
    },
    {
        "name": "Pagelines",
        "id": "fab_pagelines",
        "unicode": "f18c",
        "created": 1,
        "filter": [
            "eco",
            "flora",
            "leaf",
            "leaves",
            "nature",
            "plant",
            "tree"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pagelines"
    },
    {
        "name": "Pager",
        "id": "fas_pager",
        "unicode": "f815",
        "created": 1,
        "filter": [
            "beeper",
            "cellphone",
            "communication"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-pager"
    },
    {
        "name": "Paint Brush",
        "id": "fas_paint-brush",
        "unicode": "f1fc",
        "created": 1,
        "filter": [
            "acrylic",
            "art",
            "brush",
            "color",
            "fill",
            "paint",
            "pigment",
            "watercolor"
        ],
        "categories": [
            "Design",
            "Objects"
        ],
        "icon": "fas fa-paint-brush"
    },
    {
        "name": "Paint Roller",
        "id": "fas_paint-roller",
        "unicode": "f5aa",
        "created": 1,
        "filter": [
            "acrylic",
            "art",
            "brush",
            "color",
            "fill",
            "paint",
            "pigment",
            "watercolor"
        ],
        "categories": [
            "Construction",
            "Design"
        ],
        "icon": "fas fa-paint-roller"
    },
    {
        "name": "Palette",
        "id": "fas_palette",
        "unicode": "f53f",
        "created": 1,
        "filter": [
            "acrylic",
            "art",
            "brush",
            "color",
            "fill",
            "paint",
            "pigment",
            "watercolor"
        ],
        "categories": [
            "Design",
            "Spinners"
        ],
        "icon": "fas fa-palette"
    },
    {
        "name": "Palfed",
        "id": "fab_palfed",
        "unicode": "f3d8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-palfed"
    },
    {
        "name": "Pallet",
        "id": "fas_pallet",
        "unicode": "f482",
        "created": 1,
        "filter": [
            "archive",
            "box",
            "inventory",
            "shipping",
            "warehouse"
        ],
        "categories": [
            "Logistics"
        ],
        "icon": "fas fa-pallet"
    },
    {
        "name": "Paper Plane (solid)",
        "id": "fas_paper-plane",
        "unicode": "f1d8",
        "created": 1,
        "filter": [
            "air",
            "float",
            "fold",
            "mail",
            "paper",
            "send"
        ],
        "categories": [
            "Communication",
            "Editors",
            "Objects",
            "Vehicles",
            "Writing"
        ],
        "icon": "fas fa-paper-plane"
    },
    {
        "name": "Paper Plane (regular)",
        "id": "far_paper-plane",
        "unicode": "f1d8",
        "created": 1,
        "filter": [
            "air",
            "float",
            "fold",
            "mail",
            "paper",
            "send"
        ],
        "categories": [
            "Communication",
            "Editors",
            "Objects",
            "Vehicles",
            "Writing"
        ],
        "icon": "far fa-paper-plane"
    },
    {
        "name": "Paperclip",
        "id": "fas_paperclip",
        "unicode": "f0c6",
        "created": 1,
        "filter": [
            "attach",
            "attachment",
            "connect",
            "link"
        ],
        "categories": [
            "Business",
            "Editors",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-paperclip"
    },
    {
        "name": "Parachute Box",
        "id": "fas_parachute-box",
        "unicode": "f4cd",
        "created": 1,
        "filter": [
            "aid",
            "assistance",
            "rescue",
            "supplies"
        ],
        "categories": [
            "Charity"
        ],
        "icon": "fas fa-parachute-box"
    },
    {
        "name": "paragraph",
        "id": "fas_paragraph",
        "unicode": "f1dd",
        "created": 1,
        "filter": [
            "edit",
            "format",
            "text",
            "writing"
        ],
        "categories": [
            "Editors",
            "Writing"
        ],
        "icon": "fas fa-paragraph"
    },
    {
        "name": "Parking",
        "id": "fas_parking",
        "unicode": "f540",
        "created": 1,
        "filter": [
            "auto",
            "car",
            "garage",
            "meter"
        ],
        "categories": [
            "Maps",
            "Status"
        ],
        "icon": "fas fa-parking"
    },
    {
        "name": "Passport",
        "id": "fas_passport",
        "unicode": "f5ab",
        "created": 1,
        "filter": [
            "document",
            "id",
            "identification",
            "issued",
            "travel"
        ],
        "categories": [
            "Security",
            "Travel"
        ],
        "icon": "fas fa-passport"
    },
    {
        "name": "Pastafarianism",
        "id": "fas_pastafarianism",
        "unicode": "f67b",
        "created": 1,
        "filter": [
            "agnosticism",
            "atheism",
            "flying spaghetti monster",
            "fsm"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-pastafarianism"
    },
    {
        "name": "Paste",
        "id": "fas_paste",
        "unicode": "f0ea",
        "created": 1,
        "filter": [
            "clipboard",
            "copy",
            "document",
            "paper"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Files",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-paste"
    },
    {
        "name": "Patreon",
        "id": "fab_patreon",
        "unicode": "f3d9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-patreon"
    },
    {
        "name": "pause",
        "id": "fas_pause",
        "unicode": "f04c",
        "created": 1,
        "filter": [
            "hold",
            "wait"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-pause"
    },
    {
        "name": "Pause Circle (solid)",
        "id": "fas_pause-circle",
        "unicode": "f28b",
        "created": 1,
        "filter": [
            "hold",
            "wait"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-pause-circle"
    },
    {
        "name": "Pause Circle (regular)",
        "id": "far_pause-circle",
        "unicode": "f28b",
        "created": 1,
        "filter": [
            "hold",
            "wait"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "far fa-pause-circle"
    },
    {
        "name": "Paw",
        "id": "fas_paw",
        "unicode": "f1b0",
        "created": 1,
        "filter": [
            "animal",
            "cat",
            "dog",
            "pet",
            "print"
        ],
        "categories": [
            "Animals",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-paw"
    },
    {
        "name": "Paypal",
        "id": "fab_paypal",
        "unicode": "f1ed",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-paypal"
    },
    {
        "name": "Peace",
        "id": "fas_peace",
        "unicode": "f67c",
        "created": 1,
        "filter": [
            "serenity",
            "tranquility",
            "truce",
            "war"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-peace"
    },
    {
        "name": "Pen",
        "id": "fas_pen",
        "unicode": "f304",
        "created": 1,
        "filter": [
            "design",
            "edit",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Interfaces",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-pen"
    },
    {
        "name": "Alternate Pen",
        "id": "fas_pen-alt",
        "unicode": "f305",
        "created": 1,
        "filter": [
            "design",
            "edit",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Interfaces",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-pen-alt"
    },
    {
        "name": "Pen Fancy",
        "id": "fas_pen-fancy",
        "unicode": "f5ac",
        "created": 1,
        "filter": [
            "design",
            "edit",
            "fountain pen",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-pen-fancy"
    },
    {
        "name": "Pen Nib",
        "id": "fas_pen-nib",
        "unicode": "f5ad",
        "created": 1,
        "filter": [
            "design",
            "edit",
            "fountain pen",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Design",
            "Editors",
            "Objects"
        ],
        "icon": "fas fa-pen-nib"
    },
    {
        "name": "Pen Square",
        "id": "fas_pen-square",
        "unicode": "f14b",
        "created": 1,
        "filter": [
            "edit",
            "pencil-square",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Writing"
        ],
        "icon": "fas fa-pen-square"
    },
    {
        "name": "Alternate Pencil",
        "id": "fas_pencil-alt",
        "unicode": "f303",
        "created": 1,
        "filter": [
            "design",
            "edit",
            "pencil",
            "update",
            "write"
        ],
        "categories": [
            "Business",
            "Construction",
            "Design",
            "Editors",
            "Interfaces",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-pencil-alt"
    },
    {
        "name": "Pencil Ruler",
        "id": "fas_pencil-ruler",
        "unicode": "f5ae",
        "created": 1,
        "filter": [
            "design",
            "draft",
            "draw",
            "pencil"
        ],
        "categories": [
            "Construction",
            "Design"
        ],
        "icon": "fas fa-pencil-ruler"
    },
    {
        "name": "Penny Arcade",
        "id": "fab_penny-arcade",
        "unicode": "f704",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "d&d",
            "dnd",
            "fantasy",
            "game",
            "gaming",
            "pax",
            "tabletop"
        ],
        "categories": [
            "Tabletop Gaming",
            "Brand"
        ],
        "icon": "fab fa-penny-arcade"
    },
    {
        "name": "People Arrows",
        "id": "fas_people-arrows",
        "unicode": "e068",
        "created": 1,
        "filter": [
            "covid-19",
            "personal space",
            "social distance",
            "space",
            "spread",
            "users"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-people-arrows"
    },
    {
        "name": "People Carry",
        "id": "fas_people-carry",
        "unicode": "f4ce",
        "created": 1,
        "filter": [
            "box",
            "carry",
            "fragile",
            "help",
            "movers",
            "package"
        ],
        "categories": [
            "Moving",
            "Users & People"
        ],
        "icon": "fas fa-people-carry"
    },
    {
        "name": "Hot Pepper",
        "id": "fas_pepper-hot",
        "unicode": "f816",
        "created": 1,
        "filter": [
            "buffalo wings",
            "capsicum",
            "chili",
            "chilli",
            "habanero",
            "jalapeno",
            "mexican",
            "spicy",
            "tabasco",
            "vegetable"
        ],
        "categories": [
            "Food",
            "Fruits & Vegetables"
        ],
        "icon": "fas fa-pepper-hot"
    },
    {
        "name": "PerByte",
        "id": "fab_perbyte",
        "unicode": "e083",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-perbyte"
    },
    {
        "name": "Percent",
        "id": "fas_percent",
        "unicode": "f295",
        "created": 1,
        "filter": [
            "discount",
            "fraction",
            "proportion",
            "rate",
            "ratio"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-percent"
    },
    {
        "name": "Percentage",
        "id": "fas_percentage",
        "unicode": "f541",
        "created": 1,
        "filter": [
            "discount",
            "fraction",
            "proportion",
            "rate",
            "ratio"
        ],
        "categories": [
            "Finance",
            "Mathematics"
        ],
        "icon": "fas fa-percentage"
    },
    {
        "name": "Periscope",
        "id": "fab_periscope",
        "unicode": "f3da",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-periscope"
    },
    {
        "name": "Person Entering Booth",
        "id": "fas_person-booth",
        "unicode": "f756",
        "created": 1,
        "filter": [
            "changing",
            "changing room",
            "election",
            "human",
            "person",
            "vote",
            "voting"
        ],
        "categories": [
            "Political",
            "Shopping",
            "Users & People"
        ],
        "icon": "fas fa-person-booth"
    },
    {
        "name": "Phabricator",
        "id": "fab_phabricator",
        "unicode": "f3db",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-phabricator"
    },
    {
        "name": "Phoenix Framework",
        "id": "fab_phoenix-framework",
        "unicode": "f3dc",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-phoenix-framework"
    },
    {
        "name": "Phoenix Squadron",
        "id": "fab_phoenix-squadron",
        "unicode": "f511",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-phoenix-squadron"
    },
    {
        "name": "Phone",
        "id": "fas_phone",
        "unicode": "f095",
        "created": 1,
        "filter": [
            "call",
            "earphone",
            "number",
            "support",
            "telephone",
            "voice"
        ],
        "categories": [
            "Business",
            "Chat",
            "Communication",
            "Maps",
            "Objects",
            "Status"
        ],
        "icon": "fas fa-phone"
    },
    {
        "name": "Alternate Phone",
        "id": "fas_phone-alt",
        "unicode": "f879",
        "created": 1,
        "filter": [
            "call",
            "earphone",
            "number",
            "support",
            "telephone",
            "voice"
        ],
        "categories": [
            "Business",
            "Chat",
            "Communication",
            "Maps",
            "Objects",
            "Status"
        ],
        "icon": "fas fa-phone-alt"
    },
    {
        "name": "Phone Slash",
        "id": "fas_phone-slash",
        "unicode": "f3dd",
        "created": 1,
        "filter": [
            "call",
            "cancel",
            "earphone",
            "mute",
            "number",
            "support",
            "telephone",
            "voice"
        ],
        "categories": [
            "Business",
            "Chat",
            "Communication",
            "Status"
        ],
        "icon": "fas fa-phone-slash"
    },
    {
        "name": "Phone Square",
        "id": "fas_phone-square",
        "unicode": "f098",
        "created": 1,
        "filter": [
            "call",
            "earphone",
            "number",
            "support",
            "telephone",
            "voice"
        ],
        "categories": [
            "Business",
            "Communication",
            "Maps"
        ],
        "icon": "fas fa-phone-square"
    },
    {
        "name": "Alternate Phone Square",
        "id": "fas_phone-square-alt",
        "unicode": "f87b",
        "created": 1,
        "filter": [
            "call",
            "earphone",
            "number",
            "support",
            "telephone",
            "voice"
        ],
        "categories": [
            "Business",
            "Communication",
            "Maps"
        ],
        "icon": "fas fa-phone-square-alt"
    },
    {
        "name": "Phone Volume",
        "id": "fas_phone-volume",
        "unicode": "f2a0",
        "created": 1,
        "filter": [
            "call",
            "earphone",
            "number",
            "sound",
            "support",
            "telephone",
            "voice",
            "volume-control-phone"
        ],
        "categories": [
            "Accessibility",
            "Audio & Video",
            "Business",
            "Communication",
            "Maps"
        ],
        "icon": "fas fa-phone-volume"
    },
    {
        "name": "Photo Video",
        "id": "fas_photo-video",
        "unicode": "f87c",
        "created": 1,
        "filter": [
            "av",
            "film",
            "image",
            "library",
            "media"
        ],
        "categories": [
            "Audio & Video",
            "Files",
            "Images",
            "Social"
        ],
        "icon": "fas fa-photo-video"
    },
    {
        "name": "PHP",
        "id": "fab_php",
        "unicode": "f457",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-php"
    },
    {
        "name": "Pied Piper Logo",
        "id": "fab_pied-piper",
        "unicode": "f2ae",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pied-piper"
    },
    {
        "name": "Alternate Pied Piper Logo (Old)",
        "id": "fab_pied-piper-alt",
        "unicode": "f1a8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pied-piper-alt"
    },
    {
        "name": "Pied Piper Hat (Old)",
        "id": "fab_pied-piper-hat",
        "unicode": "f4e5",
        "created": 1,
        "filter": [
            "clothing"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pied-piper-hat"
    },
    {
        "name": "Pied Piper PP Logo (Old)",
        "id": "fab_pied-piper-pp",
        "unicode": "f1a7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pied-piper-pp"
    },
    {
        "name": "Pied Piper Square Logo (Old)",
        "id": "fab_pied-piper-square",
        "unicode": "e01e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pied-piper-square"
    },
    {
        "name": "Piggy Bank",
        "id": "fas_piggy-bank",
        "unicode": "f4d3",
        "created": 1,
        "filter": [
            "bank",
            "save",
            "savings"
        ],
        "categories": [
            "Charity",
            "Finance",
            "Political"
        ],
        "icon": "fas fa-piggy-bank"
    },
    {
        "name": "Pills",
        "id": "fas_pills",
        "unicode": "f484",
        "created": 1,
        "filter": [
            "drugs",
            "medicine",
            "prescription",
            "tablets"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-pills"
    },
    {
        "name": "Pinterest",
        "id": "fab_pinterest",
        "unicode": "f0d2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pinterest"
    },
    {
        "name": "Pinterest P",
        "id": "fab_pinterest-p",
        "unicode": "f231",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pinterest-p"
    },
    {
        "name": "Pinterest Square",
        "id": "fab_pinterest-square",
        "unicode": "f0d3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pinterest-square"
    },
    {
        "name": "Pizza Slice",
        "id": "fas_pizza-slice",
        "unicode": "f818",
        "created": 1,
        "filter": [
            "cheese",
            "chicago",
            "italian",
            "mozzarella",
            "new york",
            "pepperoni",
            "pie",
            "slice",
            "teenage mutant ninja turtles",
            "tomato"
        ],
        "categories": [
            "Food"
        ],
        "icon": "fas fa-pizza-slice"
    },
    {
        "name": "Place of Worship",
        "id": "fas_place-of-worship",
        "unicode": "f67f",
        "created": 1,
        "filter": [
            "building",
            "church",
            "holy",
            "mosque",
            "synagogue"
        ],
        "categories": [
            "Buildings",
            "Religion"
        ],
        "icon": "fas fa-place-of-worship"
    },
    {
        "name": "plane",
        "id": "fas_plane",
        "unicode": "f072",
        "created": 1,
        "filter": [
            "airplane",
            "destination",
            "fly",
            "location",
            "mode",
            "travel",
            "trip"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Travel",
            "Vehicles"
        ],
        "icon": "fas fa-plane"
    },
    {
        "name": "Plane Arrival",
        "id": "fas_plane-arrival",
        "unicode": "f5af",
        "created": 1,
        "filter": [
            "airplane",
            "arriving",
            "destination",
            "fly",
            "land",
            "landing",
            "location",
            "mode",
            "travel",
            "trip"
        ],
        "categories": [
            "Travel"
        ],
        "icon": "fas fa-plane-arrival"
    },
    {
        "name": "Plane Departure",
        "id": "fas_plane-departure",
        "unicode": "f5b0",
        "created": 1,
        "filter": [
            "airplane",
            "departing",
            "destination",
            "fly",
            "location",
            "mode",
            "take off",
            "taking off",
            "travel",
            "trip"
        ],
        "categories": [
            "Travel"
        ],
        "icon": "fas fa-plane-departure"
    },
    {
        "name": "Plane Slash",
        "id": "fas_plane-slash",
        "unicode": "e069",
        "created": 1,
        "filter": [
            "airplane mode",
            "canceled",
            "covid-19",
            "delayed",
            "grounded",
            "travel"
        ],
        "icon": "fas fa-plane-slash",
        "categories": [
            "Travel"
        ]
    },
    {
        "name": "play",
        "id": "fas_play",
        "unicode": "f04b",
        "created": 1,
        "filter": [
            "audio",
            "music",
            "playing",
            "sound",
            "start",
            "video"
        ],
        "categories": [
            "Arrows",
            "Audio & Video",
            "Music",
            "Shapes"
        ],
        "icon": "fas fa-play"
    },
    {
        "name": "Play Circle (solid)",
        "id": "fas_play-circle",
        "unicode": "f144",
        "created": 1,
        "filter": [
            "audio",
            "music",
            "playing",
            "sound",
            "start",
            "video"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-play-circle"
    },
    {
        "name": "Play Circle (regular)",
        "id": "far_play-circle",
        "unicode": "f144",
        "created": 1,
        "filter": [
            "audio",
            "music",
            "playing",
            "sound",
            "start",
            "video"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "far fa-play-circle"
    },
    {
        "name": "PlayStation",
        "id": "fab_playstation",
        "unicode": "f3df",
        "created": 1,
        "filter": [],
        "categories": [
            "Games",
            "Brand"
        ],
        "icon": "fab fa-playstation"
    },
    {
        "name": "Plug",
        "id": "fas_plug",
        "unicode": "f1e6",
        "created": 1,
        "filter": [
            "connect",
            "electric",
            "online",
            "power"
        ],
        "categories": [
            "Computers",
            "Energy",
            "Household",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-plug"
    },
    {
        "name": "plus",
        "id": "fas_plus",
        "unicode": "f067",
        "created": 1,
        "filter": [
            "add",
            "create",
            "expand",
            "new",
            "positive",
            "shape"
        ],
        "categories": [
            "Interfaces",
            "Maps",
            "Mathematics",
            "Medical",
            "Status"
        ],
        "icon": "fas fa-plus"
    },
    {
        "name": "Plus Circle",
        "id": "fas_plus-circle",
        "unicode": "f055",
        "created": 1,
        "filter": [
            "add",
            "create",
            "expand",
            "new",
            "positive",
            "shape"
        ],
        "categories": [
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-plus-circle"
    },
    {
        "name": "Plus Square (solid)",
        "id": "fas_plus-square",
        "unicode": "f0fe",
        "created": 1,
        "filter": [
            "add",
            "create",
            "expand",
            "new",
            "positive",
            "shape"
        ],
        "categories": [
            "Health",
            "Interfaces",
            "Maps",
            "Status"
        ],
        "icon": "fas fa-plus-square"
    },
    {
        "name": "Plus Square (regular)",
        "id": "far_plus-square",
        "unicode": "f0fe",
        "created": 1,
        "filter": [
            "add",
            "create",
            "expand",
            "new",
            "positive",
            "shape"
        ],
        "categories": [
            "Health",
            "Interfaces",
            "Maps",
            "Status"
        ],
        "icon": "far fa-plus-square"
    },
    {
        "name": "Podcast",
        "id": "fas_podcast",
        "unicode": "f2ce",
        "created": 1,
        "filter": [
            "audio",
            "broadcast",
            "music",
            "sound"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-podcast"
    },
    {
        "name": "Poll",
        "id": "fas_poll",
        "unicode": "f681",
        "created": 1,
        "filter": [
            "results",
            "survey",
            "trend",
            "vote",
            "voting"
        ],
        "categories": [
            "Marketing",
            "Social"
        ],
        "icon": "fas fa-poll"
    },
    {
        "name": "Poll H",
        "id": "fas_poll-h",
        "unicode": "f682",
        "created": 1,
        "filter": [
            "results",
            "survey",
            "trend",
            "vote",
            "voting"
        ],
        "categories": [
            "Marketing",
            "Social"
        ],
        "icon": "fas fa-poll-h"
    },
    {
        "name": "Poo",
        "id": "fas_poo",
        "unicode": "f2fe",
        "created": 1,
        "filter": [
            "crap",
            "poop",
            "shit",
            "smile",
            "turd"
        ],
        "categories": [
            "Chat",
            "Interfaces",
            "Users & People"
        ],
        "icon": "fas fa-poo"
    },
    {
        "name": "Poo Storm",
        "id": "fas_poo-storm",
        "unicode": "f75a",
        "created": 1,
        "filter": [
            "bolt",
            "cloud",
            "euphemism",
            "lightning",
            "mess",
            "poop",
            "shit",
            "turd"
        ],
        "categories": [
            "Weather"
        ],
        "icon": "fas fa-poo-storm"
    },
    {
        "name": "Poop",
        "id": "fas_poop",
        "unicode": "f619",
        "created": 1,
        "filter": [
            "crap",
            "poop",
            "shit",
            "smile",
            "turd"
        ],
        "categories": [
            "Energy",
            "Medical"
        ],
        "icon": "fas fa-poop"
    },
    {
        "name": "Portrait",
        "id": "fas_portrait",
        "unicode": "f3e0",
        "created": 1,
        "filter": [
            "id",
            "image",
            "photo",
            "picture",
            "selfie"
        ],
        "categories": [
            "Images",
            "Users & People"
        ],
        "icon": "fas fa-portrait"
    },
    {
        "name": "Pound Sign",
        "id": "fas_pound-sign",
        "unicode": "f154",
        "created": 1,
        "filter": [
            "currency",
            "gbp",
            "money"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-pound-sign"
    },
    {
        "name": "Power Off",
        "id": "fas_power-off",
        "unicode": "f011",
        "created": 1,
        "filter": [
            "cancel",
            "computer",
            "on",
            "reboot",
            "restart"
        ],
        "categories": [
            "Computers",
            "Energy",
            "Users & People"
        ],
        "icon": "fas fa-power-off"
    },
    {
        "name": "Pray",
        "id": "fas_pray",
        "unicode": "f683",
        "created": 1,
        "filter": [
            "kneel",
            "preach",
            "religion",
            "worship"
        ],
        "categories": [
            "Religion",
            "Users & People"
        ],
        "icon": "fas fa-pray"
    },
    {
        "name": "Praying Hands",
        "id": "fas_praying-hands",
        "unicode": "f684",
        "created": 1,
        "filter": [
            "kneel",
            "preach",
            "religion",
            "worship"
        ],
        "categories": [
            "Hands",
            "Religion"
        ],
        "icon": "fas fa-praying-hands"
    },
    {
        "name": "Prescription",
        "id": "fas_prescription",
        "unicode": "f5b1",
        "created": 1,
        "filter": [
            "drugs",
            "medical",
            "medicine",
            "pharmacy",
            "rx"
        ],
        "categories": [
            "Health",
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-prescription"
    },
    {
        "name": "Prescription Bottle",
        "id": "fas_prescription-bottle",
        "unicode": "f485",
        "created": 1,
        "filter": [
            "drugs",
            "medical",
            "medicine",
            "pharmacy",
            "rx"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-prescription-bottle"
    },
    {
        "name": "Alternate Prescription Bottle",
        "id": "fas_prescription-bottle-alt",
        "unicode": "f486",
        "created": 1,
        "filter": [
            "drugs",
            "medical",
            "medicine",
            "pharmacy",
            "rx"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-prescription-bottle-alt"
    },
    {
        "name": "print",
        "id": "fas_print",
        "unicode": "f02f",
        "created": 1,
        "filter": [
            "business",
            "copy",
            "document",
            "office",
            "paper"
        ],
        "categories": [
            "Business",
            "Computers",
            "Editors",
            "Maps",
            "Objects",
            "Status"
        ],
        "icon": "fas fa-print"
    },
    {
        "name": "Procedures",
        "id": "fas_procedures",
        "unicode": "f487",
        "created": 1,
        "filter": [
            "EKG",
            "bed",
            "electrocardiogram",
            "health",
            "hospital",
            "life",
            "patient",
            "vital"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-procedures"
    },
    {
        "name": "Product Hunt",
        "id": "fab_product-hunt",
        "unicode": "f288",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-product-hunt"
    },
    {
        "name": "Project Diagram",
        "id": "fas_project-diagram",
        "unicode": "f542",
        "created": 1,
        "filter": [
            "chart",
            "graph",
            "network",
            "pert"
        ],
        "categories": [
            "Business",
            "Code"
        ],
        "icon": "fas fa-project-diagram"
    },
    {
        "name": "Pump Medical",
        "id": "fas_pump-medical",
        "unicode": "e06a",
        "created": 1,
        "filter": [
            "anti-bacterial",
            "clean",
            "covid-19",
            "disinfect",
            "hygiene",
            "medical grade",
            "sanitizer",
            "soap"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-pump-medical"
    },
    {
        "name": "Pump Soap",
        "id": "fas_pump-soap",
        "unicode": "e06b",
        "created": 1,
        "filter": [
            "anti-bacterial",
            "clean",
            "covid-19",
            "disinfect",
            "hygiene",
            "sanitizer",
            "soap"
        ],
        "categories": [
            "Household"
        ],
        "icon": "fas fa-pump-soap"
    },
    {
        "name": "Pushed",
        "id": "fab_pushed",
        "unicode": "f3e1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-pushed"
    },
    {
        "name": "Puzzle Piece",
        "id": "fas_puzzle-piece",
        "unicode": "f12e",
        "created": 1,
        "filter": [
            "add-on",
            "addon",
            "game",
            "section"
        ],
        "categories": [
            "Games",
            "Objects"
        ],
        "icon": "fas fa-puzzle-piece"
    },
    {
        "name": "Python",
        "id": "fab_python",
        "unicode": "f3e2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-python"
    },
    {
        "name": "QQ",
        "id": "fab_qq",
        "unicode": "f1d6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-qq"
    },
    {
        "name": "qrcode",
        "id": "fas_qrcode",
        "unicode": "f029",
        "created": 1,
        "filter": [
            "barcode",
            "info",
            "information",
            "scan"
        ],
        "categories": [
            "Code",
            "Interfaces"
        ],
        "icon": "fas fa-qrcode"
    },
    {
        "name": "Question",
        "id": "fas_question",
        "unicode": "f128",
        "created": 1,
        "filter": [
            "help",
            "information",
            "support",
            "unknown"
        ],
        "categories": [
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-question"
    },
    {
        "name": "Question Circle (solid)",
        "id": "fas_question-circle",
        "unicode": "f059",
        "created": 1,
        "filter": [
            "help",
            "information",
            "support",
            "unknown"
        ],
        "categories": [
            "Accessibility",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-question-circle"
    },
    {
        "name": "Question Circle (regular)",
        "id": "far_question-circle",
        "unicode": "f059",
        "created": 1,
        "filter": [
            "help",
            "information",
            "support",
            "unknown"
        ],
        "categories": [
            "Accessibility",
            "Interfaces",
            "Status"
        ],
        "icon": "far fa-question-circle"
    },
    {
        "name": "Quidditch",
        "id": "fas_quidditch",
        "unicode": "f458",
        "created": 1,
        "filter": [
            "ball",
            "bludger",
            "broom",
            "golden snitch",
            "harry potter",
            "hogwarts",
            "quaffle",
            "sport",
            "wizard"
        ],
        "categories": [
            "Sports"
        ],
        "icon": "fas fa-quidditch"
    },
    {
        "name": "QuinScape",
        "id": "fab_quinscape",
        "unicode": "f459",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-quinscape"
    },
    {
        "name": "Quora",
        "id": "fab_quora",
        "unicode": "f2c4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-quora"
    },
    {
        "name": "quote-left",
        "id": "fas_quote-left",
        "unicode": "f10d",
        "created": 1,
        "filter": [
            "mention",
            "note",
            "phrase",
            "text",
            "type"
        ],
        "categories": [
            "Chat",
            "Editors",
            "Interfaces",
            "Writing"
        ],
        "icon": "fas fa-quote-left"
    },
    {
        "name": "quote-right",
        "id": "fas_quote-right",
        "unicode": "f10e",
        "created": 1,
        "filter": [
            "mention",
            "note",
            "phrase",
            "text",
            "type"
        ],
        "categories": [
            "Chat",
            "Editors",
            "Interfaces",
            "Writing"
        ],
        "icon": "fas fa-quote-right"
    },
    {
        "name": "Quran",
        "id": "fas_quran",
        "unicode": "f687",
        "created": 1,
        "filter": [
            "book",
            "islam",
            "muslim",
            "religion"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-quran"
    },
    {
        "name": "R Project",
        "id": "fab_r-project",
        "unicode": "f4f7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-r-project"
    },
    {
        "name": "Radiation",
        "id": "fas_radiation",
        "unicode": "f7b9",
        "created": 1,
        "filter": [
            "danger",
            "dangerous",
            "deadly",
            "hazard",
            "nuclear",
            "radioactive",
            "warning"
        ],
        "categories": [
            "Alert",
            "Energy",
            "Medical",
            "Science"
        ],
        "icon": "fas fa-radiation"
    },
    {
        "name": "Alternate Radiation",
        "id": "fas_radiation-alt",
        "unicode": "f7ba",
        "created": 1,
        "filter": [
            "danger",
            "dangerous",
            "deadly",
            "hazard",
            "nuclear",
            "radioactive",
            "warning"
        ],
        "categories": [
            "Alert",
            "Energy",
            "Medical",
            "Science"
        ],
        "icon": "fas fa-radiation-alt"
    },
    {
        "name": "Rainbow",
        "id": "fas_rainbow",
        "unicode": "f75b",
        "created": 1,
        "filter": [
            "gold",
            "leprechaun",
            "prism",
            "rain",
            "sky"
        ],
        "categories": [
            "Spring",
            "Weather"
        ],
        "icon": "fas fa-rainbow"
    },
    {
        "name": "random",
        "id": "fas_random",
        "unicode": "f074",
        "created": 1,
        "filter": [
            "arrows",
            "shuffle",
            "sort",
            "swap",
            "switch",
            "transfer"
        ],
        "categories": [
            "Arrows",
            "Audio & Video"
        ],
        "icon": "fas fa-random"
    },
    {
        "name": "Raspberry Pi",
        "id": "fab_raspberry-pi",
        "unicode": "f7bb",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-raspberry-pi"
    },
    {
        "name": "Ravelry",
        "id": "fab_ravelry",
        "unicode": "f2d9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ravelry"
    },
    {
        "name": "React",
        "id": "fab_react",
        "unicode": "f41b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-react"
    },
    {
        "name": "ReactEurope",
        "id": "fab_reacteurope",
        "unicode": "f75d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-reacteurope"
    },
    {
        "name": "ReadMe",
        "id": "fab_readme",
        "unicode": "f4d5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-readme"
    },
    {
        "name": "Rebel Alliance",
        "id": "fab_rebel",
        "unicode": "f1d0",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-rebel"
    },
    {
        "name": "Receipt",
        "id": "fas_receipt",
        "unicode": "f543",
        "created": 1,
        "filter": [
            "check",
            "invoice",
            "money",
            "pay",
            "table"
        ],
        "categories": [
            "Finance",
            "Payments & Shopping",
            "Pharmacy",
            "Shopping"
        ],
        "icon": "fas fa-receipt"
    },
    {
        "name": "Record Vinyl",
        "id": "fas_record-vinyl",
        "unicode": "f8d9",
        "created": 1,
        "filter": [
            "LP",
            "album",
            "analog",
            "music",
            "phonograph",
            "sound"
        ],
        "categories": [
            "Music"
        ],
        "icon": "fas fa-record-vinyl"
    },
    {
        "name": "Recycle",
        "id": "fas_recycle",
        "unicode": "f1b8",
        "created": 1,
        "filter": [
            "Waste",
            "compost",
            "garbage",
            "reuse",
            "trash"
        ],
        "categories": [
            "Arrows",
            "Maps"
        ],
        "icon": "fas fa-recycle"
    },
    {
        "name": "red river",
        "id": "fab_red-river",
        "unicode": "f3e3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-red-river"
    },
    {
        "name": "reddit Logo",
        "id": "fab_reddit",
        "unicode": "f1a1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-reddit"
    },
    {
        "name": "reddit Alien",
        "id": "fab_reddit-alien",
        "unicode": "f281",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-reddit-alien"
    },
    {
        "name": "reddit Square",
        "id": "fab_reddit-square",
        "unicode": "f1a2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-reddit-square"
    },
    {
        "name": "Redhat",
        "id": "fab_redhat",
        "unicode": "f7bc",
        "created": 1,
        "filter": [
            "linux",
            "operating system",
            "os"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-redhat"
    },
    {
        "name": "Redo",
        "id": "fas_redo",
        "unicode": "f01e",
        "created": 1,
        "filter": [
            "forward",
            "refresh",
            "reload",
            "repeat"
        ],
        "categories": [
            "Arrows",
            "Audio & Video",
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-redo"
    },
    {
        "name": "Alternate Redo",
        "id": "fas_redo-alt",
        "unicode": "f2f9",
        "created": 1,
        "filter": [
            "forward",
            "refresh",
            "reload",
            "repeat"
        ],
        "categories": [
            "Arrows",
            "Audio & Video",
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-redo-alt"
    },
    {
        "name": "Registered Trademark (solid)",
        "id": "fas_registered",
        "unicode": "f25d",
        "created": 1,
        "filter": [
            "copyright",
            "mark",
            "trademark"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-registered"
    },
    {
        "name": "Registered Trademark (regular)",
        "id": "far_registered",
        "unicode": "f25d",
        "created": 1,
        "filter": [
            "copyright",
            "mark",
            "trademark"
        ],
        "categories": [
            "Business"
        ],
        "icon": "far fa-registered"
    },
    {
        "name": "Remove Format",
        "id": "fas_remove-format",
        "unicode": "f87d",
        "created": 1,
        "filter": [
            "cancel",
            "font",
            "format",
            "remove",
            "style",
            "text"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-remove-format"
    },
    {
        "name": "Renren",
        "id": "fab_renren",
        "unicode": "f18b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-renren"
    },
    {
        "name": "Reply",
        "id": "fas_reply",
        "unicode": "f3e5",
        "created": 1,
        "filter": [
            "mail",
            "message",
            "respond"
        ],
        "categories": [
            "Arrows",
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-reply"
    },
    {
        "name": "reply-all",
        "id": "fas_reply-all",
        "unicode": "f122",
        "created": 1,
        "filter": [
            "mail",
            "message",
            "respond"
        ],
        "categories": [
            "Arrows",
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-reply-all"
    },
    {
        "name": "replyd",
        "id": "fab_replyd",
        "unicode": "f3e6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-replyd"
    },
    {
        "name": "Republican",
        "id": "fas_republican",
        "unicode": "f75e",
        "created": 1,
        "filter": [
            "american",
            "conservative",
            "election",
            "elephant",
            "politics",
            "republican party",
            "right",
            "right-wing",
            "usa"
        ],
        "categories": [
            "Political"
        ],
        "icon": "fas fa-republican"
    },
    {
        "name": "Researchgate",
        "id": "fab_researchgate",
        "unicode": "f4f8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-researchgate"
    },
    {
        "name": "Resolving",
        "id": "fab_resolving",
        "unicode": "f3e7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-resolving"
    },
    {
        "name": "Restroom",
        "id": "fas_restroom",
        "unicode": "f7bd",
        "created": 1,
        "filter": [
            "bathroom",
            "john",
            "loo",
            "potty",
            "washroom",
            "waste",
            "wc"
        ],
        "categories": [
            "Maps",
            "Users & People"
        ],
        "icon": "fas fa-restroom"
    },
    {
        "name": "Retweet",
        "id": "fas_retweet",
        "unicode": "f079",
        "created": 1,
        "filter": [
            "refresh",
            "reload",
            "share",
            "swap"
        ],
        "categories": [
            "Arrows",
            "Social"
        ],
        "icon": "fas fa-retweet"
    },
    {
        "name": "Rev.io",
        "id": "fab_rev",
        "unicode": "f5b2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-rev"
    },
    {
        "name": "Ribbon",
        "id": "fas_ribbon",
        "unicode": "f4d6",
        "created": 1,
        "filter": [
            "badge",
            "cause",
            "lapel",
            "pin"
        ],
        "categories": [
            "Charity"
        ],
        "icon": "fas fa-ribbon"
    },
    {
        "name": "Ring",
        "id": "fas_ring",
        "unicode": "f70b",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "Gollum",
            "band",
            "binding",
            "d&d",
            "dnd",
            "engagement",
            "fantasy",
            "gold",
            "jewelry",
            "marriage",
            "precious"
        ],
        "categories": [
            "Tabletop Gaming",
            "Objects",
            "Spinners"
        ],
        "icon": "fas fa-ring"
    },
    {
        "name": "road",
        "id": "fas_road",
        "unicode": "f018",
        "created": 1,
        "filter": [
            "highway",
            "map",
            "pavement",
            "route",
            "street",
            "travel"
        ],
        "categories": [
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-road"
    },
    {
        "name": "Robot",
        "id": "fas_robot",
        "unicode": "f544",
        "created": 1,
        "filter": [
            "android",
            "automate",
            "computer",
            "cyborg"
        ],
        "categories": [
            "Childhood",
            "Science Fiction"
        ],
        "icon": "fas fa-robot"
    },
    {
        "name": "rocket",
        "id": "fas_rocket",
        "unicode": "f135",
        "created": 1,
        "filter": [
            "aircraft",
            "app",
            "jet",
            "launch",
            "nasa",
            "space"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Science Fiction",
            "Vehicles"
        ],
        "icon": "fas fa-rocket"
    },
    {
        "name": "Rocket.Chat",
        "id": "fab_rocketchat",
        "unicode": "f3e8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-rocketchat"
    },
    {
        "name": "Rockrms",
        "id": "fab_rockrms",
        "unicode": "f3e9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-rockrms"
    },
    {
        "name": "Route",
        "id": "fas_route",
        "unicode": "f4d7",
        "created": 1,
        "filter": [
            "directions",
            "navigation",
            "travel"
        ],
        "categories": [
            "Camping",
            "Maps",
            "Moving"
        ],
        "icon": "fas fa-route"
    },
    {
        "name": "rss",
        "id": "fas_rss",
        "unicode": "f09e",
        "created": 1,
        "filter": [
            "blog",
            "feed",
            "journal",
            "news",
            "writing"
        ],
        "categories": [
            "Audio & Video",
            "Communication",
            "Interfaces"
        ],
        "icon": "fas fa-rss"
    },
    {
        "name": "RSS Square",
        "id": "fas_rss-square",
        "unicode": "f143",
        "created": 1,
        "filter": [
            "blog",
            "feed",
            "journal",
            "news",
            "writing"
        ],
        "categories": [
            "Audio & Video",
            "Communication",
            "Interfaces"
        ],
        "icon": "fas fa-rss-square"
    },
    {
        "name": "Ruble Sign",
        "id": "fas_ruble-sign",
        "unicode": "f158",
        "created": 1,
        "filter": [
            "currency",
            "money",
            "rub"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-ruble-sign"
    },
    {
        "name": "Ruler",
        "id": "fas_ruler",
        "unicode": "f545",
        "created": 1,
        "filter": [
            "design",
            "draft",
            "length",
            "measure",
            "planning"
        ],
        "categories": [
            "Construction"
        ],
        "icon": "fas fa-ruler"
    },
    {
        "name": "Ruler Combined",
        "id": "fas_ruler-combined",
        "unicode": "f546",
        "created": 1,
        "filter": [
            "design",
            "draft",
            "length",
            "measure",
            "planning"
        ],
        "categories": [
            "Construction",
            "Design",
            "Objects"
        ],
        "icon": "fas fa-ruler-combined"
    },
    {
        "name": "Ruler Horizontal",
        "id": "fas_ruler-horizontal",
        "unicode": "f547",
        "created": 1,
        "filter": [
            "design",
            "draft",
            "length",
            "measure",
            "planning"
        ],
        "categories": [
            "Construction",
            "Design",
            "Objects"
        ],
        "icon": "fas fa-ruler-horizontal"
    },
    {
        "name": "Ruler Vertical",
        "id": "fas_ruler-vertical",
        "unicode": "f548",
        "created": 1,
        "filter": [
            "design",
            "draft",
            "length",
            "measure",
            "planning"
        ],
        "categories": [
            "Construction",
            "Design",
            "Objects"
        ],
        "icon": "fas fa-ruler-vertical"
    },
    {
        "name": "Running",
        "id": "fas_running",
        "unicode": "f70c",
        "created": 1,
        "filter": [
            "exercise",
            "health",
            "jog",
            "person",
            "run",
            "sport",
            "sprint"
        ],
        "categories": [
            "Fitness",
            "Sports",
            "Users & People"
        ],
        "icon": "fas fa-running"
    },
    {
        "name": "Indian Rupee Sign",
        "id": "fas_rupee-sign",
        "unicode": "f156",
        "created": 1,
        "filter": [
            "currency",
            "indian",
            "inr",
            "money"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-rupee-sign"
    },
    {
        "name": "Rust",
        "id": "fab_rust",
        "unicode": "e07a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-rust"
    },
    {
        "name": "Crying Face (solid)",
        "id": "fas_sad-cry",
        "unicode": "f5b3",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "tear",
            "tears"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-sad-cry"
    },
    {
        "name": "Crying Face (regular)",
        "id": "far_sad-cry",
        "unicode": "f5b3",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "tear",
            "tears"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-sad-cry"
    },
    {
        "name": "Loudly Crying Face (solid)",
        "id": "fas_sad-tear",
        "unicode": "f5b4",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "tear",
            "tears"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-sad-tear"
    },
    {
        "name": "Loudly Crying Face (regular)",
        "id": "far_sad-tear",
        "unicode": "f5b4",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "tear",
            "tears"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-sad-tear"
    },
    {
        "name": "Safari",
        "id": "fab_safari",
        "unicode": "f267",
        "created": 1,
        "filter": [
            "browser"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-safari"
    },
    {
        "name": "Salesforce",
        "id": "fab_salesforce",
        "unicode": "f83b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-salesforce"
    },
    {
        "name": "Sass",
        "id": "fab_sass",
        "unicode": "f41e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-sass"
    },
    {
        "name": "Satellite",
        "id": "fas_satellite",
        "unicode": "f7bf",
        "created": 1,
        "filter": [
            "communications",
            "hardware",
            "orbit",
            "space"
        ],
        "categories": [
            "Computers",
            "Objects",
            "Science Fiction"
        ],
        "icon": "fas fa-satellite"
    },
    {
        "name": "Satellite Dish",
        "id": "fas_satellite-dish",
        "unicode": "f7c0",
        "created": 1,
        "filter": [
            "SETI",
            "communications",
            "hardware",
            "receiver",
            "saucer",
            "signal",
            "space"
        ],
        "categories": [
            "Computers",
            "Objects",
            "Science Fiction"
        ],
        "icon": "fas fa-satellite-dish"
    },
    {
        "name": "Save (solid)",
        "id": "fas_save",
        "unicode": "f0c7",
        "created": 1,
        "filter": [
            "disk",
            "download",
            "floppy",
            "floppy-o"
        ],
        "categories": [
            "Business",
            "Computers",
            "Design",
            "Files",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-save"
    },
    {
        "name": "Save (regular)",
        "id": "far_save",
        "unicode": "f0c7",
        "created": 1,
        "filter": [
            "disk",
            "download",
            "floppy",
            "floppy-o"
        ],
        "categories": [
            "Business",
            "Computers",
            "Design",
            "Files",
            "Interfaces",
            "Objects"
        ],
        "icon": "far fa-save"
    },
    {
        "name": "SCHLIX",
        "id": "fab_schlix",
        "unicode": "f3ea",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-schlix"
    },
    {
        "name": "School",
        "id": "fas_school",
        "unicode": "f549",
        "created": 1,
        "filter": [
            "building",
            "education",
            "learn",
            "student",
            "teacher"
        ],
        "categories": [
            "Buildings",
            "Childhood",
            "Education",
            "Objects"
        ],
        "icon": "fas fa-school"
    },
    {
        "name": "Screwdriver",
        "id": "fas_screwdriver",
        "unicode": "f54a",
        "created": 1,
        "filter": [
            "admin",
            "fix",
            "mechanic",
            "repair",
            "settings",
            "tool"
        ],
        "categories": [
            "Construction",
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-screwdriver"
    },
    {
        "name": "Scribd",
        "id": "fab_scribd",
        "unicode": "f28a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-scribd"
    },
    {
        "name": "Scroll",
        "id": "fas_scroll",
        "unicode": "f70e",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "announcement",
            "d&d",
            "dnd",
            "fantasy",
            "paper",
            "script"
        ],
        "categories": [
            "Tabletop Gaming",
            "Objects"
        ],
        "icon": "fas fa-scroll"
    },
    {
        "name": "Sd Card",
        "id": "fas_sd-card",
        "unicode": "f7c2",
        "created": 1,
        "filter": [
            "image",
            "memory",
            "photo",
            "save"
        ],
        "categories": [
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-sd-card"
    },
    {
        "name": "Search",
        "id": "fas_search",
        "unicode": "f002",
        "created": 1,
        "filter": [
            "bigger",
            "enlarge",
            "find",
            "magnify",
            "preview",
            "zoom"
        ],
        "categories": [
            "Interfaces",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-search"
    },
    {
        "name": "Search Dollar",
        "id": "fas_search-dollar",
        "unicode": "f688",
        "created": 1,
        "filter": [
            "bigger",
            "enlarge",
            "find",
            "magnify",
            "money",
            "preview",
            "zoom"
        ],
        "categories": [
            "Marketing"
        ],
        "icon": "fas fa-search-dollar"
    },
    {
        "name": "Search Location",
        "id": "fas_search-location",
        "unicode": "f689",
        "created": 1,
        "filter": [
            "bigger",
            "enlarge",
            "find",
            "magnify",
            "preview",
            "zoom"
        ],
        "categories": [
            "Marketing"
        ],
        "icon": "fas fa-search-location"
    },
    {
        "name": "Search Minus",
        "id": "fas_search-minus",
        "unicode": "f010",
        "created": 1,
        "filter": [
            "minify",
            "negative",
            "smaller",
            "zoom",
            "zoom out"
        ],
        "categories": [
            "Interfaces",
            "Maps"
        ],
        "icon": "fas fa-search-minus"
    },
    {
        "name": "Search Plus",
        "id": "fas_search-plus",
        "unicode": "f00e",
        "created": 1,
        "filter": [
            "bigger",
            "enlarge",
            "magnify",
            "positive",
            "zoom",
            "zoom in"
        ],
        "categories": [
            "Interfaces",
            "Maps"
        ],
        "icon": "fas fa-search-plus"
    },
    {
        "name": "Searchengin",
        "id": "fab_searchengin",
        "unicode": "f3eb",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-searchengin"
    },
    {
        "name": "Seedling",
        "id": "fas_seedling",
        "unicode": "f4d8",
        "created": 1,
        "filter": [
            "flora",
            "grow",
            "plant",
            "vegan"
        ],
        "categories": [
            "Charity",
            "Energy",
            "Food",
            "Fruits & Vegetables",
            "Science",
            "Spring"
        ],
        "icon": "fas fa-seedling"
    },
    {
        "name": "Sellcast",
        "id": "fab_sellcast",
        "unicode": "f2da",
        "created": 1,
        "filter": [
            "eercast"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-sellcast"
    },
    {
        "name": "Sellsy",
        "id": "fab_sellsy",
        "unicode": "f213",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-sellsy"
    },
    {
        "name": "Server",
        "id": "fas_server",
        "unicode": "f233",
        "created": 1,
        "filter": [
            "computer",
            "cpu",
            "database",
            "hardware",
            "network"
        ],
        "categories": [
            "Computers"
        ],
        "icon": "fas fa-server"
    },
    {
        "name": "Servicestack",
        "id": "fab_servicestack",
        "unicode": "f3ec",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-servicestack"
    },
    {
        "name": "Shapes",
        "id": "fas_shapes",
        "unicode": "f61f",
        "created": 1,
        "filter": [
            "blocks",
            "build",
            "circle",
            "square",
            "triangle"
        ],
        "categories": [
            "Childhood",
            "Education",
            "Shapes"
        ],
        "icon": "fas fa-shapes"
    },
    {
        "name": "Share",
        "id": "fas_share",
        "unicode": "f064",
        "created": 1,
        "filter": [
            "forward",
            "save",
            "send",
            "social"
        ],
        "categories": [
            "Arrows",
            "Editors",
            "Interfaces",
            "Social"
        ],
        "icon": "fas fa-share"
    },
    {
        "name": "Alternate Share",
        "id": "fas_share-alt",
        "unicode": "f1e0",
        "created": 1,
        "filter": [
            "forward",
            "save",
            "send",
            "social"
        ],
        "categories": [
            "Interfaces",
            "Social"
        ],
        "icon": "fas fa-share-alt"
    },
    {
        "name": "Alternate Share Square",
        "id": "fas_share-alt-square",
        "unicode": "f1e1",
        "created": 1,
        "filter": [
            "forward",
            "save",
            "send",
            "social"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-share-alt-square"
    },
    {
        "name": "Share Square (solid)",
        "id": "fas_share-square",
        "unicode": "f14d",
        "created": 1,
        "filter": [
            "forward",
            "save",
            "send",
            "social"
        ],
        "categories": [
            "Arrows",
            "Interfaces",
            "Social"
        ],
        "icon": "fas fa-share-square"
    },
    {
        "name": "Share Square (regular)",
        "id": "far_share-square",
        "unicode": "f14d",
        "created": 1,
        "filter": [
            "forward",
            "save",
            "send",
            "social"
        ],
        "categories": [
            "Arrows",
            "Interfaces",
            "Social"
        ],
        "icon": "far fa-share-square"
    },
    {
        "name": "Shekel Sign",
        "id": "fas_shekel-sign",
        "unicode": "f20b",
        "created": 1,
        "filter": [
            "currency",
            "ils",
            "money"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-shekel-sign"
    },
    {
        "name": "Alternate Shield",
        "id": "fas_shield-alt",
        "unicode": "f3ed",
        "created": 1,
        "filter": [
            "achievement",
            "award",
            "block",
            "defend",
            "security",
            "winner"
        ],
        "categories": [
            "Code",
            "Interfaces",
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "fas fa-shield-alt"
    },
    {
        "name": "Shield Virus",
        "id": "fas_shield-virus",
        "unicode": "e06c",
        "created": 1,
        "filter": [
            "antibodies",
            "barrier",
            "covid-19",
            "health",
            "protect"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-shield-virus"
    },
    {
        "name": "Ship",
        "id": "fas_ship",
        "unicode": "f21a",
        "created": 1,
        "filter": [
            "boat",
            "sea",
            "water"
        ],
        "categories": [
            "Maps",
            "Maritime",
            "Vehicles"
        ],
        "icon": "fas fa-ship"
    },
    {
        "name": "Shipping Fast",
        "id": "fas_shipping-fast",
        "unicode": "f48b",
        "created": 1,
        "filter": [
            "express",
            "fedex",
            "mail",
            "overnight",
            "package",
            "ups"
        ],
        "categories": [
            "Logistics",
            "Shopping"
        ],
        "icon": "fas fa-shipping-fast"
    },
    {
        "name": "Shirts in Bulk",
        "id": "fab_shirtsinbulk",
        "unicode": "f214",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-shirtsinbulk"
    },
    {
        "name": "Shoe Prints",
        "id": "fas_shoe-prints",
        "unicode": "f54b",
        "created": 1,
        "filter": [
            "feet",
            "footprints",
            "steps",
            "walk"
        ],
        "categories": [
            "Clothing",
            "Fitness",
            "Maps"
        ],
        "icon": "fas fa-shoe-prints"
    },
    {
        "name": "Shopify",
        "id": "fab_shopify",
        "unicode": "e057",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-shopify"
    },
    {
        "name": "Shopping Bag",
        "id": "fas_shopping-bag",
        "unicode": "f290",
        "created": 1,
        "filter": [
            "buy",
            "checkout",
            "grocery",
            "payment",
            "purchase"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Shopping"
        ],
        "icon": "fas fa-shopping-bag"
    },
    {
        "name": "Shopping Basket",
        "id": "fas_shopping-basket",
        "unicode": "f291",
        "created": 1,
        "filter": [
            "buy",
            "checkout",
            "grocery",
            "payment",
            "purchase"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Shopping"
        ],
        "icon": "fas fa-shopping-basket"
    },
    {
        "name": "shopping-cart",
        "id": "fas_shopping-cart",
        "unicode": "f07a",
        "created": 1,
        "filter": [
            "buy",
            "checkout",
            "grocery",
            "payment",
            "purchase"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Payments & Shopping",
            "Shopping",
            "Status",
            "Vehicles"
        ],
        "icon": "fas fa-shopping-cart"
    },
    {
        "name": "Shopware",
        "id": "fab_shopware",
        "unicode": "f5b5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-shopware"
    },
    {
        "name": "Shower",
        "id": "fas_shower",
        "unicode": "f2cc",
        "created": 1,
        "filter": [
            "bath",
            "clean",
            "faucet",
            "water"
        ],
        "categories": [
            "Hotel",
            "Household",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-shower"
    },
    {
        "name": "Shuttle Van",
        "id": "fas_shuttle-van",
        "unicode": "f5b6",
        "created": 1,
        "filter": [
            "airport",
            "machine",
            "public-transportation",
            "transportation",
            "travel",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Hotel",
            "Travel",
            "Vehicles"
        ],
        "icon": "fas fa-shuttle-van"
    },
    {
        "name": "Sign",
        "id": "fas_sign",
        "unicode": "f4d9",
        "created": 1,
        "filter": [
            "directions",
            "real estate",
            "signage",
            "wayfinding"
        ],
        "categories": [
            "Moving"
        ],
        "icon": "fas fa-sign"
    },
    {
        "name": "Alternate Sign In",
        "id": "fas_sign-in-alt",
        "unicode": "f2f6",
        "created": 1,
        "filter": [
            "arrow",
            "enter",
            "join",
            "log in",
            "login",
            "sign in",
            "sign up",
            "sign-in",
            "signin",
            "signup"
        ],
        "categories": [
            "Arrows",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-sign-in-alt"
    },
    {
        "name": "Sign Language",
        "id": "fas_sign-language",
        "unicode": "f2a7",
        "created": 1,
        "filter": [
            "Translate",
            "asl",
            "deaf",
            "hands"
        ],
        "categories": [
            "Accessibility"
        ],
        "icon": "fas fa-sign-language"
    },
    {
        "name": "Alternate Sign Out",
        "id": "fas_sign-out-alt",
        "unicode": "f2f5",
        "created": 1,
        "filter": [
            "arrow",
            "exit",
            "leave",
            "log out",
            "logout",
            "sign-out"
        ],
        "categories": [
            "Arrows",
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-sign-out-alt"
    },
    {
        "name": "signal",
        "id": "fas_signal",
        "unicode": "f012",
        "created": 1,
        "filter": [
            "bars",
            "graph",
            "online",
            "reception",
            "status"
        ],
        "categories": [
            "Interfaces",
            "Status"
        ],
        "icon": "fas fa-signal"
    },
    {
        "name": "Signature",
        "id": "fas_signature",
        "unicode": "f5b7",
        "created": 1,
        "filter": [
            "John Hancock",
            "cursive",
            "name",
            "writing"
        ],
        "icon": "fas fa-signature",
        "categories": [
            "Interfaces",
            "Status"
        ]
    },
    {
        "name": "SIM Card",
        "id": "fas_sim-card",
        "unicode": "f7c4",
        "created": 1,
        "filter": [
            "hard drive",
            "hardware",
            "portable",
            "storage",
            "technology",
            "tiny"
        ],
        "categories": [
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-sim-card"
    },
    {
        "name": "SimplyBuilt",
        "id": "fab_simplybuilt",
        "unicode": "f215",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-simplybuilt"
    },
    {
        "name": "Sink",
        "id": "fas_sink",
        "unicode": "e06d",
        "created": 1,
        "filter": [
            "bathroom",
            "covid-19",
            "faucet",
            "kitchen",
            "wash"
        ],
        "categories": [
            "Household"
        ],
        "icon": "fas fa-sink"
    },
    {
        "name": "SISTRIX",
        "id": "fab_sistrix",
        "unicode": "f3ee",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-sistrix"
    },
    {
        "name": "Sitemap",
        "id": "fas_sitemap",
        "unicode": "f0e8",
        "created": 1,
        "filter": [
            "directory",
            "hierarchy",
            "ia",
            "information architecture",
            "organization"
        ],
        "categories": [
            "Business",
            "Code",
            "Interfaces"
        ],
        "icon": "fas fa-sitemap"
    },
    {
        "name": "Sith",
        "id": "fab_sith",
        "unicode": "f512",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-sith"
    },
    {
        "name": "Skating",
        "id": "fas_skating",
        "unicode": "f7c5",
        "created": 1,
        "filter": [
            "activity",
            "figure skating",
            "fitness",
            "ice",
            "person",
            "winter"
        ],
        "categories": [
            "Fitness",
            "Sports",
            "Users & People",
            "Winter"
        ],
        "icon": "fas fa-skating"
    },
    {
        "name": "Sketch",
        "id": "fab_sketch",
        "unicode": "f7c6",
        "created": 1,
        "filter": [
            "app",
            "design",
            "interface"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-sketch"
    },
    {
        "name": "Skiing",
        "id": "fas_skiing",
        "unicode": "f7c9",
        "created": 1,
        "filter": [
            "activity",
            "downhill",
            "fast",
            "fitness",
            "olympics",
            "outdoors",
            "person",
            "seasonal",
            "slalom"
        ],
        "categories": [
            "Fitness",
            "Sports",
            "Users & People",
            "Winter"
        ],
        "icon": "fas fa-skiing"
    },
    {
        "name": "Skiing Nordic",
        "id": "fas_skiing-nordic",
        "unicode": "f7ca",
        "created": 1,
        "filter": [
            "activity",
            "cross country",
            "fitness",
            "outdoors",
            "person",
            "seasonal"
        ],
        "categories": [
            "Fitness",
            "Sports",
            "Users & People",
            "Winter"
        ],
        "icon": "fas fa-skiing-nordic"
    },
    {
        "name": "Skull",
        "id": "fas_skull",
        "unicode": "f54c",
        "created": 1,
        "filter": [
            "bones",
            "skeleton",
            "x-ray",
            "yorick"
        ],
        "icon": "fas fa-skull",
        "categories": [
            "Fitness",
            "Sports",
            "Users & People",
            "Winter"
        ]
    },
    {
        "name": "Skull & Crossbones",
        "id": "fas_skull-crossbones",
        "unicode": "f714",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "alert",
            "bones",
            "d&d",
            "danger",
            "dead",
            "deadly",
            "death",
            "dnd",
            "fantasy",
            "halloween",
            "holiday",
            "jolly-roger",
            "pirate",
            "poison",
            "skeleton",
            "warning"
        ],
        "categories": [
            "Alert",
            "Tabletop Gaming",
            "Halloween",
            "Maritime",
            "Objects",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-skull-crossbones"
    },
    {
        "name": "skyatlas",
        "id": "fab_skyatlas",
        "unicode": "f216",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-skyatlas"
    },
    {
        "name": "Skype",
        "id": "fab_skype",
        "unicode": "f17e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-skype"
    },
    {
        "name": "Slack Logo",
        "id": "fab_slack",
        "unicode": "f198",
        "created": 1,
        "filter": [
            "anchor",
            "hash",
            "hashtag"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-slack"
    },
    {
        "name": "Slack Hashtag",
        "id": "fab_slack-hash",
        "unicode": "f3ef",
        "created": 1,
        "filter": [
            "anchor",
            "hash",
            "hashtag"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-slack-hash"
    },
    {
        "name": "Slash",
        "id": "fas_slash",
        "unicode": "f715",
        "created": 1,
        "filter": [
            "cancel",
            "close",
            "mute",
            "off",
            "stop",
            "x"
        ],
        "categories": [
            "Spinners"
        ],
        "icon": "fas fa-slash"
    },
    {
        "name": "Sleigh",
        "id": "fas_sleigh",
        "unicode": "f7cc",
        "created": 1,
        "filter": [
            "christmas",
            "claus",
            "fly",
            "holiday",
            "santa",
            "sled",
            "snow",
            "xmas"
        ],
        "categories": [
            "Holiday",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-sleigh"
    },
    {
        "name": "Horizontal Sliders",
        "id": "fas_sliders-h",
        "unicode": "f1de",
        "created": 1,
        "filter": [
            "adjust",
            "settings",
            "sliders",
            "toggle"
        ],
        "categories": [
            "Images",
            "Interfaces",
            "Music"
        ],
        "icon": "fas fa-sliders-h"
    },
    {
        "name": "Slideshare",
        "id": "fab_slideshare",
        "unicode": "f1e7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-slideshare"
    },
    {
        "name": "Smiling Face (solid)",
        "id": "fas_smile",
        "unicode": "f118",
        "created": 1,
        "filter": [
            "approve",
            "emoticon",
            "face",
            "happy",
            "rating",
            "satisfied"
        ],
        "categories": [
            "Chat",
            "Emoji",
            "Interfaces",
            "Users & People"
        ],
        "icon": "fas fa-smile"
    },
    {
        "name": "Smiling Face (regular)",
        "id": "far_smile",
        "unicode": "f118",
        "created": 1,
        "filter": [
            "approve",
            "emoticon",
            "face",
            "happy",
            "rating",
            "satisfied"
        ],
        "categories": [
            "Chat",
            "Emoji",
            "Interfaces",
            "Users & People"
        ],
        "icon": "far fa-smile"
    },
    {
        "name": "Beaming Face With Smiling Eyes (solid)",
        "id": "fas_smile-beam",
        "unicode": "f5b8",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "happy",
            "positive"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-smile-beam"
    },
    {
        "name": "Beaming Face With Smiling Eyes (regular)",
        "id": "far_smile-beam",
        "unicode": "f5b8",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "happy",
            "positive"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-smile-beam"
    },
    {
        "name": "Winking Face (solid)",
        "id": "fas_smile-wink",
        "unicode": "f4da",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "happy",
            "hint",
            "joke"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-smile-wink"
    },
    {
        "name": "Winking Face (regular)",
        "id": "far_smile-wink",
        "unicode": "f4da",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "happy",
            "hint",
            "joke"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-smile-wink"
    },
    {
        "name": "Smog",
        "id": "fas_smog",
        "unicode": "f75f",
        "created": 1,
        "filter": [
            "dragon",
            "fog",
            "haze",
            "pollution",
            "smoke",
            "weather"
        ],
        "categories": [
            "Weather"
        ],
        "icon": "fas fa-smog"
    },
    {
        "name": "Smoking",
        "id": "fas_smoking",
        "unicode": "f48d",
        "created": 1,
        "filter": [
            "cancer",
            "cigarette",
            "nicotine",
            "smoking status",
            "tobacco"
        ],
        "categories": [
            "Hotel",
            "Medical"
        ],
        "icon": "fas fa-smoking"
    },
    {
        "name": "Smoking Ban",
        "id": "fas_smoking-ban",
        "unicode": "f54d",
        "created": 1,
        "filter": [
            "ban",
            "cancel",
            "no smoking",
            "non-smoking"
        ],
        "categories": [
            "Hotel",
            "Medical",
            "Status"
        ],
        "icon": "fas fa-smoking-ban"
    },
    {
        "name": "SMS",
        "id": "fas_sms",
        "unicode": "f7cd",
        "created": 1,
        "filter": [
            "chat",
            "conversation",
            "message",
            "mobile",
            "notification",
            "phone",
            "sms",
            "texting"
        ],
        "categories": [
            "Chat"
        ],
        "icon": "fas fa-sms"
    },
    {
        "name": "Snapchat",
        "id": "fab_snapchat",
        "unicode": "f2ab",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-snapchat"
    },
    {
        "name": "Snapchat Ghost",
        "id": "fab_snapchat-ghost",
        "unicode": "f2ac",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-snapchat-ghost"
    },
    {
        "name": "Snapchat Square",
        "id": "fab_snapchat-square",
        "unicode": "f2ad",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-snapchat-square"
    },
    {
        "name": "Snowboarding",
        "id": "fas_snowboarding",
        "unicode": "f7ce",
        "created": 1,
        "filter": [
            "activity",
            "fitness",
            "olympics",
            "outdoors",
            "person"
        ],
        "categories": [
            "Fitness",
            "Sports",
            "Users & People",
            "Winter"
        ],
        "icon": "fas fa-snowboarding"
    },
    {
        "name": "Snowflake (solid)",
        "id": "fas_snowflake",
        "unicode": "f2dc",
        "created": 1,
        "filter": [
            "precipitation",
            "rain",
            "winter"
        ],
        "categories": [
            "Hotel",
            "Household",
            "Objects",
            "Spinners",
            "Weather"
        ],
        "icon": "fas fa-snowflake"
    },
    {
        "name": "Snowflake (regular)",
        "id": "far_snowflake",
        "unicode": "f2dc",
        "created": 1,
        "filter": [
            "precipitation",
            "rain",
            "winter"
        ],
        "categories": [
            "Hotel",
            "Household",
            "Objects",
            "Spinners",
            "Weather"
        ],
        "icon": "far fa-snowflake"
    },
    {
        "name": "Snowman",
        "id": "fas_snowman",
        "unicode": "f7d0",
        "created": 1,
        "filter": [
            "decoration",
            "frost",
            "frosty",
            "holiday"
        ],
        "categories": [
            "Childhood",
            "Holiday"
        ],
        "icon": "fas fa-snowman"
    },
    {
        "name": "Snowplow",
        "id": "fas_snowplow",
        "unicode": "f7d2",
        "created": 1,
        "filter": [
            "clean up",
            "cold",
            "road",
            "storm",
            "winter"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Vehicles",
            "Winter"
        ],
        "icon": "fas fa-snowplow"
    },
    {
        "name": "Soap",
        "id": "fas_soap",
        "unicode": "e06e",
        "created": 1,
        "filter": [
            "bubbles",
            "clean",
            "covid-19",
            "hygiene",
            "wash"
        ],
        "categories": [
            "Household"
        ],
        "icon": "fas fa-soap"
    },
    {
        "name": "Socks",
        "id": "fas_socks",
        "unicode": "f696",
        "created": 1,
        "filter": [
            "business socks",
            "business time",
            "clothing",
            "feet",
            "flight of the conchords",
            "wednesday"
        ],
        "categories": [
            "Business",
            "Clothing"
        ],
        "icon": "fas fa-socks"
    },
    {
        "name": "Solar Panel",
        "id": "fas_solar-panel",
        "unicode": "f5ba",
        "created": 1,
        "filter": [
            "clean",
            "eco-friendly",
            "energy",
            "green",
            "sun"
        ],
        "categories": [
            "Energy"
        ],
        "icon": "fas fa-solar-panel"
    },
    {
        "name": "Sort",
        "id": "fas_sort",
        "unicode": "f0dc",
        "created": 1,
        "filter": [
            "filter",
            "order"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort"
    },
    {
        "name": "Sort Alphabetical Down",
        "id": "fas_sort-alpha-down",
        "unicode": "f15d",
        "created": 1,
        "filter": [
            "alphabetical",
            "arrange",
            "filter",
            "order",
            "sort-alpha-asc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-alpha-down"
    },
    {
        "name": "Alternate Sort Alphabetical Down",
        "id": "fas_sort-alpha-down-alt",
        "unicode": "f881",
        "created": 1,
        "filter": [
            "alphabetical",
            "arrange",
            "filter",
            "order",
            "sort-alpha-asc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-alpha-down-alt"
    },
    {
        "name": "Sort Alphabetical Up",
        "id": "fas_sort-alpha-up",
        "unicode": "f15e",
        "created": 1,
        "filter": [
            "alphabetical",
            "arrange",
            "filter",
            "order",
            "sort-alpha-desc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-alpha-up"
    },
    {
        "name": "Alternate Sort Alphabetical Up",
        "id": "fas_sort-alpha-up-alt",
        "unicode": "f882",
        "created": 1,
        "filter": [
            "alphabetical",
            "arrange",
            "filter",
            "order",
            "sort-alpha-desc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-alpha-up-alt"
    },
    {
        "name": "Sort Amount Down",
        "id": "fas_sort-amount-down",
        "unicode": "f160",
        "created": 1,
        "filter": [
            "arrange",
            "filter",
            "number",
            "order",
            "sort-amount-asc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-amount-down"
    },
    {
        "name": "Alternate Sort Amount Down",
        "id": "fas_sort-amount-down-alt",
        "unicode": "f884",
        "created": 1,
        "filter": [
            "arrange",
            "filter",
            "order",
            "sort-amount-asc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-amount-down-alt"
    },
    {
        "name": "Sort Amount Up",
        "id": "fas_sort-amount-up",
        "unicode": "f161",
        "created": 1,
        "filter": [
            "arrange",
            "filter",
            "order",
            "sort-amount-desc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-amount-up"
    },
    {
        "name": "Alternate Sort Amount Up",
        "id": "fas_sort-amount-up-alt",
        "unicode": "f885",
        "created": 1,
        "filter": [
            "arrange",
            "filter",
            "order",
            "sort-amount-desc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-amount-up-alt"
    },
    {
        "name": "Sort Down (Descending)",
        "id": "fas_sort-down",
        "unicode": "f0dd",
        "created": 1,
        "filter": [
            "arrow",
            "descending",
            "filter",
            "order",
            "sort-desc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-down"
    },
    {
        "name": "Sort Numeric Down",
        "id": "fas_sort-numeric-down",
        "unicode": "f162",
        "created": 1,
        "filter": [
            "arrange",
            "filter",
            "numbers",
            "order",
            "sort-numeric-asc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-numeric-down"
    },
    {
        "name": "Alternate Sort Numeric Down",
        "id": "fas_sort-numeric-down-alt",
        "unicode": "f886",
        "created": 1,
        "filter": [
            "arrange",
            "filter",
            "numbers",
            "order",
            "sort-numeric-asc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-numeric-down-alt"
    },
    {
        "name": "Sort Numeric Up",
        "id": "fas_sort-numeric-up",
        "unicode": "f163",
        "created": 1,
        "filter": [
            "arrange",
            "filter",
            "numbers",
            "order",
            "sort-numeric-desc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-numeric-up"
    },
    {
        "name": "Alternate Sort Numeric Up",
        "id": "fas_sort-numeric-up-alt",
        "unicode": "f887",
        "created": 1,
        "filter": [
            "arrange",
            "filter",
            "numbers",
            "order",
            "sort-numeric-desc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-numeric-up-alt"
    },
    {
        "name": "Sort Up (Ascending)",
        "id": "fas_sort-up",
        "unicode": "f0de",
        "created": 1,
        "filter": [
            "arrow",
            "ascending",
            "filter",
            "order",
            "sort-asc"
        ],
        "categories": [
            "Arrows",
            "Interfaces"
        ],
        "icon": "fas fa-sort-up"
    },
    {
        "name": "SoundCloud",
        "id": "fab_soundcloud",
        "unicode": "f1be",
        "created": 1,
        "filter": [],
        "categories": [
            "Music",
            "Brand"
        ],
        "icon": "fab fa-soundcloud"
    },
    {
        "name": "Sourcetree",
        "id": "fab_sourcetree",
        "unicode": "f7d3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-sourcetree"
    },
    {
        "name": "Spa",
        "id": "fas_spa",
        "unicode": "f5bb",
        "created": 1,
        "filter": [
            "flora",
            "massage",
            "mindfulness",
            "plant",
            "wellness"
        ],
        "categories": [
            "Fitness",
            "Hotel",
            "Travel"
        ],
        "icon": "fas fa-spa"
    },
    {
        "name": "Space Shuttle",
        "id": "fas_space-shuttle",
        "unicode": "f197",
        "created": 1,
        "filter": [
            "astronaut",
            "machine",
            "nasa",
            "rocket",
            "space",
            "transportation"
        ],
        "categories": [
            "Objects",
            "Science Fiction",
            "Vehicles"
        ],
        "icon": "fas fa-space-shuttle"
    },
    {
        "name": "Speakap",
        "id": "fab_speakap",
        "unicode": "f3f3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-speakap"
    },
    {
        "name": "Speaker Deck",
        "id": "fab_speaker-deck",
        "unicode": "f83c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-speaker-deck"
    },
    {
        "name": "Spell Check",
        "id": "fas_spell-check",
        "unicode": "f891",
        "created": 1,
        "filter": [
            "dictionary",
            "edit",
            "editor",
            "grammar",
            "text"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-spell-check"
    },
    {
        "name": "Spider",
        "id": "fas_spider",
        "unicode": "f717",
        "created": 1,
        "filter": [
            "arachnid",
            "bug",
            "charlotte",
            "crawl",
            "eight",
            "halloween"
        ],
        "categories": [
            "Animals",
            "Halloween"
        ],
        "icon": "fas fa-spider"
    },
    {
        "name": "Spinner",
        "id": "fas_spinner",
        "unicode": "f110",
        "created": 1,
        "filter": [
            "circle",
            "loading",
            "progress"
        ],
        "categories": [
            "Spinners"
        ],
        "icon": "fas fa-spinner"
    },
    {
        "name": "Splotch",
        "id": "fas_splotch",
        "unicode": "f5bc",
        "created": 1,
        "filter": [
            "Ink",
            "blob",
            "blotch",
            "glob",
            "stain"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-splotch"
    },
    {
        "name": "Spotify",
        "id": "fab_spotify",
        "unicode": "f1bc",
        "created": 1,
        "filter": [],
        "categories": [
            "Music",
            "Brand"
        ],
        "icon": "fab fa-spotify"
    },
    {
        "name": "Spray Can",
        "id": "fas_spray-can",
        "unicode": "f5bd",
        "created": 1,
        "filter": [
            "Paint",
            "aerosol",
            "design",
            "graffiti",
            "tag"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-spray-can"
    },
    {
        "name": "Square (solid)",
        "id": "fas_square",
        "unicode": "f0c8",
        "created": 1,
        "filter": [
            "block",
            "box",
            "shape"
        ],
        "categories": [
            "Shapes"
        ],
        "icon": "fas fa-square"
    },
    {
        "name": "Square (regular)",
        "id": "far_square",
        "unicode": "f0c8",
        "created": 1,
        "filter": [
            "block",
            "box",
            "shape"
        ],
        "categories": [
            "Shapes"
        ],
        "icon": "far fa-square"
    },
    {
        "name": "Square Full",
        "id": "fas_square-full",
        "unicode": "f45c",
        "created": 1,
        "filter": [
            "block",
            "box",
            "shape"
        ],
        "categories": [
            "Chess"
        ],
        "icon": "fas fa-square-full"
    },
    {
        "name": "Alternate Square Root",
        "id": "fas_square-root-alt",
        "unicode": "f698",
        "created": 1,
        "filter": [
            "arithmetic",
            "calculus",
            "division",
            "math"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-square-root-alt"
    },
    {
        "name": "Squarespace",
        "id": "fab_squarespace",
        "unicode": "f5be",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-squarespace"
    },
    {
        "name": "Stack Exchange",
        "id": "fab_stack-exchange",
        "unicode": "f18d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-stack-exchange"
    },
    {
        "name": "Stack Overflow",
        "id": "fab_stack-overflow",
        "unicode": "f16c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-stack-overflow"
    },
    {
        "name": "Stackpath",
        "id": "fab_stackpath",
        "unicode": "f842",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-stackpath"
    },
    {
        "name": "Stamp",
        "id": "fas_stamp",
        "unicode": "f5bf",
        "created": 1,
        "filter": [
            "art",
            "certificate",
            "imprint",
            "rubber",
            "seal"
        ],
        "categories": [
            "Design",
            "Finance"
        ],
        "icon": "fas fa-stamp"
    },
    {
        "name": "Star (solid)",
        "id": "fas_star",
        "unicode": "f005",
        "created": 1,
        "filter": [
            "achievement",
            "award",
            "favorite",
            "important",
            "night",
            "rating",
            "score"
        ],
        "categories": [
            "Interfaces",
            "Objects",
            "Payments & Shopping",
            "Shapes",
            "Social",
            "Status",
            "Toggle"
        ],
        "icon": "fas fa-star"
    },
    {
        "name": "Star (regular)",
        "id": "far_star",
        "unicode": "f005",
        "created": 1,
        "filter": [
            "achievement",
            "award",
            "favorite",
            "important",
            "night",
            "rating",
            "score"
        ],
        "categories": [
            "Interfaces",
            "Objects",
            "Payments & Shopping",
            "Shapes",
            "Social",
            "Status",
            "Toggle"
        ],
        "icon": "far fa-star"
    },
    {
        "name": "Star and Crescent",
        "id": "fas_star-and-crescent",
        "unicode": "f699",
        "created": 1,
        "filter": [
            "islam",
            "muslim",
            "religion"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-star-and-crescent"
    },
    {
        "name": "star-half (solid)",
        "id": "fas_star-half",
        "unicode": "f089",
        "created": 1,
        "filter": [
            "achievement",
            "award",
            "rating",
            "score",
            "star-half-empty",
            "star-half-full"
        ],
        "categories": [
            "Interfaces",
            "Status",
            "Toggle"
        ],
        "icon": "fas fa-star-half"
    },
    {
        "name": "star-half (regular)",
        "id": "far_star-half",
        "unicode": "f089",
        "created": 1,
        "filter": [
            "achievement",
            "award",
            "rating",
            "score",
            "star-half-empty",
            "star-half-full"
        ],
        "categories": [
            "Interfaces",
            "Status",
            "Toggle"
        ],
        "icon": "far fa-star-half"
    },
    {
        "name": "Alternate Star Half",
        "id": "fas_star-half-alt",
        "unicode": "f5c0",
        "created": 1,
        "filter": [
            "achievement",
            "award",
            "rating",
            "score",
            "star-half-empty",
            "star-half-full"
        ],
        "categories": [
            "Status",
            "Toggle"
        ],
        "icon": "fas fa-star-half-alt"
    },
    {
        "name": "Star of David",
        "id": "fas_star-of-david",
        "unicode": "f69a",
        "created": 1,
        "filter": [
            "jewish",
            "judaism",
            "religion"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-star-of-david"
    },
    {
        "name": "Star of Life",
        "id": "fas_star-of-life",
        "unicode": "f621",
        "created": 1,
        "filter": [
            "doctor",
            "emt",
            "first aid",
            "health",
            "medical"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-star-of-life"
    },
    {
        "name": "StayLinked",
        "id": "fab_staylinked",
        "unicode": "f3f5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-staylinked"
    },
    {
        "name": "Steam",
        "id": "fab_steam",
        "unicode": "f1b6",
        "created": 1,
        "filter": [],
        "categories": [
            "Games",
            "Brand"
        ],
        "icon": "fab fa-steam"
    },
    {
        "name": "Steam Square",
        "id": "fab_steam-square",
        "unicode": "f1b7",
        "created": 1,
        "filter": [],
        "categories": [
            "Games",
            "Brand"
        ],
        "icon": "fab fa-steam-square"
    },
    {
        "name": "Steam Symbol",
        "id": "fab_steam-symbol",
        "unicode": "f3f6",
        "created": 1,
        "filter": [],
        "categories": [
            "Games",
            "Brand"
        ],
        "icon": "fab fa-steam-symbol"
    },
    {
        "name": "step-backward",
        "id": "fas_step-backward",
        "unicode": "f048",
        "created": 1,
        "filter": [
            "beginning",
            "first",
            "previous",
            "rewind",
            "start"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-step-backward"
    },
    {
        "name": "step-forward",
        "id": "fas_step-forward",
        "unicode": "f051",
        "created": 1,
        "filter": [
            "end",
            "last",
            "next"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-step-forward"
    },
    {
        "name": "Stethoscope",
        "id": "fas_stethoscope",
        "unicode": "f0f1",
        "created": 1,
        "filter": [
            "covid-19",
            "diagnosis",
            "doctor",
            "general practitioner",
            "hospital",
            "infirmary",
            "medicine",
            "office",
            "outpatient"
        ],
        "categories": [
            "Health",
            "Medical"
        ],
        "icon": "fas fa-stethoscope"
    },
    {
        "name": "Sticker Mule",
        "id": "fab_sticker-mule",
        "unicode": "f3f7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-sticker-mule"
    },
    {
        "name": "Sticky Note (solid)",
        "id": "fas_sticky-note",
        "unicode": "f249",
        "created": 1,
        "filter": [
            "message",
            "note",
            "paper",
            "reminder",
            "sticker"
        ],
        "categories": [
            "Business",
            "Files",
            "Objects",
            "Writing"
        ],
        "icon": "fas fa-sticky-note"
    },
    {
        "name": "Sticky Note (regular)",
        "id": "far_sticky-note",
        "unicode": "f249",
        "created": 1,
        "filter": [
            "message",
            "note",
            "paper",
            "reminder",
            "sticker"
        ],
        "categories": [
            "Business",
            "Files",
            "Objects",
            "Writing"
        ],
        "icon": "far fa-sticky-note"
    },
    {
        "name": "stop",
        "id": "fas_stop",
        "unicode": "f04d",
        "created": 1,
        "filter": [
            "block",
            "box",
            "square"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-stop"
    },
    {
        "name": "Stop Circle (solid)",
        "id": "fas_stop-circle",
        "unicode": "f28d",
        "created": 1,
        "filter": [
            "block",
            "box",
            "circle",
            "square"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "fas fa-stop-circle"
    },
    {
        "name": "Stop Circle (regular)",
        "id": "far_stop-circle",
        "unicode": "f28d",
        "created": 1,
        "filter": [
            "block",
            "box",
            "circle",
            "square"
        ],
        "categories": [
            "Audio & Video"
        ],
        "icon": "far fa-stop-circle"
    },
    {
        "name": "Stopwatch",
        "id": "fas_stopwatch",
        "unicode": "f2f2",
        "created": 1,
        "filter": [
            "clock",
            "reminder",
            "time"
        ],
        "categories": [
            "Date & Time",
            "Objects"
        ],
        "icon": "fas fa-stopwatch"
    },
    {
        "name": "Stopwatch 20",
        "id": "fas_stopwatch-20",
        "unicode": "e06f",
        "created": 1,
        "filter": [
            "ABCs",
            "countdown",
            "covid-19",
            "happy birthday",
            "i will survive",
            "reminder",
            "seconds",
            "time",
            "timer"
        ],
        "icon": "fas fa-stopwatch-20",
        "categories": [
            "Date & Time",
            "Objects"
        ]
    },
    {
        "name": "Store",
        "id": "fas_store",
        "unicode": "f54e",
        "created": 1,
        "filter": [
            "building",
            "buy",
            "purchase",
            "shopping"
        ],
        "categories": [
            "Buildings",
            "Shopping"
        ],
        "icon": "fas fa-store"
    },
    {
        "name": "Alternate Store",
        "id": "fas_store-alt",
        "unicode": "f54f",
        "created": 1,
        "filter": [
            "building",
            "buy",
            "purchase",
            "shopping"
        ],
        "categories": [
            "Buildings",
            "Shopping"
        ],
        "icon": "fas fa-store-alt"
    },
    {
        "name": "Alternate Store Slash",
        "id": "fas_store-alt-slash",
        "unicode": "e070",
        "created": 1,
        "filter": [
            "building",
            "buy",
            "closed",
            "covid-19",
            "purchase",
            "shopping"
        ],
        "categories": [
            "Shopping"
        ],
        "icon": "fas fa-store-alt-slash"
    },
    {
        "name": "Store Slash",
        "id": "fas_store-slash",
        "unicode": "e071",
        "created": 1,
        "filter": [
            "building",
            "buy",
            "closed",
            "covid-19",
            "purchase",
            "shopping"
        ],
        "categories": [
            "Shopping"
        ],
        "icon": "fas fa-store-slash"
    },
    {
        "name": "Strava",
        "id": "fab_strava",
        "unicode": "f428",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-strava"
    },
    {
        "name": "Stream",
        "id": "fas_stream",
        "unicode": "f550",
        "created": 1,
        "filter": [
            "flow",
            "list",
            "timeline"
        ],
        "categories": [
            "Business",
            "Code",
            "Computers",
            "Status"
        ],
        "icon": "fas fa-stream"
    },
    {
        "name": "Street View",
        "id": "fas_street-view",
        "unicode": "f21d",
        "created": 1,
        "filter": [
            "directions",
            "location",
            "map",
            "navigation"
        ],
        "categories": [
            "Maps",
            "Users & People"
        ],
        "icon": "fas fa-street-view"
    },
    {
        "name": "Strikethrough",
        "id": "fas_strikethrough",
        "unicode": "f0cc",
        "created": 1,
        "filter": [
            "cancel",
            "edit",
            "font",
            "format",
            "text",
            "type"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-strikethrough"
    },
    {
        "name": "Stripe",
        "id": "fab_stripe",
        "unicode": "f429",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-stripe"
    },
    {
        "name": "Stripe S",
        "id": "fab_stripe-s",
        "unicode": "f42a",
        "created": 1,
        "filter": [],
        "categories": [
            "Payments & Shopping",
            "Brand"
        ],
        "icon": "fab fa-stripe-s"
    },
    {
        "name": "Stroopwafel",
        "id": "fas_stroopwafel",
        "unicode": "f551",
        "created": 1,
        "filter": [
            "caramel",
            "cookie",
            "dessert",
            "sweets",
            "waffle"
        ],
        "categories": [
            "Food",
            "Objects",
            "Spinners"
        ],
        "icon": "fas fa-stroopwafel"
    },
    {
        "name": "Studio Vinari",
        "id": "fab_studiovinari",
        "unicode": "f3f8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-studiovinari"
    },
    {
        "name": "StumbleUpon Logo",
        "id": "fab_stumbleupon",
        "unicode": "f1a4",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-stumbleupon"
    },
    {
        "name": "StumbleUpon Circle",
        "id": "fab_stumbleupon-circle",
        "unicode": "f1a3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-stumbleupon-circle"
    },
    {
        "name": "subscript",
        "id": "fas_subscript",
        "unicode": "f12c",
        "created": 1,
        "filter": [
            "edit",
            "font",
            "format",
            "text",
            "type"
        ],
        "categories": [
            "Editors",
            "Mathematics"
        ],
        "icon": "fas fa-subscript"
    },
    {
        "name": "Subway",
        "id": "fas_subway",
        "unicode": "f239",
        "created": 1,
        "filter": [
            "machine",
            "railway",
            "train",
            "transportation",
            "vehicle"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-subway"
    },
    {
        "name": "Suitcase",
        "id": "fas_suitcase",
        "unicode": "f0f2",
        "created": 1,
        "filter": [
            "baggage",
            "luggage",
            "move",
            "suitcase",
            "travel",
            "trip"
        ],
        "categories": [
            "Hotel",
            "Maps",
            "Moving",
            "Objects",
            "Travel"
        ],
        "icon": "fas fa-suitcase"
    },
    {
        "name": "Suitcase Rolling",
        "id": "fas_suitcase-rolling",
        "unicode": "f5c1",
        "created": 1,
        "filter": [
            "baggage",
            "luggage",
            "move",
            "suitcase",
            "travel",
            "trip"
        ],
        "categories": [
            "Hotel",
            "Travel"
        ],
        "icon": "fas fa-suitcase-rolling"
    },
    {
        "name": "Sun (solid)",
        "id": "fas_sun",
        "unicode": "f185",
        "created": 1,
        "filter": [
            "brighten",
            "contrast",
            "day",
            "lighter",
            "sol",
            "solar",
            "star",
            "weather"
        ],
        "categories": [
            "Energy",
            "Objects",
            "Spinners",
            "Summer",
            "Weather"
        ],
        "icon": "fas fa-sun"
    },
    {
        "name": "Sun (regular)",
        "id": "far_sun",
        "unicode": "f185",
        "created": 1,
        "filter": [
            "brighten",
            "contrast",
            "day",
            "lighter",
            "sol",
            "solar",
            "star",
            "weather"
        ],
        "categories": [
            "Energy",
            "Objects",
            "Spinners",
            "Summer",
            "Weather"
        ],
        "icon": "far fa-sun"
    },
    {
        "name": "Superpowers",
        "id": "fab_superpowers",
        "unicode": "f2dd",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-superpowers"
    },
    {
        "name": "superscript",
        "id": "fas_superscript",
        "unicode": "f12b",
        "created": 1,
        "filter": [
            "edit",
            "exponential",
            "font",
            "format",
            "text",
            "type"
        ],
        "categories": [
            "Editors",
            "Mathematics"
        ],
        "icon": "fas fa-superscript"
    },
    {
        "name": "Supple",
        "id": "fab_supple",
        "unicode": "f3f9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-supple"
    },
    {
        "name": "Hushed Face (solid)",
        "id": "fas_surprise",
        "unicode": "f5c2",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "shocked"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-surprise"
    },
    {
        "name": "Hushed Face (regular)",
        "id": "far_surprise",
        "unicode": "f5c2",
        "created": 1,
        "filter": [
            "emoticon",
            "face",
            "shocked"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-surprise"
    },
    {
        "name": "Suse",
        "id": "fab_suse",
        "unicode": "f7d6",
        "created": 1,
        "filter": [
            "linux",
            "operating system",
            "os"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-suse"
    },
    {
        "name": "Swatchbook",
        "id": "fas_swatchbook",
        "unicode": "f5c3",
        "created": 1,
        "filter": [
            "Pantone",
            "color",
            "design",
            "hue",
            "palette"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-swatchbook"
    },
    {
        "name": "Swift",
        "id": "fab_swift",
        "unicode": "f8e1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-swift"
    },
    {
        "name": "Swimmer",
        "id": "fas_swimmer",
        "unicode": "f5c4",
        "created": 1,
        "filter": [
            "athlete",
            "head",
            "man",
            "olympics",
            "person",
            "pool",
            "water"
        ],
        "categories": [
            "Fitness",
            "Hotel",
            "Maritime",
            "Sports",
            "Summer",
            "Travel",
            "Users & People"
        ],
        "icon": "fas fa-swimmer"
    },
    {
        "name": "Swimming Pool",
        "id": "fas_swimming-pool",
        "unicode": "f5c5",
        "created": 1,
        "filter": [
            "ladder",
            "recreation",
            "swim",
            "water"
        ],
        "categories": [
            "Hotel",
            "Summer",
            "Travel"
        ],
        "icon": "fas fa-swimming-pool"
    },
    {
        "name": "Symfony",
        "id": "fab_symfony",
        "unicode": "f83d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-symfony"
    },
    {
        "name": "Synagogue",
        "id": "fas_synagogue",
        "unicode": "f69b",
        "created": 1,
        "filter": [
            "building",
            "jewish",
            "judaism",
            "religion",
            "star of david",
            "temple"
        ],
        "categories": [
            "Buildings",
            "Religion"
        ],
        "icon": "fas fa-synagogue"
    },
    {
        "name": "Sync",
        "id": "fas_sync",
        "unicode": "f021",
        "created": 1,
        "filter": [
            "exchange",
            "refresh",
            "reload",
            "rotate",
            "swap"
        ],
        "categories": [
            "Arrows",
            "Audio & Video",
            "Editors",
            "Interfaces",
            "Spinners"
        ],
        "icon": "fas fa-sync"
    },
    {
        "name": "Alternate Sync",
        "id": "fas_sync-alt",
        "unicode": "f2f1",
        "created": 1,
        "filter": [
            "exchange",
            "refresh",
            "reload",
            "rotate",
            "swap"
        ],
        "categories": [
            "Arrows",
            "Audio & Video",
            "Editors",
            "Interfaces",
            "Spinners"
        ],
        "icon": "fas fa-sync-alt"
    },
    {
        "name": "Syringe",
        "id": "fas_syringe",
        "unicode": "f48e",
        "created": 1,
        "filter": [
            "covid-19",
            "doctor",
            "immunizations",
            "medical",
            "needle"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-syringe"
    },
    {
        "name": "table",
        "id": "fas_table",
        "unicode": "f0ce",
        "created": 1,
        "filter": [
            "data",
            "excel",
            "spreadsheet"
        ],
        "categories": [
            "Business",
            "Editors"
        ],
        "icon": "fas fa-table"
    },
    {
        "name": "Table Tennis",
        "id": "fas_table-tennis",
        "unicode": "f45d",
        "created": 1,
        "filter": [
            "ball",
            "paddle",
            "ping pong"
        ],
        "categories": [
            "Sports"
        ],
        "icon": "fas fa-table-tennis"
    },
    {
        "name": "tablet",
        "id": "fas_tablet",
        "unicode": "f10a",
        "created": 1,
        "filter": [
            "apple",
            "device",
            "ipad",
            "kindle",
            "screen"
        ],
        "categories": [
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-tablet"
    },
    {
        "name": "Alternate Tablet",
        "id": "fas_tablet-alt",
        "unicode": "f3fa",
        "created": 1,
        "filter": [
            "apple",
            "device",
            "ipad",
            "kindle",
            "screen"
        ],
        "categories": [
            "Computers",
            "Objects"
        ],
        "icon": "fas fa-tablet-alt"
    },
    {
        "name": "Tablets",
        "id": "fas_tablets",
        "unicode": "f490",
        "created": 1,
        "filter": [
            "drugs",
            "medicine",
            "pills",
            "prescription"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-tablets"
    },
    {
        "name": "Alternate Tachometer",
        "id": "fas_tachometer-alt",
        "unicode": "f3fd",
        "created": 1,
        "filter": [
            "dashboard",
            "fast",
            "odometer",
            "speed",
            "speedometer"
        ],
        "categories": [
            "Automotive",
            "Objects"
        ],
        "icon": "fas fa-tachometer-alt"
    },
    {
        "name": "tag",
        "id": "fas_tag",
        "unicode": "f02b",
        "created": 1,
        "filter": [
            "discount",
            "label",
            "price",
            "shopping"
        ],
        "categories": [
            "Business",
            "Maps",
            "Objects",
            "Payments & Shopping"
        ],
        "icon": "fas fa-tag"
    },
    {
        "name": "tags",
        "id": "fas_tags",
        "unicode": "f02c",
        "created": 1,
        "filter": [
            "discount",
            "label",
            "price",
            "shopping"
        ],
        "categories": [
            "Business",
            "Maps",
            "Objects",
            "Payments & Shopping"
        ],
        "icon": "fas fa-tags"
    },
    {
        "name": "Tape",
        "id": "fas_tape",
        "unicode": "f4db",
        "created": 1,
        "filter": [
            "design",
            "package",
            "sticky"
        ],
        "categories": [
            "Moving"
        ],
        "icon": "fas fa-tape"
    },
    {
        "name": "Tasks",
        "id": "fas_tasks",
        "unicode": "f0ae",
        "created": 1,
        "filter": [
            "checklist",
            "downloading",
            "downloads",
            "loading",
            "progress",
            "project management",
            "settings",
            "to do"
        ],
        "categories": [
            "Business",
            "Editors"
        ],
        "icon": "fas fa-tasks"
    },
    {
        "name": "Taxi",
        "id": "fas_taxi",
        "unicode": "f1ba",
        "created": 1,
        "filter": [
            "cab",
            "cabbie",
            "car",
            "car service",
            "lyft",
            "machine",
            "transportation",
            "travel",
            "uber",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Maps",
            "Objects",
            "Travel",
            "Vehicles"
        ],
        "icon": "fas fa-taxi"
    },
    {
        "name": "TeamSpeak",
        "id": "fab_teamspeak",
        "unicode": "f4f9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-teamspeak"
    },
    {
        "name": "Teeth",
        "id": "fas_teeth",
        "unicode": "f62e",
        "created": 1,
        "filter": [
            "bite",
            "dental",
            "dentist",
            "gums",
            "mouth",
            "smile",
            "tooth"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-teeth"
    },
    {
        "name": "Teeth Open",
        "id": "fas_teeth-open",
        "unicode": "f62f",
        "created": 1,
        "filter": [
            "dental",
            "dentist",
            "gums bite",
            "mouth",
            "smile",
            "tooth"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-teeth-open"
    },
    {
        "name": "Telegram",
        "id": "fab_telegram",
        "unicode": "f2c6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-telegram"
    },
    {
        "name": "Telegram Plane",
        "id": "fab_telegram-plane",
        "unicode": "f3fe",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-telegram-plane"
    },
    {
        "name": "High Temperature",
        "id": "fas_temperature-high",
        "unicode": "f769",
        "created": 1,
        "filter": [
            "cook",
            "covid-19",
            "mercury",
            "summer",
            "thermometer",
            "warm"
        ],
        "categories": [
            "Science",
            "Weather"
        ],
        "icon": "fas fa-temperature-high"
    },
    {
        "name": "Low Temperature",
        "id": "fas_temperature-low",
        "unicode": "f76b",
        "created": 1,
        "filter": [
            "cold",
            "cool",
            "covid-19",
            "mercury",
            "thermometer",
            "winter"
        ],
        "categories": [
            "Science",
            "Weather"
        ],
        "icon": "fas fa-temperature-low"
    },
    {
        "name": "Tencent Weibo",
        "id": "fab_tencent-weibo",
        "unicode": "f1d5",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-tencent-weibo"
    },
    {
        "name": "Tenge",
        "id": "fas_tenge",
        "unicode": "f7d7",
        "created": 1,
        "filter": [
            "currency",
            "kazakhstan",
            "money",
            "price"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-tenge"
    },
    {
        "name": "Terminal",
        "id": "fas_terminal",
        "unicode": "f120",
        "created": 1,
        "filter": [
            "code",
            "command",
            "console",
            "development",
            "prompt"
        ],
        "categories": [
            "Code"
        ],
        "icon": "fas fa-terminal"
    },
    {
        "name": "text-height",
        "id": "fas_text-height",
        "unicode": "f034",
        "created": 1,
        "filter": [
            "edit",
            "font",
            "format",
            "text",
            "type"
        ],
        "categories": [
            "Arrows",
            "Editors"
        ],
        "icon": "fas fa-text-height"
    },
    {
        "name": "Text Width",
        "id": "fas_text-width",
        "unicode": "f035",
        "created": 1,
        "filter": [
            "edit",
            "font",
            "format",
            "text",
            "type"
        ],
        "categories": [
            "Arrows",
            "Editors"
        ],
        "icon": "fas fa-text-width"
    },
    {
        "name": "th",
        "id": "fas_th",
        "unicode": "f00a",
        "created": 1,
        "filter": [
            "blocks",
            "boxes",
            "grid",
            "squares"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-th"
    },
    {
        "name": "th-large",
        "id": "fas_th-large",
        "unicode": "f009",
        "created": 1,
        "filter": [
            "blocks",
            "boxes",
            "grid",
            "squares"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-th-large"
    },
    {
        "name": "th-list",
        "id": "fas_th-list",
        "unicode": "f00b",
        "created": 1,
        "filter": [
            "checklist",
            "completed",
            "done",
            "finished",
            "ol",
            "todo",
            "ul"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-th-list"
    },
    {
        "name": "The Red Yeti",
        "id": "fab_the-red-yeti",
        "unicode": "f69d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-the-red-yeti"
    },
    {
        "name": "Theater Masks",
        "id": "fas_theater-masks",
        "unicode": "f630",
        "created": 1,
        "filter": [
            "comedy",
            "perform",
            "theatre",
            "tragedy"
        ],
        "categories": [
            "Education"
        ],
        "icon": "fas fa-theater-masks"
    },
    {
        "name": "Themeco",
        "id": "fab_themeco",
        "unicode": "f5c6",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-themeco"
    },
    {
        "name": "ThemeIsle",
        "id": "fab_themeisle",
        "unicode": "f2b2",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-themeisle"
    },
    {
        "name": "Thermometer",
        "id": "fas_thermometer",
        "unicode": "f491",
        "created": 1,
        "filter": [
            "covid-19",
            "mercury",
            "status",
            "temperature"
        ],
        "categories": [
            "Medical",
            "Pharmacy"
        ],
        "icon": "fas fa-thermometer"
    },
    {
        "name": "Thermometer Empty",
        "id": "fas_thermometer-empty",
        "unicode": "f2cb",
        "created": 1,
        "filter": [
            "cold",
            "mercury",
            "status",
            "temperature"
        ],
        "categories": [
            "Status"
        ],
        "icon": "fas fa-thermometer-empty"
    },
    {
        "name": "Thermometer Full",
        "id": "fas_thermometer-full",
        "unicode": "f2c7",
        "created": 1,
        "filter": [
            "fever",
            "hot",
            "mercury",
            "status",
            "temperature"
        ],
        "categories": [
            "Status"
        ],
        "icon": "fas fa-thermometer-full"
    },
    {
        "name": "Thermometer 1\/2 Full",
        "id": "fas_thermometer-half",
        "unicode": "f2c9",
        "created": 1,
        "filter": [
            "mercury",
            "status",
            "temperature"
        ],
        "categories": [
            "Status"
        ],
        "icon": "fas fa-thermometer-half"
    },
    {
        "name": "Thermometer 1\/4 Full",
        "id": "fas_thermometer-quarter",
        "unicode": "f2ca",
        "created": 1,
        "filter": [
            "mercury",
            "status",
            "temperature"
        ],
        "categories": [
            "Status"
        ],
        "icon": "fas fa-thermometer-quarter"
    },
    {
        "name": "Thermometer 3\/4 Full",
        "id": "fas_thermometer-three-quarters",
        "unicode": "f2c8",
        "created": 1,
        "filter": [
            "mercury",
            "status",
            "temperature"
        ],
        "categories": [
            "Status"
        ],
        "icon": "fas fa-thermometer-three-quarters"
    },
    {
        "name": "Think Peaks",
        "id": "fab_think-peaks",
        "unicode": "f731",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-think-peaks"
    },
    {
        "name": "thumbs-down (solid)",
        "id": "fas_thumbs-down",
        "unicode": "f165",
        "created": 1,
        "filter": [
            "disagree",
            "disapprove",
            "dislike",
            "hand",
            "social",
            "thumbs-o-down"
        ],
        "categories": [
            "Hands",
            "Interfaces",
            "Payments & Shopping",
            "Social",
            "Status"
        ],
        "icon": "fas fa-thumbs-down"
    },
    {
        "name": "thumbs-down (regular)",
        "id": "far_thumbs-down",
        "unicode": "f165",
        "created": 1,
        "filter": [
            "disagree",
            "disapprove",
            "dislike",
            "hand",
            "social",
            "thumbs-o-down"
        ],
        "categories": [
            "Hands",
            "Interfaces",
            "Payments & Shopping",
            "Social",
            "Status"
        ],
        "icon": "far fa-thumbs-down"
    },
    {
        "name": "thumbs-up (solid)",
        "id": "fas_thumbs-up",
        "unicode": "f164",
        "created": 1,
        "filter": [
            "agree",
            "approve",
            "favorite",
            "hand",
            "like",
            "ok",
            "okay",
            "social",
            "success",
            "thumbs-o-up",
            "yes",
            "you got it dude"
        ],
        "categories": [
            "Hands",
            "Interfaces",
            "Payments & Shopping",
            "Social",
            "Status"
        ],
        "icon": "fas fa-thumbs-up"
    },
    {
        "name": "thumbs-up (regular)",
        "id": "far_thumbs-up",
        "unicode": "f164",
        "created": 1,
        "filter": [
            "agree",
            "approve",
            "favorite",
            "hand",
            "like",
            "ok",
            "okay",
            "social",
            "success",
            "thumbs-o-up",
            "yes",
            "you got it dude"
        ],
        "categories": [
            "Hands",
            "Interfaces",
            "Payments & Shopping",
            "Social",
            "Status"
        ],
        "icon": "far fa-thumbs-up"
    },
    {
        "name": "Thumbtack",
        "id": "fas_thumbtack",
        "unicode": "f08d",
        "created": 1,
        "filter": [
            "coordinates",
            "location",
            "marker",
            "pin",
            "thumb-tack"
        ],
        "categories": [
            "Business",
            "Maps",
            "Objects",
            "Social",
            "Writing"
        ],
        "icon": "fas fa-thumbtack"
    },
    {
        "name": "Alternate Ticket",
        "id": "fas_ticket-alt",
        "unicode": "f3ff",
        "created": 1,
        "filter": [
            "movie",
            "pass",
            "support",
            "ticket"
        ],
        "categories": [
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-ticket-alt"
    },
    {
        "name": "TikTok",
        "id": "fab_tiktok",
        "unicode": "e07b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-tiktok"
    },
    {
        "name": "Times",
        "id": "fas_times",
        "unicode": "f00d",
        "created": 1,
        "filter": [
            "close",
            "cross",
            "error",
            "exit",
            "incorrect",
            "notice",
            "notification",
            "notify",
            "problem",
            "wrong",
            "x"
        ],
        "categories": [
            "Interfaces",
            "Mathematics"
        ],
        "icon": "fas fa-times"
    },
    {
        "name": "Times Circle (solid)",
        "id": "fas_times-circle",
        "unicode": "f057",
        "created": 1,
        "filter": [
            "close",
            "cross",
            "exit",
            "incorrect",
            "notice",
            "notification",
            "notify",
            "problem",
            "wrong",
            "x"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "fas fa-times-circle"
    },
    {
        "name": "Times Circle (regular)",
        "id": "far_times-circle",
        "unicode": "f057",
        "created": 1,
        "filter": [
            "close",
            "cross",
            "exit",
            "incorrect",
            "notice",
            "notification",
            "notify",
            "problem",
            "wrong",
            "x"
        ],
        "categories": [
            "Interfaces"
        ],
        "icon": "far fa-times-circle"
    },
    {
        "name": "tint",
        "id": "fas_tint",
        "unicode": "f043",
        "created": 1,
        "filter": [
            "color",
            "drop",
            "droplet",
            "raindrop",
            "waterdrop"
        ],
        "categories": [
            "Design",
            "Images",
            "Maps",
            "Status"
        ],
        "icon": "fas fa-tint"
    },
    {
        "name": "Tint Slash",
        "id": "fas_tint-slash",
        "unicode": "f5c7",
        "created": 1,
        "filter": [
            "color",
            "drop",
            "droplet",
            "raindrop",
            "waterdrop"
        ],
        "categories": [
            "Design",
            "Status"
        ],
        "icon": "fas fa-tint-slash"
    },
    {
        "name": "Tired Face (solid)",
        "id": "fas_tired",
        "unicode": "f5c8",
        "created": 1,
        "filter": [
            "angry",
            "emoticon",
            "face",
            "grumpy",
            "upset"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "fas fa-tired"
    },
    {
        "name": "Tired Face (regular)",
        "id": "far_tired",
        "unicode": "f5c8",
        "created": 1,
        "filter": [
            "angry",
            "emoticon",
            "face",
            "grumpy",
            "upset"
        ],
        "categories": [
            "Emoji"
        ],
        "icon": "far fa-tired"
    },
    {
        "name": "Toggle Off",
        "id": "fas_toggle-off",
        "unicode": "f204",
        "created": 1,
        "filter": [
            "switch"
        ],
        "categories": [
            "Interfaces",
            "Status",
            "Toggle"
        ],
        "icon": "fas fa-toggle-off"
    },
    {
        "name": "Toggle On",
        "id": "fas_toggle-on",
        "unicode": "f205",
        "created": 1,
        "filter": [
            "switch"
        ],
        "categories": [
            "Interfaces",
            "Status",
            "Toggle"
        ],
        "icon": "fas fa-toggle-on"
    },
    {
        "name": "Toilet",
        "id": "fas_toilet",
        "unicode": "f7d8",
        "created": 1,
        "filter": [
            "bathroom",
            "flush",
            "john",
            "loo",
            "pee",
            "plumbing",
            "poop",
            "porcelain",
            "potty",
            "restroom",
            "throne",
            "washroom",
            "waste",
            "wc"
        ],
        "categories": [
            "Objects"
        ],
        "icon": "fas fa-toilet"
    },
    {
        "name": "Toilet Paper",
        "id": "fas_toilet-paper",
        "unicode": "f71e",
        "created": 1,
        "filter": [
            "bathroom",
            "covid-19",
            "halloween",
            "holiday",
            "lavatory",
            "prank",
            "restroom",
            "roll"
        ],
        "categories": [
            "Camping",
            "Halloween",
            "Household"
        ],
        "icon": "fas fa-toilet-paper"
    },
    {
        "name": "Toilet Paper Slash",
        "id": "fas_toilet-paper-slash",
        "unicode": "e072",
        "created": 1,
        "filter": [
            "bathroom",
            "covid-19",
            "halloween",
            "holiday",
            "lavatory",
            "leaves",
            "prank",
            "restroom",
            "roll",
            "trouble",
            "ut oh"
        ],
        "categories": [
            "Household"
        ],
        "icon": "fas fa-toilet-paper-slash"
    },
    {
        "name": "Toolbox",
        "id": "fas_toolbox",
        "unicode": "f552",
        "created": 1,
        "filter": [
            "admin",
            "container",
            "fix",
            "repair",
            "settings",
            "tools"
        ],
        "categories": [
            "Construction",
            "Objects"
        ],
        "icon": "fas fa-toolbox"
    },
    {
        "name": "Tools",
        "id": "fas_tools",
        "unicode": "f7d9",
        "created": 1,
        "filter": [
            "admin",
            "fix",
            "repair",
            "screwdriver",
            "settings",
            "tools",
            "wrench"
        ],
        "categories": [
            "Construction",
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-tools"
    },
    {
        "name": "Tooth",
        "id": "fas_tooth",
        "unicode": "f5c9",
        "created": 1,
        "filter": [
            "bicuspid",
            "dental",
            "dentist",
            "molar",
            "mouth",
            "teeth"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-tooth"
    },
    {
        "name": "Torah",
        "id": "fas_torah",
        "unicode": "f6a0",
        "created": 1,
        "filter": [
            "book",
            "jewish",
            "judaism",
            "religion",
            "scroll"
        ],
        "categories": [
            "Religion"
        ],
        "icon": "fas fa-torah"
    },
    {
        "name": "Torii Gate",
        "id": "fas_torii-gate",
        "unicode": "f6a1",
        "created": 1,
        "filter": [
            "building",
            "shintoism"
        ],
        "categories": [
            "Buildings",
            "Religion"
        ],
        "icon": "fas fa-torii-gate"
    },
    {
        "name": "Tractor",
        "id": "fas_tractor",
        "unicode": "f722",
        "created": 1,
        "filter": [
            "agriculture",
            "farm",
            "vehicle"
        ],
        "categories": [
            "Autumn",
            "Vehicles"
        ],
        "icon": "fas fa-tractor"
    },
    {
        "name": "Trade Federation",
        "id": "fab_trade-federation",
        "unicode": "f513",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-trade-federation"
    },
    {
        "name": "Trademark",
        "id": "fas_trademark",
        "unicode": "f25c",
        "created": 1,
        "filter": [
            "copyright",
            "register",
            "symbol"
        ],
        "categories": [
            "Business"
        ],
        "icon": "fas fa-trademark"
    },
    {
        "name": "Traffic Light",
        "id": "fas_traffic-light",
        "unicode": "f637",
        "created": 1,
        "filter": [
            "direction",
            "road",
            "signal",
            "travel"
        ],
        "categories": [
            "Maps"
        ],
        "icon": "fas fa-traffic-light"
    },
    {
        "name": "Trailer",
        "id": "fas_trailer",
        "unicode": "e041",
        "created": 1,
        "filter": [
            "carry",
            "haul",
            "moving",
            "travel"
        ],
        "categories": [
            "Automotive",
            "Camping",
            "Moving"
        ],
        "icon": "fas fa-trailer"
    },
    {
        "name": "Train",
        "id": "fas_train",
        "unicode": "f238",
        "created": 1,
        "filter": [
            "bullet",
            "commute",
            "locomotive",
            "railway",
            "subway"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Vehicles"
        ],
        "icon": "fas fa-train"
    },
    {
        "name": "Tram",
        "id": "fas_tram",
        "unicode": "f7da",
        "created": 1,
        "filter": [
            "crossing",
            "machine",
            "mountains",
            "seasonal",
            "transportation"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Travel",
            "Vehicles",
            "Winter"
        ],
        "icon": "fas fa-tram"
    },
    {
        "name": "Transgender",
        "id": "fas_transgender",
        "unicode": "f224",
        "created": 1,
        "filter": [
            "intersex"
        ],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-transgender"
    },
    {
        "name": "Alternate Transgender",
        "id": "fas_transgender-alt",
        "unicode": "f225",
        "created": 1,
        "filter": [
            "intersex"
        ],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-transgender-alt"
    },
    {
        "name": "Trash",
        "id": "fas_trash",
        "unicode": "f1f8",
        "created": 1,
        "filter": [
            "delete",
            "garbage",
            "hide",
            "remove"
        ],
        "categories": [
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-trash"
    },
    {
        "name": "Alternate Trash (solid)",
        "id": "fas_trash-alt",
        "unicode": "f2ed",
        "created": 1,
        "filter": [
            "delete",
            "garbage",
            "hide",
            "remove",
            "trash-o"
        ],
        "categories": [
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "fas fa-trash-alt"
    },
    {
        "name": "Alternate Trash (regular)",
        "id": "far_trash-alt",
        "unicode": "f2ed",
        "created": 1,
        "filter": [
            "delete",
            "garbage",
            "hide",
            "remove",
            "trash-o"
        ],
        "categories": [
            "Editors",
            "Interfaces",
            "Objects"
        ],
        "icon": "far fa-trash-alt"
    },
    {
        "name": "Trash Restore",
        "id": "fas_trash-restore",
        "unicode": "f829",
        "created": 1,
        "filter": [
            "back",
            "control z",
            "oops",
            "undo"
        ],
        "categories": [
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-trash-restore"
    },
    {
        "name": "Alternative Trash Restore",
        "id": "fas_trash-restore-alt",
        "unicode": "f82a",
        "created": 1,
        "filter": [
            "back",
            "control z",
            "oops",
            "undo"
        ],
        "categories": [
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-trash-restore-alt"
    },
    {
        "name": "Tree",
        "id": "fas_tree",
        "unicode": "f1bb",
        "created": 1,
        "filter": [
            "bark",
            "fall",
            "flora",
            "forest",
            "nature",
            "plant",
            "seasonal"
        ],
        "categories": [
            "Autumn",
            "Camping",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-tree"
    },
    {
        "name": "Trello",
        "id": "fab_trello",
        "unicode": "f181",
        "created": 1,
        "filter": [
            "atlassian"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-trello"
    },
    {
        "name": "TripAdvisor",
        "id": "fab_tripadvisor",
        "unicode": "f262",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-tripadvisor"
    },
    {
        "name": "trophy",
        "id": "fas_trophy",
        "unicode": "f091",
        "created": 1,
        "filter": [
            "achievement",
            "award",
            "cup",
            "game",
            "winner"
        ],
        "categories": [
            "Interfaces",
            "Maps",
            "Objects",
            "Payments & Shopping"
        ],
        "icon": "fas fa-trophy"
    },
    {
        "name": "truck",
        "id": "fas_truck",
        "unicode": "f0d1",
        "created": 1,
        "filter": [
            "cargo",
            "delivery",
            "shipping",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Logistics",
            "Maps",
            "Objects",
            "Shopping",
            "Vehicles"
        ],
        "icon": "fas fa-truck"
    },
    {
        "name": "Truck Loading",
        "id": "fas_truck-loading",
        "unicode": "f4de",
        "created": 1,
        "filter": [
            "box",
            "cargo",
            "delivery",
            "inventory",
            "moving",
            "rental",
            "vehicle"
        ],
        "categories": [
            "Moving"
        ],
        "icon": "fas fa-truck-loading"
    },
    {
        "name": "Truck Monster",
        "id": "fas_truck-monster",
        "unicode": "f63b",
        "created": 1,
        "filter": [
            "offroad",
            "vehicle",
            "wheel"
        ],
        "categories": [
            "Automotive",
            "Vehicles"
        ],
        "icon": "fas fa-truck-monster"
    },
    {
        "name": "Truck Moving",
        "id": "fas_truck-moving",
        "unicode": "f4df",
        "created": 1,
        "filter": [
            "cargo",
            "inventory",
            "rental",
            "vehicle"
        ],
        "categories": [
            "Moving"
        ],
        "icon": "fas fa-truck-moving"
    },
    {
        "name": "Truck Side",
        "id": "fas_truck-pickup",
        "unicode": "f63c",
        "created": 1,
        "filter": [
            "cargo",
            "vehicle"
        ],
        "categories": [
            "Automotive",
            "Construction",
            "Vehicles"
        ],
        "icon": "fas fa-truck-pickup"
    },
    {
        "name": "T-Shirt",
        "id": "fas_tshirt",
        "unicode": "f553",
        "created": 1,
        "filter": [
            "clothing",
            "fashion",
            "garment",
            "shirt"
        ],
        "categories": [
            "Clothing",
            "Shopping"
        ],
        "icon": "fas fa-tshirt"
    },
    {
        "name": "TTY",
        "id": "fas_tty",
        "unicode": "f1e4",
        "created": 1,
        "filter": [
            "communication",
            "deaf",
            "telephone",
            "teletypewriter",
            "text"
        ],
        "categories": [
            "Accessibility",
            "Communication",
            "Maps"
        ],
        "icon": "fas fa-tty"
    },
    {
        "name": "Tumblr",
        "id": "fab_tumblr",
        "unicode": "f173",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-tumblr"
    },
    {
        "name": "Tumblr Square",
        "id": "fab_tumblr-square",
        "unicode": "f174",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-tumblr-square"
    },
    {
        "name": "Television",
        "id": "fas_tv",
        "unicode": "f26c",
        "created": 1,
        "filter": [
            "computer",
            "display",
            "monitor",
            "television"
        ],
        "categories": [
            "Audio & Video",
            "Computers",
            "Hotel",
            "Household",
            "Objects",
            "Travel"
        ],
        "icon": "fas fa-tv"
    },
    {
        "name": "Twitch",
        "id": "fab_twitch",
        "unicode": "f1e8",
        "created": 1,
        "filter": [],
        "categories": [
            "Games",
            "Brand"
        ],
        "icon": "fab fa-twitch"
    },
    {
        "name": "Twitter",
        "id": "fab_twitter",
        "unicode": "f099",
        "created": 1,
        "filter": [
            "social network",
            "tweet"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-twitter"
    },
    {
        "name": "Twitter Square",
        "id": "fab_twitter-square",
        "unicode": "f081",
        "created": 1,
        "filter": [
            "social network",
            "tweet"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-twitter-square"
    },
    {
        "name": "Typo3",
        "id": "fab_typo3",
        "unicode": "f42b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-typo3"
    },
    {
        "name": "Uber",
        "id": "fab_uber",
        "unicode": "f402",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-uber"
    },
    {
        "name": "Ubuntu",
        "id": "fab_ubuntu",
        "unicode": "f7df",
        "created": 1,
        "filter": [
            "linux",
            "operating system",
            "os"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ubuntu"
    },
    {
        "name": "UIkit",
        "id": "fab_uikit",
        "unicode": "f403",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-uikit"
    },
    {
        "name": "Umbraco",
        "id": "fab_umbraco",
        "unicode": "f8e8",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-umbraco"
    },
    {
        "name": "Umbrella",
        "id": "fas_umbrella",
        "unicode": "f0e9",
        "created": 1,
        "filter": [
            "protection",
            "rain",
            "storm",
            "wet"
        ],
        "categories": [
            "Maps",
            "Objects",
            "Spring",
            "Weather"
        ],
        "icon": "fas fa-umbrella"
    },
    {
        "name": "Umbrella Beach",
        "id": "fas_umbrella-beach",
        "unicode": "f5ca",
        "created": 1,
        "filter": [
            "protection",
            "recreation",
            "sand",
            "shade",
            "summer",
            "sun"
        ],
        "categories": [
            "Hotel",
            "Summer",
            "Travel"
        ],
        "icon": "fas fa-umbrella-beach"
    },
    {
        "name": "Uncharted Software",
        "id": "fab_uncharted",
        "unicode": "e084",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-uncharted"
    },
    {
        "name": "Underline",
        "id": "fas_underline",
        "unicode": "f0cd",
        "created": 1,
        "filter": [
            "edit",
            "emphasis",
            "format",
            "text",
            "writing"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-underline"
    },
    {
        "name": "Undo",
        "id": "fas_undo",
        "unicode": "f0e2",
        "created": 1,
        "filter": [
            "back",
            "control z",
            "exchange",
            "oops",
            "return",
            "rotate",
            "swap"
        ],
        "categories": [
            "Arrows",
            "Audio & Video",
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-undo"
    },
    {
        "name": "Alternate Undo",
        "id": "fas_undo-alt",
        "unicode": "f2ea",
        "created": 1,
        "filter": [
            "back",
            "control z",
            "exchange",
            "oops",
            "return",
            "swap"
        ],
        "categories": [
            "Arrows",
            "Audio & Video",
            "Editors",
            "Interfaces"
        ],
        "icon": "fas fa-undo-alt"
    },
    {
        "name": "Uniregistry",
        "id": "fab_uniregistry",
        "unicode": "f404",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-uniregistry"
    },
    {
        "name": "Unity 3D",
        "id": "fab_unity",
        "unicode": "e049",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-unity"
    },
    {
        "name": "Universal Access",
        "id": "fas_universal-access",
        "unicode": "f29a",
        "created": 1,
        "filter": [
            "accessibility",
            "hearing",
            "person",
            "seeing",
            "visual impairment"
        ],
        "categories": [
            "Accessibility"
        ],
        "icon": "fas fa-universal-access"
    },
    {
        "name": "University",
        "id": "fas_university",
        "unicode": "f19c",
        "created": 1,
        "filter": [
            "bank",
            "building",
            "college",
            "higher education - students",
            "institution"
        ],
        "categories": [
            "Buildings",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-university"
    },
    {
        "name": "unlink",
        "id": "fas_unlink",
        "unicode": "f127",
        "created": 1,
        "filter": [
            "attachment",
            "chain",
            "chain-broken",
            "remove"
        ],
        "categories": [
            "Editors"
        ],
        "icon": "fas fa-unlink"
    },
    {
        "name": "unlock",
        "id": "fas_unlock",
        "unicode": "f09c",
        "created": 1,
        "filter": [
            "admin",
            "lock",
            "password",
            "private",
            "protect"
        ],
        "categories": [
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "fas fa-unlock"
    },
    {
        "name": "Alternate Unlock",
        "id": "fas_unlock-alt",
        "unicode": "f13e",
        "created": 1,
        "filter": [
            "admin",
            "lock",
            "password",
            "private",
            "protect"
        ],
        "categories": [
            "Objects",
            "Security",
            "Status"
        ],
        "icon": "fas fa-unlock-alt"
    },
    {
        "name": "Unsplash",
        "id": "fab_unsplash",
        "unicode": "e07c",
        "created": 1,
        "filter": [],
        "categories": [
            "Images",
            "Brand"
        ],
        "icon": "fab fa-unsplash"
    },
    {
        "name": "Untappd",
        "id": "fab_untappd",
        "unicode": "f405",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-untappd"
    },
    {
        "name": "Upload",
        "id": "fas_upload",
        "unicode": "f093",
        "created": 1,
        "filter": [
            "hard drive",
            "import",
            "publish"
        ],
        "categories": [
            "Arrows",
            "Computers",
            "Interfaces"
        ],
        "icon": "fas fa-upload"
    },
    {
        "name": "UPS",
        "id": "fab_ups",
        "unicode": "f7e0",
        "created": 1,
        "filter": [
            "United Parcel Service",
            "package",
            "shipping"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ups"
    },
    {
        "name": "USB",
        "id": "fab_usb",
        "unicode": "f287",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-usb"
    },
    {
        "name": "User (solid)",
        "id": "fas_user",
        "unicode": "f007",
        "created": 1,
        "filter": [
            "account",
            "avatar",
            "head",
            "human",
            "man",
            "person",
            "profile"
        ],
        "categories": [
            "Interfaces",
            "Social",
            "Status",
            "Users & People"
        ],
        "icon": "fas fa-user"
    },
    {
        "name": "User (regular)",
        "id": "far_user",
        "unicode": "f007",
        "created": 1,
        "filter": [
            "account",
            "avatar",
            "head",
            "human",
            "man",
            "person",
            "profile"
        ],
        "categories": [
            "Interfaces",
            "Social",
            "Status",
            "Users & People"
        ],
        "icon": "far fa-user"
    },
    {
        "name": "Alternate User",
        "id": "fas_user-alt",
        "unicode": "f406",
        "created": 1,
        "filter": [
            "account",
            "avatar",
            "head",
            "human",
            "man",
            "person",
            "profile"
        ],
        "categories": [
            "Interfaces",
            "Status",
            "Users & People"
        ],
        "icon": "fas fa-user-alt"
    },
    {
        "name": "Alternate User Slash",
        "id": "fas_user-alt-slash",
        "unicode": "f4fa",
        "created": 1,
        "filter": [
            "account",
            "avatar",
            "head",
            "human",
            "man",
            "person",
            "profile"
        ],
        "categories": [
            "Status",
            "Users & People"
        ],
        "icon": "fas fa-user-alt-slash"
    },
    {
        "name": "User Astronaut",
        "id": "fas_user-astronaut",
        "unicode": "f4fb",
        "created": 1,
        "filter": [
            "avatar",
            "clothing",
            "cosmonaut",
            "nasa",
            "space",
            "suit"
        ],
        "categories": [
            "Science Fiction",
            "Users & People"
        ],
        "icon": "fas fa-user-astronaut"
    },
    {
        "name": "User Check",
        "id": "fas_user-check",
        "unicode": "f4fc",
        "created": 1,
        "filter": [
            "accept",
            "check",
            "person",
            "verified"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-check"
    },
    {
        "name": "User Circle (solid)",
        "id": "fas_user-circle",
        "unicode": "f2bd",
        "created": 1,
        "filter": [
            "account",
            "avatar",
            "head",
            "human",
            "man",
            "person",
            "profile"
        ],
        "categories": [
            "Interfaces",
            "Social",
            "Users & People"
        ],
        "icon": "fas fa-user-circle"
    },
    {
        "name": "User Circle (regular)",
        "id": "far_user-circle",
        "unicode": "f2bd",
        "created": 1,
        "filter": [
            "account",
            "avatar",
            "head",
            "human",
            "man",
            "person",
            "profile"
        ],
        "categories": [
            "Interfaces",
            "Social",
            "Users & People"
        ],
        "icon": "far fa-user-circle"
    },
    {
        "name": "User Clock",
        "id": "fas_user-clock",
        "unicode": "f4fd",
        "created": 1,
        "filter": [
            "alert",
            "person",
            "remind",
            "time"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-clock"
    },
    {
        "name": "User Cog",
        "id": "fas_user-cog",
        "unicode": "f4fe",
        "created": 1,
        "filter": [
            "admin",
            "cog",
            "person",
            "settings"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-cog"
    },
    {
        "name": "User Edit",
        "id": "fas_user-edit",
        "unicode": "f4ff",
        "created": 1,
        "filter": [
            "edit",
            "pen",
            "pencil",
            "person",
            "update",
            "write"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-edit"
    },
    {
        "name": "User Friends",
        "id": "fas_user-friends",
        "unicode": "f500",
        "created": 1,
        "filter": [
            "group",
            "people",
            "person",
            "team",
            "users"
        ],
        "categories": [
            "Social",
            "Users & People"
        ],
        "icon": "fas fa-user-friends"
    },
    {
        "name": "User Graduate",
        "id": "fas_user-graduate",
        "unicode": "f501",
        "created": 1,
        "filter": [
            "cap",
            "clothing",
            "commencement",
            "gown",
            "graduation",
            "person",
            "student"
        ],
        "categories": [
            "Education",
            "Users & People"
        ],
        "icon": "fas fa-user-graduate"
    },
    {
        "name": "User Injured",
        "id": "fas_user-injured",
        "unicode": "f728",
        "created": 1,
        "filter": [
            "cast",
            "injury",
            "ouch",
            "patient",
            "person",
            "sling"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-injured"
    },
    {
        "name": "User Lock",
        "id": "fas_user-lock",
        "unicode": "f502",
        "created": 1,
        "filter": [
            "admin",
            "lock",
            "person",
            "private",
            "unlock"
        ],
        "categories": [
            "Security",
            "Users & People"
        ],
        "icon": "fas fa-user-lock"
    },
    {
        "name": "Doctor",
        "id": "fas_user-md",
        "unicode": "f0f0",
        "created": 1,
        "filter": [
            "covid-19",
            "job",
            "medical",
            "nurse",
            "occupation",
            "physician",
            "profile",
            "surgeon"
        ],
        "categories": [
            "Health",
            "Medical",
            "Users & People"
        ],
        "icon": "fas fa-user-md"
    },
    {
        "name": "User Minus",
        "id": "fas_user-minus",
        "unicode": "f503",
        "created": 1,
        "filter": [
            "delete",
            "negative",
            "remove"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-minus"
    },
    {
        "name": "User Ninja",
        "id": "fas_user-ninja",
        "unicode": "f504",
        "created": 1,
        "filter": [
            "assassin",
            "avatar",
            "dangerous",
            "deadly",
            "sneaky"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-ninja"
    },
    {
        "name": "Nurse",
        "id": "fas_user-nurse",
        "unicode": "f82f",
        "created": 1,
        "filter": [
            "covid-19",
            "doctor",
            "midwife",
            "practitioner",
            "surgeon"
        ],
        "categories": [
            "Medical",
            "Users & People"
        ],
        "icon": "fas fa-user-nurse"
    },
    {
        "name": "User Plus",
        "id": "fas_user-plus",
        "unicode": "f234",
        "created": 1,
        "filter": [
            "add",
            "avatar",
            "positive",
            "sign up",
            "signup",
            "team"
        ],
        "categories": [
            "Social",
            "Users & People"
        ],
        "icon": "fas fa-user-plus"
    },
    {
        "name": "User Secret",
        "id": "fas_user-secret",
        "unicode": "f21b",
        "created": 1,
        "filter": [
            "clothing",
            "coat",
            "hat",
            "incognito",
            "person",
            "privacy",
            "spy",
            "whisper"
        ],
        "categories": [
            "Code",
            "Security",
            "Users & People"
        ],
        "icon": "fas fa-user-secret"
    },
    {
        "name": "User Shield",
        "id": "fas_user-shield",
        "unicode": "f505",
        "created": 1,
        "filter": [
            "admin",
            "person",
            "private",
            "protect",
            "safe"
        ],
        "categories": [
            "Security",
            "Users & People"
        ],
        "icon": "fas fa-user-shield"
    },
    {
        "name": "User Slash",
        "id": "fas_user-slash",
        "unicode": "f506",
        "created": 1,
        "filter": [
            "ban",
            "delete",
            "remove"
        ],
        "categories": [
            "Status",
            "Users & People"
        ],
        "icon": "fas fa-user-slash"
    },
    {
        "name": "User Tag",
        "id": "fas_user-tag",
        "unicode": "f507",
        "created": 1,
        "filter": [
            "avatar",
            "discount",
            "label",
            "person",
            "role",
            "special"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-tag"
    },
    {
        "name": "User Tie",
        "id": "fas_user-tie",
        "unicode": "f508",
        "created": 1,
        "filter": [
            "avatar",
            "business",
            "clothing",
            "formal",
            "professional",
            "suit"
        ],
        "categories": [
            "Clothing",
            "Users & People"
        ],
        "icon": "fas fa-user-tie"
    },
    {
        "name": "Remove User",
        "id": "fas_user-times",
        "unicode": "f235",
        "created": 1,
        "filter": [
            "archive",
            "delete",
            "remove",
            "x"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-user-times"
    },
    {
        "name": "Users",
        "id": "fas_users",
        "unicode": "f0c0",
        "created": 1,
        "filter": [
            "friends",
            "group",
            "people",
            "persons",
            "profiles",
            "team"
        ],
        "categories": [
            "Social",
            "Users & People"
        ],
        "icon": "fas fa-users"
    },
    {
        "name": "Users Cog",
        "id": "fas_users-cog",
        "unicode": "f509",
        "created": 1,
        "filter": [
            "admin",
            "cog",
            "group",
            "person",
            "settings",
            "team"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-users-cog"
    },
    {
        "name": "Users Slash",
        "id": "fas_users-slash",
        "unicode": "e073",
        "created": 1,
        "filter": [
            "disband",
            "friends",
            "group",
            "people",
            "persons",
            "profiles",
            "separate",
            "team",
            "ungroup"
        ],
        "categories": [
            "Users & People"
        ],
        "icon": "fas fa-users-slash"
    },
    {
        "name": "United States Postal Service",
        "id": "fab_usps",
        "unicode": "f7e1",
        "created": 1,
        "filter": [
            "american",
            "package",
            "shipping",
            "usa"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-usps"
    },
    {
        "name": "us-Sunnah Foundation",
        "id": "fab_ussunnah",
        "unicode": "f407",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-ussunnah"
    },
    {
        "name": "Utensil Spoon",
        "id": "fas_utensil-spoon",
        "unicode": "f2e5",
        "created": 1,
        "filter": [
            "cutlery",
            "dining",
            "scoop",
            "silverware",
            "spoon"
        ],
        "categories": [
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-utensil-spoon"
    },
    {
        "name": "Utensils",
        "id": "fas_utensils",
        "unicode": "f2e7",
        "created": 1,
        "filter": [
            "cutlery",
            "dining",
            "dinner",
            "eat",
            "food",
            "fork",
            "knife",
            "restaurant"
        ],
        "categories": [
            "Hotel",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-utensils"
    },
    {
        "name": "Vaadin",
        "id": "fab_vaadin",
        "unicode": "f408",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-vaadin"
    },
    {
        "name": "Vector Square",
        "id": "fas_vector-square",
        "unicode": "f5cb",
        "created": 1,
        "filter": [
            "anchors",
            "lines",
            "object",
            "render",
            "shape"
        ],
        "categories": [
            "Design"
        ],
        "icon": "fas fa-vector-square"
    },
    {
        "name": "Venus",
        "id": "fas_venus",
        "unicode": "f221",
        "created": 1,
        "filter": [
            "female"
        ],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-venus"
    },
    {
        "name": "Venus Double",
        "id": "fas_venus-double",
        "unicode": "f226",
        "created": 1,
        "filter": [
            "female"
        ],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-venus-double"
    },
    {
        "name": "Venus Mars",
        "id": "fas_venus-mars",
        "unicode": "f228",
        "created": 1,
        "filter": [
            "Gender"
        ],
        "categories": [
            "Genders"
        ],
        "icon": "fas fa-venus-mars"
    },
    {
        "name": "vest",
        "id": "fas_vest",
        "unicode": "e085",
        "created": 1,
        "filter": [
            "biker",
            "fashion",
            "style"
        ],
        "categories": [
            "Maps"
        ],
        "icon": "fas fa-vest"
    },
    {
        "name": "vest-patches",
        "id": "fas_vest-patches",
        "unicode": "e086",
        "created": 1,
        "filter": [
            "biker",
            "fashion",
            "style"
        ],
        "categories": [
            "Maps"
        ],
        "icon": "fas fa-vest-patches"
    },
    {
        "name": "Viacoin",
        "id": "fab_viacoin",
        "unicode": "f237",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-viacoin"
    },
    {
        "name": "Video",
        "id": "fab_viadeo",
        "unicode": "f2a9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-viadeo"
    },
    {
        "name": "Video Square",
        "id": "fab_viadeo-square",
        "unicode": "f2aa",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-viadeo-square"
    },
    {
        "name": "Vial",
        "id": "fas_vial",
        "unicode": "f492",
        "created": 1,
        "filter": [
            "experiment",
            "lab",
            "sample",
            "science",
            "test",
            "test tube"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-vial"
    },
    {
        "name": "Vials",
        "id": "fas_vials",
        "unicode": "f493",
        "created": 1,
        "filter": [
            "experiment",
            "lab",
            "sample",
            "science",
            "test",
            "test tube"
        ],
        "categories": [
            "Medical",
            "Pharmacy",
            "Science"
        ],
        "icon": "fas fa-vials"
    },
    {
        "name": "Viber",
        "id": "fab_viber",
        "unicode": "f409",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-viber"
    },
    {
        "name": "Video",
        "id": "fas_video",
        "unicode": "f03d",
        "created": 1,
        "filter": [
            "camera",
            "film",
            "movie",
            "record",
            "video-camera"
        ],
        "categories": [
            "Audio & Video",
            "Chat",
            "Social",
            "Status"
        ],
        "icon": "fas fa-video"
    },
    {
        "name": "Video Slash",
        "id": "fas_video-slash",
        "unicode": "f4e2",
        "created": 1,
        "filter": [
            "add",
            "create",
            "film",
            "new",
            "positive",
            "record",
            "video"
        ],
        "categories": [
            "Chat",
            "Status"
        ],
        "icon": "fas fa-video-slash"
    },
    {
        "name": "Vihara",
        "id": "fas_vihara",
        "unicode": "f6a7",
        "created": 1,
        "filter": [
            "buddhism",
            "buddhist",
            "building",
            "monastery"
        ],
        "categories": [
            "Buildings",
            "Religion"
        ],
        "icon": "fas fa-vihara"
    },
    {
        "name": "Vimeo",
        "id": "fab_vimeo",
        "unicode": "f40a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-vimeo"
    },
    {
        "name": "Vimeo Square",
        "id": "fab_vimeo-square",
        "unicode": "f194",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-vimeo-square"
    },
    {
        "name": "Vimeo",
        "id": "fab_vimeo-v",
        "unicode": "f27d",
        "created": 1,
        "filter": [
            "vimeo"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-vimeo-v"
    },
    {
        "name": "Vine",
        "id": "fab_vine",
        "unicode": "f1ca",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-vine"
    },
    {
        "name": "Virus",
        "id": "fas_virus",
        "unicode": "e074",
        "created": 1,
        "filter": [
            "bug",
            "covid-19",
            "flu",
            "health",
            "sick",
            "viral"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-virus"
    },
    {
        "name": "Virus Slash",
        "id": "fas_virus-slash",
        "unicode": "e075",
        "created": 1,
        "filter": [
            "bug",
            "covid-19",
            "cure",
            "eliminate",
            "flu",
            "health",
            "sick",
            "viral"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-virus-slash"
    },
    {
        "name": "Viruses",
        "id": "fas_viruses",
        "unicode": "e076",
        "created": 1,
        "filter": [
            "bugs",
            "covid-19",
            "flu",
            "health",
            "multiply",
            "sick",
            "spread",
            "viral"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-viruses"
    },
    {
        "name": "VK",
        "id": "fab_vk",
        "unicode": "f189",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-vk"
    },
    {
        "name": "VNV",
        "id": "fab_vnv",
        "unicode": "f40b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-vnv"
    },
    {
        "name": "Voicemail",
        "id": "fas_voicemail",
        "unicode": "f897",
        "created": 1,
        "filter": [
            "answer",
            "inbox",
            "message",
            "phone"
        ],
        "categories": [
            "Communication"
        ],
        "icon": "fas fa-voicemail"
    },
    {
        "name": "Volleyball Ball",
        "id": "fas_volleyball-ball",
        "unicode": "f45f",
        "created": 1,
        "filter": [
            "beach",
            "olympics",
            "sport"
        ],
        "categories": [
            "Sports",
            "Summer"
        ],
        "icon": "fas fa-volleyball-ball"
    },
    {
        "name": "Volume Down",
        "id": "fas_volume-down",
        "unicode": "f027",
        "created": 1,
        "filter": [
            "audio",
            "lower",
            "music",
            "quieter",
            "sound",
            "speaker"
        ],
        "categories": [
            "Audio & Video",
            "Interfaces",
            "Music",
            "Status"
        ],
        "icon": "fas fa-volume-down"
    },
    {
        "name": "Volume Mute",
        "id": "fas_volume-mute",
        "unicode": "f6a9",
        "created": 1,
        "filter": [
            "audio",
            "music",
            "quiet",
            "sound",
            "speaker"
        ],
        "categories": [
            "Audio & Video",
            "Interfaces",
            "Music",
            "Status"
        ],
        "icon": "fas fa-volume-mute"
    },
    {
        "name": "Volume Off",
        "id": "fas_volume-off",
        "unicode": "f026",
        "created": 1,
        "filter": [
            "audio",
            "ban",
            "music",
            "mute",
            "quiet",
            "silent",
            "sound"
        ],
        "categories": [
            "Audio & Video",
            "Interfaces",
            "Music",
            "Status"
        ],
        "icon": "fas fa-volume-off"
    },
    {
        "name": "Volume Up",
        "id": "fas_volume-up",
        "unicode": "f028",
        "created": 1,
        "filter": [
            "audio",
            "higher",
            "louder",
            "music",
            "sound",
            "speaker"
        ],
        "categories": [
            "Audio & Video",
            "Interfaces",
            "Music",
            "Status"
        ],
        "icon": "fas fa-volume-up"
    },
    {
        "name": "Vote Yea",
        "id": "fas_vote-yea",
        "unicode": "f772",
        "created": 1,
        "filter": [
            "accept",
            "cast",
            "election",
            "politics",
            "positive",
            "yes"
        ],
        "categories": [
            "Political"
        ],
        "icon": "fas fa-vote-yea"
    },
    {
        "name": "Cardboard VR",
        "id": "fas_vr-cardboard",
        "unicode": "f729",
        "created": 1,
        "filter": [
            "3d",
            "augment",
            "google",
            "reality",
            "virtual"
        ],
        "icon": "fas fa-vr-cardboard",
        "categories": [
            "Political"
        ]
    },
    {
        "name": "Vue.js",
        "id": "fab_vuejs",
        "unicode": "f41f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-vuejs"
    },
    {
        "name": "Walking",
        "id": "fas_walking",
        "unicode": "f554",
        "created": 1,
        "filter": [
            "exercise",
            "health",
            "pedometer",
            "person",
            "steps"
        ],
        "categories": [
            "Fitness",
            "Users & People"
        ],
        "icon": "fas fa-walking"
    },
    {
        "name": "Wallet",
        "id": "fas_wallet",
        "unicode": "f555",
        "created": 1,
        "filter": [
            "billfold",
            "cash",
            "currency",
            "money"
        ],
        "categories": [
            "Business",
            "Finance",
            "Objects"
        ],
        "icon": "fas fa-wallet"
    },
    {
        "name": "Warehouse",
        "id": "fas_warehouse",
        "unicode": "f494",
        "created": 1,
        "filter": [
            "building",
            "capacity",
            "garage",
            "inventory",
            "storage"
        ],
        "categories": [
            "Buildings",
            "Logistics"
        ],
        "icon": "fas fa-warehouse"
    },
    {
        "name": "Watchman Monitoring",
        "id": "fab_watchman-monitoring",
        "unicode": "e087",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-watchman-monitoring"
    },
    {
        "name": "Water",
        "id": "fas_water",
        "unicode": "f773",
        "created": 1,
        "filter": [
            "lake",
            "liquid",
            "ocean",
            "sea",
            "swim",
            "wet"
        ],
        "categories": [
            "Energy",
            "Maritime",
            "Summer",
            "Weather"
        ],
        "icon": "fas fa-water"
    },
    {
        "name": "Square Wave",
        "id": "fas_wave-square",
        "unicode": "f83e",
        "created": 1,
        "filter": [
            "frequency",
            "pulse",
            "signal"
        ],
        "categories": [
            "Mathematics"
        ],
        "icon": "fas fa-wave-square"
    },
    {
        "name": "Waze",
        "id": "fab_waze",
        "unicode": "f83f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-waze"
    },
    {
        "name": "Weebly",
        "id": "fab_weebly",
        "unicode": "f5cc",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-weebly"
    },
    {
        "name": "Weibo",
        "id": "fab_weibo",
        "unicode": "f18a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-weibo"
    },
    {
        "name": "Weight",
        "id": "fas_weight",
        "unicode": "f496",
        "created": 1,
        "filter": [
            "health",
            "measurement",
            "scale",
            "weight"
        ],
        "categories": [
            "Medical",
            "Objects"
        ],
        "icon": "fas fa-weight"
    },
    {
        "name": "Hanging Weight",
        "id": "fas_weight-hanging",
        "unicode": "f5cd",
        "created": 1,
        "filter": [
            "anvil",
            "heavy",
            "measurement"
        ],
        "icon": "fas fa-weight-hanging",
        "categories": [
            "Medical",
            "Objects"
        ]
    },
    {
        "name": "Weixin (WeChat)",
        "id": "fab_weixin",
        "unicode": "f1d7",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-weixin"
    },
    {
        "name": "What's App",
        "id": "fab_whatsapp",
        "unicode": "f232",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-whatsapp"
    },
    {
        "name": "What's App Square",
        "id": "fab_whatsapp-square",
        "unicode": "f40c",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-whatsapp-square"
    },
    {
        "name": "Wheelchair",
        "id": "fas_wheelchair",
        "unicode": "f193",
        "created": 1,
        "filter": [
            "accessible",
            "handicap",
            "person"
        ],
        "categories": [
            "Accessibility",
            "Health",
            "Hotel",
            "Maps",
            "Objects",
            "Users & People",
            "Vehicles"
        ],
        "icon": "fas fa-wheelchair"
    },
    {
        "name": "WHMCS",
        "id": "fab_whmcs",
        "unicode": "f40d",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-whmcs"
    },
    {
        "name": "WiFi",
        "id": "fas_wifi",
        "unicode": "f1eb",
        "created": 1,
        "filter": [
            "connection",
            "hotspot",
            "internet",
            "network",
            "wireless"
        ],
        "categories": [
            "Communication",
            "Hotel",
            "Interfaces",
            "Maps",
            "Status",
            "Toggle"
        ],
        "icon": "fas fa-wifi"
    },
    {
        "name": "Wikipedia W",
        "id": "fab_wikipedia-w",
        "unicode": "f266",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wikipedia-w"
    },
    {
        "name": "Wind",
        "id": "fas_wind",
        "unicode": "f72e",
        "created": 1,
        "filter": [
            "air",
            "blow",
            "breeze",
            "fall",
            "seasonal",
            "weather"
        ],
        "categories": [
            "Autumn",
            "Energy",
            "Maritime",
            "Weather"
        ],
        "icon": "fas fa-wind"
    },
    {
        "name": "Window Close (solid)",
        "id": "fas_window-close",
        "unicode": "f410",
        "created": 1,
        "filter": [
            "browser",
            "cancel",
            "computer",
            "development"
        ],
        "categories": [
            "Code"
        ],
        "icon": "fas fa-window-close"
    },
    {
        "name": "Window Close (regular)",
        "id": "far_window-close",
        "unicode": "f410",
        "created": 1,
        "filter": [
            "browser",
            "cancel",
            "computer",
            "development"
        ],
        "categories": [
            "Code"
        ],
        "icon": "far fa-window-close"
    },
    {
        "name": "Window Maximize (solid)",
        "id": "fas_window-maximize",
        "unicode": "f2d0",
        "created": 1,
        "filter": [
            "browser",
            "computer",
            "development",
            "expand"
        ],
        "categories": [
            "Code"
        ],
        "icon": "fas fa-window-maximize"
    },
    {
        "name": "Window Maximize (regular)",
        "id": "far_window-maximize",
        "unicode": "f2d0",
        "created": 1,
        "filter": [
            "browser",
            "computer",
            "development",
            "expand"
        ],
        "categories": [
            "Code"
        ],
        "icon": "far fa-window-maximize"
    },
    {
        "name": "Window Minimize (solid)",
        "id": "fas_window-minimize",
        "unicode": "f2d1",
        "created": 1,
        "filter": [
            "browser",
            "collapse",
            "computer",
            "development"
        ],
        "categories": [
            "Code"
        ],
        "icon": "fas fa-window-minimize"
    },
    {
        "name": "Window Minimize (regular)",
        "id": "far_window-minimize",
        "unicode": "f2d1",
        "created": 1,
        "filter": [
            "browser",
            "collapse",
            "computer",
            "development"
        ],
        "categories": [
            "Code"
        ],
        "icon": "far fa-window-minimize"
    },
    {
        "name": "Window Restore (solid)",
        "id": "fas_window-restore",
        "unicode": "f2d2",
        "created": 1,
        "filter": [
            "browser",
            "computer",
            "development"
        ],
        "categories": [
            "Code"
        ],
        "icon": "fas fa-window-restore"
    },
    {
        "name": "Window Restore (regular)",
        "id": "far_window-restore",
        "unicode": "f2d2",
        "created": 1,
        "filter": [
            "browser",
            "computer",
            "development"
        ],
        "categories": [
            "Code"
        ],
        "icon": "far fa-window-restore"
    },
    {
        "name": "Windows",
        "id": "fab_windows",
        "unicode": "f17a",
        "created": 1,
        "filter": [
            "microsoft",
            "operating system",
            "os"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-windows"
    },
    {
        "name": "Wine Bottle",
        "id": "fas_wine-bottle",
        "unicode": "f72f",
        "created": 1,
        "filter": [
            "alcohol",
            "beverage",
            "cabernet",
            "drink",
            "glass",
            "grapes",
            "merlot",
            "sauvignon"
        ],
        "categories": [
            "Autumn",
            "Beverage"
        ],
        "icon": "fas fa-wine-bottle"
    },
    {
        "name": "Wine Glass",
        "id": "fas_wine-glass",
        "unicode": "f4e3",
        "created": 1,
        "filter": [
            "alcohol",
            "beverage",
            "cabernet",
            "drink",
            "grapes",
            "merlot",
            "sauvignon"
        ],
        "categories": [
            "Beverage",
            "Maps",
            "Moving",
            "Objects",
            "Travel"
        ],
        "icon": "fas fa-wine-glass"
    },
    {
        "name": "Alternate Wine Glas",
        "id": "fas_wine-glass-alt",
        "unicode": "f5ce",
        "created": 1,
        "filter": [
            "alcohol",
            "beverage",
            "cabernet",
            "drink",
            "grapes",
            "merlot",
            "sauvignon"
        ],
        "categories": [
            "Beverage",
            "Travel"
        ],
        "icon": "fas fa-wine-glass-alt"
    },
    {
        "name": "Wix",
        "id": "fab_wix",
        "unicode": "f5cf",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wix"
    },
    {
        "name": "Wizards of the Coast",
        "id": "fab_wizards-of-the-coast",
        "unicode": "f730",
        "created": 1,
        "filter": [
            "Dungeons & Dragons",
            "d&d",
            "dnd",
            "fantasy",
            "game",
            "gaming",
            "tabletop"
        ],
        "categories": [
            "Tabletop Gaming",
            "Brand"
        ],
        "icon": "fab fa-wizards-of-the-coast"
    },
    {
        "name": "Wodu",
        "id": "fab_wodu",
        "unicode": "e088",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wodu"
    },
    {
        "name": "Wolf Pack Battalion",
        "id": "fab_wolf-pack-battalion",
        "unicode": "f514",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wolf-pack-battalion"
    },
    {
        "name": "Won Sign",
        "id": "fas_won-sign",
        "unicode": "f159",
        "created": 1,
        "filter": [
            "currency",
            "krw",
            "money"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-won-sign"
    },
    {
        "name": "WordPress Logo",
        "id": "fab_wordpress",
        "unicode": "f19a",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wordpress"
    },
    {
        "name": "Wordpress Simple",
        "id": "fab_wordpress-simple",
        "unicode": "f411",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wordpress-simple"
    },
    {
        "name": "WPBeginner",
        "id": "fab_wpbeginner",
        "unicode": "f297",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wpbeginner"
    },
    {
        "name": "WPExplorer",
        "id": "fab_wpexplorer",
        "unicode": "f2de",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wpexplorer"
    },
    {
        "name": "WPForms",
        "id": "fab_wpforms",
        "unicode": "f298",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wpforms"
    },
    {
        "name": "wpressr",
        "id": "fab_wpressr",
        "unicode": "f3e4",
        "created": 1,
        "filter": [
            "rendact"
        ],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-wpressr"
    },
    {
        "name": "Wrench",
        "id": "fas_wrench",
        "unicode": "f0ad",
        "created": 1,
        "filter": [
            "construction",
            "fix",
            "mechanic",
            "plumbing",
            "settings",
            "spanner",
            "tool",
            "update"
        ],
        "categories": [
            "Construction",
            "Editors",
            "Interfaces",
            "Maps",
            "Objects"
        ],
        "icon": "fas fa-wrench"
    },
    {
        "name": "X-Ray",
        "id": "fas_x-ray",
        "unicode": "f497",
        "created": 1,
        "filter": [
            "health",
            "medical",
            "radiological images",
            "radiology",
            "skeleton"
        ],
        "categories": [
            "Medical"
        ],
        "icon": "fas fa-x-ray"
    },
    {
        "name": "Xbox",
        "id": "fab_xbox",
        "unicode": "f412",
        "created": 1,
        "filter": [],
        "categories": [
            "Games",
            "Brand"
        ],
        "icon": "fab fa-xbox"
    },
    {
        "name": "Xing",
        "id": "fab_xing",
        "unicode": "f168",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-xing"
    },
    {
        "name": "Xing Square",
        "id": "fab_xing-square",
        "unicode": "f169",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-xing-square"
    },
    {
        "name": "Y Combinator",
        "id": "fab_y-combinator",
        "unicode": "f23b",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-y-combinator"
    },
    {
        "name": "Yahoo Logo",
        "id": "fab_yahoo",
        "unicode": "f19e",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-yahoo"
    },
    {
        "name": "Yammer",
        "id": "fab_yammer",
        "unicode": "f840",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-yammer"
    },
    {
        "name": "Yandex",
        "id": "fab_yandex",
        "unicode": "f413",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-yandex"
    },
    {
        "name": "Yandex International",
        "id": "fab_yandex-international",
        "unicode": "f414",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-yandex-international"
    },
    {
        "name": "Yarn",
        "id": "fab_yarn",
        "unicode": "f7e3",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-yarn"
    },
    {
        "name": "Yelp",
        "id": "fab_yelp",
        "unicode": "f1e9",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-yelp"
    },
    {
        "name": "Yen Sign",
        "id": "fas_yen-sign",
        "unicode": "f157",
        "created": 1,
        "filter": [
            "currency",
            "jpy",
            "money"
        ],
        "categories": [
            "Currency"
        ],
        "icon": "fas fa-yen-sign"
    },
    {
        "name": "Yin Yang",
        "id": "fas_yin-yang",
        "unicode": "f6ad",
        "created": 1,
        "filter": [
            "daoism",
            "opposites",
            "taoism"
        ],
        "categories": [
            "Religion",
            "Spinners"
        ],
        "icon": "fas fa-yin-yang"
    },
    {
        "name": "Yoast",
        "id": "fab_yoast",
        "unicode": "f2b1",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-yoast"
    },
    {
        "name": "YouTube",
        "id": "fab_youtube",
        "unicode": "f167",
        "created": 1,
        "filter": [
            "film",
            "video",
            "youtube-play",
            "youtube-square"
        ],
        "categories": [
            "Audio & Video",
            "Brand"
        ],
        "icon": "fab fa-youtube"
    },
    {
        "name": "YouTube Square",
        "id": "fab_youtube-square",
        "unicode": "f431",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-youtube-square"
    },
    {
        "name": "Zhihu",
        "id": "fab_zhihu",
        "unicode": "f63f",
        "created": 1,
        "filter": [],
        "categories": [
            "Brand"
        ],
        "icon": "fab fa-zhihu"
    },
    {
        "name": "Alternate Share",
        "id": "fas_shr-alt",
        "unicode": "f1e0",
        "created": 1,
        "filter": [],
        "categories": [
            "Adblocker Compatible Icons"
        ],
        "icon": "fas fa-shr-alt"
    },
    {
        "name": "rsfd",
        "id": "fas_rsfd",
        "unicode": "f09e",
        "created": 1,
        "filter": [
            "blog"
        ],
        "categories": [
            "Adblocker Compatible Icons"
        ],
        "icon": "fas fa-rsfd"
    },
    {
        "name": "RSS Square",
        "id": "fas_rsfd-square",
        "unicode": "f143",
        "created": 1,
        "filter": [
            "feed",
            "blog"
        ],
        "categories": [
            "Adblocker Compatible Icons"
        ],
        "icon": "fas fa-rsfd-square"
    },
    {
        "name": "Lnkd",
        "id": "fab_linkedin",
        "unicode": "f08c",
        "created": 1,
        "filter": [
            "linkedin-square"
        ],
        "categories": [
            "Adblocker Compatible Icons"
        ],
        "icon": "fab fa-linkedin"
    },
    {
        "name": "Fbook",
        "id": "fab_fbook",
        "unicode": "f09a",
        "created": 1,
        "filter": [
            "social network",
            "facebook-official"
        ],
        "categories": [
            "Adblocker Compatible Icons"
        ],
        "icon": "fab fa-fbook"
    },
    {
        "name": "Twtr",
        "id": "fab_twtr",
        "unicode": "f099",
        "created": 1,
        "filter": [
            "tweet",
            "social network"
        ],
        "categories": [
            "Adblocker Compatible Icons"
        ],
        "icon": "fab fa-twtr"
    }
];
    // Sort the icons alphabetically
    iconList.sort(function(a, b) {
        if (a.id < b.id) {
            return -1;
        }

        if (a.id > b.id) {
            return 1;
        }

        return 0;
    });

    var iconListGroups = [];
    var categoryName;
    var iconGroupNames = [];
    //console.log('Length = ' + iconList.length);
    for (var i = 0; i < iconList.length; i++) {
        for (var ii = 0; ii < iconList[i].categories.length; ii++) {
            var originalCategoryName = iconList[i].categories[ii].trim();
            categoryName = iconList[i].categories[ii].toLowerCase().replace(/ (.)/g, function(match, group1) {
                return group1.toUpperCase();
            });
            categoryName = categoryName.replace('&','');
            iconGroupNames[categoryName] = originalCategoryName;
            if (!iconListGroups[categoryName]) {
                iconListGroups[categoryName] = [];
            }
            iconListGroups[categoryName].push(iconList[i]);
        }
    }
    //console.log('List group');
    //console.log(iconListGroups);

    function showDialog() {

        function groupHtml(group, iconTitle) {

            var iconGroup = iconListGroups[group];
            var gridHtml;
            var id, icon, name;

            gridHtml = '<div class="mce-fontawesome-panel-accordion">';
                gridHtml += '<div class="mce-fontawesome-panel-title">' + iconTitle + '<span class="mce-fontawesome-panel-accordion-indicator fa-chevron-right"></span></div>';
                gridHtml += '<div class="mce-fontawesome-panel-content">';

                for (var y = 0; y < (iconGroup.length / width); y++) {
                    for (var x = 0; x < width; x++) {
                        if (iconGroup[y * width + x]) {
                            id = iconGroup[y * width + x].id;
                            icon = iconGroup[y * width + x].icon;
                            name = iconGroup[y * width + x].name;
                            gridHtml += '<div class="mce-icon-cell js-mce-fontawesome-insert" data-icon="' + icon + '"  title="' + name + '" data-id="' + id + '"' + (group === 'spinner' ? ' data-spin="true"' : '' ) + '>';
                            gridHtml += '<i class="' + icon + (group === 'spinners' ? ' fa-spin' : '' ) +'"></i>';
                            gridHtml += '</div>';
                        }
                    }
                }
                gridHtml += '</div>';
            gridHtml += '</div>';

            return gridHtml;
        }

        var win;
        var width = 23;
        var panelHtml = '';
        for (var category_name in iconListGroups)
        {
            panelHtml += groupHtml(category_name, iconGroupNames[category_name]);
        }
        //panelHtml+= + '<p class="mce-fontawesome-search-noresults" style="display: none;">' + translate('No icons matched your search') + '.</p>';

        win = editor.windowManager.open({
            autoScroll: true,
            width: 690,
            height: 500,
            title: translate('Icons'),
            spacing: 20,
            padding: 10,
            classes: 'fontawesome-panel',
            items: [
                {
                    type: 'container',
                    html: panelHtml
                }
            ],
            buttons: [{
                text: translate('Close'),
                onclick: function() {
                    win.close();
                }
            }]
        });

        // Insert icon
        function insertIcon() {
            
            var id = this.getAttribute('data-id');
            var icon = this.getAttribute('data-icon');
            if (this.hasAttribute('data-spin')) {
                id += ' fa-spin';
            }
            //console.log("Inserting " + icon);
            var content = '<span class="' + icon + '"></span>';
            if (editor.selection.getNode().textContent === '') {
                content += '&nbsp;';
            }
            editor.execCommand('mceInsertContent', false, content);
            win.close();
        }

        var iconInserts = document.querySelectorAll('.js-mce-fontawesome-insert');

        for (var i = 0; i < iconInserts.length; i++) {
            iconInserts[i].addEventListener('click', insertIcon);
        }

        // Accordion
        var accordionItems = document.querySelectorAll('.mce-fontawesome-panel-accordion');
        var accordionTitle;
        var accordionContent;

        for (i = 0; i < accordionItems.length; i++) {
            accordionTitle = accordionItems[i].querySelector('.mce-fontawesome-panel-title');
            accordionTitle.addEventListener('click', toggleItem);

            accordionContent = accordionItems[i].querySelector('.mce-fontawesome-panel-content');
            accordionContent.style.height = '0';
        }

        // Open first item
        var firstAccordion = document.querySelector('.mce-fontawesome-panel-accordion');
        firstAccordion.classList.add('mce-fontawesome-panel-accordion-open');

        var firstAccordionContent = firstAccordion.querySelector('.mce-fontawesome-panel-content');
        firstAccordionContent.style.height = 'auto';
        var nextHeight = Math.ceil(firstAccordionContent.offsetHeight);
        firstAccordionContent.style.height = nextHeight + 'px';
        firstAccordionContent.style.transitionDuration = transitionCalc(nextHeight);

        var firstAccordionIndicator = firstAccordion.querySelector('.mce-fontawesome-panel-accordion-indicator');
        firstAccordionIndicator.classList.remove('fa-chevron-right');
        firstAccordionIndicator.classList.add('fa-chevron-down')

        function toggleItem() {
            // Check if search is in use
            if (document.querySelector('.mce-fontawesome-panel-search')) {
                return;
            }

            var accordionItem = this.parentNode;
            var open = false;
            if (accordionItem.classList.contains('mce-fontawesome-panel-accordion-open')) {
                open = true;
            }

            // Hide all items
            var accordionPanel;
            for (var i = 0; i < accordionItems.length; i++) {
                accordionItems[i].classList.remove('mce-fontawesome-panel-accordion-open');

                accordionPanel = accordionItems[i].querySelector('.mce-fontawesome-panel-content');
                accordionPanel.style.height = '0';

                var accordionIndicator = accordionItems[i].querySelector('.mce-fontawesome-panel-accordion-indicator');
                accordionIndicator.classList.remove('fa-chevron-down');
                accordionIndicator.classList.add('fa-chevron-right');
            }

            // Show this item if it was previously hidden
            if (!open) {
                var accordionItemContent = accordionItem.querySelector('.mce-fontawesome-panel-content');

                accordionItemContent.style.height = 'auto';
                var nextHeight = Math.ceil(accordionItemContent.offsetHeight);
                accordionItemContent.style.height = '0';
                accordionItem.classList.add('mce-fontawesome-panel-accordion-open');
                accordionItemContent.style.transitionDuration = transitionCalc(nextHeight);

                accordionIndicator = accordionItem.querySelector('.mce-fontawesome-panel-accordion-indicator');
                accordionIndicator.classList.remove('fa-chevron-right');
                accordionIndicator.classList.add('fa-chevron-down');

                // Force reflow
                window.getComputedStyle(accordionItemContent).opacity;
                accordionItemContent.style.height = nextHeight + 'px';
            }
        }

        // Transition length based on height but also has min / max
        function transitionCalc(length) {
            var result = length / 300;

            if (result > .8) {
                result = .8;
            }

            if (result < .3) {
                result = .3;
            }

            return result + 's';
        }

        // Initialize search input
        var foot = document.querySelector('.mce-fontawesome-panel .mce-foot .mce-container-body');
        var searchContainer = document.createElement('div');
        searchContainer.className = 'mce-fontawesome-search-container';
        searchContainer.innerHTML = '<input type="search" placeholder="' + translate('Search') + '"><div class="mce-fontawesome-search-container-clear"><span class="fas fa-times-circle"></span></div>';
        foot.insertBefore(searchContainer, foot.firstChild);

        var searchInput = searchContainer.querySelector('input');
        searchInput.addEventListener('input', search);

        function search() {
            var categoryList = document.querySelectorAll('.mce-fontawesome-panel-accordion');
            var categoryContentList = document.querySelectorAll('.mce-fontawesome-panel-content');
            var iconList = document.querySelectorAll('.js-mce-fontawesome-insert');
            var searchTerm = this.value.toLowerCase().replace(' ', '-');
            var i;
            var hiddenCategories = 0;

            if (this.value.length) {
                document.querySelector('.mce-fontawesome-panel').classList.add('mce-fontawesome-panel-search');

                // Check whether to hide or show icons
                for (i = 0; i < iconList.length; i++) {
                    hideOrShowIcon(searchTerm, iconList[i]);
                }

                for (i = 0; i < categoryList.length; i++) {
                    // Open all categories
                    categoryList[i].classList.add('mce-fontawesome-panel-accordion-open');

                    // Check if the category has an icons that aren't hidden
                    if (categoryList[i].querySelector('.js-mce-fontawesome-insert:not(.js-mce-fontawesome-insert-hidden)')) {
                        categoryList[i].style.display = '';
                    } else {
                        categoryList[i].style.display = 'none';
                        hiddenCategories++;
                    }
                }

                // Open all categories
                for (i = 0; i < categoryContentList.length; i++) {
                    categoryContentList[i].style.height = 'auto';
                }

                // Show or hide no results message
                if (hiddenCategories === categoryList.length) {
                    document.querySelector('.mce-fontawesome-search-noresults').style.display = 'block';
                } else {
                    var no_result = document.querySelector('.mce-fontawesome-search-noresults');
                    if (no_result)
                         no_result.style.display = 'none';
                }
            } else {
                document.querySelector('.mce-fontawesome-panel').classList.remove('mce-fontawesome-panel-search');
                document.querySelector('.mce-fontawesome-search-noresults').style.display = 'none';

                for (i = 0; i < iconList.length; i++) {
                    iconList[i].classList.remove('js-mce-fontawesome-insert-hidden');
                    iconList[i].style.display = '';
                }

                for (i = 0; i < categoryList.length; i++) {
                    // Close all categories
                    categoryList[i].classList.remove('mce-fontawesome-panel-accordion-open');
                    categoryList[i].style.display = '';
                }

                // Close all categories
                for (i = 0; i < categoryContentList.length; i++) {
                    categoryContentList[i].style.height = '0';
                }
            }
        }

        function hideOrShowIcon(search, iconElement) {
            var id = iconElement.getAttribute('data-id');

            if (strInStr(search, id)) {
                iconElement.classList.remove('js-mce-fontawesome-insert-hidden');
                iconElement.style.display = '';
                return;
            }

            for (var i = 0; i < iconList.length; i++) {
                if (iconList[i].id === id) {
                    if (iconList[i].filter) {
                        for (var ii = 0; ii < iconList[i].filter.length; ii++) {
                            if (strInStr(search, iconList[i].filter[ii])) {
                                iconElement.classList.remove('js-mce-fontawesome-insert-hidden');
                                iconElement.style.display = '';
                                return;
                            }
                        }
                    }
                    iconElement.classList.add('js-mce-fontawesome-insert-hidden');
                    iconElement.style.display = 'none';
                }
            }
        }

        function strInStr(needle, haystack) {
            return haystack.indexOf(needle) > -1;
        }

        // Focus the searchbox on open
        searchInput.focus();

        document.querySelector('.mce-fontawesome-search-container-clear').addEventListener('click', function() {
            searchInput.value = '';
            search.call(searchInput);
            searchInput.focus();
        });
    }

    // Include plugin CSS
    editor.on('init', function() {
        var csslink = editor.dom.create('link', {
            rel: 'stylesheet',
            href: url + '/css/fontawesome.min.css'
        });
        document.getElementsByTagName('head')[0].appendChild(csslink);
    });

    editor.addButton('fontawesome', {
        icon: 'flag',
        text: translate('Icons'),
        tooltip: translate('Icons'),
        onclick: showDialog
    });

    editor.addMenuItem('fontawesome', {
        icon: 'flag',
        text: translate('Icons'),
        onclick: showDialog,
        context: 'insert'
    });
});
